<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:decimal-format name="fr" decimal-separator="," grouping-separator="&#160;" NaN="--" />
<xsl:output method="html" media-type="text/html" omit-xml-declaration="yes" indent="yes" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>

<!-- CDC Cerqual V2 - 07/03/2013 - v1.1 du 26/04/2013 -->

<xsl:param name="depot"/>
	<xsl:strip-space elements="*"/>
<xsl:template match="/">
	<html>
		<head>
			<title>Récapitulatif standardisé d'étude thermique RT2012 - V1.1</title>
			<link rel="stylesheet" type="text/css" href="css/rt2012.css"/>
			<link rel="stylesheet" type="text/css" href="css/jquery.jqplot.min.css"/>
			<link rel="stylesheet" type="text/css" href="css/graphiques.css"/>
			<!-- nécessaire pour IE inferieur 9 -->			
			<script language="javascript" type="text/javascript" src="plugins/excanvas.min.js"></script>
			<!-- JQUERY -->
			<script language="javascript" type="text/javascript" src="plugins/jquery.min.js"></script>
			<!-- graphiques -->
			<script language="javascript" type="text/javascript" src="plugins/jquery.jqplot.min.js"></script>
			<script language="javascript" type="text/javascript" src="plugins/jqplot.categoryAxisRenderer.min.js"></script>
			<script language="javascript" type="text/javascript" src="plugins/jqplot.dateAxisRenderer.min.js"></script>
			<script language="javascript" type="text/javascript" src="plugins/jqplot.barRenderer.min.js"></script>
			<script language="javascript" type="text/javascript" src="plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
			<script language="javascript" type="text/javascript" src="plugins/jqplot.canvasTextRenderer.min.js"></script>
			<script language="javascript" type="text/javascript" src="plugins/jqplot.canvasAxisLabelRenderer.min.js"></script>
			<script language="javascript" type="text/javascript" src="plugins/jqplot.pieRenderer.min.js"></script>
		</head>
		<body id="top">
			
			<div id="global">
			
				<div id="entete">
				
					<table border="0" class="encadre_rt2012" width="100%">
						<tr>
							<td id="logo"><img src="images/logo_grenelle.png" alt="Logo" width="155" height="190"/></td>
							<td>
								<h1>Réglementation Thermique 2012</h1>
								<h2>Cadre standard de présentation du « Récapitulatif Standardisé d'Etude Thermique »</h2>
								<ul>
									<li><strong>Opération&#160;:</strong>&#160;<xsl:value-of select="/projet/Datas_Comp/donnees_generales/operation/name"/></li>
									<li><strong>Etude thermique du&#160;:</strong>&#160;<xsl:value-of select="format-number(substring(/projet/Datas_Comp/donnees_generales/BET/date_etude, 9, 2), '00')"/><xsl:text>/</xsl:text><xsl:value-of select="format-number(substring(/projet/Datas_Comp/donnees_generales/BET/date_etude, 6, 2), '00')"/><xsl:text>/</xsl:text><xsl:value-of select="format-number(substring(/projet/Datas_Comp/donnees_generales/BET/date_etude, 1, 4), '0000')"/></li>
									<li><strong>Logiciel et version&#160;:</strong>&#160;<xsl:value-of select="/projet/Datas_Comp/donnees_generales/BET/editeur_logiciel"/>,&#160;<xsl:value-of select="projet/Datas_Comp/donnees_generales/BET/nom_logiciel"/>,&#160;<xsl:value-of select="/projet/Datas_Comp/donnees_generales/BET/version_logiciel"/></li>
									<li><strong>Version moteur CSTB Th-BCE 2012&#160;:</strong>&#160;<xsl:value-of select="/projet/Entree_Projet/Version"/> - <strong>Mode de calcul utilisé&#160;:</strong>&#160;
										<xsl:choose>
											<xsl:when test="/projet/Entree_Projet/Simu/Mode = 0"><span class="ko">Th-B</span></xsl:when>
											<xsl:when test="/projet/Entree_Projet/Simu/Mode = 1"><span class="ko">Th-C</span></xsl:when>
											<xsl:when test="/projet/Entree_Projet/Simu/Mode = 2"><span class="ko">Th-E</span></xsl:when>
											<xsl:when test="/projet/Entree_Projet/Simu/Mode = 3"><span class="ok">Th-BCE</span></xsl:when>
										</xsl:choose></li>
									<!--<li><strong><span style="background-color:yellow;">CDC Cerqual V2RC - 07/03/2013</span></strong></li>-->
									<div class="debug"><li><strong>Version schéma utilisé&#160;:</strong>&#160;<xsl:value-of select="/projet/@idxsd"/></li></div>
								</ul>
							</td>
						</tr>
					</table>
				
				</div>
				
				<div id="intro">
					<p>Version en cours - schéma XSD/XSL : <strong>V1.0</strong> (E/S moteur <strong><xsl:value-of select="/projet/Entree_Projet/Version"/></strong>)</p>
				</div>
				
				<div id="document">
					
					<div id="sommaire">
					
						<h2>Sommaire</h2>
						<ul>
							<li><strong>Chapitre 1</strong> : <a href="#chap1">Données administratives de l'opération</a> (<em>"<xsl:value-of select="/projet/Datas_Comp/donnees_generales/operation/name"/>"</em>)</li>
						</ul>
						
						<ul>
							<li><strong>Chapitre 2</strong> : Expression des exigences de performance énergétique et des exigences de moyens
								<ul>
									<li>Données générales sur le bâtiment -<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment">&#160;<a href="#chap21-{Index}">Bât.<xsl:value-of select="Index"/></a></xsl:for-each></li>
									<li>Exigences de performance énergétique -<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment">&#160;<a href="#chap22-{Index}">Bât.<xsl:value-of select="Index"/></a></xsl:for-each>
										<ul>
											<li>Résultats du besoin bioclimatique conventionnel Bbio en énergie du bâtiment -<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment">&#160;<a href="#chap221-{Index}">Bât.<xsl:value-of select="Index"/></a></xsl:for-each></li>
										</ul>
									</li>
									<li>Exigence de moyens -<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment">&#160;<a href="#chap225-{Index}">Bât.<xsl:value-of select="Index"/></a></xsl:for-each></li>
								</ul>
							</li>
						</ul>

						<ul>
							<li><strong>Chapitre 3</strong> : Indicateurs pédagogiques du Bbio, Cep et Tic du bâtiment
								<ul>
									<li>Indicateurs de présentation du besoin bioclimatique Bbio
										<ul>
											<li>Répartition mensuelle du besoin bioclimatique Bbio par bâtiment -<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment">&#160;<a href="#chap313-{Index}">Bât.<xsl:value-of select="Index"/></a></xsl:for-each></li>
										</ul>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				
					<!-- Construction du document, appel des differents templates -->
					
					<!-- Chapitre 1 : Données administratives de l'opération -->
					
					<xsl:for-each select="/projet">	
						
						<p class="top"><a href="#top">haut de page</a></p>
						<h2 id="chap1"><span>Chapitre 1 :</span> Données administratives de l'opération</h2>
							<xsl:apply-templates select="." mode="donnees_admin_projet"/>
						
						
					</xsl:for-each>
				
					<!-- Chapitre 2 : Exigence des résultats conventionnels et exigences de moyens -->
					
					<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment">
						<xsl:variable name="bati_id" select="Index"/>				
						
						
						<p class="top"><a href="#top">haut de page</a></p>
						<h2 id="chap2{Index}"><span>Chapitre 2 :</span> Expression des exigences de performance énergétique et des exigences de moyens</h2>
						
						<p class="batiment">Bâtiment : <strong><xsl:value-of select="Name"/></strong></p>
						
						<p class="top"><a href="#top">haut de page</a></p>
						<h3 id="chap21-{Index}">Données générales sur le bâtiment</h3>
						<xsl:apply-templates select="." mode="donnees_generales_bat"/>
						
						<p class="top"><a href="#top">haut de page</a></p>
						<h3 id="chap22-{Index}">Exigences de résultats conventionnels</h3>
						
						<h4 id="chap220-{Index}">Exigences de performance énergétique</h4>
						<xsl:apply-templates select="." mode="exigences1"/>

						<h4 id="chap221-{Index}">Résultats du besoin bioclimatique conventionnel Bbio en énergie du bâtiment</h4>
						<xsl:apply-templates select="." mode="resultats_bbio"/>					
						<h4 id="chap225-{Index}">Exigences de moyens et caractéristiques thermiques</h4>
						<xsl:apply-templates select="." mode="exi_moyens"/>
						
					</xsl:for-each>
					
					<!-- Chapitre 3 : Indicateurs pédagogiques du Bbio, Cep et Tic du bâtiment -->
					
					<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment">
						
						<xsl:variable name="bati_id" select="Index"/>
						
						
						<p class="top"><a href="#top">haut de page</a></p>
						<h2 id="chap3-{Index}"><span>Chapitre 3 :</span> Indicateurs pédagogiques du Bbio, Cep et Tic du bâtiment</h2>
						
						<p class="batiment">Bâtiment : <strong><xsl:value-of select="Name"/></strong></p>
						
						<p class="top"><a href="#top">haut de page</a></p>
						<h3>Indicateurs pédagogiques de présentation du besoin bioclimatique Bbio</h3>
						
						<!-- Répartition mensuelle du besoin bioclimatique Bbio par bâtiment -->
						<a name="chap313-{Index}"></a>
						<xsl:apply-templates select="." mode="graphique3"/>
						
						
					</xsl:for-each>
				
				</div>
				
			</div>
			
		</body>
	</html>
</xsl:template>

<!--
	
	TEMPLATE : Répartition mensuelle du besoin bioclimatique Bbio par bâtiment
	
-->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="graphique3">
<xsl:variable name="id_bat" select="Index"/>
	<xsl:variable name="bati" select="concat('repbio', Index)"/>
	<div style="page-break-inside:avoid">
	
		<h4>Répartition mensuelle du besoin bioclimatique Bbio par bâtiment (<span><xsl:value-of select="Name"/></span>)</h4>
	
		<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]">
			
		
			<div id="{$bati}" class="plot" style="width: 550px; height: 350px;"/>
			<script type="text/javascript" language="javascript">
				$(document).ready(function(){

				var line1 = [<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_B_Ch_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];			
				
				var line2 = [<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_B_Fr_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];	
				
				var line3 = [<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_B_Ecl_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];	
				
				var tickers2 = [1,2,3,4,5,6,7,8,9,10,11,12];
						
						plot1 = $.jqplot('<xsl:value-of select="$bati"/>', [line1, line2, line3], {
							grid: {shadow: false},
							seriesColors: [ "#E74821", "#67A6F1", "#F5F138"],
							stackSeries: true,
							legend: {
									renderer: $.jqplot.EnhancedLegendRenderer,
									show: true,
									placement:'outsideGrid',
									marginLeft: '25px',
									marginTop: '0px'
							},
							
							seriesDefaults: {
								renderer: $.jqplot.BarRenderer,
								rendererOptions: {
									shadow: false
								}				 
							},
							
							series: [{
								label: 'Chaud'
							},
							{
								label: 'Froid'
							},{
								label: 'Eclairage'
							}],
							
							
							axes: {
								xaxis: {
									renderer: $.jqplot.CategoryAxisRenderer,
									label:'Mois',
									labelOptions: {
									enableFontSupport: true,
									fontFamily: 'Arial',
									fontSize: '10pt'
									},
									ticks: tickers2         
								},
								yaxis: {
									labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
									autoscale:true,
									min:0,
									//tickInterval: 20,

									label:'En points Bbio',
										labelOptions: {
										enableFontSupport: true,
										fontFamily: 'Arial',
										fontSize: '10pt'
										},
									tickOptions:{formatString:'%d'}
										
								}
							}	
						});
				});
			</script>
		</xsl:for-each>
	</div>
</xsl:template>








<xsl:template match="/projet/Sortie_Projet/Sortie_Generation_Collection" mode="graphique6">
<xsl:variable name="id_bat" select="Sortie_Generation/Index"/>

	<h4>Données techniques sur le taux de charge des générateurs de chauffage, de froid et/ou d'eau chaude sanitaire du projet</h4>	
	
	<xsl:if test="count(//Sortie_Generateur_Collection/Sortie_Generateur) &gt; 2">
		<p class="note">Les 2 générateurs les plus représentatifs du <b>projet</b></p>
	</xsl:if>
	<!-- taux de charge CHAUD, FROID, ECS -->

	<xsl:for-each select="//Sortie_Generateur_Collection/Sortie_Generateur">
	<!-- on prend les 2 generateurs les plus représentatifs du projet trié par puissance -->
	<xsl:sort select="Q_fou_3_postes" data-type="number" order="descending"/>	
		<xsl:if test="position() &lt; 3">
			
			<p class="debug">gech<xsl:value-of select="$id_bat"/>_<xsl:value-of select="Index"/></p>
			
			<div style="page-break-inside:avoid">
			<!-- on test si toute les valeurs ne sont pas à 0 -->
			<xsl:choose>
			<xsl:when test="Nbhcharge_0_10_ch+Nbhcharge_10_20_ch+Nbhcharge_20_30_ch+Nbhcharge_30_40_ch+Nbhcharge_40_50_ch+Nbhcharge_50_60_ch+Nbhcharge_60_70_ch+Nbhcharge_70_80_ch+Nbhcharge_80_90_ch+Nbhcharge_90_100_ch &gt; 0">
				
			<h5>Générateur : <span>"<xsl:value-of select="Name"/>"</span>, mode chauffage</h5>	
				<div id="gech{$id_bat}_{Index}_{position()}" class="plot" style="width:500px; height:330px;">
								
					<script type="text/javascript" language="javascript">
						 $(document).ready(function(){

							var line1 = [<xsl:value-of select="Nbhcharge_0_10_ch"/>,<xsl:value-of select="Nbhcharge_10_20_ch"/>,<xsl:value-of select="Nbhcharge_20_30_ch"/>,<xsl:value-of select="Nbhcharge_30_40_ch"/>,<xsl:value-of select="Nbhcharge_40_50_ch"/>,<xsl:value-of select="Nbhcharge_50_60_ch"/>,<xsl:value-of select="Nbhcharge_60_70_ch"/>,<xsl:value-of select="Nbhcharge_70_80_ch"/>,<xsl:value-of select="Nbhcharge_80_90_ch"/>,<xsl:value-of select="Nbhcharge_90_100_ch"/>];
							
							var tickers = ['0-10','10-20','20-30','30-40','40-50','50-60','60-70','70-80','80-90','90-100'];
								
							chart = $.jqplot('gech<xsl:value-of select="$id_bat"/>_<xsl:value-of select="Index"/>_<xsl:value-of select="position()"/>', [line1], {
								grid: {shadow: false},
								seriesColors: [ "#CA0000"],
								
							legend: {
								show: false,
								location: 'n'
							},
								
								seriesDefaults: {
									renderer: $.jqplot.BarRenderer,
									rendererOptions: {
										shadow: false
									}
								},
								axes: {
									xaxis: {
									
									renderer: $.jqplot.CategoryAxisRenderer,
										min:0, max:100,
										ticks: tickers,
										label:'Taux de charge par pas de 10%',
										labelOptions: {
										enableFontSupport: true,
										fontFamily: 'Arial',
										fontSize: '10pt'
										}
									},
									yaxis: {
										labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
										min:0, 
										autoscale:true,
										label:'Nombre d\'heures de fonctionnement',
										labelOptions: {
										enableFontSupport: true,
										fontFamily: 'Arial',
										fontSize: '10pt'
										},
										tickOptions:{formatString:'%d'}
									}
								}	
							});
						});
						
					</script>
				</div>
				
				
				<p class="note">- Nombre d'heures annuelles à taux de charge nulle : <strong><xsl:value-of select="Nbhcharge_0_ch"/></strong><br/>- Nombre d'heures annuelles hors fonctionnement : <strong><xsl:value-of select="Nbhcharge_HF_ch"/></strong></p>	
				
			</xsl:when>
			<!--<xsl:otherwise><xsl:call-template name="gen_ch_fr_ecs"/></xsl:otherwise>-->
			
			
			</xsl:choose>
			<!-- fin test si toute valeur = 0 -->
			</div>
			
			
			<!-- FROID -->
			
			<div style="page-break-inside:avoid">
				
				

			<!-- on test si toute les valeurs ne sont pas à 0 -->
			<xsl:choose>
			<xsl:when test="Nbhcharge_0_10_fr+Nbhcharge_10_20_fr+Nbhcharge_20_30_fr+Nbhcharge_30_40_fr+Nbhcharge_40_50_fr+Nbhcharge_50_60_fr+Nbhcharge_60_70_fr+Nbhcharge_70_80_fr+Nbhcharge_80_90_fr+Nbhcharge_90_100_fr &gt; 0">
			<h5>Générateur : <span>"<xsl:value-of select="Name"/>"</span>, mode refroidissement</h5>	
					
				<div id="gefr{$id_bat}_{Index}_{position()}" class="plot" style="margin-top:0px; margin-left:0px; width:500px; height:330px;">
					<script type="text/javascript" language="javascript">
						 $(document).ready(function(){

							var line1 = [<xsl:value-of select="Nbhcharge_0_10_fr"/>,<xsl:value-of select="Nbhcharge_10_20_fr"/>,<xsl:value-of select="Nbhcharge_20_30_fr"/>,<xsl:value-of select="Nbhcharge_30_40_fr"/>,<xsl:value-of select="Nbhcharge_40_50_fr"/>,<xsl:value-of select="Nbhcharge_50_60_fr"/>,<xsl:value-of select="Nbhcharge_60_70_fr"/>,<xsl:value-of select="Nbhcharge_70_80_fr"/>,<xsl:value-of select="Nbhcharge_80_90_fr"/>,<xsl:value-of select="Nbhcharge_90_100_fr"/>];
						
						
						var tickers = ['0-10','10-20','20-30','30-40','40-50','50-60','60-70','70-80','80-90','90-100'];
								
								chart = $.jqplot('gefr<xsl:value-of select="$id_bat"/>_<xsl:value-of select="Index"/>_<xsl:value-of select="position()"/>', [line1], {
									grid: {shadow: false},
									seriesColors: [ "#1F7DCB"],
									seriesDefaults: {
										renderer: $.jqplot.BarRenderer,
										rendererOptions: {
											shadow: false
										}
									},
									axes: {
										xaxis: {
										
										renderer: $.jqplot.CategoryAxisRenderer,
											min:0, max:100,
											ticks: tickers,
											label:'Taux de charge par pas de 10%',
											labelOptions: {
												enableFontSupport: true,
												fontFamily: 'Arial',
												fontSize: '10pt'
											}
										},
										yaxis: {
											labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
											label:'Nombre d\'heures de fonctionnement',
											min:0, 
											autoscale:true,
											labelOptions: {
												enableFontSupport: true,
												fontFamily: 'Arial',
												fontSize: '10pt'
											},
											tickOptions:{formatString:'%d'}								
										}
									}	
								});
						});
					</script>
				</div>
				
				<p class="note">- Nombre d'heures annuelles à taux de charge nulle : <strong><xsl:value-of select="Nbhcharge_0_fr"/></strong><br/>- Nombre d'heures annuelles hors fonctionnement : <strong><xsl:value-of select="Nbhcharge_HF_fr"/></strong></p>
				
			</xsl:when>
			
			<!--<xsl:otherwise><xsl:call-template name="gen_ch_fr_ecs"/></xsl:otherwise>-->
			</xsl:choose>
			</div>
			
			
			<div style="page-break-inside:avoid">
				
				
			<!-- on test si toute les valeurs ne sont pas à 0 -->
			<xsl:choose>
			<xsl:when test="Nbhcharge_0_10_ECS+Nbhcharge_10_20_ECS+Nbhcharge_20_30_ECS+Nbhcharge_30_40_ECS+Nbhcharge_40_50_ECS+Nbhcharge_50_60_ECS+Nbhcharge_60_70_ECS+Nbhcharge_70_80_ECS+Nbhcharge_80_90_ECS+Nbhcharge_90_100_ECS &gt; 0">
			<h5>Générateur : <span>"<xsl:value-of select="Name"/>"</span>, mode ECS</h5>
			
				<div id="gecs{$id_bat}_{Index}_{position()}" class="plot" style="width:500px; height:320px;">
			
					<script type="text/javascript" language="javascript">
						 $(document).ready(function(){

							var line1 = [<xsl:value-of select="Nbhcharge_0_10_ECS"/>,<xsl:value-of select="Nbhcharge_10_20_ECS"/>,<xsl:value-of select="Nbhcharge_20_30_ECS"/>,<xsl:value-of select="Nbhcharge_30_40_ECS"/>,<xsl:value-of select="Nbhcharge_40_50_ECS"/>,<xsl:value-of select="Nbhcharge_50_60_ECS"/>,<xsl:value-of select="Nbhcharge_60_70_ECS"/>,<xsl:value-of select="Nbhcharge_70_80_ECS"/>,<xsl:value-of select="Nbhcharge_80_90_ECS"/>,<xsl:value-of select="Nbhcharge_90_100_ECS"/>];
							
							var tickers = ['0-10','10-20','20-30','30-40','40-50','50-60','60-70','70-80','80-90','90-100'];
								
							chart = $.jqplot('gecs<xsl:value-of select="$id_bat"/>_<xsl:value-of select="Index"/>_<xsl:value-of select="position()"/>', [line1], {
									grid: {shadow: false},
									seriesColors: [ "#D0CB0D"],
									
								legend: {
									show: false,
									location: 'n'
								},
									
									seriesDefaults: {
										renderer: $.jqplot.BarRenderer,
										rendererOptions: {
											shadow: false
											// barPadding: 6,
											// barMargin: 15,
											//barWidth: 40
										}
									},
									axes: {
										xaxis: {
										
										renderer: $.jqplot.CategoryAxisRenderer,
											min:0, max:100,
											ticks: tickers,
											label:'Taux de charge par pas de 10%',
											labelOptions: {
												enableFontSupport: true,
												fontFamily: 'Arial',
												fontSize: '10pt'
											}
										},
										yaxis: {
											labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
											min:0, 
											autoscale:true,
											label:'Nombre d\'heures de fonctionnement',
											labelOptions: {
											enableFontSupport: true,
											fontFamily: 'Arial',
											fontSize: '10pt'
											},
											tickOptions:{formatString:'%d'}
										}
									}	
								});
						});
					</script>
				</div>
				<p class="note">- Nombre d'heures annuelles à taux de charge nulle : <strong><xsl:value-of select="Nbhcharge_0_ECS"/></strong><br/>- Nombre d'heures annuelles hors fonctionnement : <strong><xsl:value-of select="Nbhcharge_HF_ECS"/></strong></p>
			</xsl:when>	
			

			</xsl:choose>
			</div>
				
		</xsl:if>
	</xsl:for-each>
	
</xsl:template>









<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="graphique8">
	<xsl:variable name="id_bat" select="Index"/>
	<xsl:variable name="batiprodb" select="concat('cepf',Index,3)"/>
	
	<h4>Répartition mensuelle des postes de consommations conventionnelles d'énergie et de production d'énergie entrant dans le calcul de Cep - <span>(<xsl:value-of select="Name"/>)</span></h4>
	

	<p class="debug">DEBUG : idgraph = <xsl:value-of select="$batiprodb"/></p>
	
	<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">
	
		<!-- test si données présentes pour générer le graphique -->
		<xsl:choose>
	
			<xsl:when test="sum(O_Cep_ch_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_fr_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_ecs_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_ecl_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_aux_distribution_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_ep_Pro_PV_mois/Sortie_Mensuelle/Valeur) =0">
				<xsl:call-template name="pb_graphiques"/>
			</xsl:when>
			<xsl:when test="count(O_Cep_ch_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_fr_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_ecs_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_ecl_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_aux_distribution_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_ep_Pro_PV_mois/Sortie_Mensuelle/Valeur) !=12">
				<xsl:call-template name="pb_graphiques"/>
			</xsl:when>
			
			<xsl:otherwise>
		
				<div align="center">
					<div id="{$batiprodb}" class="plot" style="width:660px; height:350px;"/>
				</div>
					
					<script type="text/javascript" language="javascript">
						$(document).ready(function(){
					
					
							var line1 = [<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>	];
							
							var line2 = [<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line3 = [<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line4 = [<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line5 = [<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line6 = [<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>, <xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line7 = [-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,-<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>, -<xsl:value-of select="O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var tickers2 = [1,2,3,4,5,6,7,8,9,10,11,12];
							
							plot1 = $.jqplot('<xsl:value-of select="$batiprodb"/>', [line1, line2, line3, line4, line5, line6, line7], {
								seriesColors: [ "#F45000", "#73C4EA", "#99CC00","#CCFFFF", "#FFCC00", "#9885CF", "#6A4F62"],
								stackSeries: true,
								legend: {
									renderer: $.jqplot.EnhancedLegendRenderer,
									show: true,
									placement:'outsideGrid',
									marginLeft: '25px',
									marginTop: '0px'
								},
								seriesDefaults: {
									fill:true, 
									fillToZero:true,
									renderer: $.jqplot.BarRenderer,
									rendererOptions: {
										barPadding: 9
									}
								},
								
								// ancien systeme avec ligne negative
								//series: [{label: 'Chauffage'},{label: 'refroidissement'},{label: 'ECS'},{label: 'Eclairage'},{label: 'Auxil ventilation'},{label: 'Auxil distribution'},{label: 'Production d\'électricité', disableStack:true, fillToZero:true, fill:false, useNegativeColors: false, renderer:$.jqplot.LineRenderer,showMarker:false, pointLabels: {edgeTolerance: 5} }],
								
								// modification barres negatives jqplot 1.0.3
								series: [{label: 'Chauffage'},{label: 'refroidissement'},{label: 'ECS'},{label: 'Eclairage'},{label: 'Auxil ventilation'},{label: 'Auxil distribution'},{label: 'Production d\'électricité'}],							
							
							
								axes: {
									xaxis: {
										renderer: $.jqplot.CategoryAxisRenderer,
										label:'Mois',
										labelOptions: {
										enableFontSupport: true,
										fontFamily: 'Arial',
										fontSize: '10pt'
										},
										ticks: tickers2         
									},
									yaxis: {
										labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
										label:'kWh Energie primaire/m2 SRT',
										labelOptions: {
										enableFontSupport: true,
										fontFamily: 'Arial',
										fontSize: '10pt'
										},	
										//tickInterval:2,
										autoscale:true
									}
								}	
							});
						});
					</script>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:for-each>
	

</xsl:template>









<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="graphique9">
	<xsl:variable name="id_bat" select="Index"/>
	<xsl:variable name="reparconso" select="concat('reparconso',Index)"/>
	
	<h4>Répartition annuelle des postes de consommations conventionnelles d'énergie dans le calcul de Cep pour le bâtiment  - <span>(<xsl:value-of select="Name"/>)</span></h4>

<xsl:choose>
	<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C">
	<table border="0" cellpadding="0" cellspacing="0" class="position" width="100%">	
		<tr>
			<td class="left">
				<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
					<thead>
						<tr>
							<th width="60%">Postes</th>
							<th>
								kWh (ep)
							</th>
						</tr>										
					</thead>
					<tbody>
						<tr>
							<td width="60%">Chauffage</td>
							<td align="center">
								<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ch_annuel,'#&#160;##0,##', 'fr')"/>
							</td>
						</tr>
						<tr>
							<td>Refroidissement</td>
							<td align="center">
								<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_fr_annuel,'#&#160;##0,##', 'fr')"/>
							</td>
						</tr>
						<tr>
							<td>ECS</td>
							<td align="center">
								<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ecs_annuel,'#&#160;##0,##', 'fr')"/>
							</td>
						</tr>
						<tr>
							<td>Eclairage</td>
							<td align="center">
								<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ecl_annuel,'#&#160;##0,##', 'fr')"/>
							</td>
						</tr>
						<tr>
							<td>Auxil. ventilation</td>
							<td align="center">
								<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_aux_ventilateur_annuel,'#&#160;##0,##', 'fr')"/>
							</td>
						</tr>
						<tr>
							<td>Auxil. distribution</td>
							<td align="center">
								<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_aux_distribution_annuel,'#&#160;##0,##', 'fr')"/>
							</td>
						</tr>
					</tbody>
				</table>
			</td>
			<td class="right">
				<xsl:choose>
					<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ch_annuel = 0 and /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_fr_annuel = 0 and /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ecs_annuel = 0 and /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ecl_annuel = 0 and /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_aux_ventilateur_annuel = 0 and /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_aux_distribution_annuel = 0">
						<xsl:call-template name="pb_graphiques"/>
					</xsl:when>
					<xsl:otherwise>
						<div id="{$reparconso}" class="plot" style="width:400px; height:300px;"/>
						<script type="text/javascript" language="javascript">
							 $(document).ready(function(){

								var optionsObj = {
									grid: {shadow: false},
								   seriesColors: ["#F45000","#00CCFF","#FF9900","#FFFF37","#99CC00","#9885CF"],
								   seriesDefaults: {
									  renderer: $.jqplot.PieRenderer,
									  rendererOptions: { showDataLabels: true,  shadow: false, dataLabelThreshold:1, dataLabelPositionFactor:0.80, highlightMouseOver:false  }
								   }, legend: { show:true, location: 'e' }
								};

								var line1 = [['Chauffage', <xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ch_annuel"/>],['Refroidissement', <xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_fr_annuel"/>],['ECS', <xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ecs_annuel"/>],['éclairage', <xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ecl_annuel"/>],['Auxil ventilation', <xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_aux_ventilateur_annuel"/>],['Auxil distribution', <xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_aux_distribution_annuel"/>]];
								
								chart = $.jqplot('<xsl:value-of select="$reparconso"/>', [line1], optionsObj);

							});
						</script>
					</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
	</table>
	</xsl:when>
	<xsl:otherwise><span class="warning"><i>Données de sortie manquantes</i></span></xsl:otherwise></xsl:choose>
</xsl:template>









<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="graphique10">
	<xsl:variable name="bati" select="Index"/>	

	<h4>Répartition mensuelle des postes de consommations conventionnelles d'énergie des zones  - <span>(<xsl:value-of select="Name"/>)</span></h4>

<p class="debug">mois 1 : <xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$bati]/Sortie_Zone_C_Collection/Sortie_Zone_C[position() &lt; 6]/O_Cep_ch_mois/Sortie_Mensuelle[Mois=1]/Valeur"/></p>
	
	<xsl:variable name="shonrtbat" select="O_Shon_RT"/>
	
	<!-- on prend que les 5 premieres zones pour les graphiques -->
	<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$bati]/Sortie_Zone_C_Collection/Sortie_Zone_C[position() &lt; 6]">
	
		<h6>Zone <span>"<xsl:value-of select="Name"/>"</span> du bâtiment <span>"<xsl:value-of select="../../Name"/>"</span></h6>
		
		
		<xsl:choose>
	
			<xsl:when test="sum(O_Cep_ch_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_fr_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_ecs_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_ecl_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle/Valeur) =0 and sum(O_Cep_aux_distribution_mois/Sortie_Mensuelle/Valeur) =0">
				<xsl:call-template name="pb_graphiques"/>
			</xsl:when>		
			<xsl:when test="count(O_Cep_ch_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_fr_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_ecs_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_ecl_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle/Valeur) !=12 and count(O_Cep_aux_distribution_mois/Sortie_Mensuelle/Valeur) !=12">
				<xsl:call-template name="pb_graphiques"/>
			</xsl:when>		
			
			<xsl:otherwise>
			<div align="center">
				<div id="pconso{$bati}_{Index}_z" class="plot" style="width:650px; height:320px;"/>
			</div>
					<script type="text/javascript" language="javascript">
						$(document).ready(function(){
											
							var line1 = [<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_ch_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];							
							
							var line2 = [<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_fr_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line3 = [<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_ecs_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line4 = [<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_ecl_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line5 = [<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];
							
							var line6 = [<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=1]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=2]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=3]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=4]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=5]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=6]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=7]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=8]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=9]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=10]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=11]/Valeur"/>,<xsl:value-of select="O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=12]/Valeur"/>];

							
							var tickers2 = [1,2,3,4,5,6,7,8,9,10,11,12];
								
							plot1 = $.jqplot('pconso<xsl:value-of select="$bati"/>_<xsl:value-of select="Index"/>_z', [line1, line2, line3,line4, line5, line6], {
								grid: {shadow: false},
								seriesColors: [ "#F45000", "#73C4EA", "#FF9933","#F5F138", "#99CC00", "#9885CF"],
								stackSeries: true,
								legend: {
									renderer: $.jqplot.EnhancedLegendRenderer,
									show: true,
									placement:'outsideGrid',
									marginLeft: '25px',
									marginTop: '0px'
								},
								seriesDefaults: {
									renderer: $.jqplot.BarRenderer,
									rendererOptions: {
										shadow: false
									}
								},
								
								series: [{label: 'chauffage'},{label: 'refroidissement'},{label: 'ECS'},{label: 'éclairage'},{label: 'Auxil ventilation'},{label: 'Auxil distribution'}],
							
								axes: {
									xaxis: {
										renderer: $.jqplot.CategoryAxisRenderer,
										label:'Mois',
										labelOptions: {
										enableFontSupport: true,
										fontFamily: 'Arial',
										fontSize: '10pt'
										},
										ticks: tickers2         
									},
									yaxis: {
										labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
										label:'kWh ep/m2 SRT',
										labelOptions: {
										enableFontSupport: true,
										fontFamily: 'Arial',
										fontSize: '10pt'
										},										
										autoscale:true

									}
								}	
							});
						});
					</script>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:for-each>
	
</xsl:template>










<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="graphique11">
<xsl:variable name="bati" select="Index"/>
	
<h4>Indicateurs de présentation de la température intérieure conventionnelle atteinte en été Tic  - <span>(<xsl:value-of select="Name"/>)</span></h4>

<xsl:choose>
	<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_E_Collection/Sortie_Batiment_E[Index=$bati]/Sortie_Zone_E_Collection/Sortie_Zone_E/Sortie_Groupe_E_Collection/Sortie_Groupe_E[O_Type_Groupe != 2]">


	<h6>Evolution horaire des températures atteintes en été de Tic et Tic<sub>réf</sub> sur le dernier jour de la séquence la plus chaude pour les <span class="important">groupes</span> du bâtiment, de catégorie CE1</h6>
	
	<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_E_Collection/Sortie_Batiment_E[Index=$bati]/Sortie_Zone_E_Collection/Sortie_Zone_E/Sortie_Groupe_E_Collection/Sortie_Groupe_E[O_Type_Groupe != 2]">
			<xsl:sort select="O_Tic - O_Tic_Ref" data-type="number" order="ascending"/>			
				<xsl:if test="position() &lt; 6">
	
				<p class="groupe">Groupe : <strong><xsl:value-of select="Name"/></strong></p>

		<xsl:choose>
			
			<!-- on test si il y a les valeurs -->
			<xsl:when test="(count(O_Tic_h/Sortie_Horaire/Valeur) != 24 or count(O_Tic_ref_h/Sortie_Horaire/Valeur) != 24 or sum(../../Isr_Horiz/Sortie_Horaire/Valeur) = 0 or sum(../../Theta_Ext/Sortie_Horaire/Valeur) = 0)">
				<xsl:call-template name="pb_graphiques"/>
			</xsl:when>			
			
			<xsl:when test="sum(O_Tic_h/Sortie_Horaire/Valeur)=0">
				<xsl:call-template name="pb_graphiques"/>
			</xsl:when>
			
			<xsl:otherwise>
							
				<div id="tic{$bati}_{../Index}_{Index}_g" class="plot" style="width:650px; height:470px;">
				
					<script type="text/javascript" language="javascript">
						 $(document).ready(function(){
						
							var line1 = [<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=0]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=1]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=2]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=3]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=4]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=5]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=6]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=7]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=8]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=9]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=10]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=11]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=12]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=13]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=14]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=15]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=16]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=17]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=18]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=19]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=20]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=21]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=22]/Valeur"/>,<xsl:value-of select="../../Isr_Horiz/Sortie_Horaire[Heure=23]/Valeur"/>];
							
							var line2 = [<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=0]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=1]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=2]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=3]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=4]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=5]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=6]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=7]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=8]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=9]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=10]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=11]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=12]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=13]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=14]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=15]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=16]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=17]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=18]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=19]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=20]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=21]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=22]/Valeur"/>,<xsl:value-of select="O_Tic_h/Sortie_Horaire[Heure=23]/Valeur"/>];

							var line3 = [<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=0]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=1]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=2]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=3]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=4]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=5]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=6]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=7]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=8]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=9]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=10]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=11]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=12]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=13]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=14]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=15]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=16]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=17]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=18]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=19]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=20]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=21]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=22]/Valeur"/>,<xsl:value-of select="O_Tic_ref_h/Sortie_Horaire[Heure=23]/Valeur"/>];

							var line4 = [<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=0]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=1]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=2]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=3]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=4]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=5]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=6]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=7]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=8]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=9]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=10]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=11]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=12]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=13]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=14]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=15]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=16]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=17]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=18]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=19]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=20]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=21]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=22]/Valeur"/>,<xsl:value-of select="../../Theta_Ext/Sortie_Horaire[Heure=23]/Valeur"/>];
						
							plot1 = $.jqplot('tic<xsl:value-of select="$bati"/>_<xsl:value-of select="../Index"/>_<xsl:value-of select="Index"/>_g', [line1, line2, line3, line4], {

								legend:{show: true, location:'se',xoffset: 175},
								grid: {
									gridLineColor: '#ECECEC', shadow:false
								},
								axes:{
									xaxis:{
										tickOptions:{formatString:'%d'},						
										labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
										min:0, max:24, numberTicks:24,
										label:'Heures',
										autoscale: true,
										labelOptions: {
											enableFontSupport: true,
											fontFamily: 'Arial',
											fontSize: '10pt'
											}
										},
									yaxis:{
										tickOptions:{formatString:'%d'},
										labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
										tickDistribution:'even', 
										min:0, 
										label:'Rayonnement direct normal en W/m2.',
										autoscale: true,
										tickInterval:100,
										labelOptions: {
											enableFontSupport: true,
											fontFamily: 'Arial',
											fontSize: '10pt'
											}

										},
									y2axis:{
										tickOptions:{
											formatString:'%d', showGridline: false
											},
										labelRenderer: $.jqplot.CanvasAxisLabelRenderer,
										min:0, 
										tickInterval:2,
										label:'Température °C',
										autoscale: true,
										labelOptions: {
											enableFontSupport: true,
											fontFamily: 'Arial',
											fontSize: '10pt'
											}										
										}
									},
					
									series:[
										{label:'Rayonnement direct normal', color:'#C0124F', markerOptions:{style:'square', size:7, lineWidth: 1}},
										{label:'Temp. opérative Tic', yaxis:'y2axis', markerOptions:{size:6}},
										{label:'Temp. Ticref', yaxis:'y2axis', markerOptions:{size:6}},
										{label:'Temp. extérieure', yaxis:'y2axis', markerOptions:{size:6}}
									]
								});
							});
					</script>
				</div>
			</xsl:otherwise>
		</xsl:choose>		
		</xsl:if>
		
		
	</xsl:for-each>

	
<p class="note">Tic est la température opérative pour le jour le plus chaud, Tic<sub>réf</sub> est la température opérative de référence pour le jour le plus chaud.<br/>
Le calcul des températures est ménées conformément à la méthode Th-BCE 2012 : calcul mené sur 4 semaines consécutives commençant début juin avec une température initiale de masse de 26°C<br/>
Pour le résidentiel, on retient les résultats du 7ème jour (Dimanche) de la 4ème semaine, et pour le non résidentiel du 5ème jour (vendredi) de la 4ème semaine.<br/>
Le rayonnement global horizontal prend en compte le rayonnement direct horizontal et le rayonnement diffus horizontal<br/>
</p>

</xsl:when>
	<xsl:otherwise><i>Sans objet</i></xsl:otherwise>

</xsl:choose>

</xsl:template>





<!-- ******* Chapitre 1 : Données administratives de l'opération ****** -->
<xsl:template match="/projet" mode="donnees_admin_projet">
	
	<xsl:call-template name="identite">
		<xsl:with-param name="qui">Maître d'ouvrage</xsl:with-param>
		<xsl:with-param name="chemin" select="Datas_Comp/donnees_generales/maitre_ouvrage"/>
		<xsl:with-param name="classtype">mo</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="identite">
		<xsl:with-param name="qui">Maître d'oeuvre</xsl:with-param>
		<xsl:with-param name="chemin" select="Datas_Comp/donnees_generales/maitre_oeuvre"/>
		<xsl:with-param name="classtype">me</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="identite">
		<xsl:with-param name="qui">Bureau d'Etudes Thermiques</xsl:with-param>
		<xsl:with-param name="chemin" select="Datas_Comp/donnees_generales/BET"/>
		<xsl:with-param name="classtype">bet</xsl:with-param>
	</xsl:call-template>

	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 administratif" width="100%">
		<tbody>
			<tr>
				<th width="250">Date de l'étude thermique</th>
				<td>
					<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/BET/date_etude, 9, 2), '00')"/>
					<xsl:text>/</xsl:text>
					<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/BET/date_etude, 6, 2), '00')"/>
					<xsl:text>/</xsl:text>
					<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/BET/date_etude, 1, 4), '0000')"/>
				</td>
			</tr>
			<tr>
				<th>Editeur de logiciel</th>
				<td><xsl:value-of select="Datas_Comp/donnees_generales/BET/editeur_logiciel"/></td>
			</tr>
			<tr>
				<th>Nom du logiciel</th>
				<td><xsl:value-of select="Datas_Comp/donnees_generales/BET/nom_logiciel"/></td>
			</tr>
			<tr>
				<th>Version du logiciel</th>
				<td><xsl:value-of select="Datas_Comp/donnees_generales/BET/version_logiciel"/></td>
			</tr>
			<tr>
				<th>Version du moteur CSTB Th-BCE</th>
				<td><xsl:value-of select="Entree_Projet/Version"/></td>
			</tr>
		</tbody>
	</table>
	
	<xsl:call-template name="identite">
		<xsl:with-param name="qui">Bureau de contrôle</xsl:with-param>
		<xsl:with-param name="chemin" select="Datas_Comp/donnees_generales/bureau_controle"/>
		<xsl:with-param name="classtype">donnees_BC</xsl:with-param>
	</xsl:call-template>
		
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 administratif" width="100%">
		<thead>
			<tr>
				<th colspan="2" class="strong" width="250">Opération</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<th width="250">Numéro Permis</th>
				<td><xsl:value-of select="Datas_Comp/donnees_generales/operation/num_permis"/></td>
			</tr>
			<tr>
				<th>Date du dépôt de demande de PC</th>
				<td>
				<xsl:choose>
					<xsl:when test="Datas_Comp/donnees_generales/operation/date_depot_PC">				
						<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/operation/date_depot_PC, 9, 2), '00')"/>
						<xsl:text>/</xsl:text>
						<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/operation/date_depot_PC, 6, 2), '00')"/>
						<xsl:text>/</xsl:text>
						<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/operation/date_depot_PC, 1, 4), '0000')"/>
					</xsl:when>
					<xsl:otherwise>--/--/--</xsl:otherwise>
				</xsl:choose>					
				</td>
			</tr>
			<!-- additif Cerqual 6/12/2012 -->
			<tr>
				<th>Date de PC</th>
				<td>
				<xsl:choose>
					<xsl:when test="Datas_Comp/donnees_generales/operation/date_obtention_PC">
						<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/operation/date_obtention_PC, 9, 2), '00')"/>
						<xsl:text>/</xsl:text>
						<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/operation/date_obtention_PC, 6, 2), '00')"/>
						<xsl:text>/</xsl:text>
						<xsl:value-of select="format-number(substring(Datas_Comp/donnees_generales/operation/date_obtention_PC, 1, 4), '0000')"/>
					</xsl:when>
					<xsl:otherwise>--/--/--</xsl:otherwise>
				</xsl:choose>
				</td>
			</tr>	
			<tr>
				<th>Stade d'avancement</th>
				<td>Phase 
					<xsl:choose>
						<xsl:when test="Datas_Comp/donnees_generales/operation/avancement=1">Stade Permis de construire</xsl:when>
						<xsl:when test="Datas_Comp/donnees_generales/operation/avancement=2">Stade Provisoire dossier DCE</xsl:when>
						<xsl:when test="Datas_Comp/donnees_generales/operation/avancement=3">Dossier Marchés, Stade Réception</xsl:when>	
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<th>Nom</th>
				<td><xsl:value-of select="Datas_Comp/donnees_generales/operation/name"/></td>
			</tr>
			<tr>
				<th>Adresse</th>
				<td>
					<xsl:value-of select="Datas_Comp/donnees_generales/operation/adresse/ligne[1]"/>
					<br/>
					<xsl:value-of select="Datas_Comp/donnees_generales/operation/adresse/ligne[2]"/>
					<br/>
					<xsl:value-of select="Datas_Comp/donnees_generales/operation/adresse/ligne[3]"/>
					<br/>
					<xsl:value-of select="Datas_Comp/donnees_generales/operation/adresse/code_postal"/>&#160;<xsl:value-of select="Datas_Comp/donnees_generales/operation/adresse/ville"/>
				</td>
			</tr>
			<tr>
				<th>Département</th>
				<td>
				<xsl:for-each select="Entree_Projet/Simu">
				<xsl:value-of select="Departement"/> -
					<xsl:choose>
						<xsl:when test="Departement=1">Ain</xsl:when><xsl:when test="Departement=2">Aisne</xsl:when><xsl:when test="Departement=3">Allier</xsl:when><xsl:when test="Departement=4">Alpes-de-Haute-Provence</xsl:when><xsl:when test="Departement=5">Hautes-Alpes</xsl:when><xsl:when test="Departement=6">Alpes-Maritimes</xsl:when><xsl:when test="Departement=7">Ardèche</xsl:when><xsl:when test="Departement=8">Ardennes</xsl:when><xsl:when test="Departement=9">Ariège</xsl:when><xsl:when test="Departement=10">Aube</xsl:when><xsl:when test="Departement=11">Aude</xsl:when><xsl:when test="Departement=12">Aveyron</xsl:when><xsl:when test="Departement=13">Bouches-du-Rhône</xsl:when><xsl:when test="Departement=14">Calvados</xsl:when><xsl:when test="Departement=15">Cantal</xsl:when><xsl:when test="Departement=16">Charente</xsl:when><xsl:when test="Departement=17">Charente-Maritime</xsl:when><xsl:when test="Departement=18">Cher</xsl:when><xsl:when test="Departement=19">Corrèze</xsl:when><xsl:when test="Departement=21">Côte-d'Or</xsl:when><xsl:when test="Departement=22">Côte-d'Armor</xsl:when><xsl:when test="Departement=23">Creuse</xsl:when><xsl:when test="Departement=24">Dordogne</xsl:when><xsl:when test="Departement=25">Doubs</xsl:when><xsl:when test="Departement=26">Drôme</xsl:when><xsl:when test="Departement=27">Eure</xsl:when><xsl:when test="Departement=28">Eure-et-Loire</xsl:when><xsl:when test="Departement=29">Finistère</xsl:when><xsl:when test="Departement=99">Corse-du-Sud</xsl:when><xsl:when test="Departement=100">Haute-Corse</xsl:when><xsl:when test="Departement=30">Gard</xsl:when><xsl:when test="Departement=31">Haute-Garonne</xsl:when><xsl:when test="Departement=32">Gers</xsl:when><xsl:when test="Departement=33">Gironde</xsl:when><xsl:when test="Departement=34">Hérault</xsl:when><xsl:when test="Departement=35">Ille-et-Vilaine</xsl:when><xsl:when test="Departement=36">Indre</xsl:when><xsl:when test="Departement=37">Indre-et-Loire</xsl:when><xsl:when test="Departement=38">Isère</xsl:when><xsl:when test="Departement=39">Jura</xsl:when><xsl:when test="Departement=40">Landes</xsl:when><xsl:when test="Departement=41">Loir-et-Cher</xsl:when><xsl:when test="Departement=42">Loire</xsl:when><xsl:when test="Departement=43">Haute-Loire</xsl:when><xsl:when test="Departement=44">Loire-Atlantique</xsl:when><xsl:when test="Departement=45">Loiret</xsl:when><xsl:when test="Departement=46">Lot</xsl:when><xsl:when test="Departement=47">Lot-et-Garonne</xsl:when><xsl:when test="Departement=48">Lozère</xsl:when><xsl:when test="Departement=49">Maine-et-Loire</xsl:when><xsl:when test="Departement=50">Manche</xsl:when><xsl:when test="Departement=51">Marne</xsl:when><xsl:when test="Departement=52">Haute-Marne</xsl:when><xsl:when test="Departement=53">Mayenne</xsl:when><xsl:when test="Departement=54">Meurthe-et-Moselle</xsl:when><xsl:when test="Departement=55">Meuse</xsl:when><xsl:when test="Departement=56">Morbihan</xsl:when><xsl:when test="Departement=57">Moselle</xsl:when><xsl:when test="Departement=58">Nièvre</xsl:when><xsl:when test="Departement=59">Nord</xsl:when><xsl:when test="Departement=60">Oise</xsl:when><xsl:when test="Departement=61">Orne</xsl:when><xsl:when test="Departement=62">Pas-de-Calais</xsl:when><xsl:when test="Departement=63">Puy-de-Dôme</xsl:when><xsl:when test="Departement=64">Pyrénées-Atlantiques</xsl:when><xsl:when test="Departement=65">Hautes-Pyrénées</xsl:when><xsl:when test="Departement=66">Pyrénées-Orientales</xsl:when><xsl:when test="Departement=67">Bas-Rhin</xsl:when><xsl:when test="Departement=68">Haut-Rhin</xsl:when><xsl:when test="Departement=69">Rhône</xsl:when><xsl:when test="Departement=70">Haute-Saône</xsl:when><xsl:when test="Departement=71">Saône-et-Loire</xsl:when><xsl:when test="Departement=72">Sarthe</xsl:when><xsl:when test="Departement=73">Savoie</xsl:when><xsl:when test="Departement=74">Haute-Savoie</xsl:when><xsl:when test="Departement=75">Paris</xsl:when><xsl:when test="Departement=76">Seine-Maritime</xsl:when><xsl:when test="Departement=77">Seine-et-Marne</xsl:when><xsl:when test="Departement=78">Yvelines</xsl:when><xsl:when test="Departement=79">Deux-Sèvres</xsl:when><xsl:when test="Departement=80">Somme</xsl:when><xsl:when test="Departement=81">Tarn</xsl:when><xsl:when test="Departement=82">Tarn-et-Garonne</xsl:when><xsl:when test="Departement=83">Var</xsl:when><xsl:when test="Departement=84">Vaucluse</xsl:when><xsl:when test="Departement=85">Vendée</xsl:when><xsl:when test="Departement=86">Vienne </xsl:when><xsl:when test="Departement=87">Haute-Vienne</xsl:when><xsl:when test="Departement=88">Vosges</xsl:when><xsl:when test="Departement=89">Yonne</xsl:when><xsl:when test="Departement=90">Ter. de Belfort</xsl:when><xsl:when test="Departement=91">Essonne</xsl:when><xsl:when test="Departement=92">Hauts-de-Seine</xsl:when><xsl:when test="Departement=93">Seine-St-Denis</xsl:when><xsl:when test="Departement=94">Val-de-Marne</xsl:when><xsl:when test="Departement=95">Val-d'Oise</xsl:when>
					</xsl:choose>
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<th>Zone climatique</th>
				<td>
				<xsl:for-each select="Entree_Projet/Simu">
				
					<xsl:choose>
					<xsl:when test="Departement=1">H1-c</xsl:when> <xsl:when test="Departement=2">H1-a</xsl:when> <xsl:when test="Departement=3">H1-c</xsl:when> <xsl:when test="Departement=4">H2-d</xsl:when> <xsl:when test="Departement=5">H1-c</xsl:when> <xsl:when test="Departement=6">H3</xsl:when> <xsl:when test="Departement=7">H2-d</xsl:when> <xsl:when test="Departement=8">H1-b</xsl:when> <xsl:when test="Departement=9">H2-c</xsl:when> <xsl:when test="Departement=10">H1-b</xsl:when> <xsl:when test="Departement=11">H3</xsl:when> <xsl:when test="Departement=12">H2-c</xsl:when> <xsl:when test="Departement=13">H3</xsl:when> <xsl:when test="Departement=14">H1-a</xsl:when> <xsl:when test="Departement=15">H1-c</xsl:when> <xsl:when test="Departement=16">H2-b</xsl:when> <xsl:when test="Departement=17">H2-b</xsl:when> <xsl:when test="Departement=18">H2-b</xsl:when> <xsl:when test="Departement=19">H1-c</xsl:when> <xsl:when test="Departement=21">H1-c</xsl:when> <xsl:when test="Departement=22">H2-a</xsl:when> <xsl:when test="Departement=23">H1-c</xsl:when> <xsl:when test="Departement=24">H2-c</xsl:when> <xsl:when test="Departement=25">H1-c</xsl:when> <xsl:when test="Departement=26">H2-d</xsl:when> <xsl:when test="Departement=27">H1-a</xsl:when> <xsl:when test="Departement=28">H1-a</xsl:when> <xsl:when test="Departement=29">H2-a</xsl:when> <xsl:when test="Departement=99">H3</xsl:when> <xsl:when test="Departement=100">H3</xsl:when> <xsl:when test="Departement=30">H3</xsl:when> <xsl:when test="Departement=31">H2-c</xsl:when> <xsl:when test="Departement=32">H2-c</xsl:when> <xsl:when test="Departement=33">H2-c</xsl:when> <xsl:when test="Departement=34">H3</xsl:when> <xsl:when test="Departement=35">H2-a</xsl:when> <xsl:when test="Departement=36">H2-b</xsl:when> <xsl:when test="Departement=37">H2-b</xsl:when> <xsl:when test="Departement=38">H1-c</xsl:when> <xsl:when test="Departement=39">H1-c</xsl:when> <xsl:when test="Departement=40">H2-c</xsl:when> <xsl:when test="Departement=41">H2-b</xsl:when> <xsl:when test="Departement=42">H1-c</xsl:when> <xsl:when test="Departement=43">H1-c</xsl:when> <xsl:when test="Departement=44">H2-b</xsl:when> <xsl:when test="Departement=45">H1-b</xsl:when> <xsl:when test="Departement=46">H2-c</xsl:when> <xsl:when test="Departement=47">H2-c</xsl:when> <xsl:when test="Departement=48">H2-d</xsl:when> <xsl:when test="Departement=49">H2-b</xsl:when> <xsl:when test="Departement=50">H2-a</xsl:when> <xsl:when test="Departement=51">H1-b</xsl:when> <xsl:when test="Departement=52">H1-b</xsl:when> <xsl:when test="Departement=53">H2-b</xsl:when> <xsl:when test="Departement=54">H1-b</xsl:when> <xsl:when test="Departement=55">H1-b</xsl:when> <xsl:when test="Departement=56">H2-a</xsl:when> <xsl:when test="Departement=57">H1-b</xsl:when> <xsl:when test="Departement=58">H1-b</xsl:when> <xsl:when test="Departement=59">H1-a</xsl:when> <xsl:when test="Departement=60">H1-a</xsl:when> <xsl:when test="Departement=61">H1-a</xsl:when> <xsl:when test="Departement=62">H1-a</xsl:when> <xsl:when test="Departement=63">H1-c</xsl:when> <xsl:when test="Departement=64">H2-c</xsl:when> <xsl:when test="Departement=65">H2-c</xsl:when> <xsl:when test="Departement=66">H3</xsl:when> <xsl:when test="Departement=67">H1-b</xsl:when> <xsl:when test="Departement=68">H1-b</xsl:when> <xsl:when test="Departement=69">H1-c</xsl:when> <xsl:when test="Departement=70">H1-b</xsl:when> <xsl:when test="Departement=71">H1-c</xsl:when> <xsl:when test="Departement=72">H2-b</xsl:when> <xsl:when test="Departement=73">H1-c</xsl:when> <xsl:when test="Departement=74">H1-c</xsl:when> <xsl:when test="Departement=75">H1-a</xsl:when> <xsl:when test="Departement=76">H1-a</xsl:when> <xsl:when test="Departement=77">H1-a</xsl:when> <xsl:when test="Departement=78">H1-a</xsl:when> <xsl:when test="Departement=79">H2-b</xsl:when> <xsl:when test="Departement=80">H1-a</xsl:when> <xsl:when test="Departement=81">H2-c</xsl:when> <xsl:when test="Departement=82">H2-c</xsl:when> <xsl:when test="Departement=83">H3</xsl:when> <xsl:when test="Departement=84">H2-d</xsl:when> <xsl:when test="Departement=85">H2-b</xsl:when> <xsl:when test="Departement=86">H2-b</xsl:when> <xsl:when test="Departement=87">H1-c</xsl:when> <xsl:when test="Departement=88">H1-b</xsl:when> <xsl:when test="Departement=89">H1-b</xsl:when> <xsl:when test="Departement=90">H1-b</xsl:when> <xsl:when test="Departement=91">H1-a</xsl:when> <xsl:when test="Departement=92">H1-a</xsl:when> <xsl:when test="Departement=93">H1-a</xsl:when> <xsl:when test="Departement=94">H1-a</xsl:when> <xsl:when test="Departement=95">H1-a</xsl:when>
					</xsl:choose>				
</xsl:for-each>	</td>
			</tr>
			<tr>
				<th>Altitude</th>
				<td>
					<xsl:choose>
						<xsl:when test="Entree_Projet/Simu/Altitude = 0">Entre 0 et 400m exclus</xsl:when>
						<xsl:when test="Entree_Projet/Simu/Altitude = 1">Entre 400 et 800m exclus</xsl:when>
						<xsl:when test="Entree_Projet/Simu/Altitude = 2">Supérieure à 800m</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<th>Zone d'été</th>
				<td>
					<xsl:choose>
						<xsl:when test="Entree_Projet/Simu/Zone_Ete_Int_Lit = 0">Littorale (mer à moins de 10 km)</xsl:when>
						<xsl:when test="Entree_Projet/Simu/Zone_Ete_Int_Lit = 1">Intérieure (mer à plus de 10 km)</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</tbody>
	</table>
	

	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 administratif" width="100%">
		<tbody>
			<tr>
				<th width="250">Nombre de bâtiments/zones du projet</th>
				<td><strong><xsl:value-of select="count(Entree_Projet/Batiment_Collection/Batiment)"/></strong> ( <xsl:for-each select="Entree_Projet/Batiment_Collection/Batiment">Bât. <xsl:value-of select="Index"/> : <span class="important"><xsl:value-of select="count(Zone_Collection/Zone)"/> zone<xsl:if test="count(Zone_Collection/Zone) &gt; 1">s</xsl:if>. </span></xsl:for-each>)</td>
			</tr>
			<tr>
				<th>Nombre de générations du projet</th>
				<td><strong><xsl:value-of select="count(Datas_Comp/generation_collection/generation)"/></strong> ( Bât. desservis : <xsl:for-each select="Datas_Comp/generation_collection/generation"> <a href="#chap409g-{Index}">G<xsl:value-of select="position()"/></a> : <span class="important"><xsl:value-of select="count(id_bat_commun/id)"/> bât. </span></xsl:for-each>)</td>
			</tr>
		</tbody>
	</table>
</xsl:template>










<!-- donnees_generales du BATIMENT -->

<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="donnees_generales_bat">
<xsl:variable name="id_bat" select="Index"/>

<p class="debug"><xsl:value-of select="Index"/></p>	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
		<thead>
			<tr>
				<th width="30%" class="right">Identifiant Bâtiment</th>
				<th colspan="7" width="70%" class="strong">
					"<i><xsl:value-of select="Name"/></i>"
				</th>
			</tr>
			<tr>
				<th class="right">S<sub>RT</sub></th>
				<th colspan="7">
					<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Shon_RT, '#&#160;##0,##', 'fr')"/> m<sup>2</sup>
				</th>
			</tr>
			<tr class="strong">
				<th width="5%">Zone(s) du bâtiment</th>
				<th width="17%">Usage zone</th>
				<th width="13%" >S<sub>RT</sub><sup>Z</sup> (m<sup>2</sup>)</th>
				<th width="13%" >Surface utile SU<sub>RT</sub> ou surf. hab. SHAB</th>
				<th width="13%" >dont surface de type CE1 (m<sup>2</sup>)</th>
				<th width="13%" >dont surface de type CE2 (m<sup>2</sup>)</th>
				<th width="13%" >dont surface climatisée (m<sup>2</sup>)</th>
				<th width="13%" >Nombre de groupes</th>
			</tr>
		</thead>
		<tbody>
			<!-- ICI la boucle des données des zones -->
			<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/Sortie_Zone_B_Collection/Sortie_Zone_B">
			<!--<xsl:sort select="O_Shon_RT" data-type="number" order="ascending"/>-->
			<xsl:variable name="id_zone" select="Index"/>
				<tr>
					<td>
						<xsl:value-of select="Name"/>
					</td>
					<td>
						<xsl:call-template name="tpl_zone_usage"/>
					</td>
					<td align="center">
						<xsl:value-of select="format-number(O_Shon_RT, '#&#160;##0,##', 'fr')"/>						
					</td>
					<td align="center">
					<xsl:choose>
						<xsl:when test="Usage != 1 and Usage != 2 and Usage != 8 and Usage != 26 and Usage != 30">
							<xsl:value-of select="format-number(O_SURT, '#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="format-number(O_SHAB, '#&#160;##0,##', 'fr')"/>
						</xsl:otherwise>
					</xsl:choose>
					</td>
					<td align="center">
						<xsl:value-of select="format-number(S_CE1, '#&#160;##0,##', 'fr')"/>
					</td>
					<td align="center">
						<xsl:value-of select="format-number(S_CE2, '#&#160;##0,##', 'fr')"/>
					</td>
					<td align="center">
						<xsl:value-of select="format-number(S_Clim, '#&#160;##0,##', 'fr')"/>
					</td>
					<td align="center">
						<xsl:value-of select="count(Sortie_Groupe_B_Collection/Sortie_Groupe_B)"/>
					</td>
				</tr>
			</xsl:for-each>
			<tr>
				<th>Nombre de logements</th>
				<td colspan="7" align="center">
				<!-- nombre de logements pour toutes les zones usage de type 1 ou 2 -->				
					<span class="important">
						<xsl:choose>
							<xsl:when test="sum(Zone_Collection/Zone[Usage=1 or Usage=2]/NB_logement) &gt; 0"><xsl:value-of select="sum(Zone_Collection/Zone[Usage=1 or Usage=2]/NB_logement)"/></xsl:when>
							<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
						</xsl:choose>				
					</span>
					
				</td>
			</tr>
			<tr>
				<th>Type de construction</th>
				<td colspan="7" align="center">
					<span class="important">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/type_travaux=1">Construction neuve</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/type_travaux=2">Surélévation ou addition à un bât. existant</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
					</span>
				</td>
			</tr>
		</tbody>
	</table>
</xsl:template>






<!-- Exigences de performance énergétique -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="exigences1">
<xsl:variable name="id_bat" select="Index"/>	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th>Article&#160;7</th>
				<th>Respect des exigences de l'arrêté pour le batiment</th>
				<th>Conformité à la RT2012</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>l - 1°</td>
				<td>Le coefficient Cep du bâtiment est inférieur ou égal au coefficient maximal Cep<sub>max</sub></td>
				<td align="center">
					<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_perf/art71">
						<xsl:call-template name="conformite"/>
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<td>l - 2°</td>
				<td>Le Coefficient Bbio du bâtiment est inférieur ou égal au coefficient maximal Bbio<sub>max</sub></td>
				<td align="center">
					<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_perf/art72">
						<xsl:call-template name="conformite"/>
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<td>l - 3°</td>
				<td>Pour les zones ou parties de zones de catégorie CE1 et pour chacune des zones du bâtiment, définie par son usage, la température Tic est inférieure ou égale à la température intérieure conventionnelle de référence de la zone, Tic<sub>réf</sub></td>
				<td align="center">
					<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_perf/art73">
						<xsl:call-template name="conformite"/>
					</xsl:for-each>
				</td>
			</tr>
			<tr>
				<td>l - 4°</td>
				<td>Respect des caractéristiques thermiques et exigences de moyens du titre III</td>
				<td align="center">
					<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_perf/art74">
						<xsl:call-template name="conformite"/>
					</xsl:for-each>
				</td>
			</tr>
		</tbody>
	</table>
</xsl:template>









<!-- Résultats du besoin bioclimatique conventionnel Bbio en énergie du bâtiment -->

<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="resultats_bbio">
<xsl:variable name="id_bat" select="Index"/>	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th rowspan="2">Besoins bioclimatique<br/>(en nombre de points, sans dimension)</th>
				<th rowspan="2">Projet</th>
				<th rowspan="2">Bbio<sub>max</sub></th>
				<th>Gain en %</th>
			</tr>
			<tr>
				<th>(Bbio<sub>max</sub> - Bbio) / Bbio<sub>max</sub></th>
			</tr>	
		</thead>
		<tbody>
			<tr>
				<td align="center">Coefficient Bbio</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_pts_annuel &gt; /projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_Max">
							<span class="ko"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_pts_annuel, '#&#160;##0,##', 'fr')"/></span>
						</xsl:when>
						<xsl:otherwise>
							<span class="ok"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_pts_annuel, '#&#160;##0,##', 'fr')"/></span>
						</xsl:otherwise>
					</xsl:choose>
				</td>
				<td align="center">
				<xsl:choose>
					<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_Max != 'NaN' ">				
						<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_Max, '#&#160;##0,##', 'fr')"/>
					</xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>					
				</td>
				<td align="center">
				<xsl:choose>
					<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_Max != 'NaN' ">						
						<xsl:value-of select="format-number(((/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_Max - /projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_pts_annuel) div /projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_Max)*100, '#&#160;##0,#', 'fr')"/>
					</xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>								
				</td>
			</tr>
		</tbody>
	</table>
	
	<p class="note">Le besoin bioclimatique conventionnel d'un bâtiment noté Bbio, est la somme pondérée des besoins conventionnels en énergie pour le chauffage, le refroidissement et l'éclairage artificiel. Il est sans dimension et exprimé en nombre de points. Le coefficient Bbio est calculé, sur une année, en utilisant des données climatiques conventionnelles pour chaque zone climatique, selon les modalités définies par la méthode de calcul Th-BCE 2012.</p>
	
</xsl:template>







<!-- Résultats du calcul de la conso conventionnelle Cep du bâtiment -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="resultats_cep">
<xsl:variable name="id_bat" select="Index"/>	
	<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
		<tr>
			<th rowspan="2">Consommations en énergie primaire<br/>(kWh ep/m<sup>2</sup> S<sub>RT</sub>)</th>
			<th rowspan="2">Projet</th>
			<th rowspan="2">Cep<sub>max</sub></th>
			<th>Gain en %</th>
		</tr>
		<tr>
			<th>(Cep<sub>max</sub> - Cep) / Cep<sub>max</sub></th>
		</tr>	
		</thead>
		<tr>
			<td align="center">Coefficient Cep</td>
			<td align="center">	
					<xsl:choose>
						<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_annuel &gt; /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_Max">
							<span class="ko"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_annuel, '#&#160;##0,##', 'fr')"/></span>
						</xsl:when>
						<xsl:otherwise>
							<span class="ok"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_annuel, '#&#160;##0,##', 'fr')"/></span>
						</xsl:otherwise>
					</xsl:choose>
			</td>
			<td align="center">
				<xsl:choose>
					<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_Max != 'NaN' ">
						<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_Max, '#&#160;##0,##', 'fr')"/>	
					</xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>
			</td>
			<td align="center">
			<xsl:choose>
				<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_Max != 'NaN' ">		
					<xsl:value-of select="format-number(((/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_Max - /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_annuel) div /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_Max)*100, '#&#160;##0,#', 'fr')"/>
					</xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>					
			</td>
		</tr>
	</table>
	<p class="note">Cep représente la consommation conventionnelle d'énergie d'un bâtiment pour le chauffage, le refroidissement, la production d'eau chaude sanitaire, l'éclairage artificiel des locaux, les auxiliaires de distribution de chauffage, de refroidissement, d'eau chaude sanitaire et de ventilation, déduction faite de l'électricité produite à demeure. Le coefficient Cep est calculé, sur une année, en utilisant des données climatiques conventionnelles pour chaque zone climatique, selon les modalités définies par la méthode de calcul Th-BCE 2012.</p>
</xsl:template>











<!-- Résultats des calculs de température d'été (Tic) des zones ou parties de zones, groupes ou locaux de catégorie CE1 : -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="resultats_tic">
<xsl:variable name="id_bat" select="Index"/>

<xsl:choose>
	<!-- si il n'y a aucun groupe en CE1, on affiche sans objet -->
	<xsl:when test="count(/projet/Sortie_Projet/Sortie_Batiment_E_Collection/Sortie_Batiment_E[Index=$id_bat]/Sortie_Zone_E_Collection/Sortie_Zone_E/Sortie_Groupe_E_Collection/Sortie_Groupe_E[O_Type_Groupe != 2]) = 0">
		<i>Sans objet</i>
	</xsl:when>
	
	<xsl:otherwise>
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th>Zones ou parties de Zones (groupes) de catégorie CE1</th>
				<th>SHAB ou SU<sub>RT</sub> m<sup>2</sup></th>
				<th>Tic en °C</th>
				<th>Tic <sub>Réf</sub> en °C</th>
				<th>Tic - Tic <sub>Réf</sub></th>
				<th>Conformité à la RT2012</th>

			</tr>
		</thead>
		<tbody>
			
		<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_E_Collection/Sortie_Batiment_E[Index=$id_bat]/Sortie_Zone_E_Collection/Sortie_Zone_E/Sortie_Groupe_E_Collection/Sortie_Groupe_E[O_Type_Groupe != 2]">		
			<xsl:sort select="O_Tic - O_Tic_Ref" data-type="number" order="ascending"/>					
			<xsl:sort select="O_SURT+O_SHAB " data-type="number" order="descending"/>
					
			
				<xsl:variable name="id_gpe" select="Index"/>
				<xsl:variable name="id_zone" select="../../Index"/>
			
				<tr>
					<td>
						<strong>Zone : </strong><xsl:value-of select="../../Name"/> / <strong>Groupe : </strong><xsl:value-of select="Name"/>
					</td>
					<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B[Index=$id_zone]/Usage != 1 and /projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B[Index=$id_zone]/Usage != 2">
							<xsl:value-of select="format-number(O_SURT, '#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="format-number(O_SHAB, '#&#160;##0,##', 'fr')"/>
						</xsl:otherwise>
					</xsl:choose>
					</td>						
					<td align="center">
						<xsl:value-of select="format-number(O_Tic, '#&#160;##0,#', 'fr')"/>
					</td>
					<td align="center">
						<xsl:value-of select="format-number(O_Tic_Ref, '#&#160;##0,#', 'fr')"/>
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="(O_Tic - O_Tic_Ref) &gt; 0">
								<span class="ko">
									<xsl:value-of select="format-number(O_Tic - O_Tic_Ref, '#&#160;##0,#', 'fr')"/>
								</span>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="format-number(O_Tic - O_Tic_Ref, '#&#160;##0,#', 'fr')"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<!-- conformité à la RT2012 -->
					<td align="center">
						<xsl:choose>
							<xsl:when test="(O_Tic - O_Tic_Ref) &gt; 0">
								<span class="ko">Non conforme</span>
							</xsl:when>
							<xsl:otherwise><span class="ok">Conforme</span></xsl:otherwise>
						</xsl:choose>							
					</td>
				
				</tr>
			</xsl:for-each>
		</tbody>
	</table>
	
	<p class="note">Tic représente la température intérieure conventionnelle de la zone atteinte en été. Elle représente la valeur maximale horaire en période d'occupation de la température opérative. Pour les maisons accolées ou non accolées et les bâtiments collectifs d'habitation, la période d'occupation considérée est la journée entière. La température Tic est calculée en utilisant des données climatiques conventionnelles pour chaque zone climatique, selon les modalités définies par la méthode de calcul Th-BCE 2012.</p>

	</xsl:otherwise>
	</xsl:choose>
	
</xsl:template>











<!-- Application du Titre V Cas particuliers : -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="titre5">
<xsl:variable name="id_bat" select="Index"/>	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="15%">Article 49</th>
				<th width="55%">Cas particulier de la réglementation</th>
				<th width="15%">Demande de titre V</th>
				<th width="15%">Agrément / Référence arrêté Titre V</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td align="center">Annexe V 2.1</td>
				<td align="center">Dossier soumis au cas particulier du titre V "opérations"</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art1 = 1">
							<span class="ok">Oui</span>
						</xsl:when>
						<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
					</xsl:choose>
				</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art1_statut = 0">Sans objet</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art1_statut = 1">En cours d'instruction</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art1_statut = 2">Validé</xsl:when>
						<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td align="center">Annexe V 2.2</td>
				<td align="center">Dossier soumis au cas particulier du titre V "systèmes"</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art2 = 1">
							<span class="ok">Oui</span>
						</xsl:when>
						<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
					</xsl:choose>
				</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art2_statut = 0">Sans objet</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art2_statut = 1">En cours d'instruction</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art2_statut = 2">Validé</xsl:when>
						<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td align="center">Annexe V 2.3</td>
				<td align="center">Dossier soumis au cas particulier du titre V "réseaux de chaleur ou de froid"</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art3 = 1">
							<span class="ok">Oui</span>
						</xsl:when>
						<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
					</xsl:choose>
				</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art3_statut = 0">Sans objet</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art3_statut = 1">En cours d'instruction</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/titre5/art3_statut = 2">Validé</xsl:when>
						<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</tbody>
	</table>
	
	<p class="note">Dans le cas où la méthode de calcul Th-BCE 2012 publiée à l'arrêté du 20 juillet 2011, ne prend pas en compte les spécificités d'un système, d'un projet de construction, ou d'un réseau de chaleur ou de froid non répertorié par l'annexe VII de l'arrêté du 15 septembre 2006, une demande d'agrément du projet ou de la méthode de justification de la performance du système ou du réseau de chaleur ou de froid, doit être adressée auprès des ministères en charge de la construction et de l'habitation, et en charge de l'énergie.</p>
	
</xsl:template>










<!-- Exigences de moyens et caractéristiques thermiques : -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="exi_moyens">
<xsl:variable name="id_bat" select="Index"/>		
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="15%">Chapitres et articles</th>
				<th width="70%">Respect des caractéristiques thermiques et exigences de moyens de l'arrêté décrites au titre III</th>
				<th width="15%">Recours à l'article</th>
			</tr>
		</thead>
	</table>
	
	<xsl:if test="Zone_Collection/Zone[Usage=1 or Usage=2]">
		
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th colspan="3" class="strong">Chapitre II : Etanchéité à l'air de l'enveloppe</th>
				</tr>
			</thead>
			<tbody>
				<xsl:if test="Zone_Collection/Zone[Usage=1]">
					<xsl:if test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art17_a=0">
						<tr>
							<td colspan="3" class="alert">Attention : manque d'éléments ou d'exigences minimales de moyens validées, pour le respect de la réglementation thermique</td>
						</tr>
					</xsl:if>
					<!-- code Usage concernes pour ces articles  -->
					<tr>
						<td align="center" width="15%">Art 17 (a)</td>
						<td width="70%">En maison individuelle accolée ou non accolée, la perméabilité à l'air de l'enveloppe sous 4Pa, Q4Pa-surf est inférieure ou égale à 0,60 m<sup>3</sup>/(h.m<sup>2</sup>) de parois déperditives hors plancher bas.</td>
						<td align="center" width="15%">
							<xsl:choose>
								<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art17_a=1">
									<span class="ok">conforme</span>
								</xsl:when>
								<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art17_a=0">
									<span class="ko">non conforme</span>
								</xsl:when>
								<xsl:otherwise>non renseigné</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</xsl:if>
				<xsl:if test="Zone_Collection/Zone[Usage=2]">
					<xsl:if test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art17_b=0">
						<tr>
							<td colspan="3" class="alert">Attention : manque d'éléments ou d'exigences minimales de moyens validées, pour le respect de la réglementation thermique</td>
						</tr>
					</xsl:if>					
					<tr>
						<td align="center" width="15%">Art 17 (b)</td>
						<td width="70%">En bâtiments collectifs d'habitation, la perméabilité à l'air de l'enveloppe sous 4Pa, Q4Pa-surf est inférieure ou égale à 1,00 m<sup>3</sup>/(h.m<sup>2</sup>) de parois déperditives hors plancher bas.</td>
						<td align="center" width="15%">
							<xsl:choose>
								<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art17_b=1">
									<span class="ok">conforme</span>
								</xsl:when>
								<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art17_b=0">
									<span class="ko">non conforme</span>
								</xsl:when>
								<xsl:otherwise>non renseigné</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</xsl:if>
			</tbody>
		</table>
	</xsl:if>
	
	<!-- CHAPITRE 3, articles 18 et 19, tout Usage -->

	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th colspan="3" class="strong">Chapitre III : Isolation thermique</th>
			</tr>
		</thead>
		<tbody>
			<xsl:if test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art18=0 or /projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19=0 or /projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_a=0 or (/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_b=0 and /projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/Ratio_psi &gt; 0.28) or /projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_c=0">
				<tr>
					<td colspan="3" class="alert">Attention : manque d'éléments ou d'exigences minimales de moyens validées, pour le respect de la réglementation thermique</td>
				</tr>
			</xsl:if>
			<tr>
				<td align="center" width="15%">Art 19 (a)<br/><span style="color:#318A24;">Art 16 (a)</span></td>
				<td width="70%">Ratio de transmission thermique linéique moyen global, Ratio Psi (<span style="font-family:symbol;">Y</span>) des ponts thermiques du bâtiment inférieur ou égal à 0,28 W/(m<sup>2</sup> S<sub>RT</sub>.K).<br/><b>Valeur calculée : <xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/Ratio_psi"/></b></td>
				<td align="center" width="15%">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_a=1">
							<span class="ok">conforme</span>
						</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_a=0">
							<span class="ko">non conforme</span>
						</xsl:when>
						<xsl:otherwise>non renseigné</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<!-- on affiche cette entrée que si le psi moyen global est sup à 0.28 -->
			<xsl:if test="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/Ratio_psi &gt; 0.28">
			<tr>
				<td align="center">Art 19 (b)<br/><span style="color:#318A24;">Art 16 (b)</span></td>
				<td>Dérogation justifiée du Maitre d'ouvrage (article R112-1 ou R121-1 à R123-55 du CCH) pour ratio Psi (<span style="font-family:symbol;">Y</span>) des ponts thermiques du bâtiment porté à 0,50 W/(m<sup>2</sup>S<sub>RT</sub>.K). Absence de technique disponible permettant de traiter les ponts thermiques.</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_b=1">
							<span class="ok">présence de dérogation</span>
						</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_b=0">
							<span class="ko">absence de dérogation</span>
						</xsl:when>
						<xsl:otherwise>non renseigné</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			</xsl:if>
			<tr>
				<td align="center">Art 19 (c)<br/><span style="color:#318A24;">Art 16 (c)</span></td>
				<td>Coefficient de transmission thermique linéique moyen Psi 9 (<span style="font-family:Symbol;">Y</span>9) des liaisons entre les planchers intermédiaires et les murs donnant sur l'extérieur ou un local non chauffé, inférieur ou égal à 0,60 W/(ml.K). Valeur calculée : <b><xsl:value-of select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/psi_lineaire_moyen"/></b></td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_c=1">
							<span class="ok">conforme</span>
						</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art19_c=0">
							<span class="ko">non conforme</span>
						</xsl:when>
						<xsl:otherwise>non renseigné</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</tbody>
	</table>
	
	<!-- CHAPITRE 4, articles 20, zone Usage 1 et 2 -->
	
	<xsl:if test="Zone_Collection/Zone[Usage=1 or Usage=2]">
		
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th colspan="3" class="strong">Chapitre IV : Accès à l'éclairage naturel</th>
				</tr>
			</thead>
			<tbody>
				<xsl:if test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art20=0">
					<tr>
						<td colspan="3" class="alert">Attention : manque d'éléments ou d'exigences minimales de moyens validées, pour le respect de la réglementation thermique</td>
					</tr>
				</xsl:if>				
				<tr>
					<td align="center" width="15%">Art 20</td>
					<td width="70%">Pour les maisons individuelles accolées ou non accolées et les bâtiments collectifs d'habitation, la surface totale des baies, mesurée en tableau, est supérieure ou égale à 1/6 de la surface habitable</td>
					<td align="center" width="15%">
						<xsl:choose>
							<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art20=1">
								<span class="ok">conforme</span>
							</xsl:when>
							<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art20=0">
								<span class="ko">non conforme</span>
							</xsl:when>
							<xsl:otherwise>non renseigné</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:if>
	
	<!-- CHAPITRE 5, articles 21 et 22 - art21 : Usages 1/2/3/6/8/10/11/12/13/14/15/26/27/28/30, art22 : tous usages -->
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th colspan="3" class="strong">Chapitre V : Confort d'été</th>
			</tr>
		</thead>
		<tbody>
		
			<xsl:if test="Zone_Collection/Zone[Usage &lt; 4 or Usage=6 or Usage=8 or Usage=9 or Usage=10 or Usage=11 or Usage=12 or Usage=13 or Usage=26 or Usage=27 or Usage=30]">
		
				<xsl:if test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art21=0">
					<tr>
						<td colspan="3" class="alert">Attention : manque d'éléments ou d'exigences minimales de moyens validées, pour le respect de la réglementation thermique</td>
					</tr>
				</xsl:if>
				
				<tr>
					<td align="center" width="15%">Art 21<br/><span style="color:#318A24;">Art 17</span></td>
					<td width="70%">Les baies des locaux de sommeil et de catégorie CE1, sont équipées de protections solaires mobiles, et le facteur solaire des baies est inférieur ou égal au facteur solaire spécifié dans le tableau de l'arrêté</td>
					<td align="center" width="15%">
						<xsl:choose>
							<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art21=1">
								<span class="ok">conforme</span>
							</xsl:when>
							<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art21=0">
								<span class="ko">non conforme</span>
							</xsl:when>
							<xsl:otherwise>non renseigné</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
			</xsl:if>
			
			<!-- article 22 : tous code d'Usage -->
			
			<xsl:if test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art22=0">
				<tr>
					<td colspan="3" class="alert">Attention : manque d'éléments ou d'exigences minimales de moyens validées, pour le respect de la réglementation thermique</td>
				</tr>
			</xsl:if>
			
			<tr>
				<td align="center" width="15%">Art 22<br/><span style="color:#318A24;">Art 18</span></td>
				<td width="70%">Les ouvertures des baies d'un même local autre qu'à occupation passagère, et de catégorie CE1, s'ouvrent sur au moins 30% de leur surface totale. Cette limite est ramenée à 10% dans le cas de locaux pour lesquels la différence d'altitude entre le point bas de son ouverture la plus basse et le point haut de son ouverture la plus haute est supérieure ou égale à 4m.</td>
				<td align="center" width="15%">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art22=1">
							<span class="ok">conforme</span>
						</xsl:when>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/exigences_moyens/art22=0">
							<span class="ko">non conforme</span>
						</xsl:when>
						<xsl:otherwise>non renseigné</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</tbody>
	</table>
	
</xsl:template>
	
		

		
		

		
		
<!-- Données récapitulatives sur les parois opaques -->		
		
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="donnees_parois_opaques">
	<xsl:variable name="id_bati" select="Index"/>

	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th>Type paroi</th>
				<th>Nature paroi</th>
				<th>Libellé paroi</th>
				<th>Indicateur système constructif du bâti</th>
				<th>Epaisseur isolant (cm)</th>
				<th>Résistance thermique totale des isolants (m<sup>2</sup>.K/W)</th>
				<th>Origine de la donnée</th>
				<th>U paroi<br/>U global</th>
				<th>Surface&#160;Totale (m<sup>2</sup>)</th>
				<th>Donnant sur espace</th>
			</tr>
		</thead>
		<tbody>
			
			<!-- on appele le template en passant le parametre de l'orientation -->
			<xsl:call-template name="parois_opaques">
				<xsl:with-param name="c_type_paroi">1</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>
			</xsl:call-template>	
				
			<xsl:call-template name="parois_opaques">
				<xsl:with-param name="c_type_paroi">2</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>
			</xsl:call-template>

			<xsl:call-template name="parois_opaques">
				<xsl:with-param name="c_type_paroi">3</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>
			</xsl:call-template>
			
			<xsl:call-template name="parois_opaques">
				<xsl:with-param name="c_type_paroi">4</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>
			</xsl:call-template>	
		</tbody>
	</table>

<!-- Végétalisation mod 20/01/2012 recup entree_projet -->

	<strong>Présence de végétalisation sur au moins une des parois : </strong>
	<xsl:choose>
		<xsl:when test="Zone_Collection/Zone/Groupe_Collection/Groupe/Paroi_opaque_Collection/Paroi_opaque[Is_Vegetalise=1]">
			<br/>
			<ul>
			<xsl:for-each select="Zone_Collection/Zone/Groupe_Collection/Groupe/Paroi_opaque_Collection/Paroi_opaque[Is_Vegetalise=1]">
					<li><xsl:value-of select="Name"/></li>
			</xsl:for-each>
			</ul>
		</xsl:when>
		<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
	</xsl:choose>		
</xsl:template>











<!--Données récapitulatives sur les parois vitrées -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="donnees_parois_vitrees">
	<xsl:variable name="id_bati" select="Index"/>
		
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th>Libellé paroi vitrée</th>
				<th>Type paroi vitrée</th>
				<th>Type protection mobile et gestion</th>
				<th>Type de menuiserie</th>
				<th>Type de vitrage</th>
				<th>Ug vitrage (W/m<sup>2</sup>.K)</th>
				<th>Origine de la donnée Ug</th>
				<th>Uw_sp et Uw_ap réel de la baie</th>
				<th>Origine de la donnée Uw_sp et Uw_ap</th>
				<th>Facteurs solaires Sw_sp et Sw_ap</th>
				<th>Transmission lumineuse Tl</th>
				<th>Surface totale</th>
				<th>Donnant sur espace</th>
			</tr>
		</thead>
		<tbody>
			
			<!-- on appele le template en passant le parametre de l'orientation -->	
			<xsl:call-template name="parois_vitrees">
				<xsl:with-param name="c_orientation">S</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>
			</xsl:call-template>	
				
			<xsl:call-template name="parois_vitrees">
				<xsl:with-param name="c_orientation">O</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>				
			</xsl:call-template>

			<xsl:call-template name="parois_vitrees">
				<xsl:with-param name="c_orientation">N</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>				
			</xsl:call-template>
			
			<xsl:call-template name="parois_vitrees">
				<xsl:with-param name="c_orientation">E</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>				
			</xsl:call-template>	
			
			<xsl:call-template name="parois_vitrees">
				<xsl:with-param name="c_orientation">H</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bati"/>				
			</xsl:call-template>
			
		</tbody>
	</table>

</xsl:template>














<!-- Liaisons Ponts thermiques -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="liaisons_PT">
<xsl:variable name="id_bat" select="Index"/>
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th>Type de liaison</th>
				<th>Libellé liaison</th>
				<th>Psi liaison (W/m.K)</th>
				<th>Origine de la donnée du psi</th>
				<th>Linéaires (ml)</th>
				<th>Donnant sur espace</th>
			</tr>
		</thead>
		<tbody>
			<!-- on appele le template en passant le parametre de l'orientation -->	
			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">PB</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>	
				
			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">PSI9</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>

			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">PH</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>
			
			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">REFV</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>	
			
			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">ANG</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>
			
			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">REFPB</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>

			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">REFPH</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>
			
			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">LIMENU</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>	
			
			<xsl:call-template name="PT">
				<xsl:with-param name="c_type">AUTRES</xsl:with-param>
				<xsl:with-param name="c_bati" select="$id_bat"/>					
			</xsl:call-template>				
			
		</tbody>
	</table>
	
	<p>Ratio de transmission thermique linéique moyen global Ratio Psi (<span style="font-family: symbol;">Y</span>) des ponts thermiques du bâtiment en W/(m<sup>2</sup>.S<sub>RT</sub>.K) :	
	
	<strong><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/Ratio_psi,'#&#160;##0,##', 'fr')"/></strong></p>
	
	
		<p class="note">Le ratio Psi est la somme des coefficients de transmission thermique linéiques multipliés par leurs longueurs respectives, divisés par la S<sub>RT</sub>, pour l'intégralité des ponts thermiques linéaires du bâtiment, dus à la liaison d'au moins deux parois, dont l'une au moins est en contact avec l'extérieur ou un local non chauffé. Il ne doit pas excéder la valeur de 0,28 W/(m<sup>2</sup> S<sub>RT</sub>.K) dans le cas général. </p>
	
	<xsl:choose>
		<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/Ratio_psi &gt; 0.28">		
			<p class="infos">Application de l'article R.112-1 ou des articles R.121-1 à R.123-55 du CCH conduisant à l'absence de technique disponible permettant de traiter les ponts thermiques des planchers bas et/ou intermédiaires : le ratio maximal peut être porté à 0,50 W/(m<sup>2</sup>.S<sub>RT</sub>.K). Une justification écrite du maître d'ouvrage sera demandée.</p>
		</xsl:when>
	</xsl:choose>

	<p>Coefficient de transmission thermique linéaire moyen Psi9 (<span style="font-family:symbol;">Y</span>9 en W/(ml.K)) : <xsl:choose><xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/psi_lineaire_moyen &gt; 0.6"><font color="red"><strong><xsl:value-of select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/psi_lineaire_moyen"/></strong></font></xsl:when><xsl:otherwise><strong><xsl:value-of select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/psi_lineaire_moyen"/></strong></xsl:otherwise></xsl:choose></p>
		
	<p class="note">Psi9 est la valeur moyenne des ponts thermiques linéiques de tous les planchers intermédiaires d'un bâtiment (liaisons entre planchers intermédiaires et murs donnant sur l'extérieur ou un local non chauffé). <strong>Elle ne doit pas excéder la valeur de 0,60</strong>. Elle se calcule comme étant la somme du produit de chaque pont thermique linéique par son linéaire respectif, divisé par le linéaire total des ponts thermiques.</p>
</xsl:template>











<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="baies">	
	<xsl:variable name="bati_id" select="Index"/>
	<!-- Synthèse des caractéristiques des baies vis à vis des apports solaires et lumineux-->
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="25%">Orientation</th>
				<th width="15%">Surface totale des baies (m<sup>2</sup>)</th>
				<th width="15%">dont surface avec protection mobile (m<sup>2</sup>)</th>
				<th width="15%">dont surface avec masques proches (horizontal ou vertical) (m<sup>2</sup>)</th>
				<th width="15%">dont surface avec masques lointains (azimutal ou vertical) (m<sup>2</sup>)</th>
			</tr>
		</thead>
		<tbody>
			<!-- on appele le template en passant le parametre de l'orientation -->
			<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$bati_id]/enveloppe/baies/@orientation">
				<xsl:call-template name="tableau_baies">
					<xsl:with-param name="c_orientation" select="."/>
					<xsl:with-param name="c_id" select="$bati_id"/>
				</xsl:call-template>	
			</xsl:for-each>	
		</tbody>
	</table>
	
</xsl:template>	












<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="thermique_ete">
<xsl:variable name="id_bat" select="Index"/>	
	<!-- Synthèse des caractéristiques thermiques d'été des bâtiments ou partie de bâtiments de type CE1 qu'ils soient climatisés ou non -->
	<h5>Récapitulatif de la surface totale des baies du bâtiment</h5>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
		<thead>
			<tr>
				<th rowspan="2" width="20%">Surface totale des baies</th>
				<th colspan="2" width="25%">Locaux de sommeil (m<sup>2</sup>)</th>
				<th width="25%" rowspan="2">Locaux à occupation passagère (m<sup>2</sup>)</th>
				<th colspan="2" width="25%">Autres locaux (m<sup>2</sup>)</th>
			</tr>
			<tr>
				<th class="strong" width="12%">exposés BR1</th>
				<th class="strong" width="12%">exposés BR2 ou BR3</th>
				<th class="strong" width="12%">exposés BR1</th
				><th class="strong" width="12%">exposés BR2 ou BR3</th>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/synth_caract_therm_ete/surf_totale[@orientation]">
				<tr>
					<td align="right">
					<xsl:choose>
						<xsl:when test="@orientation='S' or @orientation='s'">Verticales Sud</xsl:when>
						<xsl:when test="@orientation='O' or @orientation='o'">Verticales Ouest</xsl:when>
						<xsl:when test="@orientation='N' or @orientation='n'">Verticales Nord</xsl:when>
						<xsl:when test="@orientation='E' or @orientation='e'">Verticales Est</xsl:when>
						<xsl:when test="@orientation='H' or @orientation='h'">Horizontales</xsl:when>
					</xsl:choose>
					</td><td align="center"><xsl:value-of select="format-number(exposes_br1,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(exposes_br2_br3,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(passage,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(autres_br1,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(autres_br2_br3,'#&#160;##0,##', 'fr')"/></td>
				</tr>
			</xsl:for-each>
		</tbody>
	</table>
	
	<!-- Protection mobile des baies l'été -->
	<h5>Protection mobile et facteur solaire des baies en été les plus défavorables (hors stores vénitiens)</h5>
	
	<xsl:choose>
	<xsl:when test="count(/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/synth_caract_therm_ete/ete) &gt; 0">
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
		<thead>
			<tr>
				<th rowspan="2" width="20%">Protection solaire des baies l'été</th>
				<th colspan="2" width="25%">Locaux de sommeil (m<sup>2</sup>)</th>
				<th width="25%" rowspan="2">Locaux à occupation passagère (m<sup>2</sup>)</th>
				<th colspan="2" width="25%">Autres locaux (m<sup>2</sup>)</th>
			</tr>
			<tr>
				<th class="strong" width="12%">exposés BR1</th>
				<th class="strong" width="12%">exposés BR2 ou BR3</th>
				<th class="strong" width="12%">exposés BR1</th>
				<th class="strong" width="12%">exposés BR2 ou BR3</th>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/synth_caract_therm_ete/ete[@orientation]">
				<tr>
					<td align="right" rowspan="2">
						<xsl:choose>
							<xsl:when test="@orientation='S' or @orientation='s'">Verticales Sud</xsl:when>
							<xsl:when test="@orientation='O' or @orientation='o'">Verticales Ouest</xsl:when>
							<xsl:when test="@orientation='N' or @orientation='n'">Verticales Nord</xsl:when>
							<xsl:when test="@orientation='E' or @orientation='e'">Verticales Est</xsl:when>
							<xsl:when test="@orientation='H' or @orientation='h'">Horizontales</xsl:when>
						</xsl:choose>
					</td>
					<td align="center">
					<xsl:choose>
						<xsl:when test="exposes_br1[type_protection &gt; 6]">
							<i>Voir matrice de saisie</i>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="format-number(exposes_br1/Sw,'#&#160;##0,##', 'fr')"/>
						</xsl:otherwise>
					</xsl:choose>
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="exposes_br2_br3[type_protection &gt; 6]">
							<i>Voir matrice de saisie</i>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="format-number(exposes_br2_br3/Sw,'#&#160;##0,##', 'fr')"/>
							</xsl:otherwise>
						</xsl:choose>										
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="passage[type_protection &gt; 6]">
							<i>Voir matrice de saisie</i>
							</xsl:when>
							<xsl:otherwise>
						<xsl:value-of select="format-number(passage/Sw,'#&#160;##0,##', 'fr')"/>
							</xsl:otherwise>
						</xsl:choose>					
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="autres_br1[type_protection &gt; 6]">
							<i>Voir matrice de saisie</i>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="format-number(autres_br1/Sw,'#&#160;##0,##', 'fr')"/>
							</xsl:otherwise>
						</xsl:choose>								
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="autres_br2_br3[type_protection &gt; 6]">
							<i>Voir matrice de saisie</i>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="format-number(autres_br2_br3/Sw,'#&#160;##0,##', 'fr')"/>
							</xsl:otherwise>
						</xsl:choose>						
					</td>
				</tr>
				<tr>
					<td align="center"><xsl:choose><xsl:when test="exposes_br1"><xsl:for-each select="exposes_br1"><xsl:call-template name="type_protection_mobile"/></xsl:for-each></xsl:when><xsl:otherwise>-</xsl:otherwise></xsl:choose></td>
					<td align="center"><xsl:choose><xsl:when test="exposes_br2_br3"><xsl:for-each select="exposes_br2_br3"><xsl:call-template name="type_protection_mobile"/></xsl:for-each></xsl:when><xsl:otherwise>-</xsl:otherwise></xsl:choose></td>
					<td align="center"><xsl:choose><xsl:when test="passage"><xsl:for-each select="passage"><xsl:call-template name="type_protection_mobile"/></xsl:for-each></xsl:when><xsl:otherwise>-</xsl:otherwise></xsl:choose></td>
					<td align="center"><xsl:choose><xsl:when test="autres_br1"><xsl:for-each select="autres_br1"><xsl:call-template name="type_protection_mobile"/></xsl:for-each></xsl:when><xsl:otherwise>-</xsl:otherwise></xsl:choose></td>
					<td align="center"><xsl:choose><xsl:when test="autres_br2_br3"><xsl:for-each select="autres_br2_br3"><xsl:call-template name="type_protection_mobile"/></xsl:for-each></xsl:when><xsl:otherwise>-</xsl:otherwise></xsl:choose></td>
				</tr>						
			</xsl:for-each>
		</tbody>
	</table>
	
		</xsl:when>
		<xsl:otherwise><i>-- Pas de données --</i></xsl:otherwise>
	</xsl:choose>	
	
	<!-- stores vénitiens -->
	
	<h5>Présence de stores vénitiens sur au moins une des baies</h5>
	<xsl:choose>
		<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/synth_caract_therm_ete/ete/*[type_protection &gt; 6]">
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
				<thead>
					<tr>
						<th width="50%">Libellé store vénitien</th>
						<th width="25%">Zone(s) du bâtiment <i>"<xsl:value-of select="Name"/>"</i> concernée</th>
						<th width="25%">Compléments</th>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/synth_caract_therm_ete/ete/*[type_protection &gt; 6]">
					<xsl:variable name="id_z" select="id_zone"/>
						<tr>
							<td><xsl:choose><xsl:when test="store_libelle"><xsl:value-of select="store_libelle"/></xsl:when><xsl:otherwise><i>non renseigné</i></xsl:otherwise></xsl:choose></td>
							<td align="center"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_z]/Name"/></td>
							<td align="center">voir détails étude thermique</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</xsl:when>
		<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
	</xsl:choose>
</xsl:template>	


<!-- Synthèse vis-à-vis du respect de l'exigence de moyen sur l'accès à l'éclairage naturel -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="regle16">
<xsl:variable name="id_bat" select="Index"/>	
<xsl:variable name="zshab" select="sum(/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/Sortie_Zone_B_Collection/Sortie_Zone_B/O_SHAB) div 6"/>	
<xsl:variable name="zport" select="/projet/Datas_Comp/batiment_collection/batiment[Index=$id_bat]/enveloppe/surf_totale_pv_portes"/>	
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
				<thead>
				<tr>
					<th class="strong" align="left">
						Ratio 1/6 de la surface habitable du bâtiment en m<sup>2</sup>
					</th>
					<th  align="center">
						<xsl:value-of select="format-number($zshab,'#&#160;##0,##', 'fr')"/>
					</th>
					<th align="right" class="strong"><strong>Surfaces totales des baies des logements en m<sup>2</sup></strong></th>
					<th  align="center"><xsl:value-of select="format-number($zport,'#&#160;##0,##', 'fr')"/></th>
				</tr>
		</thead>
		<tbody>
			<tr>
				<td colspan="3">Pour les maisons individuelles accolées ou non accolées et les bâtiments collectifs d'habitation : respect de la surface totale des baies supérieure ou égale à 1/6 de la surface habitable des logements :</td>
				<td align="center">
				<xsl:choose>
						<xsl:when test="$zport &gt;= $zshab"><span class="ok">Oui</span></xsl:when>
						<xsl:when test="$zport &lt; $zshab "><span class="ko">Non</span></xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>
				</td>
			</tr>
		</tbody>
			</table>

			<p class="note">Exigence de moyen Titre III, Article 20 de l'arrêté du 26 octobre 2010.</p>
			
</xsl:template>	

<!-- FEUILLETS EQUIPEMENTS -->

<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_ventilation_surface">
<xsl:variable name="id_zone" select="Index"/>
	<h4>Type de système mécanique de ventilation</h4>
	
	<p>Dénomination commerciale principale du système de ventilation : 
	<xsl:choose>
		<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/denomination_co != ''"><strong><xsl:value-of select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/denomination_co"/></strong></xsl:when>
		<xsl:otherwise><span class="warning"><i>dénomination commerciale absente</i></span></xsl:otherwise>
	</xsl:choose>
	</p>
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="60%">Type de système de ventilation</th>
				<th width="40%">Présence du système ? (O/N)</th>
			</tr>
		</thead>
		<tbody>
		
			<tr>
				<td>Groupe de ventilation simple flux SF (SF extraction ou SF insufflation)</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Type_Ventilation_Mecanique=0" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>	
			<tr>
				<td align="right">dont hygroréglable type A</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/ventilation_mecanique_collection/ventilation_mecanique/grp_SF_hygro_A=1" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
				</xsl:choose>
				</td>
			</tr>
			<tr>
				<td align="right">dont hygroréglable type B</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/ventilation_mecanique_collection/ventilation_mecanique/grp_SF_hygro_B=1" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Groupe de ventilation double flux DF</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Type_Ventilation_Mecanique = 1" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Centrale de traitement d'air à débit constant CTA DAC</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Type_Ventilation_Mecanique = 2" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Centrale de traitement d'air à débit constant CTA DAV</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Type_Ventilation_Mecanique = 3" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>	
			<!-- attention cette balise est dans groupe -->
			<tr>
				<td>Ventilation naturelle par conduits</td>
				<td align="center">
					
					<xsl:choose>
						<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[*]/Ventilation_Naturelle_Hybride_Collection/Ventilation_Naturelle_Hybride[*]/id_type_vent = 1" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
					</xsl:choose>
					
				</td>
			</tr>
			<tr>
				<td>Groupe d'assistance mécanique ventilation hybride</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Type_Ventilation_Mecanique = 4" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>	
			<tr>
				<td>Aération par ouverture des fenêtres</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[*]/Aeration_Collection/Aeration" >Oui</xsl:when>
						<xsl:otherwise>Non</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>	
		</tbody>
	</table>
</xsl:template>















<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_mecanique_cta">
<xsl:variable name="id_zone" select="Index"/>
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Index and /projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Index != '' ">
		
		<h4>Système mécanique CTA / ventilateur</h4>
		<p class="comment">Manque prise en compte de la balise sortie du moteur pour CTA DAV / taux d'air neuf, attente nom XML</p>
		<!-- par ordre décroissant de puissances électriques des ventilateurs les plus importantes -->
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th>Ventilation CTA</th>
					<th>&#160;</th>
					<th>Débit spécifique conventionnel extrait ou repris</th>
					<th>Débit spécifique conventionnel soufflé</th>
					<th>Puissance électrique totale du ou des ventilateurs</th>
					<th>Efficacité de l'échangeur</th>
					<!-- CDCV2 -->
					<th>Origine de la donnée de l'efficacité</th>
					<th>Présence d'un ByPass de l'échangeur</th>
					<th>Puissance électrique de l'échangeur</th>
					<th>Mélange Taux d'air neuf</th>
				</tr>
				<tr>
					<td class="strong">&#160;</td>
					<td class="strong">&#160;</td>
					<th class="strong">m<sup>3</sup>/h</th>
					<th class="strong">m<sup>3</sup>/h</th>
					<th class="strong">W</th>
					<th class="strong">%</th>
					<td class="strong">&#160;</td>
					<td class="strong">&#160;</td>
					<th class="strong">W</th>
					<th class="strong">%</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique">
					<xsl:sort select="P_elec_ech" data-type="number" order="descending"/>
					<xsl:variable name="id_vent" select="Index"/>
					<tr>
						<td rowspan="2"><xsl:value-of select="Name"/></td>
						<td>
							<xsl:choose>
								<xsl:when test="../../Usage &lt; 3">Base</xsl:when>
								<xsl:otherwise>Occupation</xsl:otherwise>
							</xsl:choose>
						</td>
						<td  align="center"><xsl:value-of select="format-number(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/ventilation_mecanique_collection/ventilation_mecanique[Index=$id_vent]/debit_base_occ,'#&#160;##0,##', 'fr')"/></td>
						<td  align="center"><xsl:value-of select="format-number(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/ventilation_mecanique_collection/ventilation_mecanique[Index=$id_vent]/debit_souf_base_occ,'#&#160;##0,##', 'fr')"/></td>
						<td  align="center">
						<xsl:choose>
							<xsl:when test="../../Usage &lt; 3">
							
								<xsl:variable name="n_Pvent_base_souf">
									<xsl:choose>
										<xsl:when test="number(Pvent_base_souf)">
										  <xsl:value-of select="number(Pvent_base_souf)" />
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="n_Pvent_base_rep">
									<xsl:choose>
										<xsl:when test="number(Pvent_base_rep)">
										  <xsl:value-of select="number(Pvent_base_rep)" />
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>								
							
								<xsl:value-of select="format-number($n_Pvent_base_souf+$n_Pvent_base_rep,'#&#160;##0,##', 'fr')"/>
							
							
							</xsl:when>	
							<xsl:when test="../../Usage &gt; 2">
							
								<xsl:variable name="n_Pvent_souf_occ">
									<xsl:choose>
										<xsl:when test="number(Pvent_souf_occ)">
										  <xsl:value-of select="number(Pvent_souf_occ)" />
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="n_Pvent_rep_occ">
									<xsl:choose>
										<xsl:when test="number(Pvent_rep_occ)">
										  <xsl:value-of select="number(Pvent_rep_occ)" />
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
							
								<xsl:value-of select="format-number($n_Pvent_souf_occ+$n_Pvent_rep_occ,'#&#160;##0,##', 'fr')"/>
								
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
						</td>
						
						
						<xsl:choose>
							<xsl:when test="Type_Ventilation_Mecanique = 1 or Type_Ventilation_Mecanique = 2">								
								<td rowspan="2" align="center">
									<xsl:choose>
										<xsl:when test="Epsilon">
											<xsl:value-of select="format-number((Epsilon * 100),'#&#160;##0,##', 'fr')"/>
										</xsl:when>
									</xsl:choose>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td rowspan="2" align="center">
									<i>Sans objet</i>
								</td>
							</xsl:otherwise>
						</xsl:choose>			

						<xsl:choose>
							<xsl:when test="Type_Ventilation_Mecanique = 1 or Type_Ventilation_Mecanique = 2">								
							<td rowspan="2" align="center">
								<xsl:choose>
									<xsl:when test="Certificat_Efficacite_Echangeur = 0">Certifié</xsl:when>
									<xsl:when test="Certificat_Efficacite_Echangeur = 1">Déclarée par le fabricant</xsl:when>
									<xsl:when test="Certificat_Efficacite_Echangeur = 2">Justifiée par un essai par laboratoire indépendant</xsl:when>
								</xsl:choose>				
							</td>
							</xsl:when>
							<xsl:otherwise>
								<td rowspan="2" align="center">
									<i>Sans objet</i>
								</td>
							</xsl:otherwise>
						</xsl:choose>							


						<xsl:choose>
							<xsl:when test="Type_Ventilation_Mecanique = 1 or Type_Ventilation_Mecanique = 2">							
								<td rowspan="2" align="center">
									<xsl:choose>
										<xsl:when test="Is_ByPass">				
											<xsl:if test="Is_ByPass = 0">Non</xsl:if>
											<xsl:if test="Is_ByPass = 1">Oui</xsl:if>
										</xsl:when>
									</xsl:choose>	
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td rowspan="2" align="center">
									<i>Sans objet</i>
								</td>
							</xsl:otherwise>
						</xsl:choose>		

						
						
						<td rowspan="2" align="center">
							<xsl:choose>
								<xsl:when test="P_elec_ech &gt; 0">
									<xsl:value-of select="format-number(P_elec_ech,'#&#160;##0,##', 'fr')"/>
								</xsl:when>
								<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
							</xsl:choose>	
						</td>
						<td rowspan="2" align="center">				
							<xsl:choose>
							<!-- on prend le cas CTA DAC avec recyclage -->
								<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C/Sortie_Zone_C_Collection/Sortie_Zone_C[Index=$id_zone]/Sortie_Ventilation_Mecanique_Collection/Sortie_Ventilation_Mecanique[Index=$id_vent]/Taux_AN">
									<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C/Sortie_Zone_C_Collection/Sortie_Zone_C[Index=$id_zone]/Sortie_Ventilation_Mecanique_Collection/Sortie_Ventilation_Mecanique[Index=$id_vent]/Taux_AN * 100,'#&#160;##0,##', 'fr')"/>
								</xsl:when>
								<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
							</xsl:choose>			
						</td>
					</tr>
					<tr>
						<td>
						<xsl:choose>
						
							<xsl:when test="../../Usage &lt; 3">Pointe</xsl:when>
							<xsl:otherwise>Inoccupation</xsl:otherwise>
						</xsl:choose>						
						</td>
						<td  align="center"><xsl:value-of select="format-number(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/ventilation_mecanique_collection/ventilation_mecanique[Index=$id_vent]/debit_pointe_inocc,'#&#160;##0,##', 'fr')"/></td>
						<td  align="center"><xsl:value-of select="format-number(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/ventilation_mecanique_collection/ventilation_mecanique[Index=$id_vent]/debit_souf_pointe_inocc,'#&#160;##0,##', 'fr')"/></td>
						<td  align="center">
						<xsl:choose>
							<xsl:when test="../../Usage &lt; 3">
							
								<xsl:variable name="n_Pvent_pointe_souf">
									<xsl:choose>
										<xsl:when test="number(Pvent_pointe_souf)">
										  <xsl:value-of select="number(Pvent_pointe_souf)" />
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="n_Pvent_pointe_rep">
									<xsl:choose>
										<xsl:when test="number(Pvent_pointe_rep)">
										  <xsl:value-of select="number(Pvent_pointe_rep)" />
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>								
							
								<xsl:value-of select="format-number($n_Pvent_pointe_souf+$n_Pvent_pointe_rep,'#&#160;##0,##', 'fr')"/>
								
							</xsl:when>	
							<xsl:when test="../../Usage &gt; 2">
								<xsl:variable name="n_Pvent_souf_inocc">
									<xsl:choose>
										<xsl:when test="number(Pvent_souf_inocc)">
										  <xsl:value-of select="number(Pvent_souf_inocc)" />
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="n_Pvent_rep_inocc">
									<xsl:choose>
										<xsl:when test="number(Pvent_rep_inocc)">
										  <xsl:value-of select="number(Pvent_rep_inocc)" />
										</xsl:when>
										<xsl:otherwise>0</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>									
							
								<xsl:value-of select="format-number($n_Pvent_souf_inocc+$n_Pvent_rep_inocc,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
						</td>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
	
	</xsl:if>


	<!-- on affiche cette entrée que si simple flux -->
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique[Type_Ventilation_Mecanique = 0]">

		<p>Type de niveau de pression dans le réseau : 
			<xsl:choose>
				<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Niveau_Pression = 0"><strong>Réseau en pression standard (autres cas)</strong></xsl:when>
				<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Niveau_Pression = 1"><strong>Réseau associé à une ventilation mécanique basse pression</strong></xsl:when>
				<xsl:otherwise>-</xsl:otherwise>
			</xsl:choose>
		</p>
	</xsl:if>
	
	<!-- CDCV2 -->
	<p>
	Présence d'une fonction de rafraichissement nocturne associé au bouche-conduit :
	<xsl:choose>
		<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Is_Rafnoc = 0"><strong>Sans objet</strong></xsl:when>
		<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Is_Rafnoc = 1"><strong>Oui, en période d'été seulement</strong></xsl:when>
		<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique/Is_Rafnoc = 2"><strong>Oui, toute l'année</strong></xsl:when>		
		<xsl:otherwise>-</xsl:otherwise>
	</xsl:choose>
	</p>
	
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Ventilation_Mecanique_Collection/Ventilation_Mecanique[Id_Puits_Climatique &gt; 0]">
		<p>Présence d'un puits climatique rattaché à la zone : <strong>oui</strong></p>
	</xsl:if>

</xsl:template>		













<!-- composants emetteurs entrées d'air -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_entree_air">
	<xsl:variable name="id_zone" select="Index"/>
	<!-- si présence simple flux -->
	
	
		<h4>Composants Emetteurs entrées d'air</h4>
		
					<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
						<thead>
							<tr>
								<th>Groupes</th>
								<th>Type entrée air</th>
								<th>Somme des modules d'entrées d'air en m<sup>3</sup>/h à 20 Pa</th>
							</tr>
						</thead>
						<tbody>
							<!-- si présence de la balise entree_air -->
							<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Entree_Air_Collection/Entree_Air">
								<tr>
									<th class="strong"><xsl:value-of select="../../Name"/></th>
									<td align="center">
									<xsl:choose>
										<xsl:when test="Type_entree_air = 0">Entrée d'air fixe ou hygroréglable</xsl:when>
										<xsl:when test="Type_entree_air = 1">Entrée d'air autoréglable </xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>	
									</td>
									<td align="center">
									<xsl:choose>
										<xsl:when test="Type_entree_air = 0"><xsl:value-of select="format-number(sum(Module),'#&#160;##0,##', 'fr')"/></xsl:when>
										<xsl:when test="Type_entree_air = 1"><xsl:value-of select="format-number(sum(Module_1)+sum(Module_2),'#&#160;##0,##', 'fr')"/></xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>										
									</td>
								</tr>
							</xsl:for-each>
						</tbody>
					</table>

</xsl:template>










<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_bouches">
	<xsl:variable name="id_zone" select="Index"/>
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[*]/Bouche_Conduit_Collection/Bouche_Conduit">
		
		<h4>Niveaux caractéristiques des bouches conduits et réseaux de ventilation</h4>

		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th>Groupes</th>
					<th>Type de bouche</th>
					<th>Coefficient de déperditions dans le conduit</th>
					<th>Valeur Cdep</th>
					<th>Classe d'étanchéité du réseau</th>
					<th>Type de régulation</th>
					<th>Coefficient de réduction de débit Cndbnr</th>
					<th>Résistance th. des réseaux hors volume chauffé (m<sup>2</sup>.K/W)</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Bouche_Conduit_Collection/Bouche_Conduit">
					<xsl:variable name="id_gpe" select="../../Index"/>
					<tr>
						<th class="strong">
							<xsl:value-of select="../../Name"/>
						</th>
						<td align="center">
							<xsl:choose>
								<xsl:when test="Type_Bouche_Conduit = 0">Repris extraction</xsl:when>
								<xsl:when test="Type_Bouche_Conduit = 1">Soufflage</xsl:when>							
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>	
						</td>
						<td align="center">						
							<xsl:choose>
								<xsl:when test="Cdep = 0">Par défaut</xsl:when>
								<xsl:when test="Cdep = 1">Composant certifié</xsl:when>
								<xsl:when test="Cdep = 2">Cdep avis technique ou équivalent</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td>
						<td align="center">
							<xsl:choose>
								<xsl:when test="Cdep=2"><xsl:value-of select="format-number(Cdep_Value,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise><i>Sans objet</i></xsl:otherwise>
							</xsl:choose>
						</td>						
						<td align="center">
							<xsl:choose>
								<xsl:when test="Classe_Etancheite=0">Classe A</xsl:when>
								<xsl:when test="Classe_Etancheite=1">Classe B</xsl:when>
								<xsl:when test="Classe_Etancheite=2">Classe C</xsl:when>
								<xsl:when test="Classe_Etancheite=3">Par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td>
						<!-- type de régulation cas résidentiel ou non -->
						<xsl:choose>
							<xsl:when test="../../../../Usage=1 or ../../../../Usage=2">
							
								<td align="center">
									<xsl:choose>
										<xsl:when test="Type_Regul_Res=0">Dispositif à gestion manuelle</xsl:when>
										<xsl:when test="Type_Regul_Res=1">Dispositif avec temporisation</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>
								</td>
							</xsl:when>
							<xsl:otherwise>
									<td align="center">
									<xsl:choose>
										<xsl:when test="Type_Regul_Non_Res=0">Aucune régulation des débits</xsl:when>
										<xsl:when test="Type_Regul_Non_Res=1">Dispositif de détection du local</xsl:when>
										<xsl:when test="Type_Regul_Non_Res=2">Dispositif de comptage ou sonde CO<sup>2</sup></xsl:when>
										<xsl:when test="Type_Regul_Non_Res=3">Dispositif sous avis technique ou certification équivalente</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>
								</td>												
							</xsl:otherwise>
						</xsl:choose>
						<td align="center">
						<xsl:choose>
							<xsl:when test="Type_Regul_Non_Res = 3">
								<xsl:value-of select="format-number(Cndbnr_Value,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:otherwise>Sans objet</xsl:otherwise>
						</xsl:choose>
						</td>
						<td align="center">
							<!--  Résistance th. des réseaux hors volume chauffé  -->
							<xsl:choose>
								<xsl:when test="Type_Bouche_Conduit = 0"><xsl:value-of select="format-number(R_rep,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:when test="Type_Bouche_Conduit = 1"><xsl:value-of select="format-number(R_souf,'#&#160;##0,##', 'fr')"/></xsl:when>
							</xsl:choose>
							
							
							
						</td>


					</tr>
				</xsl:for-each>
			</tbody>
		</table>
	</xsl:if>
</xsl:template>






<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="fenetres">
	<xsl:variable name="id_zone" select="Index"/>

			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
				<thead>
					<tr>
						<th>Zone</th>
						<th><xsl:value-of select="Name"/></th>
						<th>Débit volumique spécifique conventionnel<br/>d'aération pour ouverture des fenêtres</th>
					</tr>
					<tr>
						<th class="strong">&#160;</th>
						<th class="strong">&#160;</th>
						<th class="strong">m<sup>3</sup>/h</th>
					</tr>					
				</thead>
				<tbody>
						<tr>
							<th class="strong" rowspan="2"><xsl:value-of select="name"/></th>	
							<td>Base en résidentiel ou occupation</td>
							<td  align="center">
								<xsl:if test="string(number(sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_occ))) != 'NaN' and sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_occ) &gt; 0 ">
									<xsl:value-of select="sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[*]/Aeration_Collection/Aeration/Qv_occ)"/>
								</xsl:if>
								<xsl:if test="string(number(sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_base))) != 'NaN' and  sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_base) &gt; 0">
									<xsl:value-of select="sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_base)"/>
								</xsl:if>
								</td>
						</tr>
						<tr>
							<td>Pointe en résidentiel ou inoccupation</td>
							<td align="center">
								<xsl:if test="string(number(sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_inocc))) != 'NaN' and sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_inocc) &gt; 0">
									<xsl:value-of select="sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_inocc)"/>
								</xsl:if>	
								<xsl:if test="string(number(sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_pointe))) != 'NaN' and sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_pointe) &gt; 0">
									<xsl:value-of select="sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Aeration_Collection/Aeration/Qv_pointe)"/>
								</xsl:if>	
							</td>							
						</tr>
				</tbody>
			</table>
		
</xsl:template>



<!-- equipements de chauffage -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_chauffage">
<xsl:variable name="id_zone" select="Index"/>	

<p class="debug">somme_ch : <xsl:value-of select="count(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_ch[node()!=0])"/></p>

<xsl:if test="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_ch and count(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_ch[node()!=0]) &gt; 0">	

	<h4>Type d'énergie des générateurs de chaud raccordés à la zone</h4>
	<xsl:choose>
		<xsl:when test="sum(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_ch/*) &gt; 0">	
		<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_ch">
			<xsl:choose>
				<xsl:when test="elec_joule and elec_joule = 1">- Electrique à effet joule<br/></xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="elec_thermo and elec_thermo = 1">- Electrique thermodynamique<br/></xsl:when>
			</xsl:choose>
			<xsl:choose>				
				<xsl:when test="gaz and gaz = 1">- Gaz<br/></xsl:when>
			</xsl:choose>	
			<xsl:choose>				
				<xsl:when test="fioul and fioul = 1">- Fioul<br/></xsl:when>
			</xsl:choose>		
			<xsl:choose>				
				<xsl:when test="bois and bois = 1">- Bois<br/></xsl:when>
			</xsl:choose>			
			<xsl:choose>				
				<xsl:when test="reseaux_chaleur and reseaux_chaleur = 1">- Réseaux chaleur<br/></xsl:when>
			</xsl:choose>	
			<xsl:choose>				
				<xsl:when test="gaz_thermo and gaz_thermo = 1">- Gaz thermodynamique<br/></xsl:when>
			</xsl:choose>				
			<xsl:choose>
				<xsl:when test="autre and autre = 1">- Autre : <xsl:value-of select="autre"/><br/></xsl:when>				
			</xsl:choose>			
	</xsl:for-each>
		</xsl:when>
		<xsl:otherwise><i>-- Non renseigné --</i></xsl:otherwise>
	</xsl:choose>	
</xsl:if>
</xsl:template>













<!-- equipements de chauffage, mode de production -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="mode_production">
	<xsl:variable name="id_zone" select="Index"/>	
	<h4>Mode de production</h4>
					
	<p>Mode de production du chauffage :
	<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]">
		<xsl:choose>
			<xsl:when test="mode_prod_ch=0"><strong>Central inter bâtiment</strong></xsl:when>	
			<xsl:when test="mode_prod_ch=1"><strong>Collectif par bâtiment</strong></xsl:when>	
			<xsl:when test="mode_prod_ch=2"><strong>Chauffage individuel</strong></xsl:when>	
			<xsl:when test="mode_prod_ch=3"><strong>Chauffage mixte (base + appoint)</strong></xsl:when>	
			<xsl:when test="mode_prod_ch=4"><strong>Chauffage distinct par zone</strong></xsl:when>	
		</xsl:choose>
	</xsl:for-each>
	</p>
	
</xsl:template>	













<!-- Emetteurs de chauffage des groupes de la zone -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_surface_locaux">
	<xsl:variable name="id_zone" select="Index"/>
	<xsl:variable name="id_bat" select="../../Index"/>
	<h4>Emetteurs de chauffage des groupes de la zone</h4>
		
	<xsl:choose>
		<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]">					
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">	
				<thead>
					<tr>
						<th>Groupes</th>
						<th>Libellé des émetteurs</th>
						<th>Ratio de la surface utile<br/>traitée par l'émetteur</th>
						<th>Surface des locaux chauffés en m<sup>2</sup></th>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]">
						<xsl:variable name="id_eme" select="Index"/>
						<tr>
							<td><strong><xsl:value-of select="../../Name"/></strong></td>
							<td align="center">
							<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/groupe_collection/groupe/emetteur_collection/emetteur[Index=$id_eme]/type_emet_chaud">
								<xsl:call-template name="type_emetteur_ch"/>
							</xsl:for-each>							
							
							</td>
							<td align="center"><xsl:value-of select="format-number(Rat_s_ch,'#&#160;##0,##', 'fr')"/></td>
							<!-- calcul Rat_s_ch * Rat_t_ch * SHAB ou SURT selon le cas, tester si valeur nulle -->
							<td align="center">
							
							<xsl:choose>
								<xsl:when test="../../SURT != ''">
									<xsl:value-of select="format-number(../../SURT * Rat_s_ch,'#&#160;##0,##', 'fr')"/>
								</xsl:when>
								<xsl:when test="../../SHAB != ''">
									<xsl:value-of select="format-number(../../SHAB * Rat_s_ch,'#&#160;##0,##', 'fr')"/>
								</xsl:when>								
							</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</xsl:when>
		<xsl:otherwise><i>-- Pas de données émetteur groupe de chauffage pour cette zone --</i></xsl:otherwise>
	</xsl:choose>
</xsl:template>









<!-- caractéristiques techniques principale des émetteurs de chauffage, 01/06 :  limitation à 2 groupes avec pour chacun limitation à 3 emetteurs -->
<!-- CDCV2 -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_caract_emetteurs">
	<xsl:variable name="id_zone" select="Index"/>	
	<xsl:variable name="id_bat" select="../../Index"/>	
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment[Index=$id_bat]/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]">
		
		<h4>Détail des émetteurs de chauffage</h4>
		<h5>Caractéristiques techniques principales des émetteurs de chauffage</h5>
		
		<p class="comment">Limitation à 2 groupes avec pour chacun limitation à 3 emetteurs - tri sur rat_s_ch * rat_t_ch décroissant</p>
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
			<thead>
				<tr>
					<th>Groupes</th><th>Emetteurs</th><th>Hauteur du plafond du local</th><th>Ratio de pertes au dos des émetteurs</th><th>Classe de variation spatiale</th><th>Variation spatiale de l'émetteur si classe personnalisée</th><th>Nombre de niveaux desservis par le poêle bois ou l'insert bois</th><th>Statut de la variation temporelle</th><th>Variation temporelle de l'émetteur </th><th>Stratégie de régulation de l'émetteur</th><th>Mode de régulation du poêle ou l'insert</th>
				</tr>
				<tr>
					<th class="strong">-</th><th class="strong">-</th><th class="strong">-</th><th class="strong">%</th><th class="strong">-</th><th class="strong">°C</th><th class="strong">-</th><th class="strong">-</th><th class="strong">°C</th><th class="strong">-</th><th class="strong">-</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe">
				<!-- on tri les groupe par surface décroissante -->
				<xsl:sort select="O_Shon_RT" data-type="number" order="descending"/>
				
					<xsl:if test="position() &lt; 3">
						<xsl:for-each select="Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]">
						<!-- on tri les emetteur par ratios décroissants -->
						<xsl:sort select="Rat_s_ch" data-type="number" order="descending"/>
						<xsl:variable name="id_eme" select="Index"/>
							<xsl:if test="position() &lt; 4">
								
									<tr>
										<th><xsl:value-of select="../../Name"/></th>
										<td align="center">
											<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/groupe_collection/groupe/emetteur_collection/emetteur[Index=$id_eme]/type_emet_chaud">
												<xsl:call-template name="type_emetteur_ch"/>					
											</xsl:for-each>										
										
										</td>										
										<td align="center">
											<xsl:choose>
												<xsl:when test="Carac_Haut_Plafond = 0">Local de moins de 4 mètres sous plafond</xsl:when>
												<xsl:when test="Carac_Haut_Plafond = 1">Local de 4 à 6 mètres sous plafond</xsl:when>
												<xsl:when test="Carac_Haut_Plafond = 2">Local de 6 à 8 mètres sous plafond</xsl:when>
												<xsl:when test="Carac_Haut_Plafond = 3">Local de plus de 8 mètres sous plafond</xsl:when>
												<xsl:otherwise>-</xsl:otherwise>
											</xsl:choose>
										</td>
										<td align="center"><xsl:value-of select="format-number(Per_dos * 100,'#&#160;##0,##', 'fr')"/></td>
										<td align="center">
											<xsl:choose>
												<xsl:when test="Classe_Variation_Spatiale_Chaud = 0">Valeur personnalisée</xsl:when>
												<xsl:when test="Classe_Variation_Spatiale_Chaud = 1">Classe A</xsl:when>
												<xsl:when test="Classe_Variation_Spatiale_Chaud = 2">Classe B1</xsl:when>
												<xsl:when test="Classe_Variation_Spatiale_Chaud = 3">Classe B2</xsl:when>
												<xsl:when test="Classe_Variation_Spatiale_Chaud = 4">Classe B3</xsl:when>
												<xsl:when test="Classe_Variation_Spatiale_Chaud = 5">Classe C</xsl:when>
												<xsl:when test="Classe_Variation_Spatiale_Chaud = 6">Valeur par défaut pour les poêles et inserts</xsl:when>
												<xsl:otherwise>-</xsl:otherwise>
											</xsl:choose>
										</td>
										
										<td align="center">
										<xsl:choose>
											<xsl:when test="Classe_Variation_Spatiale_Chaud=0">
												<xsl:value-of select="format-number(Delta_Temp_vs_ch,'#&#160;##0,##', 'fr')"/>
											</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>											
										</xsl:choose>
										</td>										
										<!-- nombre de niveau desservis -->
										<td align="center">
										<xsl:choose>
											<xsl:when test="Classe_Variation_Spatiale_Chaud=6"><xsl:value-of select="format-number(Nombre_niveaux_desservis,'#&#160;##0,##', 'fr')"/></xsl:when>
											<xsl:otherwise>-</xsl:otherwise>											
										</xsl:choose>
										</td>											
										<!-- statut variation temp -->
										<td align="center">
										<xsl:choose>
											<xsl:when test="Statut_Variation_Temporelle_Chaud=0">Valeur certifiée</xsl:when>
											<xsl:when test="Statut_Variation_Temporelle_Chaud=1">Valeur justifiée</xsl:when>
											<xsl:when test="Statut_Variation_Temporelle_Chaud=2">Valeur par défaut</xsl:when>
											<xsl:when test="Statut_Variation_Temporelle_Chaud=3">Valeur convention pour les poêles et inserts bois</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>											
										</xsl:choose>
										</td>										
										<!-- variation temp emetteur-->
										<td align="center">
										<xsl:choose>
											<xsl:when test="Statut_Variation_Temporelle_Chaud &lt; 2"><xsl:value-of select="format-number(Delta_Temp_vt_ch,'#&#160;##0,##', 'fr')"/></xsl:when>
											<xsl:otherwise>-</xsl:otherwise>											
										</xsl:choose>
										</td>											
										<!-- strategie regulation emetteur -->
										<td align="center">
										<xsl:choose>
											<xsl:when test="Statut_Variation_Temporelle_Chaud=2">
												<xsl:choose>
													<xsl:when test="Couple_Regulateur_Emetteur_Chaud=0">Ne permettant pas un arrêt total de l'émission</xsl:when>
													<xsl:when test="Couple_Regulateur_Emetteur_Chaud=1">Permettant un arrêt total de l'émission</xsl:when>
													<xsl:otherwise>-</xsl:otherwise>											
												</xsl:choose>
											</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>		
										</xsl:choose>
										</td>	
										<!-- mode regulation poele-insert -->
										<td align="center">
										<xsl:choose>
											<xsl:when test="Statut_Variation_Temporelle_Chaud=3">
												<xsl:choose>
													<xsl:when test="Regulation_Poele_Ou_Insert=0">Régulation avec thermostat ambiance</xsl:when>
													<xsl:when test="Regulation_Poele_Ou_Insert=1">Régulation manuelle</xsl:when>
													<xsl:otherwise>-</xsl:otherwise>											
												</xsl:choose>
											</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>		
										</xsl:choose>
										</td>	
										
									</tr>
							</xsl:if>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>
			</tbody>
		</table>
		
	</xsl:if>
</xsl:template>		












<!-- ventilo-convecteurs en mode chaud -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_ventilo_conv">	
		<xsl:variable name="id_zone" select="Index"/>	
		<xsl:variable name="id_bat" select="../../Index"/>	
	<!-- test présence ventilo-convecteur -->
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment[Index=$id_bat]/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]">
		
		<xsl:if test="sum(/projet/Entree_Projet/Batiment_Collection/Batiment[Index=$id_bat]/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur/Gest_vcv) != 0">
		
			<h5>Caractéristiques techniques des ventilateurs locaux des ventilo-convecteurs en mode chaud</h5>
			
			<p class="comment">Limitation à 2 groupes / 3 ventilo-convecteurs</p>
			
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
				<thead>
					<tr>
						<th>Groupes</th>
						<th>Mode de gestion des ventilateurs locaux</th>
						<th>Présence d'un régime de super petite vitesse automatique sur le ventilo-convecteur</th>
						<th>Puissance totale des ventilateurs locaux en régime grande vitesse</th>
						<th>Puissance totale des ventilateurs locaux en régime moyenne vitesse</th>
						<th>Puissance totale des ventilateurs locaux en régime petite vitesse</th>
						<th>Puissance totale des ventilateurs locaux en régime super petite vitesse</th>
					</tr>
					<tr>
						<th class="strong">-</th>
						<th class="strong">-</th>
						<th class="strong">-</th>
						<th class="strong">W</th>
						<th class="strong">W</th>
						<th class="strong">W</th>
						<th class="strong">W</th>
					</tr>
				</thead>
				<tbody>
					<!-- on ne prend que les groupes qui ont du Gest_vcv -->
					<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment[Index=$id_bat]/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[position() &lt; 4][Is_emetteur_chaud=1][Gest_vcv]">
					<xsl:variable name="id_gpe" select="../Index"/>
						<tr>
							<th><xsl:value-of select="../../Name"/></th>
							<td align="center">
								<xsl:choose>
									<xsl:when test="Gest_vcv = 0">Pas de ventilateur local</xsl:when>
									<xsl:when test="Gest_vcv = 1">Régulation manuelle uniquement</xsl:when>
									<xsl:when test="Gest_vcv = 2">Régulation automatique avec fonctionnement permanent des ventilateurs</xsl:when>
									<xsl:when test="Gest_vcv = 3">Régulation automatique avec arrêt total des ventilateurs lorsque la consigne est atteinte</xsl:when>
								</xsl:choose>
							</td>
							<td align="center">
								<xsl:choose>
									<xsl:when test="I_spv = 0">Non</xsl:when>
									<xsl:when test="I_spv = 1">Oui</xsl:when>
								</xsl:choose>
							</td>
							<td align="center"><xsl:value-of select="format-number(P_VCV_gv,'#&#160;##0,##', 'fr')"/></td>
							<td align="center"><xsl:value-of select="format-number(P_VCV_mv,'#&#160;##0,##', 'fr')"/></td>
							<td align="center"><xsl:value-of select="format-number(P_VCV_pv,'#&#160;##0,##', 'fr')"/></td>
							<xsl:choose>
								<xsl:when test="I_spv = 0">
									<td>-</td>
								</xsl:when>
								<xsl:when test="I_spv = 1">
									<td align="center"><xsl:value-of select="format-number(P_VCV_spv,'#&#160;##0,##', 'fr')"/></td>
								</xsl:when>
							</xsl:choose>				
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</xsl:if>
	</xsl:if>
</xsl:template>		















<!-- niveau de distribution groupe de chauffage -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_distrib_chauffage">
	<xsl:variable name="id_zone" select="Index"/>	
	<xsl:variable name="nbgroupes" select="count(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4])"/>
	
	<h4>Distribution de chauffage du groupe</h4>
	
	<xsl:choose>
		
		<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]">
		
			<p class="comment">1/ Limitation à 2 groupes avec limitation à 3 distributions par groupe</p>
		
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
				<thead>
					<tr>
						<th width="30%">Distribution de chauffage du groupe</th>
						<th width="5%">Unité</th>
						<xsl:choose>
							<xsl:when test="$nbgroupes &lt; 6">	
								<th colspan="{$nbgroupes}" width="65%">Groupes / Distribution</th>
							</xsl:when>
							<xsl:otherwise>
								<th colspan="6" width="65%">Groupes / Distribution</th>
							</xsl:otherwise>
						</xsl:choose>
					</tr>
					<tr>
						<th class="strong">&#160;</th>
						<th class="strong">&#160;</th>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							<th class="strong" align="center"><xsl:value-of select="../../../Name"/> - <xsl:value-of select="Name"/></th>
						</xsl:for-each>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>Type de réseau de distribution</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							<td align="center">
								<xsl:choose>
									<xsl:when test="Type_2nd = 0">Réseau de distribution fictif sans perte (sans circulation de fluide caloporteur)</xsl:when>
									<xsl:when test="Type_2nd = 1">Réseau de distribution hydraulique</xsl:when>
								</xsl:choose>
							</td>
						</xsl:for-each>
					</tr>	

					<tr>
						<td>Longueur du réseau de distribution en volume chauffé</td>
						<td align="center">ml</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Lvc,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</tr>	

					<tr>
						<td>Longueur du réseau de distribution hors volume chauffé</td>
						<td align="center">ml</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Lhvc,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Mode de gestion de la température de départ du réseau de groupe</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">					
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
										<xsl:choose>
											<xsl:when test="Gest_2nd_Ch = 0">Sans objet</xsl:when>
											<xsl:when test="Gest_2nd_Ch = 1">Température de départ constante</xsl:when>
											<xsl:when test="Gest_2nd_Ch = 2">Température de retour constante</xsl:when>
											<xsl:when test="Gest_2nd_Ch = 3">Modulation en fonction de la température extérieure</xsl:when>
										</xsl:choose>
								</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>							

						</xsl:for-each>
					</tr>
					<tr>
						<td>Mode de régulation de fonctionnement</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
										<xsl:choose>
											<xsl:when test="Mode_Reg_Debit_Ch = 0">Sans objet</xsl:when>
											<xsl:when test="Mode_Reg_Debit_Ch = 1">Régulation à débit constant et fonctionnement continu</xsl:when>
											<xsl:when test="Mode_Reg_Debit_Ch = 2">Régulation à débit constant et fonctionnement intermittent</xsl:when>
											<xsl:when test="Mode_Reg_Debit_Ch = 3">Régulation à débit variable</xsl:when>
										</xsl:choose>
								</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>								
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Température de départ de dimensionnement</td>
						<td align="center">°C</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Theta_Dep_Dim_Ch,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>														
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Différence nominale de température dans le réseau de distributionde groupe entre le départ et le retour</td>
						<td align="center">°C</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Delta_Theta_Em_Dim_Ch,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>		

						</xsl:for-each>
					</tr>
					<tr>
						<td>Coefficient de déperditions linéaire moyen du réseau pour le chauffage en volume chauffé</td>
						<td align="center">W/mK</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Umoyen_Vc_Ch,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	

						</xsl:for-each>
					</tr>	
					<tr>
						<td>Classe d'isolation déduite du réseau pour le chauffage en volume chauffé</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
						<xsl:variable name="id_dgc" select="Index"/>	
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
									<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone/groupe_collection/groupe/emetteur_collection/emetteur/distribution_groupe_chaud[Index=$id_dgc]">
										<xsl:choose>
											<xsl:when test="classe_iso_vc = 0">Sans objet</xsl:when>
											<xsl:when test="classe_iso_vc = 1">Classe 1</xsl:when>
											<xsl:when test="classe_iso_vc = 2">Classe 2</xsl:when>
											<xsl:when test="classe_iso_vc = 3">Classe 3</xsl:when>
											<xsl:when test="classe_iso_vc = 4">Classe 4</xsl:when>
											<xsl:when test="classe_iso_vc = 5">Classe 5</xsl:when>
											<xsl:when test="classe_iso_vc = 6">Classe 6</xsl:when>
											<xsl:otherwise><i>non renseigné</i></xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
									</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	

						</xsl:for-each>
					</tr>	
					<tr>
						<td>Coefficient de déperditions linéaire moyen du réseau pour le chauffage hors volume chauffé</td>
						<td align="center">W/mK</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">

							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Umoyen_Hvc_Ch,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
							

						</xsl:for-each>
					</tr>
					<tr>
						<td>Classe d'isolation déduite du réseau pour le chauffage hors volume chauffé</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
						<xsl:variable name="id_dgc2" select="Index"/>	
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
								<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone/groupe_collection/groupe/emetteur_collection/emetteur/distribution_groupe_chaud[Index=$id_dgc2]">
										<xsl:choose>
											<xsl:when test="classe_iso_hvc = 0">Sans objet</xsl:when>
											<xsl:when test="classe_iso_hvc = 1">Classe 1</xsl:when>
											<xsl:when test="classe_iso_hvc = 2">Classe 2</xsl:when>
											<xsl:when test="classe_iso_hvc = 3">Classe 3</xsl:when>
											<xsl:when test="classe_iso_hvc = 4">Classe 4</xsl:when>
											<xsl:when test="classe_iso_hvc = 5">Classe 5</xsl:when>
											<xsl:when test="classe_iso_hvc = 6">Classe 6</xsl:when>
											<xsl:otherwise><i>non renseigné</i></xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
								</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>								

						</xsl:for-each>
					</tr>
					<tr>
						<td>Mode de régulation du circulateur du réseau de groupe en chauffage</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">

							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
								
								<xsl:choose>
									<xsl:when test="Gest_Circ_2nd_Ch = 0">Pas de circulateur</xsl:when>
									<xsl:when test="Gest_Circ_2nd_Ch = 1">Vitesse constante</xsl:when>
									<xsl:when test="Gest_Circ_2nd_Ch = 2">Vitesse variable et maintien du réseau à pression différentielle constante</xsl:when>
									<xsl:when test="Gest_Circ_2nd_Ch = 3">Vitesse variable et variation de la pression différentielle du réseau</xsl:when>
								</xsl:choose></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	

						</xsl:for-each>
					</tr>	
					<tr>
						<td>Puissance du circulateur du réseau de groupe en chauffage</td>
						<td align="center">W</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Pcirculateur_Ch,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>							
						</xsl:for-each>
					</tr>
					<tr>
					<!-- MODIF test espET2 1163-032013 -->
						<td>Espace tampon éventuel associé</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_chaud=1]/Distribution_Groupe_Chaud[position() &lt; 4]">
						<xsl:variable name="espET2" select="Id_Et"/>
							<td align="center">
								<xsl:choose>
									<xsl:when test="$espET2 and $espET2 &gt; 0 ">
										<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Solarise"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Solarise[Index=$espET2]/Name"/></xsl:if>
										<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Non_Solarise"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Non_Solarise[Index=$espET2]/Name"/></xsl:if>										
									</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>
							</td>
						</xsl:for-each>
					</tr>
				</tbody>
			</table>
			</xsl:when>
		<xsl:otherwise>
			<p><i>-- Pas de données "Niveau distribution groupe de chauffage" pour cette zone  --</i></p>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>















<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_groupe_chauffage">
	<xsl:variable name="id_zone" select="Index"/>	
	<h4>Niveau groupe de chauffage</h4>
	<h5>Programmation de la relance pour le chauffage</h5>
	
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[Type_Pgrm_Ch !=0]">
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
				<thead>
					<tr>
						<th width="40%">Groupes</th>
						<th width="60%">Programmation de la relance pour le chauffage</th>
					</tr>
				</thead>
				<tbody>
					<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[Type_Pgrm_Ch !=0]">
						<tr>
							<td><strong><xsl:value-of select="Name"/></strong></td>
							<td align="center">
								<xsl:choose>
									<xsl:when test="Type_Pgrm_Ch = 0">Sans objet</xsl:when>
									<xsl:when test="Type_Pgrm_Ch = 1">Horloge à heure fixe</xsl:when>
									<xsl:when test="Type_Pgrm_Ch = 2">Horloge à heure fixe associée à un contrôle de l'ambiance</xsl:when>
									<xsl:when test="Type_Pgrm_Ch = 3">Optimiseur</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>						
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
	</xsl:if>
</xsl:template>















<!-- equipements de froid -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_froid_emetteurs">
<xsl:variable name="id_zone" select="Index"/>	

<p class="debug">somme : <xsl:value-of select="count(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_fr[node()])"/></p>

<xsl:if test="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_fr and count(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_fr[node()]) &gt; 0">	
	<h4>Type d'énergie des générateurs de froid raccordés à la zone</h4>

	<xsl:choose>
	<xsl:when test="sum(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_fr/*) &gt; 0">
		<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/type_energie_gen_fr">
			<xsl:choose>
				<xsl:when test="elec_joule and elec_joule = 1">- Electrique à effet joule<br/></xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="elec_thermo and elec_thermo = 1">- Electrique thermodynamique<br/></xsl:when>
			</xsl:choose>
			<xsl:choose>
				<xsl:when test="reseau and reseau = 1">- Réseau de froid<br/></xsl:when>
			</xsl:choose>
			<xsl:choose>				
				<xsl:when test="gaz and gaz = 1">- Gaz Thermodynamique<br/></xsl:when>
			</xsl:choose>				
			<xsl:choose>
				<xsl:when test="autre and autre = 1">- Autre : <xsl:value-of select="autre"/><br/></xsl:when>				
			</xsl:choose>		
		</xsl:for-each>
		</xsl:when>
		<xsl:otherwise><i>-- Non renseigné --</i></xsl:otherwise>
	</xsl:choose>		
</xsl:if>
</xsl:template>		














<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_surface_locaux_froid">
	<xsl:variable name="id_zone" select="Index"/>	
	<h4>Emetteurs de froid des groupes de la zone</h4>
	<xsl:choose>
		<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]">
			<xsl:variable name="id_gpe" select="../../Index"/>
			<!-- recuperer surface utile du groupe pour calculer la 3eme colonne : surface locaux -->
			
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
				<thead>
					<tr>
						<th>Groupes</th>
						<th>Libellé des émetteurs</th>
						<th>Ratio de la surface utile<br/>traitée par l'émetteur</th>
						<th>Surface des locaux refroidis en m<sup>2</sup></th>
					</tr>
				</thead>
<tbody>
					<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]">
						<xsl:variable name="id_eme" select="Index"/>
						<tr>
							<td><strong><xsl:value-of select="../../Name"/></strong></td>
							<td align="center">
							

							
							<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone/groupe_collection/groupe/emetteur_collection/emetteur[Index=$id_eme]/type_emet_froid">
								<xsl:call-template name="type_emetteur_fr"/>
							</xsl:for-each>							
							
							</td>
							<td align="center"><xsl:value-of select="format-number(Rat_s_fr,'#&#160;##0,##', 'fr')"/></td>
							<!-- calcul Rat_s_fr * Rat_t_fr * SHAB ou SURT selon le cas, tester si valeur nulle -->
							<td align="center">
							
							<xsl:choose>
								<xsl:when test="../../SURT != ''">
									<xsl:value-of select="format-number((../../SURT * (Rat_s_fr)),'#&#160;##0,##', 'fr')"/>
								</xsl:when>
								<xsl:when test="../../SHAB != ''">
									<xsl:value-of select="format-number((../../SHAB * (Rat_s_fr)),'#&#160;##0,##', 'fr')"/>
								</xsl:when>								
							</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>	
		</xsl:when>
		<xsl:otherwise>
			<p><i>-- Pas de données sur les équipements de froid (émetteurs groupe de froid) pour cette zone --</i></p>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>











<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_caract_emetteurs_froid">
	<xsl:variable name="id_zone" select="Index"/>	
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]">
		
		<h4>Détail des émetteurs de froid</h4>
		<h5>Caractéristiques techniques principales des émetteurs en mode froid</h5>
		
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
			<thead>
				<tr>
					<th>Groupes</th>
					<th>Emetteurs</th>
					<th>Hauteur du plafond du local</th>
					<th>Ratio de pertes au dos des émetteurs</th>
					<th>Classe de variation spatiale</th>
					<th>Variation spatiale de l'émetteur si classe personnalisée</th>
					<th>Statut de la variation temporelle</th>
					<th>Variation temporelle de l'émetteur</th>
					<th>Stratégie de régulation de l'émetteur</th>
				</tr>
				<tr>
					<th class="strong">-</th>
					<th class="strong">-</th>
					<th class="strong">-</th>
					<th class="strong">%</th>
					<th class="strong">-</th>
					<th class="strong">°C</th>
					<th class="strong">-</th>
					<th class="strong">°C</th>
					<th class="strong">-</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe">
				<!-- MODIF 116 -->
				<!-- on tri les groupe par surface décroissante  -->
				<xsl:sort select="SURT" data-type="number" order="descending"/>
				<xsl:sort select="SHAB" data-type="number" order="descending"/>
					<xsl:if test="position() &lt; 3">
						<xsl:for-each select="Emetteur_Collection/Emetteur[Is_emetteur_froid=1]">
						<!-- on tri les emetteur par ratios décroissants -->
						<xsl:sort select="Rat_s_fr" data-type="number" order="descending"/>
						<xsl:variable name="id_eme" select="Index"/>
							<xsl:if test="position() &lt; 4">				
								<tr>
									<th><xsl:value-of select="../../Name"/></th>
									<td align="center">
									
									<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone[Index=$id_zone]/groupe_collection/groupe/emetteur_collection/emetteur[Index=$id_eme]/type_emet_froid">
										<xsl:call-template name="type_emetteur_fr"/>
									</xsl:for-each>									
									
									</td>
									<td align="center">
										<xsl:choose>
											<xsl:when test="Carac_Haut_Plafond = 0">Local de moins de 4 mètres sous plafond</xsl:when>
											<xsl:when test="Carac_Haut_Plafond = 1">Local de 4 à 6 mètres sous plafond</xsl:when>
											<xsl:when test="Carac_Haut_Plafond = 2">Local de 6 à 8 mètres sous plafond</xsl:when>
											<xsl:when test="Carac_Haut_Plafond = 3">Local de plus de 8 mètres sous plafond</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>
									</td>
									<td align="center"><xsl:value-of select="format-number(Per_dos * 100,'#&#160;##0,##', 'fr')"/></td>
									<td align="center">
										<xsl:choose>
											<xsl:when test="Classe_Variation_Spatiale_Froid = 0">Valeur personnalisée</xsl:when>
											<xsl:when test="Classe_Variation_Spatiale_Froid = 1">Classe A</xsl:when>
											<xsl:when test="Classe_Variation_Spatiale_Froid = 2">Classe B</xsl:when>
											<xsl:when test="Classe_Variation_Spatiale_Froid = 3">Classe C</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>
									</td>
									<td align="center">
										<xsl:choose>
											<xsl:when test="Classe_Variation_Spatiale_Froid = 0"><xsl:value-of select="format-number(Delta_Temp_vs_fr,'#&#160;##0,##', 'fr')"/></xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>
									</td>
									<!-- statut varia tempo -->
									<td align="center">
										<xsl:choose>
											<xsl:when test="Statut_Variation_Temporelle_Froid = 0">Valeur certifiée</xsl:when>
											<xsl:when test="Statut_Variation_Temporelle_Froid = 1">Valeur justifiée</xsl:when>
											<xsl:when test="Statut_Variation_Temporelle_Froid = 2">Valeur par défaut</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>
									</td>							
									
									<!-- variation tempo emetteur -->
									<td align="center">
										<xsl:choose>
											<xsl:when test="Statut_Variation_Temporelle_Froid &lt; 2"><xsl:value-of select="format-number(Delta_Temp_vt_fr,'#&#160;##0,##', 'fr')"/></xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>
									</td>
									
									<!-- strategie régulation -->
									<td align="center">
										<xsl:choose>
											<xsl:when test="Statut_Variation_Temporelle_Froid = 2">
												<xsl:choose>
													<xsl:when test="Couple_Regulateur_Emetteur_Froid = 0">Ne permettant pas un arrêt total de l'émission</xsl:when>
													<xsl:when test="Couple_Regulateur_Emetteur_Froid = 1">Permettant un arrêt total de l'émission</xsl:when>
													<xsl:otherwise>-</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>											
										</xsl:choose>		
									</td>										

								</tr>
							</xsl:if>
						</xsl:for-each>
					</xsl:if>
				</xsl:for-each>								
			</tbody>
		</table>
	</xsl:if>
</xsl:template>	













<!-- ventilo-convecteurs en mode froid -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_ventilo_conv_froid">	
	<xsl:variable name="id_zone" select="Index"/>		
	<!-- test présence ventilo-convecteur -->
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]">
		
		<xsl:if test="sum(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur/Gest_vcv) != 0">
			
			<h5>Caractéristiques techniques des ventilateurs locaux des ventilo-convecteurs en mode froid</h5>
			
			<p class="comment">Limitation à 2 groupes / 3 ventilo-convecteurs</p>
			
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
				<thead>
					<tr>
						<th>Groupes</th>
						<th>Mode de gestion des ventilateurs locaux</th>
						<th>Présence d'un régime de super petite vitesse automatique sur le ventilo-convecteur</th>
						<th>Puissance totale des ventilateurs locaux en régime grande vitesse</th>
						<th>Puissance totale des ventilateurs locaux en régime moyenne vitesse</th>
						<th>Puissance totale des ventilateurs locaux en régime petite vitesse</th>
						<th>Puissance totale des ventilateurs locaux en régime super petite vitesse</th>
					</tr>
					<tr>
						<th class="strong">-</th>
						<th class="strong">-</th>
						<th class="strong">-</th>
						<th class="strong">W</th>
						<th class="strong">W</th>
						<th class="strong">W</th>
						<th class="strong">W</th>
					</tr>
				</thead>
				<tbody>
					<!-- on ne prend que les groupes qui ont du Gest_vcv -->
					<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[position() &lt; 4][Is_emetteur_froid=1][Gest_vcv]">
						<tr>
							<td><strong><xsl:value-of select="../../Name"/></strong></td>
							<td align="center">
								<xsl:choose>
									<xsl:when test="Gest_vcv = 0">Pas de ventilateur</xsl:when>
									<xsl:when test="Gest_vcv = 1">Régulation manuelle uniquement</xsl:when>
									<xsl:when test="Gest_vcv = 2">Régulation automatique avec fonctionnement permanent des ventilateurs</xsl:when>
									<xsl:when test="Gest_vcv = 3">Régulation automatique avec arrêt total des ventilateurs lorsque la consigne est atteinte</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>
							</td>
							<td align="center">
								<xsl:choose>
									<xsl:when test="I_spv = 0">Non</xsl:when>
									<xsl:when test="I_spv = 1">Oui</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>
							</td>
							<td align="center"><xsl:value-of select="format-number(P_VCV_gv,'#&#160;##0,##', 'fr')"/></td>
							<td align="center"><xsl:value-of select="format-number(P_VCV_mv,'#&#160;##0,##', 'fr')"/></td>
							<td align="center"><xsl:value-of select="format-number(P_VCV_pv,'#&#160;##0,##', 'fr')"/></td>
							<td align="center">						
							<xsl:choose>
								<xsl:when test="I_spv = 0">--</xsl:when>
								<xsl:when test="I_spv = 1"><xsl:value-of select="format-number(P_VCV_spv,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>		
							</td>							
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</xsl:if>
	</xsl:if>
</xsl:template>		











<!-- niveau de distribution groupe de froid -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_distrib_froid">
	<xsl:variable name="id_zone" select="Index"/>	
	<xsl:variable name="id_bat" select="../../Index"/>	
	<xsl:variable name="nbgroupes" select="count(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4])"/>


	<h4>Distribution de froid du groupe</h4>
	<p class="comment">Limitation à 2 groupes avec limitation à 3 distributions de froid</p>	
	<xsl:choose>
		
		<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]">
		
			<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
				<thead>
					<tr>
						<th width="30%">Distribution de froid du groupe</th>
						<th width="5%">Unité</th>
						<th colspan="{$nbgroupes}" width="65%">Groupes / Distribution</th>
					</tr>
					<tr>
						<th class="strong">&#160;</th>
						<th class="strong">&#160;</th>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<th class="strong" align="center"><xsl:value-of select="../../../Name"/> - <xsl:value-of select="Name"/></th>
						</xsl:for-each>
					</tr>	
				</thead>
				<tbody>
					<tr>
						<td>Type de réseau de distribution</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<td align="center">
								<xsl:choose>
									<xsl:when test="Type_2nd = 0">Réseau de distribution fictif sans perte (sans circulation de fluide caloporteur)</xsl:when>
									<xsl:when test="Type_2nd = 1">Réseau de distribution hydraulique</xsl:when>
								</xsl:choose>
							</td>
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Longueur du réseau de distribution en volume chauffé</td>
						<td align="center">ml</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
						
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Lvc,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>		
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Longueur du réseau de distribution hors volume chauffé</td>
						<td align="center">ml</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Lhvc,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Mode de gestion du système de refroidissement</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							
							<xsl:choose>
								<xsl:when test="Type_2nd = 1">
							<td align="center">
								<xsl:choose>
									<xsl:when test="Gest_2nd_Fr = 0">Sans objet</xsl:when>
									<xsl:when test="Gest_2nd_Fr = 1">Température de départ constante</xsl:when>
									<xsl:when test="Gest_2nd_Fr = 2">Température de retour constante</xsl:when>
								</xsl:choose>
							</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>
					<tr>
						<td>Mode de régulation de fonctionnement</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
								<xsl:choose>
									<xsl:when test="Mode_Reg_Debit_Fr = 0">Sans objet</xsl:when>
									<xsl:when test="Mode_Reg_Debit_Fr = 1">Régulation à débit constant et fonctionnement continu</xsl:when>
									<xsl:when test="Mode_Reg_Debit_Fr = 2">Régulation à débit constant et fonctionnement intermittent</xsl:when>
									<xsl:when test="Mode_Reg_Debit_Fr = 3">Régulation à débit variable</xsl:when>
								</xsl:choose>
							</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Température de départ en refroidissement</td>
						<td align="center">°C</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Theta_Dep_Dim_Fr,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	

						</xsl:for-each>
					</tr>	
					<tr>
						<td>Différence nominale de température dans le réseau de distributionde groupe entre le départ et le retour</td>
						<td align="center">°C</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Delta_Theta_Em_Dim_Fr,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>
					<tr>
						<td>Coefficient de déperditions linéaire moyen du réseau pour le refroidissement en volume chauffé</td>
						<td align="center">W/mK</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Umoyen_Vc_Fr,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Classe d'isolation déduite du réseau pour le refroidissement en volume chauffé</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
						<xsl:variable name="id_dgc" select="Index"/>
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
								
								<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone/groupe_collection/groupe/emetteur_collection/emetteur/distribution_groupe_froid[Index=$id_dgc]">
										<xsl:choose>
											<xsl:when test="classe_iso_vc = 0">Sans objet</xsl:when>
											<xsl:when test="classe_iso_vc = 1">Classe 1</xsl:when>
											<xsl:when test="classe_iso_vc = 2">Classe 2</xsl:when>
											<xsl:when test="classe_iso_vc = 3">Classe 3</xsl:when>
											<xsl:when test="classe_iso_vc = 4">Classe 4</xsl:when>
											<xsl:when test="classe_iso_vc = 5">Classe 5</xsl:when>
											<xsl:when test="classe_iso_vc = 6">Classe 6</xsl:when>
											<xsl:otherwise>non renseigné</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>								
								
								</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>								
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Coefficient de déperditions linéaire moyen du réseau pour le refroidissement hors volume chauffé</td>
						<td align="center">W/mK</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Umoyen_Hvc_Fr,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>
					<tr>
						<td>Classe d'isolation déduite du réseau pour le refroidissement hors volume chauffé</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
						<xsl:variable name="id_dgc2" select="Index"/>
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
								
								<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone/groupe_collection/groupe/emetteur_collection/emetteur/distribution_groupe_froid[Index=$id_dgc2]">
										<xsl:choose>
											<xsl:when test="classe_iso_hvc = 0">Sans objet</xsl:when>
											<xsl:when test="classe_iso_hvc = 1">Classe 1</xsl:when>
											<xsl:when test="classe_iso_hvc = 2">Classe 2</xsl:when>
											<xsl:when test="classe_iso_hvc = 3">Classe 3</xsl:when>
											<xsl:when test="classe_iso_hvc = 4">Classe 4</xsl:when>
											<xsl:when test="classe_iso_hvc = 5">Classe 5</xsl:when>
											<xsl:when test="classe_iso_hvc = 6">Classe 6</xsl:when>
											<xsl:otherwise>non renseigné</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>									
								
								</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>
					<tr>
						<td>Mode de régulation du circulateur du réseau de groupe en refroidissement</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center">
								<xsl:choose>
									<xsl:when test="Gest_Circ_2nd_Fr = 0">Pas de circulateur</xsl:when>
									<xsl:when test="Gest_Circ_2nd_Fr = 1">Vitesse constante</xsl:when>
									<xsl:when test="Gest_Circ_2nd_Fr = 2">Vitesse variable et maintien du réseau à pression différentielle constante</xsl:when>
									<xsl:when test="Gest_Circ_2nd_Fr = 3">Vitesse variable et variation de la pression différentielle du réseau</xsl:when>
								</xsl:choose>
							</td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>	
					<tr>
						<td>Puissance du circulateur du réseau de groupe en refroidissement</td>
						<td align="center">W</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
							<xsl:choose>
								<xsl:when test="Type_2nd = 1"><td align="center"><xsl:value-of select="format-number(Pcirculateur_Fr,'#&#160;##0,##', 'fr')"/></td></xsl:when>
								<xsl:otherwise><td align="center" class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>	
						</xsl:for-each>
					</tr>
					<tr>
						<td>Espace tampon éventuel associé</td>
						<td align="center">-</td>
						<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 3]/Emetteur_Collection/Emetteur[Is_emetteur_froid=1]/Distribution_Groupe_Froid[position() &lt; 4]">
						<xsl:variable name="espET" select="Id_Et"/>
							<td align="center">								
								<xsl:choose>
									<xsl:when test="$espET and $espET &gt; 0 ">
										<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Solarise"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Solarise[Index=$espET]/Name"/></xsl:if>
										<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Non_Solarise"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Non_Solarise[Index=$espET]/Name"/></xsl:if>										
									</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>								
													
							</td>
						</xsl:for-each>
					</tr>
				</tbody>
			</table>
		</xsl:when>
		
		<xsl:otherwise>
			<p><i>-- Pas de données "Distribution de froid du groupe" pour cette zone --</i></p>
		</xsl:otherwise>
		
	</xsl:choose>
</xsl:template>		












<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_relance_froid">
<xsl:variable name="id_zone" select="Index"/>	


	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[Is_Climatise=1][Type_Pgrm_Fr != 0]">
		
		<h4>Niveau groupe de froid</h4>
		<h5>Programmation de la relance pour le refroidissement</h5>

		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
			<thead>
				<tr>
					<th width="40%">Groupes</th>
					<th width="60%">Programmation de la relance pour le refroidissement</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[Is_Climatise=1][Type_Pgrm_Fr != 0]">
					<tr>
						<td><strong><xsl:value-of select="Name"/></strong></td>
						<td align="center">
							<xsl:choose>
								<xsl:when test="Type_Pgrm_Fr = 0">Sans objet</xsl:when>
								<xsl:when test="Type_Pgrm_Fr = 1">Horloge à heure fixe</xsl:when>
								<xsl:when test="Type_Pgrm_Fr = 2">Horloge à heure fixe associée à un contrôle de l'ambiance</xsl:when>
								<xsl:when test="Type_Pgrm_Fr = 3">Pas d'horloge</xsl:when>
							</xsl:choose>						
						</td>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
	</xsl:if>
</xsl:template>









<!-- Données sur les émetteurs Eau Chaude Sanitaire -->

<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_ecs">
	<xsl:variable name="id_zone" select="Index"/>
	<h4>Niveau groupe émetteur Eau Chaude Sanitaire</h4>	
	
	<!-- si type de calcul simplifié -->
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_ECS_Collection/Emetteur_ECS[id_corr_em_e=1]">
		
		<h6>S’appliquant à une saisie simplifiée des émetteurs eau chaude sanitaire du groupe (robinets)</h6>
		
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th>Groupes</th>
					<th>Surface utile totale des locaux habités (en logements collectifs) desservies par l'émetteur</th>
					<th>Nombre de logements desservis par l'émetteur ECS (logements collectifs)</th>
					<th>Nombre de maisons desservies par l'émetteur ECS (maison individuelle ou maisons accolées)</th>
					<th>Nombre d'unités caractéristiques par émetteurs ECS en fonction du type usage pour le tertiaire</th>
				</tr>
				<tr>
					<th class="strong">&#160;</th>
					<th class="strong">m<sup>2</sup></th>
					<th class="strong">-</th>
					<th class="strong" >-</th>
					<th class="strong" >-</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 6]/Emetteur_ECS_Collection/Emetteur_ECS[id_corr_em_e=1]">
					<xsl:variable name="id_ecs" select="Index"/>
					<tr>
						<td><xsl:value-of select="../../Name"/> - <xsl:value-of select="Name"/></td>
						<xsl:choose>
							<xsl:when test="../../../../Usage=2">
									<td align="center">
										<xsl:value-of select="format-number(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone/groupe_collection/groupe/emetteur_ecs_collection/emetteur_ecs[Index=$id_ecs]/A_hab_gr_em_e,'#&#160;##0,##', 'fr')"/>
									</td>
							</xsl:when>
							<xsl:otherwise>
								<td align="center" bgcolor="lightgray">&#160;</td>
							</xsl:otherwise>
						</xsl:choose>	
						<xsl:choose>
							<xsl:when test="../../../../Usage=2">
									<td align="center">
										<xsl:value-of select="nb_lgt_gr_em_e"/>
									</td>
							</xsl:when>
							<xsl:otherwise>
								<td align="center" bgcolor="lightgray">&#160;</td>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:choose>
							<xsl:when test="../../../../Usage=1">
									<td align="center">
										<xsl:value-of select="nb_maison_gr_e"/>
									</td>
							</xsl:when>
							<xsl:otherwise>
								<td align="center" bgcolor="lightgray">&#160;</td>
							</xsl:otherwise>
						</xsl:choose>								
						<td align="center"><xsl:value-of select="format-number(nu_gr_em_e,'#&#160;##0,##', 'fr')"/></td>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
	
	</xsl:if>
	
	<!-- si saisie détaillée -->
	<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_ECS_Collection/Emetteur_ECS[id_corr_em_e=0]">
		
		<h6>S'appliquant à une saisie détaillée des émetteurs eau chaude sanitaire du groupe (robinets et appareils sanitaires)</h6>
		
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th>Groupes</th>
					<th>Surface utile totale des locaux habités desservies par l'émetteur <i>(en logements collectifs)</i></th>
					<th>Nombre de logements desservis par l'émetteur ECS <i>(en logements collectifs)</i></th>
					<th>Part des besoins d'ECS passant par des mélangeurs</th>
					<th>Part des besoins d'ECS passant par des mitigeurs thermostatiques et des mitigeurs mécaniques économes</th>
					<th>Part des besoins d'ECS passant par des robinets électroniques et les temporisateurs</th>
					<th>Type d'appareils sanitaires ECS lié à l'émetteur</th>
				</tr>	
				<tr>
					<th class="strong">&#160;</th>
					<th class="strong">m<sup>2</sup></th>
					<th class="strong">-</th>
					<th class="strong">-</th>
					<th class="strong">-</th>
					<th class="strong">-</th>
					<th class="strong">-</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 6]/Emetteur_ECS_Collection/Emetteur_ECS[id_corr_em_e=0]">
				<xsl:variable name="id_ecs2" select="Index"/>			
					<tr>
						<td><xsl:value-of select="../../Name"/> - <xsl:value-of select="Name"/></td>
						
						<xsl:choose>
							<xsl:when test="../../../../Usage=2">
									<td align="center">
										<xsl:value-of select="format-number(/projet/Datas_Comp/batiment_collection/batiment/zone_collection/zone/groupe_collection/groupe/emetteur_ecs_collection/emetteur_ecs[Index=$id_ecs2]/A_hab_gr_em_e,'#&#160;##0,##', 'fr')"/>
									</td>
									<td align="center">
										<xsl:value-of select="nb_lgt_gr_em_e"/>
									</td>									
							</xsl:when>
							<xsl:otherwise>
								<td align="center" bgcolor="lightgray">&#160;</td>
								<td align="center" bgcolor="lightgray">&#160;</td>
							</xsl:otherwise>
						</xsl:choose>												
						<td align="center"><xsl:value-of select="format-number(part_em_e_melangeurs,'#&#160;##0,##', 'fr')"/></td>
						<td align="center"><xsl:value-of select="format-number(part_em_e_mitigeur_thermo,'#&#160;##0,##', 'fr')"/></td>
						<td align="center"><xsl:value-of select="format-number(part_em_e_temporisateur,'#&#160;##0,##', 'fr')"/></td>
						<td align="center">								
							<xsl:choose>							
								<xsl:when test="app_ecs = 0">Sans objet</xsl:when>
								<xsl:when test="app_ecs = 1">Douche seule</xsl:when>
								<xsl:when test="app_ecs = 2">Baignoire sabot (V inf. 125 L)</xsl:when>
								<xsl:when test="app_ecs = 3">Baignoire standard (V sup. 125 L ou V inf. 175 L)</xsl:when>
								<xsl:when test="app_ecs = 4">Grande baignoire (V sup. 175 L)</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>
				</xsl:for-each>
			</tbody>
		</table>	


		
	</xsl:if>
	

	<xsl:if test="count(/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_ECS_Collection) &lt; 1">
		<p><i>-- Pas de données pour cette zone --</i></p>
	</xsl:if>
</xsl:template>		













<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_distri_ecs">
	<xsl:variable name="id_zone" select="Index"/>	
	<h4>Niveau distribution d'eau chaude sanitaire du groupe</h4>
	<xsl:choose>
	<xsl:when test="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe/Emetteur_ECS_Collection/Emetteur_ECS/Distribution_Groupe_ECS">
		
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th>Groupes</th>
					<th>Nombre de distributions du groupe d'ECS connectés à l'émetteur équivalent</th>
					<th>Longueur totale du réseau de distribution du groupe d'ECS situé en volume chauffé</th>
					<th>Longueur totale du réseau de distribution du groupe d'ECS situé hors volume chauffé</th>
					<th>Diamètre intérieur de la distribution du groupe d'ECS</th>
					<th>Température de la distribution d'ECS du groupe</th>
					<th>Identifiant du ballon décentralisé du PCAD CESCI ou CESCAI éventuel associé</th>
					<th>Espace tampon éventuel associé</th>
				</tr>
				<tr>
					<th class="strong">&#160;</th>
					<th class="strong">-</th>
					<th class="strong">m</th>
					<th class="strong" >m</th>
					<th class="strong" >mm</th>
					<th class="strong" >°C</th>
					<th class="strong" >-</th>
					<th class="strong" >-</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[position() &lt; 6]/Emetteur_ECS_Collection/Emetteur_ECS/Distribution_Groupe_ECS">
				<xsl:variable name="esp_t_ecs" select="Id_Et"/>
				<xsl:variable name="v_pcad" select="Id_Ballon"/>
					<tr>
						<td><xsl:value-of select="../../../Name"/> - <xsl:value-of select="Name"/></td>
						<td align="center"><xsl:value-of select="format-number(nb_dist_2nd_e,'#&#160;##0,##', 'fr')"/></td>
						<td align="center"><xsl:value-of select="format-number(l_vc_2nd_e,'#&#160;##0,##', 'fr')"/></td>
						<td align="center"><xsl:value-of select="format-number(l_hvc_2nd_e,'#&#160;##0,##', 'fr')"/></td>
						<td align="center"><xsl:value-of select="format-number(d_int_2nd_e,'#&#160;##0,##', 'fr')"/></td>
						<td align="center"><xsl:value-of select="format-number(theta_2nd_e,'#&#160;##0,##', 'fr')"/></td>
						<!-- ballon décentralisé CESCI ou CESCAI associé -->
						<td align="center">
								<xsl:choose>
									<xsl:when test="$v_pcad and $v_pcad &gt; 0 ">
										<xsl:value-of select="/projet/Entree_Projet/PCAD_Collection/PCAD[Index=$v_pcad]/Name"/>
									</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>
						</td>
						
						<!-- espace tampon associe -->
						<td align="center">
								<xsl:choose>
									<xsl:when test="$esp_t_ecs and $esp_t_ecs &gt; 0 ">
										<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Solarise"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Solarise[Index=$esp_t_ecs]/Name"/></xsl:if>
										<xsl:if test="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Non_Solarise"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon_Non_Solarise[Index=$esp_t_ecs]/Name"/></xsl:if>										
									</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>	
						</td>
						
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
		
	</xsl:when>
	<xsl:otherwise>
		<p><i>-- Pas de données pour cette zone --</i></p>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>			













<!-- si usage 1 et 2, valeurs conventionnelles -->
<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_eclairage_habitation">
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
		<thead>
			<tr>
				<th rowspan="2">Libellé</th>
				<th rowspan="2">Usage du local</th>
				<th rowspan="2">Ratio de surface utile du local</th>
				<th rowspan="2">Part du local ayant accès à la lumière naturelle</th>
				<th rowspan="2">Type de gestion en fonction de l'éclairage naturel</th>
				<th colspan="2">Dimensionnement</th>
				<th colspan="2">Gestion de l'éclairage</th>
			</tr>
			<tr>
				<th>Puissance totale d'éclairage installée dans le local</th>
				<th>Puissance totale des auxiliaires d'éclairage (appareillage et périphériques)</th>
				<th>Mode de commande</th>
				<th>Type de régulation</th>
			</tr>
			<tr>
				<th class="strong" align="center">-</th>
				<th class="strong" align="center">-</th>
				<th class="strong">%</th>
				<th class="strong">%</th>
				<th class="strong" align="center">-</th>
				<th class="strong">W/m<sup>2</sup></th>
				<th class="strong">W/m<sup>2</sup></th>
				<th class="strong">-</th><th class="strong">-</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td align="center">-</td>
				<td>Conventionnel habitation Logement</td>
				<td align="center">-</td>
				<td align="center">-</td>
				<td align="center">Gestion fractionnée</td>
				<td align="center">1,4</td>
				<td align="center">0</td>
				<td align="center">Interrupteur manuel marche arrêt</td>
				<td align="center">Gestion manuelle avec lumière du jour</td>
			</tr>
		</tbody>
	</table>
				
</xsl:template>		












<xsl:template match="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B/Sortie_Zone_B_Collection/Sortie_Zone_B" mode="eqpt_eclairage">
	<xsl:variable name="id_zone" select="Index"/>
<p class="debug">Nom zone : <xsl:value-of select="Name"/></p>
	<!-- on affiche les groupes qui comportent une balise eclairage -->
	<xsl:for-each select="/projet/Entree_Projet/Batiment_Collection/Batiment/Zone_Collection/Zone[Index=$id_zone]/Groupe_Collection/Groupe[count(Eclairage_Collection/Eclairage) != 0 ]">
		<p class="group">Groupe : <strong><xsl:value-of select="Name"/></strong></p>
		
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
			<thead>
				<tr>
					<th rowspan="2">Libellé</th>
					<th rowspan="2">Usage du local éclairage</th>
					<th rowspan="2">Ratio de surface utile du local</th>
					<th rowspan="2">Part du local ayant accès à la lumière naturelle</th>
					<th rowspan="2">Type de gestion en fonction de l'éclairage naturel</th>
					<th colspan="2">Dimensionnement</th>
					<th colspan="2">Gestion de l'éclairage</th>
				</tr>
				<tr>
					<th>Puissance totale d'éclairage installée dans le local</th>
					<th>Puissance totale des auxiliaires d'éclairage (appareillage et périphériques)</th>
					<th>Mode de commande</th>
					<th>Type de régulation</th>
				</tr>
				<tr>
					<th class="strong">-</th>
					<th class="strong">-</th>
					<th class="strong">%</th>
					<th class="strong">%</th>
					<th class="strong">-</th>
					<th class="strong">W/m<sup>2</sup></th>
					<th class="strong">W/m<sup>2</sup></th>
					<th class="strong">-</th>
					<th class="strong">-</th>
				</tr>
			</thead>
			<tbody>
				<xsl:for-each select="Eclairage_Collection/Eclairage">
					<tr>
						<td><xsl:value-of select="Name"/></td>
						<td class="h3">
							<xsl:choose>
								
								<xsl:when test="../../../../Usage=16">
									<xsl:choose>
										<xsl:when test="Locaux_Bureau = 0">Bureaux</xsl:when>
										<xsl:when test="Locaux_Bureau = 1">Salle de réunion</xsl:when>
										<xsl:when test="Locaux_Bureau = 2">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Bureau = 3">Sanitaires collectifs</xsl:when>
									</xsl:choose>
								</xsl:when>
								
								<xsl:when test="../../../../Usage=3">
									<xsl:choose>
										<xsl:when test="Locaux_Creche_Garderie_Pouponieres = 0">Salle de jeux (hors bureau)</xsl:when>
										<xsl:when test="Locaux_Creche_Garderie_Pouponieres = 1">Salle de repos</xsl:when>
										<xsl:when test="Locaux_Creche_Garderie_Pouponieres = 2">Bureau</xsl:when>
										<xsl:when test="Locaux_Creche_Garderie_Pouponieres = 3">Salle de réunion</xsl:when>
										<xsl:when test="Locaux_Creche_Garderie_Pouponieres = 4">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Creche_Garderie_Pouponieres = 5">Sanitaires vestiaires</xsl:when>
									</xsl:choose>
								</xsl:when>	
							
								<xsl:when test="../../../../Usage=4">
									<xsl:choose>
										<xsl:when test="Locaux_Enseignement_Primaire = 0">Salle de Classe</xsl:when>
										<xsl:when test="Locaux_Enseignement_Primaire = 1">Bureau</xsl:when>
										<xsl:when test="Locaux_Enseignement_Primaire = 2">Salle de Réunion</xsl:when>
										<xsl:when test="Locaux_Enseignement_Primaire = 3">Salle de Repos</xsl:when>
										<xsl:when test="Locaux_Enseignement_Primaire = 4">Restaurant</xsl:when>
										<xsl:when test="Locaux_Enseignement_Primaire = 5">Local de circulation ou d'accueil</xsl:when>
										<xsl:when test="Locaux_Enseignement_Primaire = 6">Sanitaire ou vestiaire</xsl:when>
									</xsl:choose>
								</xsl:when>
								
								<xsl:when test="../../../../Usage=5">
									<xsl:choose>
										<xsl:when test="Locaux_Secondaire_Jour = 0">Salle de Classe</xsl:when>
										<xsl:when test="Locaux_Secondaire_Jour = 1">Salle de réunion</xsl:when>
										<xsl:when test="Locaux_Secondaire_Jour = 2">Salles enseignement informatique</xsl:when>
										<xsl:when test="Locaux_Secondaire_Jour = 3">Salle de conférence, salle polyvalente</xsl:when>
										<xsl:when test="Locaux_Secondaire_Jour = 4">Bureau standard</xsl:when>
										<xsl:when test="Locaux_Secondaire_Jour = 5">Centre de documentation</xsl:when>
										<xsl:when test="Locaux_Secondaire_Jour = 6">Salle des professeurs</xsl:when>
										<xsl:when test="Locaux_Secondaire_Jour = 7">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Secondaire_Jour = 8">Sanitaires collectifs</xsl:when>
									</xsl:choose>
								</xsl:when>
								
								<xsl:when test="../../../../Usage=6">
									<xsl:choose>
										<xsl:when test="Locaux_Secondaire_Nuit = 0">Douches collectives</xsl:when>
										<xsl:when test="Locaux_Secondaire_Nuit = 1">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Secondaire_Nuit = 2">Circulation</xsl:when>
										<xsl:when test="Locaux_Secondaire_Nuit = 3">Chambre sans cuisine ni salle de bains</xsl:when>
									</xsl:choose>
								</xsl:when>		
								
								<xsl:when test="../../../../Usage=7">
									<xsl:choose>
										<xsl:when test="Locaux_Universite = 0">Salles de classe</xsl:when>
										<xsl:when test="Locaux_Universite = 1">Amphithéâtres, salle de conférence</xsl:when>
										<xsl:when test="Locaux_Universite = 2">Salles enseignement informatique</xsl:when>
										<xsl:when test="Locaux_Universite = 3">Centre de documentation</xsl:when>
										<xsl:when test="Locaux_Universite = 4">Bureaux</xsl:when>
										<xsl:when test="Locaux_Universite = 5">Salle de réunion</xsl:when>
										<xsl:when test="Locaux_Universite = 6">Accueil, hall entrée, circulation</xsl:when>
										<xsl:when test="Locaux_Universite = 7">Sanitaires collectifs</xsl:when>
									</xsl:choose>
								</xsl:when>				
								
								<!-- FJT -->
								<xsl:when test="../../../../Usage=8">
									<xsl:choose>
										<xsl:when test="Locaux_Hebergement_Occ_Continue = 0">Salle de conférence</xsl:when>
										<xsl:when test="Locaux_Hebergement_Occ_Continue = 1">Chambre sans cuisine avec salle de bain</xsl:when>
										<xsl:when test="Locaux_Hebergement_Occ_Continue = 2">Bureau standard</xsl:when>
										<xsl:when test="Locaux_Hebergement_Occ_Continue = 3">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Hebergement_Occ_Continue = 4">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Hebergement_Occ_Continue = 5">Foyer</xsl:when>
										<xsl:when test="Locaux_Hebergement_Occ_Continue = 6">Douches collectives</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=30">
									<xsl:choose>
										<xsl:when test="Locaux_Hebergement_Residence_Etudiante = 0">Chambre sans cuisine avec salle de bain</xsl:when>
										<xsl:when test="Locaux_Hebergement_Residence_Etudiante = 1">Bureau standard</xsl:when>
										<xsl:when test="Locaux_Hebergement_Residence_Etudiante = 2">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Hebergement_Residence_Etudiante = 3">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Hebergement_Residence_Etudiante = 4">Douches collectives</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=10 or ../../../../Usage=11 or ../../../../Usage=12 or ../../../../Usage=13">
									<xsl:choose>
										<xsl:when test="Locaux_Hotel_1etoile_Nuit = 0 or Locaux_Hotel_2etoile_Nuit = 0 or Locaux_Hotel_3etoile_Nuit = 0 or Locaux_Hotel_4etoile_Nuit = 0">Chambre sans cuisine avec salle de bain</xsl:when>
										<xsl:when test="Locaux_Hotel_1etoile_Nuit = 1 or Locaux_Hotel_2etoile_Nuit = 1 or Locaux_Hotel_3etoile_Nuit = 1 or Locaux_Hotel_4etoile_Nuit = 1">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Hotel_1etoile_Nuit = 2 or Locaux_Hotel_2etoile_Nuit = 2 or Locaux_Hotel_3etoile_Nuit = 2 or Locaux_Hotel_4etoile_Nuit = 2">Locaux de services</xsl:when>
										<xsl:when test="Locaux_Hotel_1etoile_Nuit = 3 or Locaux_Hotel_2etoile_Nuit = 3 or Locaux_Hotel_3etoile_Nuit = 3 or Locaux_Hotel_4etoile_Nuit = 3">Circulation</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=14">
									<xsl:choose>
										<xsl:when test="Locaux_Hotel_1_ou_2etoiles_Jour = 0">Bureau standard</xsl:when>
										<xsl:when test="Locaux_Hotel_1_ou_2etoiles_Jour = 1">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Hotel_1_ou_2etoiles_Jour = 2">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Hotel_1_ou_2etoiles_Jour = 3">Salle à manger (petit déjeuner)</xsl:when>
									</xsl:choose>
								</xsl:when>	
								
								<xsl:when test="../../../../Usage=15">
									<xsl:choose>
										<xsl:when test="Locaux_Hotel_3_ou_4etoiles_Jour = 0">Bureau standard</xsl:when>
										<xsl:when test="Locaux_Hotel_3_ou_4etoiles_Jour = 1">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Hotel_3_ou_4etoiles_Jour = 2">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Hotel_3_ou_4etoiles_Jour = 3">Bar</xsl:when>
										<xsl:when test="Locaux_Hotel_3_ou_4etoiles_Jour = 4">Salle à manger (petit déjeuner)</xsl:when>
										<xsl:when test="Locaux_Hotel_3_ou_4etoiles_Jour = 5">Salle de séminaires réunion</xsl:when>
									</xsl:choose>
								</xsl:when>			
								
								<xsl:when test="../../../../Usage=18 or ../../../../Usage=37 or ../../../../Usage=20 or ../../../../Usage=19 or ../../../../Usage=38 or ../../../../Usage=17">
									<xsl:choose>
										<xsl:when test="Locaux_Restaurant_1_Repas_5_7=0 or Locaux_Restaurant_2_Repas_Jour_6_7=0 or Locaux_Restaurant_3_Repas_Jour_5_7=0 or Locaux_Restauration_Continue=0">Salle restaurant</xsl:when>
										<xsl:when test="Locaux_Restaurant_1_Repas_5_7=1 or Locaux_Restaurant_2_Repas_Jour_6_7=1 or Locaux_Restaurant_3_Repas_Jour_5_7=1 or Locaux_Restauration_Continue=1">Cuisine</xsl:when>
										<xsl:when test="Locaux_Restaurant_1_Repas_5_7=2 or Locaux_Restaurant_2_Repas_Jour_6_7=2 or Locaux_Restaurant_3_Repas_Jour_5_7=2 or Locaux_Restauration_Continue=2">Locaux de service</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=22">
									<xsl:choose>
										<xsl:when test="Locaux_Commerce_Magazin_ZI = 0">Petit magasin de vente (inférieure à 300 m<sup>2</sup>)</xsl:when>
										<xsl:when test="Locaux_Commerce_Magazin_ZI = 1">Aire de vente (supérieure à 300 m<sup>2</sup>)</xsl:when>
										<xsl:when test="Locaux_Commerce_Magazin_ZI = 2">Circulation (mail)</xsl:when>
										<xsl:when test="Locaux_Commerce_Magazin_ZI = 3">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Commerce_Magazin_ZI = 4">Douches collectives</xsl:when>
										<xsl:when test="Locaux_Commerce_Magazin_ZI = 5">Locaux de services</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=24">
									<xsl:choose>
										<xsl:when test="Locaux_Etablissement_Sportif_Scolaire = 0">Salle de sport</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sportif_Scolaire = 1">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sportif_Scolaire = 2">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sportif_Scolaire = 3">Douches collectives</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=26">
									<xsl:choose>
										<xsl:when test="Locaux_Etablissement_Sanitaire_Avec_Hebergement = 0">Chambres sans cuisine avec salle d'eau</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sanitaire_Avec_Hebergement = 1">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sanitaire_Avec_Hebergement = 2">Douches collectives</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sanitaire_Avec_Hebergement = 3">Sanitaires collectives</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sanitaire_Avec_Hebergement = 4">Bureau</xsl:when>
									</xsl:choose>
								</xsl:when>


								<xsl:when test="../../../../Usage=27">
									<xsl:choose>
										<xsl:when test="Locaux_Hopital_partie_nuit = 0">Chambres sans cuisine avec salle d'eau</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_nuit = 1">Douches collectives</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_nuit = 2">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_nuit = 3">Locaux soins et offices</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_nuit = 4">Bureau</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_nuit = 5">Salle d'attente et urgence consultation</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_nuit = 6">Aire de production</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=28">
									<xsl:choose>
										<xsl:when test="Locaux_Hopital_partie_jour = 0">Aire de production</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_jour = 1">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_jour = 2">Circulation accueil</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_jour = 3">Douches collectives</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_jour = 4">Salle d'attente et consultation</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_jour = 5">Bureau</xsl:when>
										<xsl:when test="Locaux_Hopital_partie_jour = 6">Salle de réunion</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=29">
									<xsl:choose>
										<xsl:when test="Locaux_Transport_Aerogare = 0">Voyageurs</xsl:when>
										<xsl:when test="Locaux_Transport_Aerogare = 1">Galerie de circulation</xsl:when>
										<xsl:when test="Locaux_Transport_Aerogare = 2">Commerces</xsl:when>
										<xsl:when test="Locaux_Transport_Aerogare = 3">Locaux de bureau</xsl:when>
										<xsl:when test="Locaux_Transport_Aerogare = 4">Inspection filtrage</xsl:when>
										<xsl:when test="Locaux_Transport_Aerogare = 5">Sanitaires, Vestiaires</xsl:when>
									</xsl:choose>
								</xsl:when>
								
								<xsl:when test="../../../../Usage=32 or ../../../../Usage=33">
									<xsl:choose>
										<xsl:when test="Locaux_Industrie_3_8 = 0 or Locaux_Industrie_8h_18 = 0">Bureaux standard</xsl:when>
										<xsl:when test="Locaux_Industrie_3_8 = 1 or Locaux_Industrie_8h_18 = 1">Circulation Accueil </xsl:when>
										<xsl:when test="Locaux_Industrie_3_8 = 2 or Locaux_Industrie_8h_18 = 2">Aire de production</xsl:when>
										<xsl:when test="Locaux_Industrie_3_8 = 3 or Locaux_Industrie_8h_18 = 3">Sanitaire, Vestiaire</xsl:when>
										<xsl:when test="Locaux_Industrie_3_8 = 4 or Locaux_Industrie_8h_18 = 4">Douches collectives</xsl:when>
										<xsl:when test="Locaux_Industrie_3_8 = 5 or Locaux_Industrie_8h_18 = 5">Locaux de services</xsl:when>
									</xsl:choose>
								</xsl:when>

								<xsl:when test="../../../../Usage=34">
									<xsl:choose>
										<xsl:when test="Locaux_Tribunal = 0">Bureaux standards</xsl:when>
										<xsl:when test="Locaux_Tribunal = 1">Accueil salle des pas perdus</xsl:when>
										<xsl:when test="Locaux_Tribunal = 2">Attente gardée</xsl:when>
										<xsl:when test="Locaux_Tribunal = 3">Salle d'audience correctionnelle</xsl:when>
										<xsl:when test="Locaux_Tribunal = 4">Salle d'audience civile</xsl:when>
										<xsl:when test="Locaux_Tribunal = 5">Bibliothèque</xsl:when>
										<xsl:when test="Locaux_Tribunal = 6">Circulation</xsl:when>
										<xsl:when test="Locaux_Tribunal = 7">Locaux de services</xsl:when>
										<xsl:when test="Locaux_Tribunal = 8">Sanitaires, Vestiaires</xsl:when>
									</xsl:choose>
								</xsl:when>
								
								<xsl:when test="../../../../Usage=36">
									<xsl:choose>
										<xsl:when test="Locaux_Etablissement_Sportif_Municipal_Prive = 0">Salle de sports</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sportif_Municipal_Prive = 1">Circulation Accueil</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sportif_Municipal_Prive = 2">Sanitaires collectifs</xsl:when>
										<xsl:when test="Locaux_Etablissement_Sportif_Municipal_Prive = 3">Douches collectives</xsl:when>
									</xsl:choose>
								</xsl:when>							

							</xsl:choose>
						</td>
						<td align="center"><xsl:value-of select="format-number(Rat_local * 100,'#&#160;##0,##', 'fr')"/></td>
						<td align="center"><xsl:value-of select="format-number(Ratio_ecl_nat * 100,'#&#160;##0,##', 'fr')"/></td>
						<td align="center">
							<xsl:choose>
								<xsl:when test="Fr_Grad_Ecl = 1">Gestion non fractionnée</xsl:when>
								<xsl:when test="Fr_Grad_Ecl = 2">Gestion fractionnée</xsl:when>
							</xsl:choose>
						</td>
						<td align="center"><xsl:value-of select="format-number(Pecl_tot,'#&#160;##0,##', 'fr')"/></td>
						<td align="center"><xsl:value-of select="format-number(Pecl_aux,'#&#160;##0,##', 'fr')"/></td>
						<td align="center">
							<xsl:choose>
								<xsl:when test="Gest_Ecl = 0">Pas de gestion</xsl:when>
								<xsl:when test="Gest_Ecl = 1">Interrupteur manuel / marche arrêt</xsl:when>
								<xsl:when test="Gest_Ecl = 2">Interrupteur manuel marche / arrêt et extinction automatique</xsl:when>
								<xsl:when test="Gest_Ecl = 3">Marche et arrêt automatique par détection de présence et absence</xsl:when>
								<xsl:when test="Gest_Ecl = 4">Marche manuelle, arrêt automatique par détection de présence</xsl:when>
							</xsl:choose>
						</td>						
						<td align="center">
							<xsl:choose>
								<xsl:when test="Grad_Ecl = 0">Gestion impossible avec la lumière du jour</xsl:when>
								<xsl:when test="Grad_Ecl = 1">Gestion manuelle avec la lumière du jour</xsl:when>
								<xsl:when test="Grad_Ecl = 2">Graduation automatique assurant un éclairement constant</xsl:when>
								<xsl:when test="Grad_Ecl = 3">Allumage et extinction automatique en fonction de seuil</xsl:when>
								<xsl:when test="Grad_Ecl = 4">Extinction automatique en fonction de seuil</xsl:when>
							</xsl:choose>
						</td>							
					</tr>
				</xsl:for-each>
			</tbody>
		</table>
		
	</xsl:for-each>
</xsl:template>		
















<!-- FEUILLETS GENERATION -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_commun">
	<xsl:variable name="id_gene" select="Index"/>
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
		<tbody>
			<tr>
				<th width="50%" >La génération est-elle commune à plusieurs bâtiments ?</th>
				<td >
					<xsl:choose>
						<xsl:when test="/projet/Datas_Comp/generation_collection/generation[Index=$id_gene]/gene_commune = 0">Non</xsl:when>
						<xsl:when test="/projet/Datas_Comp/generation_collection/generation[Index=$id_gene]/gene_commune = 1">Oui</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<xsl:if test="/projet/Datas_Comp/generation_collection/generation[Index=$id_gene]/gene_commune = 1">
				<tr>
					<th width="50%">Liste des bâtiments raccordés à la génération</th>
					<td><span class="important"><xsl:for-each select="/projet/Datas_Comp/generation_collection/generation[Index=$id_gene]/id_bat_commun/id"><xsl:variable name="idbatgen" select="."/><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment[Index=$idbatgen]/Name"/> (<xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$idbatgen]/O_Shon_RT"/> m<sup>2</sup>)<br/></xsl:for-each></span></td>
				</tr>
			</xsl:if>
		</tbody>
	</table>
		
</xsl:template>	











<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_fonctionnement">
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
		<thead>
			<tr>
				<th width="45%" >&#160;</th>
				<th width="10%">Unité</th>
				<th width="45%">Projet</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Priorité de fonctionnement des générateurs pour la génération</td>
				<td align="center">-</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="Type_Priorite = 1">Sans priorité</xsl:when>
						<xsl:when test="Type_Priorite = 2">Générateurs en cascade</xsl:when>
						<xsl:when test="Type_Priorite = 3">Générateurs alternés</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Type de raccordement des générateurs entre eux</td>
				<td align="center">-</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="Idraccord_Gnr = 0">Permanent</xsl:when>
						<xsl:when test="Idraccord_Gnr = 1">Avec isolement</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Type de raccordement des générateurs aux réseaux de distribution</td>
				<td align="center">-</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="Idraccord_Reseau_Gen = 0">Avec possibilité d'isolement</xsl:when>
						<xsl:when test="Idraccord_Reseau_Gen = 1">Permanent</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Position de la génération</td>
				<td align="center">-</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="Pos_Gen = 0">Hors volume chauffé</xsl:when>
						<xsl:when test="Pos_Gen = 1">En volume chauffé</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Gestion de la température de génération en chauffage </td>
				<td align="center">-</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="Type_Gestion_Chaud_Gen = 1">Fonctionnement à température moyenne constante</xsl:when>
						<xsl:when test="Type_Gestion_Chaud_Gen = 2">Fonctionnement à température moyenne des réseaux de distribution</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Gestion de la température de génération en refroidissement</td>
				<td align="center">-</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="Type_Gestion_Froid_Gen = 1">Fonctionnement à température moyenne constante</xsl:when>
						<xsl:when test="Type_Gestion_Froid_Gen = 2">Fonctionnement à température moyenne des réseaux de distribution</xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<tr>
				<td>Température de fonctionnement de la génération en ECS  (pour les générateurs instantanés)</td>
				<td align="center">°C</td>
				<td align="center"><xsl:value-of select="format-number(Theta_Wm_Ecs,'#&#160;##0,##', 'fr')"/></td>
			</tr>
		</tbody>
	</table>
		
</xsl:template>		




<!-- génération intergroupe relié à la génération -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_intergroupe">
<xsl:variable name="id_generation" select="Index"/>
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
		<thead>
			<tr>
				<th width="10%">Type de réseau intergroupe</th>
				<th width="45%">Réseaux intergroupes connectés à la génération</th>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="../../Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[Id_Gen=$id_generation]">
					<tr>
						<td align="center">Chaud</td>
						<td align="center"><xsl:value-of select="Name"/></td>
					</tr>
			</xsl:for-each>
			<xsl:for-each select="../../Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[Id_Gen=$id_generation]">
					<tr>
						<td align="center">Froid</td>
						<td align="center"><xsl:value-of select="Name"/></td>
					</tr>
			</xsl:for-each>
					<xsl:for-each select="../../Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[Id_Generation=$id_generation]">
					<tr>
						<td align="center">ECS</td>
						<td align="center"><xsl:value-of select="Name"/></td>
					</tr>
			</xsl:for-each>
		</tbody>
	</table>
		
</xsl:template>		






<!-- Générateur(s) à combustion -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_combustion">
	<!-- variable pour déterminer la largeur des colonnes en fonction du nombre de générateurs -->
	<xsl:variable name="nb_gen">6</xsl:variable>
	<xsl:variable name="comptage_gene" select="50 div count(Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen])"/>
	
	<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%" >&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<th width="{round($comptage_gene)}%" class="strong"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
				<xsl:variable name="id_generateur" select="Index"/>							
				<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/></xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center"><xsl:value-of select="Rdim"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Catégorie du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Generateur = 0">Chaudière gaz à condensation</xsl:when>
							<xsl:when test="Generateur = 1">Chaudière gaz basse température</xsl:when>
							<xsl:when test="Generateur = 2">Chaudière gaz standard</xsl:when>
							<xsl:when test="Generateur = 3">Chaudière fioul à condensation</xsl:when>
							<xsl:when test="Generateur = 4">Chaudière fioul basse température</xsl:when>
							<xsl:when test="Generateur = 5">Chaudière fioul standard</xsl:when>
							<xsl:when test="Generateur = 6">Chaudière bois</xsl:when>
							<xsl:when test="Generateur = 7">Radiateurs gaz</xsl:when>
							<xsl:when test="Generateur = 8">Chauffe-eau gaz</xsl:when>
							<xsl:when test="Generateur = 9">Accumulateur gaz standard</xsl:when>
							<xsl:when test="Generateur = 10">Accumulateur gaz condensation</xsl:when>
							<xsl:when test="Generateur = 11">Générateur d'air chaud standard</xsl:when>
							<xsl:when test="Generateur = 12">Générateur d'air chaud à condensation</xsl:when>
							<xsl:when test="Generateur = 13">Tube radiant</xsl:when>
							<xsl:when test="Generateur = 14">Panneau radiant</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Poste de consommation assurée par le générateur (service du générateur)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
					
						<xsl:choose>
							<xsl:when test="Generateur &lt; 7">
									<xsl:choose>							
										<xsl:when test="Id_Fou_Gen_1 = 0">Sans objet</xsl:when>
										<xsl:when test="Id_Fou_Gen_1 = 1">Chauffage</xsl:when>
										<xsl:when test="Id_Fou_Gen_1 = 3">Eau chaude sanitaire</xsl:when>
										<xsl:when test="Id_Fou_Gen_1 = 4">Chauffage + eau chaude sanitaire</xsl:when>
									</xsl:choose>	
							</xsl:when>
							<xsl:when test="Generateur = 7">
									<xsl:choose>							
										<xsl:when test="Id_Fou_Gen_4 = 1">Chauffage</xsl:when>
									</xsl:choose>	
							</xsl:when>							
							<xsl:when test="Generateur &gt; 7 and Generateur &lt; 11">
									<xsl:choose>							
										<xsl:when test="Id_Fou_Gen_5 = 3">Eau chaude sanitaire</xsl:when>
									</xsl:choose>	
							</xsl:when>							
							<xsl:when test="Generateur &gt; 10">
									<xsl:choose>							
										<xsl:when test="Id_Fou_Gen_4 = 1">Chauffage</xsl:when>
									</xsl:choose>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>							
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Type de production de chauffage associé</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>							
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_chauffage = 0 or /projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_chauffage=''">-</xsl:when>
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_chauffage = 1">Instantané</xsl:when>
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_chauffage = 2">Lié à un stockage</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Type de production ECS associé</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
							<xsl:choose>							
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_ECS = 0 or /projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_ECS=''">-</xsl:when>
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_ECS = 1">Instantané</xsl:when>
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_ECS = 2">Lié à un stockage</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Ventilation du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
							<xsl:choose>							
								<xsl:when test="Ventilation = 0">Absence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
								<xsl:when test="Ventilation = 1">Présence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
								<xsl:when test="Ventilation = 2">Présence de clapets sur conduits de fumées</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Type d'évacuation des fumées</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
							<xsl:choose>							
								<xsl:when test="Evac_Fumee = 0">Avec ventilateur coté combustion </xsl:when>
								<xsl:when test="Evac_Fumee = 1">Par micro-ventouse</xsl:when>
								<xsl:when test="Evac_Fumee = 2">Par une cheminée</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>

<!-- CDCV2 -->
			<tr>
				<td>Classe de la chaudière bois</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
							<xsl:choose>							
								<xsl:when test="Class_Chaud_Bois = 0">Sans objet</xsl:when>
								<xsl:when test="Class_Chaud_Bois = 1">Classe 1</xsl:when>
								<xsl:when test="Class_Chaud_Bois = 2">Classe 2</xsl:when>
								<xsl:when test="Class_Chaud_Bois = 3">Classe 3</xsl:when>
								<xsl:when test="Class_Chaud_Bois = 4">Classe 4</xsl:when>
								<xsl:when test="Class_Chaud_Bois = 5">Classe 5</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Puissance fournie en fonctionnement nominal</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center"><xsl:value-of select="format-number(Pn_gen,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>
			
		
			<tr>
				<td>Température minimale de fonctionnement</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0"><i>Par défaut</i></xsl:when>
							<xsl:otherwise><xsl:value-of select="format-number(Theta_Fonc_Min,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:call-template name="val_def_mes">
								<xsl:with-param name="v_bal" select="Valeur_Mesuree_Defaut_Theta_Min"/>
						</xsl:call-template>
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Rendement sur PCI à puissance nominale</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0"><i>Par défaut</i></xsl:when>
						<xsl:otherwise><xsl:value-of select="format-number(R_pn,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:call-template name="val_def_dec_jus_cer">
								<xsl:with-param name="v_bal" select="Valeur_Certifiee_Defaut_R_pn"/>
						</xsl:call-template>
					</td>
				</xsl:for-each>
			</tr>
			
			
			<tr>
				<td>Rendement sur PCI à puissance intermédiaire</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0"><i>Par défaut</i></xsl:when>
							<xsl:otherwise><xsl:value-of select="format-number(R_Pint,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<td>Origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:call-template name="val_def_dec_jus_cer">
								<xsl:with-param name="v_bal" select="Valeur_Certifiee_Defaut_R_Pint"/>
						</xsl:call-template>
					</td>
				</xsl:for-each>
			</tr>			
			<tr>
				<td>Pertes à l'arrêt</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0"><i>Par défaut</i></xsl:when>
							<xsl:otherwise><xsl:value-of select="format-number(Q_po_30,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:call-template name="val_def_mes">
								<xsl:with-param name="v_bal" select="Valeur_Mesuree_Defaut_Q_po_30"/>
						</xsl:call-template>
					</td>
				</xsl:for-each>
			</tr>

			
			<tr>
				<td>Puissance électrique des auxiliaires du générateur à charge nulle</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center"><xsl:value-of select="format-number(Q_veille,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Consommation électrique des auxiliaires du générateur à la puissance nominale</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0"><i>Par défaut</i></xsl:when>
							<xsl:otherwise><xsl:value-of select="format-number(Q_aux_nom,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur &lt; 8 or Generateur &gt; 10][position() &lt; $nb_gen]">
					<td align="center">
						<xsl:call-template name="val_def_mes">
								<xsl:with-param name="v_bal" select="Valeur_Mesuree_Defaut_Q_aux_nom"/>
						</xsl:call-template>
					</td>
				</xsl:for-each>
			</tr>
			
			
	
			
			
		</tbody>
	</table>
</xsl:template>		





<!-- réseau de chaleur urbain en appoint mode chauffage -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="appoint_reseau_chaud">
<xsl:variable name="id_gene" select="Index"/>		
	<xsl:variable name="comptage_gene_ch" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%" >&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<th width="{round($comptage_gene_ch)}%"  class="strong"><xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)</th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Fonction du réseau de fourniture</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Id_Fou_Gen1 = 0">Sans objet</xsl:when>
							<xsl:when test="Id_Fou_Gen1 = 1">Chauffage</xsl:when>
							<xsl:when test="Id_Fou_Gen1 = 3">Eau chaude sanitaire </xsl:when>
							<xsl:when test="Id_Fou_Gen1 = 4">Chauffage et eau chaude sanitaire</xsl:when>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Type de production de chauffage associée</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>							
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_chauffage = 1">Instantané</xsl:when>
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_chauffage = 2">Lié à un stockage</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>			
			<tr>
				<td>Type de production ECS associé</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>							
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_ECS = 1">Instantané</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_ECS = 2">Lié à un stockage</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Puissance d'échange de la sous station</td>
				<td align="center">kW</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<td align="center"><xsl:value-of select="format-number(P_Ess,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>						
			<tr>
				<td>Type de réseau de chaleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Reseau_Chaleur = 0">Eau chaude basse température</xsl:when>
							<xsl:when test="Reseau_Chaleur = 1">Eau chaude haute température</xsl:when>
							<xsl:when test="Reseau_Chaleur = 2">Vapeur basse pression</xsl:when>
							<xsl:when test="Reseau_Chaleur = 4">Vapeur haute pression</xsl:when>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Type d'isolation du réseau de chaleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Isolation_Du_Reseau = 1">Isolation du secondaire classe 4 et isolation du primaire classe 5</xsl:when>
							<xsl:when test="Isolation_Du_Reseau = 2">Isolation du secondaire classe 3 et isolation du primaire classe 4</xsl:when>
							<xsl:when test="Isolation_Du_Reseau = 3">Isolation du secondaire classe 2 et isolation du primaire classe 3</xsl:when>
							<xsl:when test="Isolation_Du_Reseau = 4">Isolation du secondaire classe 1 et isolation du primaire classe 2</xsl:when>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>	
		</tbody>
	</table>
</xsl:template>	



<!-- réseau de chaleur urbain en ballon base mode chauffage -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="base_reseau_chaud">
<xsl:variable name="id_gene" select="Index"/>		
	<xsl:variable name="comptage_gene_ch" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%" >&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<th width="{round($comptage_gene_ch)}%"  class="strong"><xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)</th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Fonction du réseau de fourniture</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Id_Fou_Gen1 = 0">Sans objet</xsl:when>
							<xsl:when test="Id_Fou_Gen1 = 1">Chauffage</xsl:when>
							<xsl:when test="Id_Fou_Gen1 = 3">Eau chaude sanitaire </xsl:when>
							<xsl:when test="Id_Fou_Gen1 = 4">Chauffage et eau chaude sanitaire</xsl:when>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Type de production de chauffage associée</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>							
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_chauffage = 1">Instantané</xsl:when>
								<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_chauffage = 2">Lié à un stockage</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>			
			<tr>
				<td>Type de production ECS associé</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>							
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_ECS = 1">Instantané</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/type_prod_ECS = 2">Lié à un stockage</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Puissance d'échange de la sous station</td>
				<td align="center">kW</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<td align="center"><xsl:value-of select="format-number(P_Ess,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>						
			<tr>
				<td>Type de réseau de chaleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Reseau_Chaleur = 0">Eau chaude basse température</xsl:when>
							<xsl:when test="Reseau_Chaleur = 1">Eau chaude haute température</xsl:when>
							<xsl:when test="Reseau_Chaleur = 2">Vapeur basse pression</xsl:when>
							<xsl:when test="Reseau_Chaleur = 4">Vapeur haute pression</xsl:when>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Type d'isolation du réseau de chaleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Reseau_Fourniture[Id_Fou_Gen1=1 or Id_Fou_Gen1=4]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Isolation_Du_Reseau = 1">Isolation du secondaire classe 4 et isolation du primaire classe 5</xsl:when>
							<xsl:when test="Isolation_Du_Reseau = 2">Isolation du secondaire classe 3 et isolation du primaire classe 4</xsl:when>
							<xsl:when test="Isolation_Du_Reseau = 3">Isolation du secondaire classe 2 et isolation du primaire classe 3</xsl:when>
							<xsl:when test="Isolation_Du_Reseau = 4">Isolation du secondaire classe 1 et isolation du primaire classe 2</xsl:when>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>	
		</tbody>
	</table>
</xsl:template>	


<!-- poele ou inserts bois -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="poele_insert_bois">
	
	<xsl:variable name="comptage_bois" select="50 div count(Generateur_Collection/Generateur_Poele_Insert)"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
					<th width="{round($comptage_bois)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>			
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0">
							<xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/>
						</xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0">
							<xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/>
						</xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Ratio de dimensionnement (nb générateurs identiques)</td>
				<td align="center">-</td><xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Catégorie du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
					<xsl:for-each select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]">
						<xsl:choose>							
							<xsl:when test="categorie = 1">Poêle à bois</xsl:when>
							<xsl:when test="categorie = 2">Insert bois</xsl:when>
							<xsl:when test="categorie = 3">Appareil à granulés</xsl:when>
							<xsl:when test="categorie = 4">Poêle à libération lente de chaleur</xsl:when>
							<xsl:otherwise><i>--Non renseigné--</i></xsl:otherwise>
						</xsl:choose>	
					</xsl:for-each>						
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Poste de consommation assurée par le générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
				<xsl:variable name="id_generateur" select="Index"/>
				<!-- pour l'instant 1 seule valeur, d'autres à venir peut etre, /projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/poste_conso -->
					<td align="center">
						Chauffage
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Puissance nominale de l'appareil</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
					<td align="center"><xsl:value-of select="format-number(Pngen,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>						
			<tr>
				<td>Rendement moyen</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
					<td align="center"><xsl:value-of select="format-number(Eta_H_sys_N,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Puissance des auxiliaires (ventilateur)</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
					<td align="center"><xsl:value-of select="format-number(Pauxvent,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Origine des données</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Poele_Insert">
				<xsl:variable name="id_generateur" select="Index"/>
					<!-- pour l'instant 1 seule valeur, d'autres à venir peut etre, /projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/origine -->
					<td align="center">
						Suivant normes des appareils concernés	
					</td>
				</xsl:for-each>
			</tr>					
		</tbody>
	</table>
</xsl:template>		













<!-- générateur électrique direct à effet joule -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_electrique_direct">
	<xsl:variable name="g_Index" select="Index"/>
	<xsl:variable name="comptage_elec" select="50 div count(Generateur_Collection/Generateur_Effet_Joule)"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Effet_Joule">
					<th width="{round($comptage_elec)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Catégorie du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Effet_Joule">
				<xsl:variable name="id_generateur" select="Index"/>
				<!-- une seule valeur possible, mais possibilité de rajouter des valeurs futures dans datas_comp : /projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/categorie -->
					<td align="center">
						Générateurs électriques à effet joule (convecteurs, panneaux rayonnants, plancher rayonnant, plafond rayonnant)
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Poste de consommation assurée par le générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Effet_Joule">
				<xsl:variable name="id_generateur" select="Index"/>
				<!-- pour l'instant 1 seule valeur, d'autres à venir peut etre, valeur dans /projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/poste_conso -->
					<td align="center">
						Chauffage instantané
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Effet_Joule">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>						
			<tr>
				<td>Puissance max. du générateur électrique</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Effet_Joule">
					<td align="center"><xsl:value-of select="format-number(Pmax,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>
		</tbody>
	</table>
	
</xsl:template>












<!-- Pac à compression électrique en mode chauffage -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_pac_chauffage">
	
	<xsl:variable name="comptage_pac1" select="50 div count(Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<th width="{round($comptage_pac1)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Type de PAC à compression électrique en mode chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 1">PAC air extérieur / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 2">PAC air extérieur / air recyclé</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 3">PAC air extrait / air neuf</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 4">PAC eau de nappe / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 5">PAC eau glycolée / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 6">PAC eau de nappe / air</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 7">PAC eau de boucle / air</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 8">PAC sol / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 9">PAC sol / sol</xsl:when>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
	
			<tr>
				<td>Poste de consommation assurée par le générateur (service du générateur)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Id_FouGen_Mod=1">Chauffage</xsl:when>
							<xsl:when test="Id_FouGen_Mod=2">Refroidissement</xsl:when>
							<xsl:when test="Id_FouGen_Mod=3">ECS</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>
	
			<tr>
				<td>Le COP est issu d'une matrice de performance (autres points que valeur par défaut)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee =1 and contains(Performance,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>				
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Statut des données des valeurs de performance</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température source amont du COP Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Ch = 1">7°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 2">7°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 3">20°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 4">8,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 5">-1,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 6">8,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 7">18,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 8">4°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 9">4°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température source aval du COP Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Ch = 1">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 2">20°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 3">7°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 4">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 5">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 6">20°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 7">20°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 8">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ch = 9">35°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>					
			<!-- 15/03/2012 : Val_Cop et statut_val_pivot que si statut_donnee = 2 -->
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]/Statut_Donnee = 2">
				<tr>
					<td>COP à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Val_Pivot=1"><xsl:value-of select="format-number(Val_Cop,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut de la valeur pivot</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_Val_Pivot = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_Val_Pivot = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_Val_Pivot = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>
									
			<tr>
				<td>Puissance absorbée des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		
			
			<tr>
				<td>Fonctionnement du compresseur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Fonctionnement_Compresseur = 0">Sans objet</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur = 1">Mode continu puis cycle marche arrêt du compresseur</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur = 2">Cycle marche arrêt du compresseur</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Température limite de fonctionnement des sources</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta = 0">Pas de limite</xsl:when>
							<xsl:when test="Lim_Theta = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>

			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]/Lim_Theta &gt; 0">
					<tr>
						<td>Température maximale aval / Température minimale amont (limite de fonctionnement)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Av,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Am,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
								
					<tr>
						<td>Part de la puissance électrique des auxiliaires dans la puissance électrique totale</td>
						<td align="center">%</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
							<td align="center">
								<xsl:choose>
									<xsl:when test="Statut_Taux &lt; 2">
										<xsl:value-of select="format-number(Taux * 100,'#&#160;##0,##', 'fr')"/>
									</xsl:when>
									<xsl:otherwise>Valeur par défaut</xsl:otherwise>
								</xsl:choose>
							</td>
						</xsl:for-each>
					</tr>				
			</xsl:if>
					
			<tr>
				<td>Statut origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Taux = 0">Valeur certifiée</xsl:when>
							<xsl:when test="Statut_Taux = 1">Valeur justifiée</xsl:when>
							<xsl:when test="Statut_Taux = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<td>Typologie du système d'émission de chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Typo_Emetteur = 0">Sans objet</xsl:when>
							<xsl:when test="Typo_Emetteur = 1"><b>Forte</b> : Plancher ou plafond intégré au bâti</xsl:when>
							<xsl:when test="Typo_Emetteur = 2"><b>Moyenne</b> : Radiateur, Plafond d'inertie moyenne</xsl:when>
							<xsl:when test="Typo_Emetteur = 3"><b>Légère</b> : Ventilo-convecteurs, Plancher et plafond d'inertie faible</xsl:when>
							<xsl:when test="Typo_Emetteur = 4"><b>Très légère</b> : Système à air</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>						
				
			<tr>
				<th class="strong" colspan="{count(Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1])+2}">Caractéristiques sources amont :</th>
			</tr>					
			<tr>
				<td>Puissances des auxiliaires des sources amont</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=1]">
				<xsl:variable name="id_src_am" select="Id_Source_Amont"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 1]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Boucle_Eau,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 2]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Gaine,'#&#160;##0,##', 'fr')"/>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

		</tbody>
	</table>

	
</xsl:template>		





<!-- générateurs thermodynamiques électriques autres -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_thermo_autre">
	<xsl:variable name="comptage_pac1" select="50 div count(Generateur_Collection/Generateur_Thermodynamique_Elec_Autre)"/>
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<th width="{round($comptage_pac1)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Catégorie du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Cat_Gen=503">PAC réversible à compression (chauffage et refroidissement)</xsl:when>
							<xsl:when test="Cat_Gen=509">Système de conditionnement d'air à débit de réfrigérant variable DRV</xsl:when>
							<xsl:when test="Cat_Gen=508">Groupe frigorifique eau / eau ou thermofrigopompes</xsl:when>
							<xsl:when test="Cat_Gen=507">PAC thermodynamique sur boucle d'eau</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>

			
			<tr>
				<td>Type de générateur thermodynamique électrique</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">PAC réversible air / eau</xsl:when>
							<xsl:when test="Sys_Thermo = 2">PAC réversible air extérieur / air recyclé</xsl:when>
							<xsl:when test="Sys_Thermo = 3">PAC réversible air extrait / air neuf</xsl:when>
							<xsl:when test="Sys_Thermo = 4">PAC réversible eau glycolée / eau</xsl:when>
							<xsl:when test="Sys_Thermo = 5">PAC réversible eau de boucle / air</xsl:when>
							<xsl:when test="Sys_Thermo = 6">PAC réversible eau de nappe / air</xsl:when>
							<xsl:when test="Sys_Thermo = 7">PAC réversible eau de nappe / eau</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
	
			<tr>
				<td>Poste de consommation assurée par le générateur (service du générateur)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">Chauffage et refroidissement (Réversibilité)</td>
				</xsl:for-each>
			</tr>
	
			<tr>
				<td style="border-top:2px solid #DC0E7A;">Le COP mode chauffage est issu d'une matrice de performance (autres points que valeur par défaut)</td>
				<td  style="border-top:2px solid #DC0E7A;" align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td  style="border-top:2px solid #DC0E7A;" align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee_Ch =1 and contains(COP,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>				
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Statut des données des valeurs de performance en chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee_Ch = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee_Ch = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température source amont du COP Pivot chauffage</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">7°</xsl:when>
							<xsl:when test="Sys_Thermo = 2">7°</xsl:when>
							<xsl:when test="Sys_Thermo = 3">20°</xsl:when>
							<xsl:when test="Sys_Thermo= 4">-1,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 5">18,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 6">8,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 7">8,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température source aval du COP Pivot chauffage</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 2">20°</xsl:when>
							<xsl:when test="Sys_Thermo = 3">7°</xsl:when>
							<xsl:when test="Sys_Thermo = 4">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 5">20°</xsl:when>
							<xsl:when test="Sys_Thermo = 6">20°</xsl:when>
							<xsl:when test="Sys_Thermo = 7">32,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>					

			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre/Statut_Donnee_Ch = 2">
				<tr>
					<td>COP chauffage à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Val_Pivot_Ch=1"><xsl:value-of select="format-number(Val_Cop,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut de la valeur pivot chauffage</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_Val_Pivot_Ch = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_Val_Pivot_Ch = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_Val_Pivot_Ch = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>
									
			<tr>
				<td>Puissance absorbée des machines chauffage</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs_Ch,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		
			
			<tr>
				<td>Fonctionnement du compresseur en chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Fonctionnement_Compresseur_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur_Ch = 1">Mode continu puis cycle marche arrêt du compresseur</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur_Ch = 2">Cycle marche arrêt du compresseur</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Température limite de fonctionnement des sources en chauffage</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta_Ch = 0">Pas de limite</xsl:when>
							<xsl:when test="Lim_Theta_Ch = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta_Ch = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>

			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre/Lim_Theta_Ch &gt; 0">
					<tr>
						<td>Température maximale aval / Température minimale amont (limite de fonctionnement en chauffage)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Av,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Am,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
								
					<tr>
						<td>Part de la puissance électrique des auxiliaires dans la puissance électrique totale en chauffage</td>
						<td align="center">%</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
							<td align="center">
								<xsl:choose>
									<xsl:when test="Statut_Taux_Ch &lt; 2">
										<xsl:value-of select="format-number(Taux_Ch * 100,'#&#160;##0,##', 'fr')"/>
									</xsl:when>
									<xsl:otherwise>Valeur par défaut</xsl:otherwise>
								</xsl:choose>
							</td>
						</xsl:for-each>
					</tr>				
			</xsl:if>
					
			<tr>
				<td>Statut origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Taux_Ch = 0">Valeur certifiée</xsl:when>
							<xsl:when test="Statut_Taux_Ch = 1">Valeur justifiée</xsl:when>
							<xsl:when test="Statut_Taux_Ch = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<td>Typologie du système d'émission de chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Typo_Emetteur_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Typo_Emetteur_Ch = 1"><b>Forte</b> : Plancher ou plafond intégré au bâti</xsl:when>
							<xsl:when test="Typo_Emetteur_Ch = 2"><b>Moyenne</b> : Radiateur, Plafond d'inertie moyenne</xsl:when>
							<xsl:when test="Typo_Emetteur_Ch = 3"><b>Légère</b> : Ventilo-convecteurs, Plancher et plafond d'inertie faible</xsl:when>
							<xsl:when test="Typo_Emetteur_Ch = 4"><b>Très légère</b> : Système à air</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>						
				
<!-- FROID  -->				
				
				<tr >
				<td style="border-top:2px solid #0F6ADB;">L'EER est issu d'une matrice de performance (autres points que valeur pivot)</td>
				<td  style="border-top:2px solid #0F6ADB;" align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td style="border-top:2px solid #0F6ADB;" align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee_Fr =1 and contains(EER,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>				
					</td>
				</xsl:for-each>
			</tr>			

			<tr>
				<td>Statut des données des valeurs de performance en refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee_Fr = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee_Fr = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>				
				
				
			<tr>
				<td>Température source amont de l'EER pivot refroidissement</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">35°</xsl:when>
							<xsl:when test="Sys_Thermo = 2">35°</xsl:when>
							<xsl:when test="Sys_Thermo = 3">27°</xsl:when>
							<xsl:when test="Sys_Thermo = 4">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 5">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 6">12,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 7">32,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			

			<tr>
				<td>Température source aval de l'EER pivot refroidissement</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">9,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 2">27°</xsl:when>
							<xsl:when test="Sys_Thermo = 3">35°</xsl:when>
							<xsl:when test="Sys_Thermo= 4">9,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 5">27°</xsl:when>
							<xsl:when test="Sys_Thermo = 6">27°</xsl:when>
							<xsl:when test="Sys_Thermo = 7">9,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>				
				
	
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre/Statut_Donnee_Fr = 2">
				<tr>
					<td>EER à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Val_Pivot_Fr=1"><xsl:value-of select="format-number(Val_EER,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut de la valeur pivot refroidissement</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_Val_Pivot_Fr = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_Val_Pivot_Fr = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_Val_Pivot_Fr = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>

			<tr>
				<td>Puissance absorbée des machines refroidissement</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs_Fr,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		
	
	
	
			<tr>
				<td>Fonctionnement du compresseur en refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Fonctionnement_Compresseur_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur_Fr = 1">Mode continu puis cycle marche arrêt du compresseur</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur_Fr = 2">Cycle marche arrêt du compresseur</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Température limite de fonctionnement des sources en refroidissement</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta_Fr = 0">Pas de limite sur les températures de source</xsl:when>
							<xsl:when test="Lim_Theta_Fr = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta_Fr = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>	
	
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre/Lim_Theta_Fr &gt; 0">
					<tr>
						<td>Température maximale amont / Température minimale aval (limite de fonctionnement en refroidissement)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Am,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Av,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
								
					<tr>
						<td>Part de la puissance électrique des auxiliaires dans la puissance électrique totale en refroidissement</td>
						<td align="center">%</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
							<td align="center">
								<xsl:choose>
									<xsl:when test="Statut_Taux_Fr &lt; 2">
										<xsl:value-of select="format-number(Taux_Fr * 100,'#&#160;##0,##', 'fr')"/>
									</xsl:when>
									<xsl:otherwise>Valeur par défaut</xsl:otherwise>
								</xsl:choose>
							</td>
						</xsl:for-each>
					</tr>				
			</xsl:if>	
	
			<tr>
				<td>Statut origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Taux_Fr = 0">Valeur certifiée</xsl:when>
							<xsl:when test="Statut_Taux_Fr = 1">Valeur justifiée</xsl:when>
							<xsl:when test="Statut_Taux_Fr = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>		

			<tr>
				<td>Typologie du système d'émission de refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Typo_Emetteur_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Typo_Emetteur_Fr = 1"><b>Forte</b> : Plancher ou plafond intégré au bâti</xsl:when>
							<xsl:when test="Typo_Emetteur_Fr = 2"><b>Moyenne</b> : Radiateur, Plafond d'inertie moyenne</xsl:when>
							<xsl:when test="Typo_Emetteur_Fr = 3"><b>Légère</b> : Ventilo-convecteurs, Plancher et plafond d'inertie faible</xsl:when>
							<xsl:when test="Typo_Emetteur_Fr = 4"><b>Très légère</b> : Système à air</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>		
			
				
			<tr>
				<th class="strong" colspan="{count(Generateur_Collection/Generateur_Thermodynamique_Elec_Autre)+2}">Caractéristiques sources amont :</th>
			</tr>	
			
			<tr>
				<td>Puissances des auxiliaires des sources amont</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
				<xsl:variable name="id_src_am_ch" select="Id_Source_Amont_Ch"/>
				<xsl:variable name="id_src_am_fr" select="Id_Source_Amont_Fr"/>
				<xsl:variable name="tot_ch" select="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Boucle_Eau+ ../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Pvent_Gaine"/>
				<xsl:variable name="tot_fr" select="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Boucle_Eau + ../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Pvent_Gaine"/>
					<p class="debug">
					P. aux Chaud :<xsl:value-of select="$tot_ch"/><br/>
					P. aux Froid : <xsl:value-of select="$tot_fr"/>
					</p>
					<td align="center">
						<!--<xsl:choose>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch][Id_Fl_Amont = 1]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Boucle_Eau,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch][Id_Fl_Amont = 2]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Pvent_Gaine,'#&#160;##0,##', 'fr')"/>	
							</xsl:when>
							
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>-->
						<xsl:value-of select="format-number($tot_ch+$tot_fr,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>

			<!--<tr>
				<td>Puissances des auxiliaires des sources amont <b>refroidissement</b></td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_Autre">
				<xsl:variable name="id_src_am_fr" select="Id_Source_Amont_Fr"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr][Id_Fl_Amont = 1]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Boucle_Eau,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr][Id_Fl_Amont = 2]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Pvent_Gaine,'#&#160;##0,##', 'fr')"/>	
							</xsl:when>
							
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>	-->	
			
			
		</tbody>
	</table>

	
</xsl:template>		




<!-- PAC Gaz réversible -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_pac_gaz_rever">
	<xsl:variable name="comptage_pac1" select="50 div count(Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible)"/>


	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<th width="{round($comptage_pac1)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>

		
			<tr>
				<td>Type de PAC gaz à absorption</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo=1">Réversible air / eau</xsl:when>
							<xsl:when test="Sys_Thermo=2">Réversible eau / eau</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
	
			<tr>
				<td>Poste de consommation assurée par le générateur (service du générateur)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">Chauffage et refroidissement (Réversibilité)</td>
				</xsl:for-each>
			</tr>
	
			<tr>
				<td style="border-top:2px solid #DC0E7A;">Le GUE mode chauffage est issu d'une matrice de performance (autres points que valeur par défaut)</td>
				<td  style="border-top:2px solid #DC0E7A;" align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td  style="border-top:2px solid #DC0E7A;" align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee_Ch =1 and contains(GUE_Ch,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>				
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Statut des données des valeurs de performance en chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee_Ch = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee_Ch = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température source amont du GUE Pivot chauffage</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">7°</xsl:when>
							<xsl:when test="Sys_Thermo = 2">-2,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température source aval du GUE Pivot chauffage</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">45°</xsl:when>
							<xsl:when test="Sys_Thermo = 2">45°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>					

			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible/Statut_Donnee_Ch = 2">
				<tr>
					<td>GUE chauffage à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_GUE_Pivot_Ch=1"><xsl:value-of select="format-number(Val_GUE_Ch,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut GUE de la valeur pivot chauffage</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_GUE_Pivot_Ch = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_GUE_Pivot_Ch = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_GUE_Pivot_Ch = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>
									
			<tr>
				<td>Puissance absorbée des machines mode chauffage</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs_Ch,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		
			
			<tr>
				<td>Puissance d'auxiliaires des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center"><xsl:value-of select="format-number(Val_Paux_pc_Ch,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>
			
				<tr>
				<td>Statut Paux de la valeur pivot chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Paux_Pivot_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Paux_Pivot_Ch = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Paux_Pivot_Ch = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>		
			
			
			<tr>
				<td>Température limite de fonctionnement des sources en chauffage</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta_Ch = 0">Pas de limite sur les températures de source</xsl:when>
							<xsl:when test="Lim_Theta_Ch = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta_Ch = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>

			
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible/Lim_Theta_Ch &gt; 0">
					<tr>
						<td>Température maximale aval / Température minimale amont (limite de fonctionnement en chauffage)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Av,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Am,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
											
			</xsl:if>


			<tr>
				<td>Mode de fonctionnement du brûleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
					<xsl:choose>
						<xsl:when test="Statut_Bruleur_Ch = 1">
							<xsl:choose>
								<xsl:when test="Fonctionnement_Bruleur_Ch = 0">Sans objet</xsl:when>
								<xsl:when test="Fonctionnement_Bruleur_Ch = 1">Mode continu puis cycle marche arrêt du brûleur</xsl:when>
								<xsl:when test="Fonctionnement_Bruleur_Ch = 2">Cycle marche arrêt du brûleur</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>		
						</xsl:when>
						<xsl:otherwise>Valeur par défaut</xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
								
			<tr>
				<td>Statut de la donnée fonctionnement du brûleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Bruleur_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Bruleur_Ch = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Bruleur_Ch = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>

			
			
			<tr>
				<td>Typologie du système d'émission de chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Typo_Emetteur_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Typo_Emetteur_Ch = 1"><b>Forte</b> : Plancher ou plafond intégré au bâti</xsl:when>
							<xsl:when test="Typo_Emetteur_Ch = 2"><b>Moyenne</b> : Radiateur, Plafond d'inertie moyenne</xsl:when>
							<xsl:when test="Typo_Emetteur_Ch = 3"><b>Légère</b> : Ventilo-convecteurs, Plancher et plafond d'inertie faible</xsl:when>
							<xsl:when test="Typo_Emetteur_Ch = 4"><b>Très légère</b> : Système à air</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Rendement sur PCI de combustion du gaz</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:value-of select="format-number(Rdt_Comp_Ch,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>	

			<tr>
				<td>Puissance des auxiliaires à charge nulle</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:value-of select="format-number(Paux0_Ch,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>	

			
<!-- FROID  -->				
				
			<tr >
				<td style="border-top:2px solid #0F6ADB;">Le GUE est issu d'une matrice de performance (autres points que valeur pivot)</td>
				<td  style="border-top:2px solid #0F6ADB;" align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td style="border-top:2px solid #0F6ADB;" align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee_Fr =1 and contains(GUE_Fr,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>				
					</td>
				</xsl:for-each>
			</tr>			

			<tr>
				<td>Statut des données des valeurs de performance en refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee_Fr = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee_Fr = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>				
				
				
			<tr>
				<td>Température source amont du GUE pivot refroidissement</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">35°</xsl:when>
							<xsl:when test="Sys_Thermo = 2">32,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			

			<tr>
				<td>Température source aval du GUE pivot refroidissement</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo = 1">9,5°</xsl:when>
							<xsl:when test="Sys_Thermo = 2">9,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>				
				
	
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible/Statut_Donnee_Fr = 2">
				<tr>
					<td>GUE refroidissement à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_GUE_Pivot_Fr=1"><xsl:value-of select="format-number(Val_GUE_Fr,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut GUE de la valeur pivot refroidissement</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_GUE_Pivot_Fr = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_GUE_Pivot_Fr = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_GUE_Pivot_Fr = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>

			
			<tr>
				<td>Type de cycle de la machine de refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Cycle_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Cycle_Fr = 1">Machine à cycle simple effet ou GAX</xsl:when>
							<xsl:when test="Cycle_Fr = 2">Machine à cycle double effet</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>				
			
			
			<tr>
				<td>Puissance absorbée des machines mode refroidissement</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs_Fr,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		
	
	
			<tr>
				<td>Puissance d'auxiliaires des machines </td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
					<xsl:choose>
						<xsl:when test="Statut_Paux_Pivot_Fr = 1">
							<xsl:value-of select="format-number(Val_Paux_pc_Fr,'#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>Par défaut</xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Statut Paux de la valeur pivot</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Paux_Pivot_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Paux_Pivot_Fr = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Paux_Pivot_Fr = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>
			
	

			<tr>
				<td>Température limite de fonctionnement des sources en refroidissement</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta_Fr = 0">Pas de limite sur les températures de source</xsl:when>
							<xsl:when test="Lim_Theta_Fr = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta_Fr = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>	
	
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible/Lim_Theta_Fr &gt; 0">
					<tr>
						<td>Température maximale amont / Température minimale aval (limite de fonctionnement en refroidissement)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Am,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Av,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
											
			</xsl:if>	
	
			<tr>
				<td>Mode de fonctionnement du brûleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
					<xsl:choose>
						<xsl:when test="Statut_Bruleur_Fr = 1">
							<xsl:choose>
								<xsl:when test="Fonctionnement_Bruleur_Fr = 0">Sans objet</xsl:when>
								<xsl:when test="Fonctionnement_Bruleur_Fr = 1">Mode continu puis cycle marche arrêt du brûleur</xsl:when>
								<xsl:when test="Fonctionnement_Bruleur_Fr = 2">Cycle marche arrêt du brûleur</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>	
						</xsl:when>
						<xsl:otherwise>Valeur par défaut</xsl:otherwise>
					</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>

	
			<tr>
				<td>Statut de la donnée fonctionnement du brûleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Bruleur_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Bruleur_Fr = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Bruleur_Fr = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>		

			<tr>
				<td>Typologie du système d'émission de refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Typo_Emetteur_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Typo_Emetteur_Fr = 1"><b>Forte</b> : Plancher ou plafond intégré au bâti</xsl:when>
							<xsl:when test="Typo_Emetteur_Fr = 2"><b>Moyenne</b> : Radiateur, Plafond d'inertie moyenne</xsl:when>
							<xsl:when test="Typo_Emetteur_Fr = 3"><b>Légère</b> : Ventilo-convecteurs, Plancher et plafond d'inertie faible</xsl:when>
							<xsl:when test="Typo_Emetteur_Fr = 4"><b>Très légère</b> : Système à air</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>		
			
				
			<tr>
				<td>Rendement sur PCI de combustion de gaz</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
							<xsl:value-of select="format-number(Rdt_Comp_Fr,'#&#160;##0,##', 'fr')"/> 
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Puissance des auxiliaires à charge nulle</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
					<td align="center">
							<xsl:value-of select="format-number(Paux0_Fr,'#&#160;##0,##', 'fr')"/> 
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<th class="strong" colspan="{count(Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible)+2}">Caractéristiques sources amont :</th>
			</tr>	
			
	
			<tr>
				<td>Puissances des auxiliaires des sources amont</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_Reversible">
				<xsl:variable name="id_src_am_ch" select="Id_Source_Amont_Ch"/>
				<xsl:variable name="id_src_am_fr" select="Id_Source_Amont_Fr"/>
				<xsl:variable name="tot_ch" select="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Ppompes_Boucle_Eau+ ../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_ch]/Pvent_Gaine"/>
				<xsl:variable name="tot_fr" select="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Ppompes_Boucle_Eau + ../../Source_Amont_Collection/Source_Amont[Index=$id_src_am_fr]/Pvent_Gaine"/>
					<p class="debug">
					P. aux Chaud :<xsl:value-of select="$tot_ch"/><br/>
					P. aux Froid : <xsl:value-of select="$tot_fr"/>
					</p>
					<td align="center">
						<xsl:value-of select="format-number($tot_ch+$tot_fr,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>			
			
			
		
			
			
		</tbody>
	</table>

	
</xsl:template>		


<!-- Pac GAZ en mode chauffage CDCV2 -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_pac_gaz_chauf">
	
	<xsl:variable name="comptage_pac1" select="50 div count(Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<th width="{round($comptage_pac1)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Type de PAC gaz à absorption en fonctionnement chauffage</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Ch = 0">Sans objet</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 1">GAHP air / eau classique</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 2">GAHP air / eau haute température</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 3">GAHP eau glycolée / eau classique</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 4">GAHP eau glycolée / eau haute température</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 5">GAHP eau de nappe / eau</xsl:when>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Le GUE est issu d'une matrice de performance (autres points que valeur par défaut)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee =1 and contains(GUE,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Statut des données des valeurs de performance</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température source amont du GUE Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Ch = 1">7°</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 2">7°</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 3">-2,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 4">-2,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ch = 5">7,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température source aval du GUE Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Ch &gt; 0">45°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>					
			
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]/Statut_Donnee = 2">
				<tr>
					<td>GUE à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_GUE_Pivot = 1"><xsl:value-of select="format-number(Val_GUE,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut de la valeur pivot</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_GUE_Pivot = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_GUE_Pivot = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_GUE_Pivot = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>
									
			<tr>
				<td>Puissance absorbée des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		

			<tr>
				<td>Puissance d'auxiliaires des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Paux_Pivot = 1"><xsl:value-of select="format-number(Val_Paux_pc,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
			
			
			<tr>
				<td>Statut P<sub>aux</sub> de la valeur pivot</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Paux_Pivot = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Paux_Pivot = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Paux_Pivot = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température limite de fonctionnement des sources</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta = 0">Pas de limite sur les températures de source</xsl:when>
							<xsl:when test="Lim_Theta = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>			
			
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]/Lim_Theta &gt; 0">
					<tr>
						<td>Température maximale aval / Température minimale amont (limite de fonctionnement)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Av,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Am,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
			</xsl:if>			

			
			<tr>
				<td>Mode de fonctionnement du bruleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Bruleur = 1">
								<xsl:choose>
									<xsl:when test="Fonctionnement_Bruleur = 0">Sans objet</xsl:when>
									<xsl:when test="Fonctionnement_Bruleur = 1">Mode continu puis cycle marche arrêt du brûleur</xsl:when>
									<xsl:when test="Fonctionnement_Bruleur = 2">Cycle marche arrêt du brûleur</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Statut de la donnée de fonctionnement du bruleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Bruleur = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Bruleur = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Bruleur = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>			
			
			<tr>
				<td>Typologie du système d'émission de refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Typo_Emetteur = 0">Sans objet</xsl:when>
							<xsl:when test="Typo_Emetteur = 1"><b>Forte</b> : Plancher ou plafond intégré au bâti</xsl:when>
							<xsl:when test="Typo_Emetteur = 2"><b>Moyenne</b> : Radiateur, Plafond d'inertie moyenne</xsl:when>
							<xsl:when test="Typo_Emetteur = 3"><b>Légère</b> : Ventilo-convecteurs, Plancher et plafond d'inertie faible</xsl:when>
							<xsl:when test="Typo_Emetteur = 4"><b>Très légère</b> : Système à air</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>						

			<tr>
				<td>Rendement sur PCI de combustion du gaz</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:value-of select="format-number(Rdt_Comp,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>				

			<tr>
				<td>Puissance des auxiliaires à charge nulle</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
					<td align="center">
						<xsl:value-of select="format-number(Paux0,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<th class="strong" colspan="{count(Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1])+2}">Caractéristiques sources amont :</th>
			</tr>					
			<tr>
				<td>Puissances des auxiliaires des sources amont</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=1]">
				<xsl:variable name="id_src_am" select="Id_Source_Amont"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 1]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Boucle_Eau,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 2]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Gaine,'#&#160;##0,##', 'fr')"/>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

		</tbody>
	</table>

	
</xsl:template>		





<!-- PAC électrique en mode refroidissement -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_pac_froid">
	
	<xsl:variable name="comptage_pac1" select="50 div count(Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<th width="{round($comptage_pac1)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Type de PAC à compression électrique en mode refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 1">Refroidissement air extérieur / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 2">Refroidissement air extérieur / air recyclé</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 3">Refroidissement air extrait / air neuf</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 4">Refroidissement eau / eau et eau glycolée / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 5">Refroidissement eau / air et eau de boucle / air</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 6">Refroidissement eau de nappe / air</xsl:when>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
	
			<tr>
				<td>Poste de consommation assurée par le générateur (service du générateur)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">Refroidissement</td>
				</xsl:for-each>
			</tr>
	
			<tr>
				<td>L'EER est issu d'une matrice de performance (autres points que valeur par défaut)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee =1 and contains(Performance,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>				
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Statut des données des valeurs de performance</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température source amont de l'EER Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Fr = 1">35°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 2">35°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 3">27°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 4">32,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 5">32.5°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 6">12.5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température source aval de l'EER Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Fr = 1">9,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 2">27°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 3">35°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 4">9,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 5">27°</xsl:when>
							<xsl:when test="Sys_Thermo_Fr = 6">27°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
		
			<!-- 15/03/2012 : Val_Cop et statut_val_pivot que si statut_donnee = 2 -->
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]/Statut_Donnee = 2">
				<tr>
					<td>EER à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Val_Pivot=1"><xsl:value-of select="format-number(Val_Cop,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut de la valeur pivot</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_Val_Pivot = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_Val_Pivot = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_Val_Pivot = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>
									
			<tr>
				<td>Puissance absorbée des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		
			
			<tr>
				<td>Fonctionnement du compresseur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Fonctionnement_Compresseur = 0">Sans objet</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur = 1">Mode continu puis cycle marche arrêt du compresseur</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur = 2">Cycle marche arrêt du compresseur</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Température limite de fonctionnement des sources</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta = 0">Pas de limite</xsl:when>
							<xsl:when test="Lim_Theta = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>

			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]/Lim_Theta &gt; 0">
					<tr>
						<td>Température maximale amont / Température minimale aval (limite de fonctionnement)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Am,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Av,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
								
					<tr>
						<td>Part de la puissance électrique des auxiliaires dans la puissance électrique totale</td>
						<td align="center">%</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
							<td align="center">
								<xsl:choose>
									<xsl:when test="Statut_Taux &lt; 2"><xsl:value-of select="format-number(Taux * 100,'#&#160;##0,##', 'fr')"/></xsl:when>
									<xsl:otherwise>Valeur par défaut</xsl:otherwise>
								</xsl:choose>
							</td>
						</xsl:for-each>
					</tr>				
			</xsl:if>
					
			<tr>
				<td>Statut origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Taux = 0">Valeur certifiée</xsl:when>
							<xsl:when test="Statut_Taux = 1">Valeur justifiée</xsl:when>
							<xsl:when test="Statut_Taux = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<td>Typologie du système d'émission de refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Typo_Emetteur = 0">Sans objet</xsl:when>
							<xsl:when test="Typo_Emetteur = 1"><b>Forte</b> : Plancher ou plafond intégré au bâti</xsl:when>
							<xsl:when test="Typo_Emetteur = 2"><b>Moyenne</b> : Radiateur, Plafond d'inertie moyenne</xsl:when>
							<xsl:when test="Typo_Emetteur = 3"><b>Légère</b> : Ventilo-convecteurs, Plancher et plafond d'inertie faible</xsl:when>
							<xsl:when test="Typo_Emetteur = 4"><b>Très légère</b> : Système à air</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>						
				
			<tr>
				<th class="strong" colspan="{count(Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2])+2}">Caractéristiques sources amont :</th>
			</tr>					
			<tr>
				<td>Puissances des auxiliaires des sources amont</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=2]">
				<xsl:variable name="id_src_am" select="Id_Source_Amont"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 1]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Boucle_Eau,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 2]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Gaine,'#&#160;##0,##', 'fr')"/>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

		</tbody>
	</table>

	
</xsl:template>		



<!-- Pac GAZ en mode froid CDCV2 -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_pac_gaz_froid">
	
	<xsl:variable name="comptage_pac1" select="50 div count(Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<th class="strong"  width="{round($comptage_pac1)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Type de PAC gaz à absorption en fonctionnement refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Fr = 0">Sans objet</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Fr = 1">Refroidisseur air / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Fr = 2">Refroidisseur eau / eau</xsl:when>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Le GUE est issu d'une matrice de performance (autres points que valeur par défaut)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee =1 and contains(GUE,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Statut des données des valeurs de performance</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température source amont du GUE Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Fr = 1">35°</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Fr = 2">32,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température source aval du GUE Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Fr &gt; 0">9,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>					
			
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]/Statut_Donnee = 2">
				<tr>
					<td>GUE à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_GUE_Pivot = 1"><xsl:value-of select="format-number(Val_GUE,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut de la valeur pivot</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_GUE_Pivot = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_GUE_Pivot = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_GUE_Pivot = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>
									
			<tr>
				<td>Puissance absorbée des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		

			<tr>
				<td>Puissance d'auxiliaires des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Paux_Pivot = 1"><xsl:value-of select="format-number(Val_Paux_pc,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
			
			
			<tr>
				<td>Statut P<sub>aux</sub> de la valeur pivot</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Paux_Pivot = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Paux_Pivot = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Paux_Pivot = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température limite de fonctionnement des sources</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta = 0">Pas de limite sur les températures de source</xsl:when>
							<xsl:when test="Lim_Theta = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>			
			
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]/Lim_Theta &gt; 0">
					<tr>
						<td>Température maximale amont / Température minimale aval (limite de fonctionnement)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Am,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Av,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
			</xsl:if>			

			
			<tr>
				<td>Mode de fonctionnement du bruleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Bruleur = 1">
								<xsl:choose>
									<xsl:when test="Fonctionnement_Bruleur = 0">Sans objet</xsl:when>
									<xsl:when test="Fonctionnement_Bruleur = 1">Mode continu puis cycle marche arrêt du brûleur</xsl:when>
									<xsl:when test="Fonctionnement_Bruleur = 2">Cycle marche arrêt du brûleur</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Statut de la donnée de fonctionnement du bruleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Bruleur = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Bruleur = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Bruleur = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>			
			
			<tr>
				<td>Typologie du système d'émission de refroidissement</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Typo_Emetteur = 0">Sans objet</xsl:when>
							<xsl:when test="Typo_Emetteur = 1"><b>Forte</b> : Plancher ou plafond intégré au bâti</xsl:when>
							<xsl:when test="Typo_Emetteur = 2"><b>Moyenne</b> : Radiateur, Plafond d'inertie moyenne</xsl:when>
							<xsl:when test="Typo_Emetteur = 3"><b>Légère</b> : Ventilo-convecteurs, Plancher et plafond d'inertie faible</xsl:when>
							<xsl:when test="Typo_Emetteur = 4"><b>Très légère</b> : Système à air</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>						

			<tr>
				<td>Rendement sur PCI de combustion du gaz</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:value-of select="format-number(Rdt_Comp,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>				

			<tr>
				<td>Puissance des auxiliaires à charge nulle</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
					<td align="center">
						<xsl:value-of select="format-number(Paux0,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<th class="strong" colspan="{count(Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2])+2}">Caractéristiques sources amont :</th>
			</tr>					
			<tr>
				<td>Puissances des auxiliaires des sources amont</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=2]">
				<xsl:variable name="id_src_am" select="Id_Source_Amont"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 1]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Boucle_Eau,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 2]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Gaine,'#&#160;##0,##', 'fr')"/>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

		</tbody>
	</table>

	
</xsl:template>		





<!-- ECS : PAC à compression électrique en mode ECS  -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_pac_ecs">
	
	<xsl:variable name="comptage_pac_ecs" select="50 div count(Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<th class="strong" width="{round($comptage_pac_ecs)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>			
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
				<xsl:variable name="id_gene" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_gene]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_gene]/marque_generateur"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur ECS thermodynamique</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
				<xsl:variable name="id_gene" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_gene]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_gene]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Type de PAC à compression électrique en fonctionnement ECS</td>
				<td align="center">-</td><xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Ecs = 0">Sans objet</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 1">PAC air extérieur / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 2">PAC air extrait / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 3">PAC air ambiant / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 4">PAC eau de nappe / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 5">PAC sol / eau</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Le COP est issu d'une matrice de performance (autres points que valeur pivot)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee =1 and contains(GUE,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<td>Statut des données des valeurs de performance (autres points que valeurs pivot)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>				
			
			<tr>
				<td>Température source amont du COP Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Ecs = 1">7°</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 2">20°</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 3">15°</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 4">8,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Ecs = 5">4°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>							
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température source aval du COP Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Ecs &gt; 0">45°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>							
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>
			
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]/Statut_Donnee = 2">			
				<tr>
					<td>COP à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
						<td align="center">
							<xsl:choose>
								<xsl:when test="Statut_Val_Pivot = 1"><xsl:value-of select="format-number(Val_Cop,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>Valeur par défaut</xsl:otherwise>
							</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut de la valeur pivot</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_Val_Pivot = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_Val_Pivot = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_Val_Pivot = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>	
			</xsl:if>			
								
	
			<tr>
				<td>Puissance absorbée à pleine charge</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Fonctionnement du compresseur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Fonctionnement_Compresseur = 0">Sans objet</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur = 1">Mode continu puis cycle marche arrêt du compresseur</xsl:when>
							<xsl:when test="Fonctionnement_Compresseur = 2">Cycle marche arrêt du compresseur</xsl:when>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Température limite de fonctionnement des sources</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Lim_Theta = 0">Pas de limite sur les températures de source</xsl:when>
							<xsl:when test="Lim_Theta = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>

			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]/Lim_Theta &gt; 0">
					<tr>
						<td>Température maximale aval / Température minimale amont (limite de fonctionnement)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Av,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Am,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
			</xsl:if>	

			
			<tr>
				<td>Part de la puissance électrique des auxiliaires dans la puissance électrique totale</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Taux &lt; 2"><xsl:value-of select="format-number(Taux * 100,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

			
			<tr>
				<td>Statut ou origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Taux = 0">Valeur certifiée</xsl:when>
							<xsl:when test="Statut_Taux = 1">Valeur justifiée</xsl:when>
							<xsl:when test="Statut_Taux = 2">Valeur par défaut</xsl:when>
						</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<th class="strong" colspan="{count(Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3])+2}">Caractéristiques sources amont : </th>
			</tr>					
			<tr>
				<td>Puissances des auxiliaires des sources amont</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Elec_NonReversible[Id_FouGen_Mod=3]">
				<xsl:variable name="id_src_am" select="Id_Source_Amont"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 1]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Boucle_Eau,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 2]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Gaine,'#&#160;##0,##', 'fr')"/>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
		</tbody>			
	</table>
</xsl:template>				


<!-- PAC GAZ mode ECS  -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_pac_gaz_ecs">
	
	<xsl:variable name="comptage_pac1" select="50 div count(Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<th class="strong"  width="{round($comptage_pac1)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/marque_generateur"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur ECS thermondynamique</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
				<xsl:variable name="id_generateur" select="Index"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_generateur]/deno_comm_gene"/></xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center"><xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Type de PAC gaz à absorption en fonctionnement ECS</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Ecs = 0">Sans objet</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ecs = 1">GAHP air / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ecs = 2">GAHP eau glycolée / eau</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ecs = 3">GAHP eau de nappe / eau</xsl:when>
						</xsl:choose>							
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Le GUE est issu d'une matrice de performance (autres points que valeur par défaut)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee =1 and contains(GUE,';')">Oui</xsl:when>
							<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Statut des données des valeurs de performance</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Donnee = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Donnee = 1">Valeurs de performances certifiées ou mesurées</xsl:when>
							<xsl:when test="Statut_Donnee = 2">Aucune valeur certifiée ou mesurée</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température source amont du GUE Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Ecs = 1">7°</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ecs = 2">-2,5°</xsl:when>
							<xsl:when test="Sys_Thermo_Abso_Ecs = 3">7,5°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température source aval du GUE Pivot</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Sys_Thermo_Abso_Ecs &gt; 0">60°</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>					
			
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]/Statut_Donnee = 2">
				<tr>
					<td>GUE à la valeur pivot source amont / aval</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
						<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_GUE_Pivot = 1"><xsl:value-of select="format-number(Val_GUE,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
						</td>
					</xsl:for-each>
				</tr>				
				<tr>
					<td>Statut de la valeur pivot</td>
					<td align="center">-</td>
					<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
						<td align="center">
							<xsl:choose>							
								<xsl:when test="Statut_GUE_Pivot = 0">Sans objet</xsl:when>
								<xsl:when test="Statut_GUE_Pivot = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Statut_GUE_Pivot = 2">Valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>
									
			<tr>
				<td>Puissance absorbée des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center"><xsl:value-of select="format-number(Val_Pabs,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		

			<tr>
				<td>Puissance d'auxiliaires des machines</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Paux_Pivot = 1"><xsl:value-of select="format-number(Val_Paux_pc,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
			
			
			<tr>
				<td>Statut P<sub>aux</sub> de la valeur pivot</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Statut_Paux_Pivot = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Paux_Pivot = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Paux_Pivot = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>			
			
			
			<tr>
				<td>Température limite de fonctionnement des sources</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Lim_Theta = 0">Pas de limite sur les températures de source</xsl:when>
							<xsl:when test="Lim_Theta = 1">Arrêt sur les limites des 2 températures de source simultanément</xsl:when>
							<xsl:when test="Lim_Theta = 2">Arrêt sur la limite de l'une ou l'autre température de source</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>			
			
			<xsl:if test="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]/Lim_Theta &gt; 0">
					<tr>
						<td>Température maximale aval / Température minimale amont (limite de fonctionnement)</td>
						<td align="center">°C</td>
						<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
							<td align="center">
								<xsl:value-of select="format-number(Theta_Max_Av,'#&#160;##0,##', 'fr')"/> / <xsl:value-of select="format-number(Theta_Min_Am,'#&#160;##0,##', 'fr')"/>
							</td>
						</xsl:for-each>
					</tr>
			</xsl:if>			

			
			<tr>
				<td>Mode de fonctionnement du bruleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Bruleur = 1">
								<xsl:choose>
									<xsl:when test="Fonctionnement_Bruleur = 0">Sans objet</xsl:when>
									<xsl:when test="Fonctionnement_Bruleur = 1">Mode continu puis cycle marche arrêt du brûleur</xsl:when>
									<xsl:when test="Fonctionnement_Bruleur = 2">Cycle marche arrêt du brûleur</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Statut de la donnée de fonctionnement du bruleur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:choose>
							<xsl:when test="Statut_Bruleur = 0">Sans objet</xsl:when>
							<xsl:when test="Statut_Bruleur = 1">Valeur déclarée</xsl:when>
							<xsl:when test="Statut_Bruleur = 2">Valeur par défaut</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>							

			<tr>
				<td>Rendement sur PCI de combustion du gaz</td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:value-of select="format-number(Rdt_Comp,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>				

			<tr>
				<td>Puissance des auxiliaires à charge nulle</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
					<td align="center">
						<xsl:value-of select="format-number(Paux0,'#&#160;##0,##', 'fr')"/>
					</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<th class="strong" colspan="{count(Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3])+2}">Caractéristiques sources amont :</th>
			</tr>					
			<tr>
				<td>Puissances des auxiliaires des sources amont</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Thermodynamique_Gaz_NonReversible[Id_FouGen_Mod=3]">
				<xsl:variable name="id_src_am" select="Id_Source_Amont"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 1]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Tour+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Cap+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Nappe+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Inter+../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Ppompes_Boucle_Eau,'#&#160;##0,##', 'fr')"/>
							</xsl:when>
							<xsl:when test="../../Source_Amont_Collection/Source_Amont[Index=$id_src_am][Id_Fl_Amont = 2]">
								<xsl:value-of select="format-number(../../Source_Amont_Collection/Source_Amont[Index=$id_src_am]/Pvent_Gaine,'#&#160;##0,##', 'fr')"/>	
							</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>

		</tbody>
	</table>

	
</xsl:template>		





<!-- generateur affectés à la production de froid -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_reseau_froid">
	
	<xsl:variable name="comptage_gene_fr" select="50 div count(Generateur_Collection/Generateur_Reseau_Fourniture[Reseau=1])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Reseau_Fourniture[Reseau=1]">
					<th width="{round($comptage_gene_fr)}%"><xsl:value-of select="Name"/>
				</th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Puissance d'échange de la sous-station</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Reseau_Fourniture[Reseau=1]">
					<td align="center"><xsl:value-of select="format-number(P_Ess,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>
		</tbody>
	</table>
</xsl:template>	





<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="T5_ECS">
<xsl:if test="contains(local-name(child::Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/*), 'T5_')">
<p class="note">
	<b>Présence de Titres V :</b><br/>
		<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/*[contains(local-name(), 'T5_')]">
			Nom du Titre V : <xsl:value-of select="Name"/>&#160;<i>(<xsl:value-of select="local-name()"/>)</i><br/>
		</xsl:for-each>
</p>
</xsl:if>
</xsl:template>





<!-- Génération, DONNEES SUR L'EAU CHAUDE SANITAIRE -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="data_ecs">
<xsl:variable name="id_gene" select="Index"/>

<xsl:choose>
	<xsl:when test="Production_Stockage_ECS_Collection/Production_Stockage[Id_Fou_Sto &gt; 2]">
			<ul>
				<xsl:for-each select="/projet/Datas_Comp/generation_collection/generation[Index=$id_gene]/ECS_types">
				<xsl:choose>
					<xsl:when test="id and id != 0">
						<xsl:if test="id=1"><li>Production centralisée instantanée</li></xsl:if>
						<xsl:if test="id=2"><li>Production décentralisée instantanée</li></xsl:if>
						<xsl:if test="id=3"><li>Production centralisée avec stockage</li></xsl:if>	
						<xsl:if test="id=4"><li>Production décentralisée avec stockage</li></xsl:if> 
						<xsl:if test="id=5"><li>Production centralisée mixte (chauffage et ECS)</li></xsl:if>
						<xsl:if test="id=6"><li>Production décentralisée mixte (chauffage et ECS)</li></xsl:if>
						<xsl:if test="id=7"><li>Production centralisée avec appoints décentralisés</li></xsl:if>
					</xsl:when>
					<xsl:otherwise><i>-donnée non renseignée-</i></xsl:otherwise>
				</xsl:choose>	
				</xsl:for-each>
			</ul>
			
		</xsl:when>
		<xsl:otherwise>Eau Chaude Sanitaire non prise en compte</xsl:otherwise>
</xsl:choose>		
</xsl:template>		













<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="type_prod_stockage">
	
	<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage">
	<ul>
	<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage">
		<li>
			<xsl:choose>							
				<xsl:when test="Type_prod_stockage = 0">Ballon base sans appoint</xsl:when>
				<xsl:when test="Type_prod_stockage = 1">Ballon base avec appoint intégré</xsl:when>
				<xsl:when test="Type_prod_stockage = 2">Ballon base avec appoint dans stockage séparé</xsl:when>
				<xsl:when test="Type_prod_stockage = 3">Ballon base avec appoint séparé instantané</xsl:when>
				<xsl:when test="Type_prod_stockage = 4">SSC avec appoint chauffage par système indépendant</xsl:when>
				<xsl:when test="Type_prod_stockage = 5">SSC avec appoint chauffage raccordé à l'assemblage</xsl:when>
			</xsl:choose>
		</li>
		</xsl:for-each>
	</ul>
	</xsl:if>
</xsl:template>			







<!-- Ballon de stockage en base une seule source sans appoint, ou base avec appoint intégré -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="ballon_stockage_type1">
	
	<xsl:variable name="nb_bal">5</xsl:variable>
	<xsl:variable name="comptage_ecs" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal][Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<th width="{round($comptage_ecs)}%"  class="strong" ><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
		<tr>
				<td>Nombre d'assemblages identiques à considérer au niveau de la génération</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center"><xsl:value-of select="nb_assembl"/></td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Marque du ballon</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
				<xsl:variable name="id_stock" select="Index"/>	
					<td align="center" >
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/marque_ballon) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/marque_ballon"/></xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>										
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du ballon</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center" >
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/deno_comm_ballon) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/deno_comm_ballon"/></xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>									
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Poste de consommation assurée par le générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="*/*[Id_Fou_Gen_1=1]">Chauffage</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen_1=3]">ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen_1=4]">Chauffage et ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen=1]">Chauffage</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen=3]">ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen=4 ]">Chauffage et ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen1=1]">Chauffage</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen1=3]">ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen1=4]">Chauffage et ECS</xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Type d'énergie de base</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center" >
						<xsl:choose>							
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 1">Electrique à effet joule</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 2">Electrique thermodynamique</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 3">Gaz par chaudière avec accumulateur</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 4">Fioul par chaudière à accumulation</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 5">Solaire thermique</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 6">Réseaux de chaleur</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 7">Bois</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 8">Gaz thermodynamique</xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>				
					</td>
				</xsl:for-each>
			</tr>			
			
			<tr>
				<td>Type d'énergie d'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center" >
						<xsl:choose>							
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_appoint = 0">Sans appoint</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_appoint = 1">Electrique par résistance</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_appoint = 2">Echangeur hydraulique alimenté par chaudière (bois, gaz, fioul)</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_appoint = 3">Réseau de chaleur</xsl:when>
							<xsl:otherwise>Sans appoint</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>					
			
			<tr>
				<td>Volume total du ballon</td>
				<td align="center">L</td>
					<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center"><xsl:value-of select="format-number(V_tot,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>

			<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]/Valeur_Certifiee_Justifiee_Defaut != 0">
				<tr>
					<td>Coefficient de pertes thermique du ballon UA_S</td>
					<td align="center">W/K</td>
					<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
						<td align="center"><xsl:value-of select="format-number(UA_S,'#&#160;##0,##', 'fr')"/></td>
					</xsl:for-each>
				</tr>
			</xsl:if>
			
			<tr>
				<td>Origine de la valeur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 0">Valeur par défaut</xsl:when>
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 1">Valeur justifiée</xsl:when>
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 2">Valeur certifiée</xsl:when>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température maximale du ballon</td>
				<td align="center">°C</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center"><xsl:value-of select="format-number(Theta_Max,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Type de gestion du thermostat du ballon de stockage ECS base</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="type_gest_th_base = 0">Chauffage permanent</xsl:when>
							<xsl:when test="type_gest_th_base = 1">Chauffage de nuit</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>		
			<tr>
				<td>Zone du ballon qui contient le système de régulation de base</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center"><xsl:value-of select="z_reg_base"/></td>				
				</xsl:for-each>
			</tr>									
			<tr>
				<td>Fonction du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Id_Fou_Sto = 0">Sans objet</xsl:when>
							<xsl:when test="Id_Fou_Sto = 1">Chauffage</xsl:when>
							<xsl:when test="Id_Fou_Sto = 3">ECS</xsl:when>
							<xsl:when test="Id_Fou_Sto = 4">Chauffage et ECS</xsl:when>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>		
			<tr>
				<td>Fraction effective du ballon chauffée par l'appoint</td>
				<td align="center">%</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center"><xsl:value-of select="format-number(f_aux * 100,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>		
			<tr>
				<td>Type de gestion du thermostat du ballon de stockage ECS de l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="type_gest_th_appoint = 0">Chauffage permanent</xsl:when>
							<xsl:when test="type_gest_th_appoint = 1">Chauffage de nuit</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td> Zone du ballon qui contient le système de régulation de l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
					<td align="center"><xsl:value-of select="z_reg_appoint"/></td>
				</xsl:for-each>
			</tr>
			<tr >
				<td>Puissance maximale électrique de l'appoint</td>
				<td align="center">W</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=0 or Type_prod_stockage=1 or Type_prod_stockage = 3][position() &lt; $nb_bal]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center"><xsl:value-of select="format-number(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/Pmax,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
		</tbody>
	</table>	

</xsl:template>			
















<!--Ballon de stockage en base avec appoint dans stockage séparé -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="ballon_stockage_type2">

	<p class="note">Limitation à 4 ballons</p>
	
	<xsl:variable name="nb_bal2">5</xsl:variable>
	<xsl:variable name="comptage_ecs" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<th class="strong" width="{round($comptage_ecs)}%"><xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Nombre d'assemblage identiques à considérer au niveau de la génération</td>
				<td align="center">-</td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center"><xsl:value-of select="nb_assembl"/></td>
				</xsl:for-each>
			</tr>		
			<tr>
				<td>Marque du ballon de base</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
				<xsl:variable name="id_stock" select="Index"/>	
					<td align="center">				
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/marque_ballon) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/marque_ballon"/></xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>	

					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du ballon</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center">
											<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/deno_comm_ballon) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/deno_comm_ballon"/></xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Poste de consommation assurée par le générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="*/*[Id_Fou_Gen_1=1]">Chauffage</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen_1=3]">ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen_1=4]">Chauffage et ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen=1]">Chauffage</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen=3]">ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen=4 ]">Chauffage et ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen1=1]">Chauffage</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen1=3]">ECS</xsl:when>
						<xsl:when test="*/*[Id_Fou_Gen1=4]">Chauffage et ECS</xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Type d'énergie de base</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center">	
						<xsl:choose>							
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 1">Electrique à effet joule</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 2">Electrique thermodynamique</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 3">Gaz par chaudière avec accumulateur</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 4">Fioul par chaudière à accumulation</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 5">Solaire thermique</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 6">Réseaux de chaleur</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 7">Bois</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_base = 8">Gaz thermodynamique</xsl:when>
							<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Volume total du ballon</td>
				<td align="center">L</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center"><xsl:value-of select="format-number(V_tot,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>
			
			<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]/Valeur_Certifiee_Justifiee_Defaut != 0">
				<tr>
					<td>Coefficient de pertes thermique du ballon UA_S</td>
					<td align="center">W/K</td>
					<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
						<td align="center"><xsl:value-of select="format-number(UA_S,'#&#160;##0,##', 'fr')"/></td>
					</xsl:for-each>
				</tr>	
			</xsl:if>
			
			<tr>
				<td>Origine de la valeur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 0">Valeur par défaut</xsl:when>
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 1">Valeur justifiée</xsl:when>
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 2">Valeur certifiée</xsl:when>
						</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température maximale du ballon</td>
				<td align="center">°C</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center"><xsl:value-of select="format-number(Theta_Max,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	

			<tr>
				<td>Marque du ballon d'appoint séparé</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/marque_ballon_appoint) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/marque_ballon_appoint"/></xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>		
					</td>
				</xsl:for-each>
			</tr>				
	
			<tr>
				<td>Type d'énergie d'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center">
						<xsl:choose>							
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_appoint = 0">Sans appoint</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_appoint = 1">Electrique par résistance</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_appoint = 2">Echangeur hydraulique alimenté par chaudière (bois, gaz, fioul)</xsl:when>
							<xsl:when test="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/type_energie_appoint = 3">Réseau de chaleur</xsl:when>
							<xsl:otherwise>Sans appoint</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Dénomination commerciale du ballon d'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
				<xsl:variable name="id_stock" select="Index"/>
					<td align="center"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_stock]/deno_comm_ballon_appoint"/></td>
				</xsl:for-each>
			</tr>
			
			
			
			<tr>
				<td>Volume total du ballon d'appoint séparé</td>
				<td align="center">L</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center"><xsl:value-of select="format-number(V_tot_appoint,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>	
			
			<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]/Valeur_Certifiee_Justifiee_Defaut_Appoint != 0">
				<tr>
					<td>Coefficient de pertes thermique du ballon d'appoint séparé UA_S</td>
					<td align="center">W/K</td>
					<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
						<td align="center"><xsl:value-of select="format-number(UA_S_appoint,'#&#160;##0,##', 'fr')"/></td>
					</xsl:for-each>
				</tr>	
			</xsl:if>
			
			<tr>
				<td>Origine de la valeur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut_Appoint = 0">Valeur par défaut</xsl:when>
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut_Appoint = 1">Valeur justifiée</xsl:when>
							<xsl:when test="Valeur_Certifiee_Justifiee_Defaut_Appoint = 2">Valeur certifié</xsl:when>
						</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Température maximale du ballon d'appoint</td>
				<td align="center">°C</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center"><xsl:value-of select="format-number(Theta_Max_appoint,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>					
			<tr>
				<td>Type de gestion du thermostat du ballon de stockage ECS base</td>
				<td align="center">-</td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="type_gest_th_base = 0">Chauffage permanent</xsl:when>
							<xsl:when test="type_gest_th_base = 1">Chauffage de nuit</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>		
			<tr>
				<td>Zone du ballon qui contient le système de régulation de base</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center"><xsl:value-of select="z_reg_base"/></td>
				</xsl:for-each>
			</tr>									
			<tr>
				<td>Fonction du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="Id_Fou_Sto = 0">Sans objet</xsl:when>
							<xsl:when test="Id_Fou_Sto = 1">Chauffage</xsl:when>
							<xsl:when test="Id_Fou_Sto = 3">ECS</xsl:when>
							<xsl:when test="Id_Fou_Sto = 4">Chauffage et ECS</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>		
			<tr>
				<td>Type de gestion du thermostat de l'appoint séparé</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center">
						<xsl:choose>							
							<xsl:when test="type_gest_th_appoint = 0">Chauffage permanent</xsl:when>
							<xsl:when test="type_gest_th_appoint = 1">Chauffage de nuit</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>						
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td> Zone du ballon qui contient le système de régulation de l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[position() &lt; $nb_bal2][Type_prod_stockage=2]">
					<td align="center"><xsl:value-of select="z_reg_appoint"/></td>
				</xsl:for-each>
			</tr>
		</tbody>
	</table>
	
</xsl:template>				








<!-- Préparateur ECS Gaz à accumulation standard ou condensation  -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="gene_pac_gaz_accu">
	
	<xsl:variable name="nb_pac_gaz">5</xsl:variable>
	<xsl:variable name="comptage_gene" select="50 div count(Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%" >&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<th width="{round($comptage_gene)}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<xsl:variable name="id_gene" select="Index"/>
				<td align="center">
					<xsl:choose>
					<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_gene]/marque_generateur) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_gene]/marque_generateur"/>
					</xsl:when>
					<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>
				</td></xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<xsl:variable name="id_gene" select="Index"/>
					<td align="center">
					<xsl:choose>
					<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_gene]/deno_comm_gene) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/generateur_collection/generateur[Index=$id_gene]/deno_comm_gene"/>
					</xsl:when>
					<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>					
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre de générateurs identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
					<td align="center"><xsl:value-of select="Rdim"/></td></xsl:for-each>
			</tr>	
			<tr>
				<td>Catégorie du générateur</td><td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]"><td align="center">
						<xsl:choose>							
							<xsl:when test="Generateur = 8">Chauffe eau gaz</xsl:when>
							<xsl:when test="Generateur = 9">Accumulateur gaz standard</xsl:when>
							<xsl:when test="Generateur = 10">Accumulateur gaz condensation</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
				</td></xsl:for-each>
			</tr>	
			<tr>
				<td>Poste de consommation assurée par le générateur (service du générateur)</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
						<xsl:choose>							
							<xsl:when test="Id_Fou_Gen_5 = 0">Sans objet</xsl:when>
							<xsl:when test="Id_Fou_Gen_5 = 3">Eau chaude sanitaire</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
				</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Ventilation du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Ventilation = 0">Absence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
								<xsl:when test="Ventilation = 1">Présence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
								<xsl:when test="Ventilation = 2">Présence de clapets sur conduits de fumées</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
				</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Puissance fournie en fonctionnement nominal</td>
				<td align="center">kW</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
					<xsl:value-of select="format-number(Pn_gen,'#&#160;##0,##', 'fr')"/>
				</td>
				</xsl:for-each>
			</tr>


			<tr>
				<td>Température minimale de fonctionnement</td>
				<td align="center">°C</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
								<xsl:otherwise><xsl:value-of select="format-number(Theta_Fonc_Min,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
							</xsl:choose>							
				</td>
				</xsl:for-each>
			</tr>			
			
			<tr>
				<td>Origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
								<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 1">Valeur mesurée</xsl:when>
							</xsl:choose>		
				</td>
				</xsl:for-each>
			</tr>				
		
			<tr>
				<td>Rendement sur PCI à puissance nominale </td>
				<td align="center">%</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
					<xsl:choose>	
							<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
							<xsl:otherwise><xsl:value-of select="format-number(R_pn,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
					</xsl:choose>
				</td>
				</xsl:for-each>
			</tr>

			
			
			<tr>
				<td>Origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
								<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 2">Valeur justifiée</xsl:when>
								<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 3">Valeur certifiée</xsl:when>
							</xsl:choose>							
				</td>
				</xsl:for-each>
			</tr>

	
			<tr>
				<td>Pertes à l'arrêt </td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
					<xsl:choose>	
							<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
							<xsl:otherwise><xsl:value-of select="format-number(Q_po_30,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
					</xsl:choose>
				</td>
				</xsl:for-each>
			</tr>

			<tr>
				<td>Origine de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
								<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 1">Valeur mesurée</xsl:when>
							</xsl:choose>							
				</td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Puissance électrique des auxiliaires du générateur à charge nulle</td>
				<td align="center">W</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
					<xsl:value-of select="format-number(Q_veille,'#&#160;##0,##', 'fr')"/>
				</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Consommation électrique des auxiliaires du générateur à la puissance nominale</td><td align="center">W</td><xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]"><td align="center"><xsl:value-of select="format-number(Q_aux_nom,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>	
			<tr>
				<td>Origine de la donnée</td><td align="center">-</td>
				<xsl:for-each select="Generateur_Collection/Generateur_Combustion[Generateur=8 or Generateur=9 or Generateur=10][position() &lt; $nb_pac_gaz]">
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
								<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 1">Valeur mesurée</xsl:when>
							</xsl:choose>
					</td></xsl:for-each>
			</tr>	
		</tbody>
	</table>
</xsl:template>		












<!-- Données sur les installations solaires thermiques -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="installations_solaires">
<xsl:variable name="id_gene" select="Index"/>	
	<xsl:for-each select="/projet/Datas_Comp/generation_collection/generation[Index=$id_gene]">
	<ul>

		<li>
			<xsl:choose>							
				<xsl:when test="type_solaire_thermique = 1">Chauffe eau solaire avec appoint intégré </xsl:when>
				<xsl:when test="type_solaire_thermique = 2">Chauffe eau solaire avec appoint dans stockage séparé</xsl:when>
				<xsl:when test="type_solaire_thermique = 3">Chauffe eau solaire avec appoint séparé instantané</xsl:when>
				<xsl:when test="type_solaire_thermique = 4">CESC Installation solaire collective centralisé avec appoint intégré</xsl:when>
				<xsl:when test="type_solaire_thermique = 5">CESC Installation solaire collective centralisée avec appoint dans stockage séparé</xsl:when>
				<xsl:when test="type_solaire_thermique = 6">CESCI Installation solaire collective avec appoint individualisé</xsl:when>
				<xsl:when test="type_solaire_thermique = 7">CESCAI Installation solaire avec stockage collectif centralisé et appoint individualisé</xsl:when>
				<xsl:when test="type_solaire_thermique = 8">SSC Système solaire combiné avec appoint chauffage indépendant</xsl:when>
				<xsl:when test="type_solaire_thermique = 9">SSC Système solaire combiné avec appoint chauffage raccordé à l'assemblage</xsl:when>
				<xsl:otherwise><span class="warning"><i>-donnée non disponible-</i></span></xsl:otherwise>
			</xsl:choose>
		</li>
	</ul>
		</xsl:for-each>
</xsl:template>		














<!-- Données sur la boucle de captage solaire -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="captage_solaire">

	<xsl:variable name="comptage_solaire" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th><th width="10%">Unité</th><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]"><th width="{round($comptage_solaire)}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque des capteurs solaires</td><td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">
				<xsl:variable name="id_sbb" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage/source_ballon_base_collection/source_ballon_base[Index=$id_sbb]/marque_capteurs) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage/source_ballon_base_collection/source_ballon_base[Index=$id_sbb]/marque_capteurs"/>
						</xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination des capteurs solaires</td><td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">
				<xsl:variable name="id_sbb2" select="Index"/>
				<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage/source_ballon_base_collection/source_ballon_base[Index=$id_sbb2]/deno_comm_capteurs) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage/source_ballon_base_collection/source_ballon_base[Index=$id_sbb2]/deno_comm_capteurs"/>
						</xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>
				</td></xsl:for-each>
			</tr>

			
			<tr>
				<td>Superficie des capteurs solaires</td><td align="center">m<sup>2</sup></td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]"><td align="center"><xsl:value-of select="format-number(A,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>	
			
			
			<tr>
				<td>Orientation des capteurs (alpha)</td><td align="center">°</td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]"><td align="center">
					<xsl:choose>							
						<xsl:when test="Alpha &lt; 90">Sud</xsl:when>
						<xsl:when test="Alpha &lt; 180">Ouest</xsl:when>
						<xsl:when test="Alpha &lt; 270">Nord</xsl:when>
						<xsl:when test="Alpha &gt; 269">Est</xsl:when>
					</xsl:choose> (<xsl:value-of select="format-number(Alpha,'#&#160;##0,##', 'fr')"/>°)						
				</td></xsl:for-each>
			</tr>	
			<tr>
				<td>Inclinaison des capteurs (bêta)</td><td align="center">°</td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">
				<td align="center">
					<xsl:choose>							
						<xsl:when test="Beta &lt; 90">Horizontale vers le haut</xsl:when>
						<xsl:when test="Beta &gt; 89">Verticale</xsl:when>
					</xsl:choose> (<xsl:value-of select="format-number(Beta,'#&#160;##0,##', 'fr')"/>°)						
				</td></xsl:for-each>
			</tr>	
			<tr>
				<td>Type de régulation de la boucle solaire</td><td align="center">-</td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">		
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Mode_Regul_BS = 0">Régulation sur la température (écart entre sortie capteurs et sortie ballon) </xsl:when>
								<xsl:when test="Mode_Regul_BS = 1">Régulation sur le rayonnement solaire</xsl:when>
							</xsl:choose>						
				</td></xsl:for-each>
			</tr>

			<tr>
				<td>Origine des caractéristiques techniques des capteurs</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">		
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Valeur_Certifiee_Defaut_Boucle_Solaire = 0">Valeur par défaut</xsl:when>
								<xsl:when test="Valeur_Certifiee_Defaut_Boucle_Solaire = 1">Valeur certifiée</xsl:when>
							</xsl:choose>						
				</td></xsl:for-each>
			</tr>

			<tr>
				<td>Type de capteurs solaires</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">
				<td align="center">
						<xsl:choose>							
							<xsl:when test="Type_Capteur_Boucle_Solaire = 0">Capteur non vitré</xsl:when>
							<xsl:when test="Type_Capteur_Boucle_Solaire = 1">Capteur vitré</xsl:when>
							<xsl:when test="Type_Capteur_Boucle_Solaire = 2">Capteur tubulaire</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
					
				</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<td>Rendement optique du capteur solaire</td><td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Certifiee_Defaut_Boucle_Solaire = 1">
							<xsl:value-of select="format-number(Eta,'#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>Sans objet</xsl:otherwise>
					</xsl:choose>
				</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Coefficient de pertes de premier ordre du capteur solaire </td>
				<td align="center">W/m<sup>2</sup>.K</td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">
				<td align="center"><xsl:value-of select="format-number(a1,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>					
			<tr>
				<td>Coefficient de pertes des tuyauteries de la boucle solaire vers l'extérieur</td>
				<td align="center">W/K</td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]"><td align="center"><xsl:value-of select="format-number(UA_te,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>					
			<tr>
				<td>Coefficient de pertes des tuyauteries de la boucle solaire vers l'intérieur du bâtiment</td>
				<td align="center">W/K</td><xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]"><td align="center"><xsl:value-of select="format-number(UA_ti,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>

			<tr>
				<td>Transfert d'énergie de la boucle solaire vers le ballon</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">
				<td align="center">
					<xsl:choose>							
						<xsl:when test="Is_avec_echangeur = 0">Sans échangeur</xsl:when>
						<xsl:when test="Is_avec_echangeur = 1">Avec échangeur</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>		
				</td></xsl:for-each>
			</tr>			
			<tr>
				<td>Puissance nominale de la ou des pompes de la boucle solaire</td>
				<td align="center">W</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire[position() &lt; 6]">
				<td align="center"><xsl:value-of select="format-number(P_np,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>	
		</tbody>
	</table>
		
</xsl:template>		




<!-- Données sur la boucle de captage solaire (PCAD) -->
<xsl:template match="/projet/Entree_Projet" mode="captage_solaire_pcad">

	<xsl:variable name="comptage_solaire" select="50 div count(PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th><th width="10%">Unité</th><xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]"><th width="{round($comptage_solaire)}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque des capteurs solaires</td><td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">
				<xsl:variable name="id_sbb" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage/source_ballon_base_collection/source_ballon_base[Index=$id_sbb]/marque_capteurs) &gt; 0">
							<xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage/source_ballon_base_collection/source_ballon_base[Index=$id_sbb]/marque_capteurs"/>
						</xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination des capteurs solaires</td><td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">
				<xsl:variable name="id_sbb2" select="Index"/>
				<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage/source_ballon_base_collection/source_ballon_base[Index=$id_sbb2]/deno_comm_capteurs) &gt; 0">
							<xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage/source_ballon_base_collection/source_ballon_base[Index=$id_sbb2]/deno_comm_capteurs"/>
						</xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>			
				</td></xsl:for-each>
			</tr>

			
			<tr>
				<td>Superficie des capteurs solaires</td><td align="center">m<sup>2</sup></td><xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]"><td align="center"><xsl:value-of select="format-number(A,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>	
			
			
			<tr>
				<td>Orientation des capteurs (alpha)</td><td align="center">°</td><xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]"><td align="center">
					<xsl:choose>							
						<xsl:when test="Alpha &lt; 90">Sud</xsl:when>
						<xsl:when test="Alpha &lt; 180">Ouest</xsl:when>
						<xsl:when test="Alpha &lt; 270">Nord</xsl:when>
						<xsl:when test="Alpha &gt; 269">Est</xsl:when>
					</xsl:choose> (<xsl:value-of select="format-number(Alpha,'#&#160;##0,##', 'fr')"/>°)						
				</td></xsl:for-each>
			</tr>	
			<tr>
				<td>Inclinaison des capteurs (bêta)</td><td align="center">°</td><xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">
				<td align="center">
					<xsl:choose>							
						<xsl:when test="Beta &lt; 90">Horizontale vers le haut</xsl:when>
						<xsl:when test="Beta &gt; 89">Verticale</xsl:when>
					</xsl:choose> (<xsl:value-of select="format-number(Beta,'#&#160;##0,##', 'fr')"/>°)						
				</td></xsl:for-each>
			</tr>	
			<tr>
				<td>Type de régulation de la boucle solaire</td><td align="center">-</td><xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">		
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Mode_Regul_BS = 0">Régulation sur la température (écart entre sortie capteurs et sortie ballon) </xsl:when>
								<xsl:when test="Mode_Regul_BS = 1">Régulation sur le rayonnement solaire</xsl:when>
							</xsl:choose>						
				</td></xsl:for-each>
			</tr>

			<tr>
				<td>Origine des caractéristiques techniques des capteurs</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">		
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Valeur_Certifiee_Defaut_Boucle_Solaire = 0">Valeur par défaut</xsl:when>
								<xsl:when test="Valeur_Certifiee_Defaut_Boucle_Solaire = 1">Valeur certifiée</xsl:when>
							</xsl:choose>						
				</td></xsl:for-each>
			</tr>

			<tr>
				<td>Type de capteurs solaires</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">
				<td align="center">
						<xsl:choose>							
							<xsl:when test="Type_Capteur_Boucle_Solaire = 0">Capteur non vitré</xsl:when>
							<xsl:when test="Type_Capteur_Boucle_Solaire = 1">Capteur vitré</xsl:when>
							<xsl:when test="Type_Capteur_Boucle_Solaire = 2">Capteur tubulaire</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
					
				</td>
				</xsl:for-each>
			</tr>	
			
			<tr>
				<td>Rendement optique du capteur solaire</td><td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Certifiee_Defaut_Boucle_Solaire = 1">
							<xsl:value-of select="format-number(Eta,'#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>Sans objet</xsl:otherwise>
					</xsl:choose>
				</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Coefficient de pertes de premier ordre du capteur solaire </td>
				<td align="center">W/m<sup>2</sup>.K</td><xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">
				<td align="center"><xsl:value-of select="format-number(a1,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>					
			<tr>
				<td>Coefficient de pertes des tuyauteries de la boucle solaire vers l'extérieur</td>
				<td align="center">W/K</td><xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]"><td align="center"><xsl:value-of select="format-number(UA_te,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>					
			<tr>
				<td>Coefficient de pertes des tuyauteries de la boucle solaire vers l'intérieur du bâtiment</td>
				<td align="center">W/K</td><xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]"><td align="center"><xsl:value-of select="format-number(UA_ti,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>

			<tr>
				<td>Transfert d'énergie de la boucle solaire vers le ballon</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">
				<td align="center">
					<xsl:choose>							
						<xsl:when test="Is_avec_echangeur = 0">Sans échangeur</xsl:when>
						<xsl:when test="Is_avec_echangeur = 1">Avec échangeur</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>		
				</td></xsl:for-each>
			</tr>			
			<tr>
				<td>Puissance nominale de la ou des pompes de la boucle solaire</td>
				<td align="center">W</td>
				<xsl:for-each select="PCAD_Collection/PCAD/Boucle_Solaire_ProdCAD[position() &lt; 6]">
				<td align="center"><xsl:value-of select="format-number(P_np,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
			</tr>	
		</tbody>
	</table>
		
</xsl:template>		





<!-- SSC avec appoint -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="ssc">
	<xsl:variable name="nbssc">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%" >&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<th width="{round($cgen)}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<xsl:variable name="id_gene" select="Index"/>
				<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur"/></xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>	
				</td></xsl:for-each>
			</tr>				
			<tr>
				<td>Dénomination commerciale du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<xsl:variable name="id_gene" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/deno_comm_gene"/></xsl:when>
						<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>
			<tr>
				<td>Nombre d'assemblage identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
					<td align="center"><xsl:value-of select="nb_assembl"/></td></xsl:for-each>
			</tr>	
			<tr>
				<td>Type d'énergie de base</td><td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]"><td align="center">
						<xsl:choose>	
							<xsl:when test="Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire">Solaire thermique</xsl:when>
							<xsl:otherwise>Sans objet</xsl:otherwise>
						</xsl:choose>	
				</td></xsl:for-each>
			</tr>	
			<tr>
				<td>Type d'énergie d'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center">
						<xsl:choose>							
							<xsl:when test="Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule">Electrique par résistance</xsl:when>
							<xsl:when test="Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion">Echangeur hydraulique alimenté par chaudière (bois, gaz, fioul)</xsl:when>
							<xsl:when test="Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Reseau_Fourniture">Réseau de chaleur</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
				</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Fonction du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Id_Fou_Sto = 0">Sans objet</xsl:when>
								<xsl:when test="Id_Fou_Sto = 1">Chauffage</xsl:when>
								<xsl:when test="Id_Fou_Sto = 2">ECS</xsl:when>
								<xsl:when test="Id_Fou_Sto = 3">Chauffage et ECS</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
				</td>
				</xsl:for-each>
			</tr>	
			
			
			<tr>
				<td>Volume total du balon</td>
				<td align="center">L</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center">
					<xsl:value-of select="format-number(V_tot,'#&#160;##0,##', 'fr')"/>
				</td>
				</xsl:for-each>
			</tr>


			<tr>
				<td>Coefficient de pertes thermiques du ballon</td>
				<td align="center">W/K</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center">
					<xsl:choose>							
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut &gt; 0"><xsl:value-of select="format-number(UA_S,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:otherwise>Valeur par défaut</xsl:otherwise>
					</xsl:choose>
				</td>
				</xsl:for-each>
			</tr>			
			
			<tr>
				<td>Statut de la donnée</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center">
							<xsl:choose>							
								<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 0">Valeur par défaut</xsl:when>
								<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 1">Valeur justifiée</xsl:when>
								<xsl:when test="Valeur_Certifiee_Justifiee_Defaut = 2">Valeur certifiée</xsl:when>
							</xsl:choose>		
				</td>
				</xsl:for-each>
			</tr>				
		
			<tr>
				<td>Température maximale du ballon</td>
				<td align="center">°C</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center"><xsl:value-of select="format-number(Theta_Max,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>
	
			
			<tr>
				<td>Fraction effective du ballon chauffée par l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center"><xsl:value-of select="format-number(f_aux * 100,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>

	
			<tr>
				<td>Type de gestion du thermostat du ballon de stockage ECS de l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center">
					<xsl:choose>	
							<xsl:when test="type_gest_th_appoint = 0">Chauffage permanent</xsl:when>
							<xsl:when test="type_gest_th_appoint = 1">Chauffage de nuit</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
				</td>
				</xsl:for-each>
			</tr>

			
			<tr>
				<td>Valeur de réglage de la régulation de la boucle de chauffage</td>
				<td align="center">K</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center"><xsl:value-of select="format-number(delta_reg_bcl_ch,'#&#160;##0,##', 'fr')"/></td>
				</xsl:for-each>
			</tr>

		</tbody>
	</table>

	<h5>Source base du ballon : boucle solaire</h5>
	
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
		<thead>
			<tr>
				<th width="40%" >&#160;</th>
				<th width="10%">&#160;</th>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<th width="{round($cgen)}%" class="strong">
					<xsl:value-of select="Name"/>
				</th>
				</xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Identifiant SSC : Base du ballon de stockage</td>
				<td align="center">-</td>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4 or Type_prod_stockage=5][position() &lt; $nbssc]">
				<td align="center">
				<xsl:choose>
					<xsl:when test="Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire"><a href="#tab_BS"><xsl:value-of select="Source_Ballon_Base_Collection/Source_Ballon_Base_Boucle_Solaire/Name"/></a></xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>
				</td></xsl:for-each>
			</tr>						
			
		</tbody>
	</table>
	
		
	<xsl:choose>
		<xsl:when test="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5]">
		<h5>Source appoint du ballon : appoint chauffage</h5>
		
		
				<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
					<thead>
						<tr>
							<th width="40%" >&#160;</th>
							<th width="10%">Unité</th>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion">
							<th width="{round($cgen)}%" class="strong">
								<xsl:value-of select="Name"/>
							</th>
							</xsl:for-each>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>Marque du générateur SSC</td>
							<td align="center">-</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion">
							<xsl:variable name="id_gene" select="Index"/>
								<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
								</td>
							</xsl:for-each>
						</tr>						

						<tr>
								<td>Dénomination commerciale du générateur SSC</td>
								<td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion">
								<xsl:variable name="id_gene" select="Index"/>
									<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/deno_comm_gene"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
									</td>
								</xsl:for-each>
							</tr>
							<tr>
								<td>Catégorie du générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Generateur = 0">Chaudière gaz à condensation</xsl:when>
											<xsl:when test="Generateur = 1">Chaudière gaz basse température</xsl:when>
											<xsl:when test="Generateur = 2">Chaudière gaz standard</xsl:when>
											<xsl:when test="Generateur = 3">Chaudière fioul à condensation</xsl:when>
											<xsl:when test="Generateur = 4">Chaudière fioul basse température</xsl:when>
											<xsl:when test="Generateur = 5">Chaudière fioul standard</xsl:when>
											<xsl:when test="Generateur = 6">Chaudière bois</xsl:when>	
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Poste de consommation assuré par le générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Id_Fou_Gen_1 = 0">Sans objet</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 1">Chauffage</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 3">Eau chaude sanitaire</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 4">Chauffage et eau chaude sanitaire</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
							<tr>
								<td>Ventilation du générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Ventilation = 0">Absence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
											<xsl:when test="Ventilation = 1">Présence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
											<xsl:when test="Ventilation = 2">Présence de clapets sur conduits de fumées</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>
							
							<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion/Generateur = 6">
							<tr>
								<td>Classe de chaudière bois</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Class_Chaud_Bois = 0">Sans objet</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 1">Classe 1</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 2">Classe 2</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 3">Classe 3</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 4">Classe 4</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 5">Classe 5</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							</xsl:if>
							<tr>
								<td>Puissance fournie en fonctionnement nominal</td><td align="center">kW</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
									<xsl:value-of select="format-number(Pn_gen,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>
							
							
							<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion/Generateur != 6">
							<!-- n'existe pas pour les chaudieres bois -->
								<tr>
									<td>Température minimale de fonctionnement</td><td align="center">°C</td>
									<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
											<xsl:choose>	
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
												<xsl:otherwise><xsl:value-of select="format-number(Theta_Fonc_Min,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
											</xsl:choose>																		
									</td></xsl:for-each>
								</tr>	

								<tr>
									<td>Origine de la donnée</td><td align="center">-</td>
									<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
											<xsl:choose>	
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 1">Valeur mesurée</xsl:when>
												<xsl:otherwise>-</xsl:otherwise>
											</xsl:choose>	
									</td></xsl:for-each>
								</tr>													
							</xsl:if>
	
							<tr>
								<td>Rendement sur PCI à puissance normale</td><td align="center">%</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(R_pn,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>	
	
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 1">Valeur déclarée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 2">Valeur justifiée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 3">Valeur certifiée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Rendement sur PCI à puissance intermédiaire</td><td align="center">%</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(R_Pint,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>	
	
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 1">Valeur déclarée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 2">Valeur justifiée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 3">Valeur certifiée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
						<tr>
								<td>Pertes à l'arrêt</td><td align="center">W</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(Q_po_30,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 1">Valeur mesurée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>
						<tr>
							<td>Puissance électrique des auxiliaires du générateur à charge nulle</td><td align="center">W</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
									<xsl:value-of select="format-number(Q_veille,'#&#160;##0,##', 'fr')"/>
							</td></xsl:for-each>
						</tr>
						<tr>
							<td>Puissance électrique des auxiliaires du générateur à puissance nominale</td><td align="center">W</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
									<xsl:choose>	
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
										<xsl:otherwise><xsl:value-of select="format-number(Q_aux_nom,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
									</xsl:choose>
							</td></xsl:for-each>
						</tr>							
													
						<tr>
							<td>Origine de la donnée</td><td align="center">-</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=5][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
									<xsl:choose>
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 1">Valeur mesurée</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>	
							</td></xsl:for-each>
						</tr>
							
					</tbody>
				</table>	
		</xsl:when>
		
		
		
		<xsl:when test="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4]">
		<h5>Source appoint du ballon : appoint intégré électrique</h5>
		
				<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
					<thead>
						<tr>
							<th width="40%" >&#160;</th>
							<th width="10%">Unité</th>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule">
							<th width="{round($cgen)}%" class="strong">
								<xsl:value-of select="Name"/>
							</th>
							</xsl:for-each>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>Marque du générateur SSC</td>
							<td align="center">-</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule">
							<xsl:variable name="id_gene" select="Index"/>
								<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
								</td>
							</xsl:for-each>
						</tr>						

						<tr>
								<td>Dénomination commerciale du générateur SSC</td>
								<td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule">
								<xsl:variable name="id_gene" select="Index"/>
									<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/marque_generateur) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/generation_collection/generation/production_stockage_collection/production_stockage[Index=$id_gene]/deno_comm_gene"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
									</td>
								</xsl:for-each>
							</tr>
							<tr>
								<td>Nombre de générateurs identiques</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule"><td align="center">
										<xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Fonction du générateur</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule"><td align="center">
										<xsl:choose>	
											<xsl:when test="Id_Fou_Gen = 0">Sans objet</xsl:when>
											<xsl:when test="Id_Fou_Gen = 1">Chauffage</xsl:when>
											<xsl:when test="Id_Fou_Gen = 3">Eau chaude sanitaire</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
							<tr>
								<td>Puissance maximale du générateur électrique</td><td align="center">kW</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage[Type_prod_stockage=4][position() &lt; $nbssc]/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule"><td align="center">
										<xsl:value-of select="format-number(Pmax,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>
							
					</tbody>
				</table>			
		
		</xsl:when>
		
	</xsl:choose>
	
</xsl:template>		


<!-- PCAD CESCI et CESCAI assemblage -->
<xsl:template match="/projet/Entree_Projet" mode="pcad_assemblage">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(PCAD_Collection/PCAD[position() &lt; $nbpcad])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%" >&#160;</th>
				<th width="10%">-</th>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]">
				<th width="{round($cgen)}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Type de production de stockage centralisé à appoint décentralisé PCAD</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Type_PCAD=0">CESCI</xsl:when>
						<xsl:when test="Type_PCAD=1">CESCAI</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>	
				</td></xsl:for-each>
			</tr>
			<tr>
				<td>Position de la génération d'ECS</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Pos_Gen=0">Hors volume chauffé</xsl:when>
						<xsl:when test="Pos_Gen=1">En volume chauffé</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>	
				</td></xsl:for-each>
			</tr>			

					</tbody>
				</table>	
</xsl:template>




<!-- PCAD CESCI et CESCAI boucle solaire -->
<xsl:template match="/projet/Entree_Projet" mode="pcad_BS">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(PCAD_Collection/PCAD[position() &lt; $nbpcad]/Boucle_Solaire_ProdCAD)"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Boucle_Solaire_ProdCAD">
				<tr>
					<xsl:if test="../Type_PCAD=1"><th width="40%" >Identifiant Production PCAD CESCAI</th></xsl:if>
					<xsl:if test="../Type_PCAD=0"><th width="40%" >Identifiant Production PCAD CESCI</th></xsl:if>
					<th width="40%" class="strong">Boucle solaire</th>
				</tr>
			</xsl:for-each>
		</thead>
		<tbody>
			<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Boucle_Solaire_ProdCAD">
				<tr>
					<td><xsl:value-of select="../Name"/></td>
					<td align="center">
							<a href="#tab_BS"><xsl:value-of select="Name"/></a>
					</td>
				</tr>		
			</xsl:for-each>
		</tbody>
	</table>	
</xsl:template>


<!-- PCAD CESCAI ballon centralisé -->
<xsl:template match="/projet/Entree_Projet" mode="pcad_bal_centra">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise)"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%" >&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<th width="{round($cgen)}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du ballon centralisé</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<xsl:variable name="id_bal" select="Index"/>
				<td align="center">
				<xsl:choose>	
					<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_centralise/marque_ballon) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_centralise/marque_ballon"/>
					</xsl:when>
					<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
				</xsl:choose>
				</td></xsl:for-each>
			</tr>
			<tr>
				<td>Dénomination commerciale du ballon</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<xsl:variable name="id_bal" select="Index"/>
				<td align="center">
				<xsl:choose>	
					<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_centralise/deno_comm_ballon) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_centralise/deno_comm_ballon"/>
					</xsl:when>
					<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
				</xsl:choose>				
				</td></xsl:for-each>
			</tr>			
			<tr>
				<td>Nombre d'éléments de stockage identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<td align="center">
					<xsl:value-of select="nb_sto_b"/>
				</td></xsl:for-each>
			</tr>	
			
			<tr>
				<td>Fonction de l'assemblage</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Id_Fou_Sto=0">Sans objet</xsl:when>
						<xsl:when test="Id_Fou_Sto=1">Chauffage</xsl:when>
						<xsl:when test="Id_Fou_Sto=3">Eau chaude sanitaire</xsl:when>
						<xsl:when test="Id_Fou_Sto=4">Chauffage et eau chaude sanitaire</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>	
				</td></xsl:for-each>
			</tr>				
			<tr>
				<td>Volume total du ballon</td>
				<td align="center">L</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<td align="center">
						<xsl:value-of select="format-number(V_tot,'#&#160;##0,##', 'fr')"/>
				</td></xsl:for-each>
			</tr>		

			<tr>
				<td>Coefficient de perte thermique du ballon</td>
				<td align="center">W/K</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut &gt; 0"><xsl:value-of select="format-number(UA_S,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:otherwise>Valeur par défaut</xsl:otherwise>
					</xsl:choose>		
				</td></xsl:for-each>
			</tr>	

			<tr>
				<td>Origine de la valeur</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut=0">Valeur par défaut</xsl:when>
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut=1">Valeur justifiée</xsl:when>
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut=2">Valeur certifiée</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>					
				</td></xsl:for-each>
			</tr>

			<tr>
				<td>Température maximale du ballon</td>
				<td align="center">°C</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<td align="center">
					<xsl:value-of select="format-number(Theta_Max,'#&#160;##0,##', 'fr')"/>
				</td></xsl:for-each>
			</tr>

		
			<tr>
				<td>Hauteur de l'échangeur de la boucle solaire à partir du fond du ballon</td>
				<td align="center">m</td>
				<xsl:for-each select="PCAD_Collection/PCAD[Type_PCAD=1][position() &lt; $nbpcad]/Ballon_Centralise">
				<td align="center">
					<xsl:value-of select="format-number(hech_base,'#&#160;##0,##', 'fr')"/>
				</td></xsl:for-each>
			</tr>			
					</tbody>
				</table>	
</xsl:template>




<!-- PCAD CESCI et CESCAI ballon décentralisé -->
<xsl:template match="/projet/Entree_Projet" mode="pcad_bal_decentra">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise)"/>
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<th width="{round($cgen)}%" class="strong"><xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)</th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>Marque du ballon centralisé</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<xsl:variable name="id_bal" select="Index"/>
				<td align="center">
				<xsl:choose>	
					<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/marque_ballon) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/marque_ballon"/>
					</xsl:when>
					<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
				</xsl:choose>
				</td></xsl:for-each>
			</tr>
			<tr>
				<td>Dénomination commerciale du ballon</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<xsl:variable name="id_bal" select="Index"/>
				<td align="center">
				<xsl:choose>	
					<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/deno_comm_ballon) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/deno_comm_ballon"/>
					</xsl:when>
					<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
				</xsl:choose>
				</td></xsl:for-each>
			</tr>
			
			<tr>
				<td>Nombre d'éléments de stockage identiques</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:value-of select="nb_sto_b"/>
				</td></xsl:for-each>
			</tr>	
			
			<tr>
				<td>Fonction du générateur</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Id_Fou_Sto=0">Sans objet</xsl:when>
						<xsl:when test="Id_Fou_Sto=1">Chauffage</xsl:when>
						<xsl:when test="Id_Fou_Sto=3">Eau chaude sanitaire</xsl:when>
						<xsl:when test="Id_Fou_Sto=4">Chauffage et eau chaude sanitaire</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>	
				</td></xsl:for-each>
			</tr>				
			<tr>
				<td>Volume total du ballon</td>
				<td align="center">L</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
						<xsl:value-of select="format-number(V_tot,'#&#160;##0,##', 'fr')"/>
				</td></xsl:for-each>
			</tr>		

			<tr>
				<td>Coefficient de perte thermique du ballon</td>
				<td align="center">W/K</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<xsl:variable name="id_bal" select="Index"/>
				<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut &gt; 0"><xsl:value-of select="format-number(UA_S,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:otherwise>Valeur par défaut</xsl:otherwise>
					</xsl:choose>		
				</td></xsl:for-each>
			</tr>	

			<tr>
				<td>Origine de la valeur</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut=0">Valeur par défaut</xsl:when>
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut=1">Valeur justifiée</xsl:when>
						<xsl:when test="Valeur_Certifiee_Justifiee_Defaut=2">Valeur certifiée</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>					
				</td></xsl:for-each>
			</tr>

			<tr>
				<td>Température maximale du ballon</td>
				<td align="center">°C</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:value-of select="format-number(Theta_Max,'#&#160;##0,##', 'fr')"/>
				</td></xsl:for-each>
			</tr>

			<tr>
				<td>Fraction effective du ballon chauffée par l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:value-of select="format-number(f_aux,'#&#160;##0,##', 'fr')"/>
				</td></xsl:for-each>
			</tr>	

			<tr>
				<td>Coefficient d'atténuation pour le cas où le stockage est hors volume chauffé</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:value-of select="format-number(b_sto_e,'#&#160;##0,##', 'fr')"/>
				</td></xsl:for-each>
			</tr>
	
			<tr>
				<td>Hauteur de l'échangeur de la boucle solaire à partir du fond du ballon</td>
				<td align="center">m</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:value-of select="format-number(hech_base,'#&#160;##0,##', 'fr')"/>
				</td></xsl:for-each>
			</tr>		

			<tr>
				<td>Type de gestion du thermostat du ballon de stockage ECS de l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:choose>
						<xsl:when test="type_gest_th_appoint=0">Chauffage permanent </xsl:when>
						<xsl:when test="type_gest_th_appoint=1">Chauffage de nuit</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
				</td></xsl:for-each>
			</tr>		

			<tr>
				<td>Zone du ballon qui contient l'élément chauffant et le thermostat de l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:choose>
						<xsl:when test="z_appoint=1">Zone 1</xsl:when>
						<xsl:when test="z_appoint=2">Zone 2</xsl:when>
						<xsl:when test="z_appoint=3">Zone 3</xsl:when>
						<xsl:when test="z_appoint=4">Zone 4</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>					
				</td></xsl:for-each>
			</tr>	
			<tr>
				<td>Zone du ballon qui contient le système de régulation de l'appoint</td>
				<td align="center">-</td>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise">
				<td align="center">
					<xsl:choose>
						<xsl:when test="z_reg_appoint=1">Zone 1</xsl:when>
						<xsl:when test="z_reg_appoint=2">Zone 2</xsl:when>
						<xsl:when test="z_reg_appoint=3">Zone 3</xsl:when>
						<xsl:when test="z_reg_appoint=4">Zone 4</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>					
				</td></xsl:for-each>
			</tr>
			
					</tbody>
				</table>	
</xsl:template>






<!-- source appoint des ballons décentralisés : générateur à combustion -->
<xsl:template match="/projet/Entree_Projet" mode="pcad_bal_decentra_app_comb">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion)"/>
	
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion">
				<th width="{round($cgen)}%" class="strong"><xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)</th></xsl:for-each>
			</tr>
		</thead>
					<tbody>
						<tr>
							<td>Marque du générateur d'appoint</td>
							<td align="center">-</td>
							<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion">
							<xsl:variable name="id_bal" select="Index"/>
								<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/marque_ballon_app_com) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/marque_ballon_app_com"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
								</td>
							</xsl:for-each>
						</tr>						

						<tr>
								<td>Dénomination commerciale du générateur d'appoint</td>
								<td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion">
								<xsl:variable name="id_bal" select="Index"/>
									<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/deno_comm_ballon_app_com) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/deno_comm_ballon_app_com"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
									</td>
								</xsl:for-each>
							</tr>
							<tr>
								<td>Catégorie du générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Generateur = 0">Chaudière gaz à condensation</xsl:when>
											<xsl:when test="Generateur = 1">Chaudière gaz basse température</xsl:when>
											<xsl:when test="Generateur = 2">Chaudière gaz standard</xsl:when>
											<xsl:when test="Generateur = 3">Chaudière fioul à condensation</xsl:when>
											<xsl:when test="Generateur = 4">Chaudière fioul basse température</xsl:when>
											<xsl:when test="Generateur = 5">Chaudière fioul standard</xsl:when>
											<xsl:when test="Generateur = 6">Chaudière bois</xsl:when>	
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Poste de consommation assuré par le générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Id_Fou_Gen_1 = 0">Sans objet</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 1">Chauffage</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 3">Eau chaude sanitaire</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 4">Chauffage et eau chaude sanitaire</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
							<tr>
								<td>Ventilation du générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Ventilation = 0">Absence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
											<xsl:when test="Ventilation = 1">Présence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
											<xsl:when test="Ventilation = 2">Présence de clapets sur conduits de fumées</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>
							
							<xsl:if test="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion/Generateur = 6">
							<tr>
								<td>Classe de chaudière bois</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Class_Chaud_Bois = 0">Sans objet</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 1">Classe 1</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 2">Classe 2</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 3">Classe 3</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 4">Classe 4</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 5">Classe 5</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							</xsl:if>
							<tr>
								<td>Puissance fournie en fonctionnement nominal</td><td align="center">kW</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
									<xsl:value-of select="format-number(Pn_gen,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>
							
							
							<xsl:if test="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion/Generateur != 6">
							<!-- n'existe pas pour les chaudieres bois -->
								<tr>
									<td>Température minimale de fonctionnement</td><td align="center">°C</td>
									<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
											<xsl:choose>	
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
												<xsl:otherwise><xsl:value-of select="format-number(Theta_Fonc_Min,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
											</xsl:choose>																		
									</td></xsl:for-each>
								</tr>	

								<tr>
									<td>Origine de la donnée</td><td align="center">-</td>
									<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
											<xsl:choose>	
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 1">Valeur mesurée</xsl:when>
												<xsl:otherwise>-</xsl:otherwise>
											</xsl:choose>	
									</td></xsl:for-each>
								</tr>													
							</xsl:if>
	
							<tr>
								<td>Rendement sur PCI à puissance normale</td><td align="center">%</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(R_pn,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>	
	
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 1">Valeur déclarée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 2">Valeur justifiée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 3">Valeur certifiée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Rendement sur PCI à puissance intermédiaire</td><td align="center">%</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(R_Pint,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>	
	
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 1">Valeur déclarée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 2">Valeur justifiée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 3">Valeur certifiée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
						<tr>
								<td>Pertes à l'arrêt</td><td align="center">W</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(Q_po_30,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
										<xsl:choose>
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 1">Valeur mesurée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>
						<tr>
							<td>Puissance électrique des auxiliaires du générateur à charge nulle</td><td align="center">W</td>
							<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
									<xsl:value-of select="format-number(Q_veille,'#&#160;##0,##', 'fr')"/>
							</td></xsl:for-each>
						</tr>
						<tr>
							<td>Puissance électrique des auxiliaires du générateur à puissance nominale</td><td align="center">W</td>
							<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
									<xsl:choose>	
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
										<xsl:otherwise><xsl:value-of select="format-number(Q_aux_nom,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
									</xsl:choose>
							</td></xsl:for-each>
						</tr>							
													
						<tr>
							<td>Origine de la donnée</td><td align="center">-</td>
							<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion"><td align="center">
									<xsl:choose>
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 1">Valeur mesurée</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>	
							</td></xsl:for-each>
						</tr>
							
					</tbody>
				</table>	
	
	
</xsl:template>




<!-- source appoint des ballons décentralisés : générateur à combustion -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="appoint_gene_combustion">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4])"/>
	
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]">
				<th width="{round($cgen)}%" class="strong"><xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)</th></xsl:for-each>
			</tr>
		</thead>
					<tbody>
						<tr>
							<td>Marque du générateur d'appoint</td>
							<td align="center">-</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]">
							<xsl:variable name="id_bal" select="Index"/>
								<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/marque_ballon_app_com) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/marque_ballon_app_com"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
								</td>
							</xsl:for-each>
						</tr>						

						<tr>
								<td>Dénomination commerciale du générateur d'appoint</td>
								<td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]">
								<xsl:variable name="id_bal" select="Index"/>
									<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/deno_comm_ballon_app_com) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/deno_comm_ballon_app_com"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
									</td>
								</xsl:for-each>
							</tr>
							<tr>
								<td>Catégorie du générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Generateur = 0">Chaudière gaz à condensation</xsl:when>
											<xsl:when test="Generateur = 1">Chaudière gaz basse température</xsl:when>
											<xsl:when test="Generateur = 2">Chaudière gaz standard</xsl:when>
											<xsl:when test="Generateur = 3">Chaudière fioul à condensation</xsl:when>
											<xsl:when test="Generateur = 4">Chaudière fioul basse température</xsl:when>
											<xsl:when test="Generateur = 5">Chaudière fioul standard</xsl:when>
											<xsl:when test="Generateur = 6">Chaudière bois</xsl:when>	
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Poste de consommation assuré par le générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Id_Fou_Gen_1 = 0">Sans objet</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 1">Chauffage</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 3">Eau chaude sanitaire</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 4">Chauffage et eau chaude sanitaire</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
							<tr>
								<td>Ventilation du générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Ventilation = 0">Absence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
											<xsl:when test="Ventilation = 1">Présence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
											<xsl:when test="Ventilation = 2">Présence de clapets sur conduits de fumées</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>
							
							<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]/Generateur = 6">
							<tr>
								<td>Classe de chaudière bois</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Class_Chaud_Bois = 0">Sans objet</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 1">Classe 1</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 2">Classe 2</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 3">Classe 3</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 4">Classe 4</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 5">Classe 5</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							</xsl:if>
							<tr>
								<td>Puissance fournie en fonctionnement nominal</td><td align="center">kW</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
									<xsl:value-of select="format-number(Pn_gen,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>
							
							
							<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]/Generateur != 6">
							<!-- n'existe pas pour les chaudieres bois -->
								<tr>
									<td>Température minimale de fonctionnement</td><td align="center">°C</td>
									<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
											<xsl:choose>	
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
												<xsl:otherwise><xsl:value-of select="format-number(Theta_Fonc_Min,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
											</xsl:choose>																		
									</td></xsl:for-each>
								</tr>	

								<tr>
									<td>Origine de la donnée</td><td align="center">-</td>
									<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
											<xsl:choose>	
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 1">Valeur mesurée</xsl:when>
												<xsl:otherwise>-</xsl:otherwise>
											</xsl:choose>	
									</td></xsl:for-each>
								</tr>													
							</xsl:if>
	
							<tr>
								<td>Rendement sur PCI à puissance normale</td><td align="center">%</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(R_pn,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>	
	
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 1">Valeur déclarée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 2">Valeur justifiée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 3">Valeur certifiée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Rendement sur PCI à puissance intermédiaire</td><td align="center">%</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(R_Pint,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>	
	
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 1">Valeur déclarée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 2">Valeur justifiée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 3">Valeur certifiée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
						<tr>
								<td>Pertes à l'arrêt</td><td align="center">W</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(Q_po_30,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 1">Valeur mesurée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>
						<tr>
							<td>Puissance électrique des auxiliaires du générateur à charge nulle</td><td align="center">W</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
									<xsl:value-of select="format-number(Q_veille,'#&#160;##0,##', 'fr')"/>
							</td></xsl:for-each>
						</tr>
						<tr>
							<td>Puissance électrique des auxiliaires du générateur à puissance nominale</td><td align="center">W</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
									<xsl:choose>	
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
										<xsl:otherwise><xsl:value-of select="format-number(Q_aux_nom,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
									</xsl:choose>
							</td></xsl:for-each>
						</tr>							
													
						<tr>
							<td>Origine de la donnée</td><td align="center">-</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
									<xsl:choose>
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 1">Valeur mesurée</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>	
							</td></xsl:for-each>
						</tr>
							
					</tbody>
				</table>	
	
	
</xsl:template>



<!-- source base des ballons décentralisés : générateur à combustion faisant office de chauffage -->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="base_gene_combustion">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4])"/>
	
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th>
				<th width="10%">Unité</th>
				<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]">
				<th width="{round($cgen)}%" class="strong"><xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)</th></xsl:for-each>
			</tr>
		</thead>
					<tbody>
						<tr>
							<td>Marque du générateur d'appoint</td>
							<td align="center">-</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]">
							<xsl:variable name="id_bal" select="Index"/>
								<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/marque_ballon_app_com) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/marque_ballon_app_com"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
								</td>
							</xsl:for-each>
						</tr>						

						<tr>
								<td>Dénomination commerciale du générateur d'appoint</td>
								<td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]">
								<xsl:variable name="id_bal" select="Index"/>
									<td align="center">
									<xsl:choose>
										<xsl:when test="string-length(/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/deno_comm_ballon_app_com) &gt; 0"><xsl:value-of select="/projet/Datas_Comp/pcad_collection/pcad[Index=$id_bal]/ballon_decentralise_collection/ballon_decentralise/deno_comm_ballon_app_com"/></xsl:when>
										<xsl:otherwise><i>-donnée non disponible-</i></xsl:otherwise>
									</xsl:choose>	
									</td>
								</xsl:for-each>
							</tr>
							<tr>
								<td>Catégorie du générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Generateur = 0">Chaudière gaz à condensation</xsl:when>
											<xsl:when test="Generateur = 1">Chaudière gaz basse température</xsl:when>
											<xsl:when test="Generateur = 2">Chaudière gaz standard</xsl:when>
											<xsl:when test="Generateur = 3">Chaudière fioul à condensation</xsl:when>
											<xsl:when test="Generateur = 4">Chaudière fioul basse température</xsl:when>
											<xsl:when test="Generateur = 5">Chaudière fioul standard</xsl:when>
											<xsl:when test="Generateur = 6">Chaudière bois</xsl:when>	
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Poste de consommation assuré par le générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Id_Fou_Gen_1 = 0">Sans objet</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 1">Chauffage</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 3">Eau chaude sanitaire</xsl:when>
											<xsl:when test="Id_Fou_Gen_1 = 4">Chauffage et eau chaude sanitaire</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
							<tr>
								<td>Ventilation du générateur d'appoint</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Ventilation = 0">Absence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
											<xsl:when test="Ventilation = 1">Présence de ventilateur ou d'autre dispositif de circulation dans le circuit de combustion</xsl:when>
											<xsl:when test="Ventilation = 2">Présence de clapets sur conduits de fumées</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>
							
							<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]/Generateur = 6">
							<tr>
								<td>Classe de chaudière bois</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Class_Chaud_Bois = 0">Sans objet</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 1">Classe 1</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 2">Classe 2</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 3">Classe 3</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 4">Classe 4</xsl:when>
											<xsl:when test="Class_Chaud_Bois = 5">Classe 5</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							</xsl:if>
							<tr>
								<td>Puissance fournie en fonctionnement nominal</td><td align="center">kW</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
									<xsl:value-of select="format-number(Pn_gen,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>
							
							
							<xsl:if test="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]/Generateur != 6">
							<!-- n'existe pas pour les chaudieres bois -->
								<tr>
									<td>Température minimale de fonctionnement</td><td align="center">°C</td>
									<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
											<xsl:choose>	
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
												<xsl:otherwise><xsl:value-of select="format-number(Theta_Fonc_Min,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
											</xsl:choose>																		
									</td></xsl:for-each>
								</tr>	

								<tr>
									<td>Origine de la donnée</td><td align="center">-</td>
									<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
											<xsl:choose>	
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 0">Valeur par défaut</xsl:when>
												<xsl:when test="Valeur_Mesuree_Defaut_Theta_Min = 1">Valeur mesurée</xsl:when>
												<xsl:otherwise>-</xsl:otherwise>
											</xsl:choose>	
									</td></xsl:for-each>
								</tr>													
							</xsl:if>
	
							<tr>
								<td>Rendement sur PCI à puissance normale</td><td align="center">%</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(R_pn,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>	
	
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 1">Valeur déclarée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 2">Valeur justifiée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_pn = 3">Valeur certifiée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Rendement sur PCI à puissance intermédiaire</td><td align="center">%</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(R_Pint,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>	
	
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 1">Valeur déclarée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 2">Valeur justifiée</xsl:when>
											<xsl:when test="Valeur_Certifiee_Defaut_R_Pint = 3">Valeur certifiée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
						<tr>
								<td>Pertes à l'arrêt</td><td align="center">W</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
											<xsl:otherwise><xsl:value-of select="format-number(Q_po_30,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
										</xsl:choose>
								</td></xsl:for-each>
							</tr>
						<tr>
								<td>Origine de la donnée</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
										<xsl:choose>
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 0">Valeur par défaut</xsl:when>
											<xsl:when test="Valeur_Mesuree_Defaut_Q_po_30 = 1">Valeur mesurée</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>
						<tr>
							<td>Puissance électrique des auxiliaires du générateur à charge nulle</td><td align="center">W</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
									<xsl:value-of select="format-number(Q_veille,'#&#160;##0,##', 'fr')"/>
							</td></xsl:for-each>
						</tr>
						<tr>
							<td>Puissance électrique des auxiliaires du générateur à puissance nominale</td><td align="center">W</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
									<xsl:choose>	
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
										<xsl:otherwise><xsl:value-of select="format-number(Q_aux_nom,'#&#160;##0,##', 'fr')"/></xsl:otherwise>
									</xsl:choose>
							</td></xsl:for-each>
						</tr>							
													
						<tr>
							<td>Origine de la donnée</td><td align="center">-</td>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Combustion[Id_Fou_Gen_1 = 1 or Id_Fou_Gen_1=4]"><td align="center">
									<xsl:choose>
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 0">Valeur par défaut</xsl:when>
										<xsl:when test="Valeur_Mesuree_Defaut_Q_aux_nom = 1">Valeur mesurée</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>	
							</td></xsl:for-each>
						</tr>
							
					</tbody>
				</table>	
	
	
</xsl:template>



<!-- source appoint des ballons décentralisés : appoint électrique faisant office de chauffage-->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="appoint_gene_joule">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4])"/>


<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
					<thead>
						<tr>
							<th width="40%" >&#160;</th>
							<th width="10%">Unité</th>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4]">
							<th width="{round($cgen)}%" class="strong">
								<xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)
							</th>
							</xsl:for-each>
						</tr>
					</thead>
					<tbody>
						
							<tr>
								<td>Nombre de générateurs identiques</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4]"><td align="center">
										<xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Fonction du générateur</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Id_Fou_Gen = 0">Sans objet</xsl:when>
											<xsl:when test="Id_Fou_Gen = 1">Chauffage</xsl:when>
											<xsl:when test="Id_Fou_Gen = 3">Eau chaude sanitaire</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
							<tr>
								<td>Puissance maximale du générateur électrique</td><td align="center">kW</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4]"><td align="center">
										<xsl:value-of select="format-number(Pmax,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>
							
					</tbody>
				</table>	

</xsl:template>


<!-- source base des ballons décentralisés : appoint électrique faisant office de chauffage-->
<xsl:template match="/projet/Entree_Projet/Generation_Collection/Generation" mode="base_gene_joule">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4][position() &lt; $nbpcad])"/>


<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
					<thead>
						<tr>
							<th width="40%" >&#160;</th>
							<th width="10%">Unité</th>
							<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4][position() &lt; $nbpcad]">
							<th width="{round($cgen)}%" class="strong">
								<xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)
							</th>
							</xsl:for-each>
						</tr>
					</thead>
					<tbody>
						
							<tr>
								<td>Nombre de générateurs identiques</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4][position() &lt; $nbpcad]"><td align="center">
										<xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Fonction du générateur</td><td align="center">-</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4][position() &lt; $nbpcad]"><td align="center">
										<xsl:choose>	
											<xsl:when test="Id_Fou_Gen = 0">Sans objet</xsl:when>
											<xsl:when test="Id_Fou_Gen = 1">Chauffage</xsl:when>
											<xsl:when test="Id_Fou_Gen = 3">Eau chaude sanitaire</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
							<tr>
								<td>Puissance maximale du générateur électrique</td><td align="center">kW</td>
								<xsl:for-each select="Production_Stockage_ECS_Collection/Production_Stockage/Source_Ballon_Base_Collection/Source_Ballon_Base_Effet_Joule[Id_Fou_Gen=1 or Id_Fou_Gen=4][position() &lt; $nbpcad]"><td align="center">
										<xsl:value-of select="format-number(Pmax,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>
							
					</tbody>
				</table>	

</xsl:template>


<!-- source appoint des ballons décentralisés : appoint électrique -->
<xsl:template match="/projet/Entree_Projet" mode="pcad_bal_decentra_app_joule">
	<xsl:variable name="nbpcad">6</xsl:variable>
	<xsl:variable name="cgen" select="50 div count(PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule)"/>


<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h5" width="100%">
					<thead>
						<tr>
							<th width="40%" >&#160;</th>
							<th width="10%">Unité</th>
							<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule">
							<th width="{round($cgen)}%" class="strong">
								<xsl:value-of select="Name"/><br/>(<xsl:value-of select="../../Name"/>)
							</th>
							</xsl:for-each>
						</tr>
					</thead>
					<tbody>
						
							<tr>
								<td>Nombre de générateurs identiques</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule"><td align="center">
										<xsl:value-of select="format-number(Rdim,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>	
							<tr>
								<td>Fonction du générateur</td><td align="center">-</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule"><td align="center">
										<xsl:choose>	
											<xsl:when test="Id_Fou_Gen = 0">Sans objet</xsl:when>
											<xsl:when test="Id_Fou_Gen = 1">Chauffage</xsl:when>
											<xsl:when test="Id_Fou_Gen = 3">Eau chaude sanitaire</xsl:when>
											<xsl:otherwise>-</xsl:otherwise>
										</xsl:choose>	
								</td></xsl:for-each>
							</tr>		
							<tr>
								<td>Puissance maximale du générateur électrique</td><td align="center">kW</td>
								<xsl:for-each select="PCAD_Collection/PCAD[position() &lt; $nbpcad]/Ballon_Decentralise_Collection/Ballon_Decentralise/Source_Ballon_Appoint_Collection/Source_Ballon_Appoint_Effet_Joule"><td align="center">
										<xsl:value-of select="format-number(Pmax,'#&#160;##0,##', 'fr')"/>
								</td></xsl:for-each>
							</tr>
							
					</tbody>
				</table>	

</xsl:template>







<!-- champs photovoltaïques intégrés au bâtiment, onduleurs -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="onduleur_pv">
	
	<xsl:variable name="c_ond_pv" select="50 div count(PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV[position() &lt; 6])"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th><th width="10%">Unité</th><xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV[position() &lt; 6]">
				<th width="{$c_ond_pv}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each>
			</tr>
		</thead>			
		<tr>
			<td>Choix de la courbe de rendement de l'onduleur</td><td align="center">-</td>
			<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV[position() &lt; 6]"><td align="center">
					<xsl:choose>							
							<xsl:when test="Type_CourbeRend = 0">Aucune information de rendement disponible</xsl:when>
							<xsl:when test="Type_CourbeRend = 1">Rendement européen de l'onduleur : <b><xsl:value-of select="format-number(n_EU * 100,'#&#160;##0,##', 'fr')"/> %</b></xsl:when>
							<xsl:when test="Type_CourbeRend = 2">Courbe de rendement de l'onduleur connue</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>	
			</td></xsl:for-each>
		</tr>		
		<tr>
			<td>Statut de la puissance nominale</td><td align="center">-</td>
			<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV[position() &lt; 6]">
					<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Declaree_Defaut_Pac_Onduleur = 0">Sans objet</xsl:when>
						<xsl:when test="Valeur_Declaree_Defaut_Pac_Onduleur = 1">Valeur déclarée</xsl:when>
						<xsl:when test="Valeur_Declaree_Defaut_Pac_Onduleur = 2">Valeur par défaut</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
					</td>
			</xsl:for-each>
		</tr>		
		
		<tr>
			<td>Puissance nominale AC de sortie de l'onduleur </td><td align="center">W</td>
			<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV[position() &lt; 6]">
					<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Declaree_Defaut_Pac_Onduleur = 2">Valeur par défaut</xsl:when>
						<xsl:when test="Valeur_Declaree_Defaut_Pac_Onduleur = 1"><xsl:value-of select="format-number(Pac_Onduleur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>
					</td>
			</xsl:for-each>
		</tr>
	</table>
	
</xsl:template>	














<!--Ensemble de modules photovoltaïques connectés à un même onduleur -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="capteur_pv">
	<xsl:variable name="c_cap_pv" select="50 div count(PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6])"/>
		
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
		<thead>
			<tr>
				<th width="40%">&#160;</th><th width="10%">Unité</th><xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<th width="{round($c_cap_pv)}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each>
			</tr>
		</thead>
		<tbody>
		
		<tr>
				<td>Libellé de l'onduleur raccordé aux capteurs</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
					<xsl:variable name="id_capt" select="Index"/>
					<td align="center">
						<b><xsl:value-of select="../../Name"/></b>
					</td>
				</xsl:for-each>
			</tr>			
		
			<tr>
				<td>Marque des capteurs photovoltaïques</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
					<xsl:variable name="id_capt" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/batiment_collection/batiment/pv_install_collection/pv_install/onduleur_pv_collection/onduleur_pv/capteur_pv_collection/capteur_pv[Index=$id_capt]/marque_capteur) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/batiment_collection/batiment/pv_install_collection/pv_install/onduleur_pv_collection/onduleur_pv/capteur_pv_collection/capteur_pv[Index=$id_capt]/marque_capteur"/>
						</xsl:when>
						<xsl:otherwise><i>-Donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>	
			<tr>
				<td>Dénomination des capteurs photovoltaïques</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
					<xsl:variable name="id_capt" select="Index"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="string-length(/projet/Datas_Comp/batiment_collection/batiment/pv_install_collection/pv_install/onduleur_pv_collection/onduleur_pv/capteur_pv_collection/capteur_pv[Index=$id_capt]/deno_com_capteur) &gt; 0">
						<xsl:value-of select="/projet/Datas_Comp/batiment_collection/batiment/pv_install_collection/pv_install/onduleur_pv_collection/onduleur_pv/capteur_pv_collection/capteur_pv[Index=$id_capt]/deno_com_capteur"/>
						</xsl:when>
						<xsl:otherwise><i>-Donnée non disponible-</i></xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>			
		<tr>
				<td>Nombre de capteurs PV identiques composant le champ</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
					<td align="center"><xsl:value-of select="Nb_capteurs_PV"/></td>
				</xsl:for-each>
			</tr>
			
			<tr>
				<td>Type de technologie des capteurs PV</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<td align="center">
						<xsl:choose>							
								<xsl:when test="Type_Techno_Capteur = 0">Silicium Mono-cristallin</xsl:when>
								<xsl:when test="Type_Techno_Capteur = 1">Silicium Multi-cristallin</xsl:when>
								<xsl:when test="Type_Techno_Capteur = 2">Tellure de Cadmium CdTe</xsl:when>
								<xsl:when test="Type_Techno_Capteur = 3">Cuivre Indium Sélénium CIS</xsl:when>
								<xsl:when test="Type_Techno_Capteur = 4">Silicium Amorphe</xsl:when>
								<xsl:when test="Type_Techno_Capteur = 5">Autres cas</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
				</td></xsl:for-each>
			</tr>		
	
			
			<tr>
				<td>Origine des données pour les capteurs PV</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<td align="center">
						<xsl:choose>							
								<xsl:when test="Valeur_Declaree_Defaut = 0">Valeur par défaut</xsl:when>
								<xsl:when test="Valeur_Declaree_Defaut = 1">Valeur déclarée</xsl:when>
								<xsl:when test="Valeur_Declaree_Defaut = 2">Valeur justifiée</xsl:when>
								<xsl:when test="Valeur_Declaree_Defaut = 3">Valeur certifiée</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
				</td></xsl:for-each>
			</tr>				
			
			

			<tr>
				<td>Puissance crête nominale garantie d'un module aux conditions normales d'essai STC</td><td align="center">W</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Declaree_Defaut &gt; 0">
							<xsl:value-of select="format-number(Pc,'#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>Valeur par défaut</xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>			

			<tr>
				<td>Coefficient de température de la puissance crête telle que définie dans CEI 61215 et 61646</td><td align="center">1/°C</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
					<td align="center">
					<xsl:choose>
						<xsl:when test="Valeur_Declaree_Defaut &gt; 0">
							<xsl:value-of select="format-number(Mu,'#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>Valeur par défaut</xsl:otherwise>
					</xsl:choose>
					</td>
				</xsl:for-each>
			</tr>				
			
			<tr>
				<td>Température d'équilibre thermique du module telle que définie dans CEI 61215 et 61646</td><td align="center">°C</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
					<td align="center">
						<xsl:choose>
							<xsl:when test="Valeur_Declaree_Defaut &gt; 0"><xsl:value-of select="format-number(NOCT,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>Valeur par défaut</xsl:otherwise>
						</xsl:choose>	
					</td>
				</xsl:for-each>
			</tr>					
										
			<tr>
				<td>Type ou degré de confinement de la face arrière des modules</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<td align="center">
						<xsl:choose>							
								<xsl:when test="Type_Confinement = 0">Face arrière libre</xsl:when>
								<xsl:when test="Type_Confinement = 1">Face arrière confinée</xsl:when>
								<xsl:when test="Type_Confinement = 2">Autre</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>		
				</td></xsl:for-each>
			</tr>	
			
			<tr>
				<td>Azimut de l'orientation considérée (1)</td><td align="center">°</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<td align="center">
						<xsl:choose>							
								<xsl:when test="Alpha &lt; 90">Sud</xsl:when>
								<xsl:when test="Alpha &lt; 180">Ouest</xsl:when>
								<xsl:when test="Alpha &lt; 270">Nord</xsl:when>
								<xsl:when test="Alpha &gt; 269">Est</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose> (<xsl:value-of select="format-number(Alpha,'#&#160;##0,##', 'fr')"/>°)					
				</td></xsl:for-each>
			</tr>		
			<tr>
				<td>Inclinaison de l'orientation considérée (2)</td><td align="center">°</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<td align="center">
						<xsl:choose>							
								<xsl:when test="Beta &lt; 90">Horizontale vers le haut</xsl:when>
								<xsl:when test="Beta &gt; 89">Verticale</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose> (<xsl:value-of select="format-number(Beta,'#&#160;##0,##', 'fr')"/>°)		
				</td></xsl:for-each>
			</tr>	
			
			<tr>
				<td>Surface ensoleillée du module en oeuvre</td>
				<td align="center">m<sup>2</sup></td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<td align="center">
					<xsl:value-of select="format-number(S,'#&#160;##0,##', 'fr')"/>	
				</td></xsl:for-each>
			</tr>				
			
			<tr>
				<td>Y a-t-il présence de masques lointains azimutaux ?</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<td align="center">
						<xsl:choose>							
								<xsl:when test="Masque_Collection/Masque_Lointain_Azimutal">Oui</xsl:when>
								<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>						
				</td></xsl:for-each>
			</tr>	
			<tr>
				<td>Y a-t-il présence de masques lointains verticaux ?</td><td align="center">-</td>
				<xsl:for-each select="PV_install_Collection/PV_install/Onduleur_PV_Collection/Onduleur_PV/Capteur_PV_Collection/Capteur_PV[position() &lt; 6]">
				<xsl:sort select="S" data-type="number" order="descending"/>
				<td align="center">
						<xsl:choose>							
								<xsl:when test="Masque_Collection/Masque_Lointain_Vertical">Oui</xsl:when>
								<xsl:otherwise>Non</xsl:otherwise>
						</xsl:choose>						
				</td></xsl:for-each>
			</tr>	
		</tbody>
	</table>
	<p class="note">
	(1) 0° : Sud, 90° : Ouest, 180° : Nord, 270° : Est<br/>
	(2) de 0° (Horizontale vers le haut) à 90° (verticale)
	</p>
</xsl:template>		
	
	
	
	
	
	
	
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_besoins_mensuels">
	

		
	<!-- passage parametres à call template-->
	<xsl:call-template name="detail_besoins_b">
		<xsl:with-param name="id_bat" select="Index"/>
		<xsl:with-param name="type">Chaud</xsl:with-param>
		<xsl:with-param name="class">chaud</xsl:with-param>		
		<xsl:with-param name="titre_detail">Besoins de Chaud</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="detail_besoins_b">
		<xsl:with-param name="id_bat" select="Index"/>	
		<xsl:with-param name="type">Froid</xsl:with-param>
		<xsl:with-param name="class">froid</xsl:with-param>				
		<xsl:with-param name="titre_detail">Besoins de Froid</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="detail_besoins_b">
		<xsl:with-param name="id_bat" select="Index"/>	
		<xsl:with-param name="type">Eclairage</xsl:with-param>
		<xsl:with-param name="class">eclairage</xsl:with-param>		
		<xsl:with-param name="titre_detail">Besoins d'éclairage</xsl:with-param>
	</xsl:call-template>
	
</xsl:template>


<!-- Coefficient Bbio max (en points) -->
<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_O_Bbio_Max">
<xsl:variable name="id_bat" select="Index"/>
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 bbio" width="100%">
			<thead>
				<tr>
					<th width="30%">&#160;</th>
					<th width="25%" align="center">S<sub>RT</sub></th>
					<th width="45%" align="center" >Coefficient Bbio max (en points)</th>
				</tr>
			</thead>
		<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]">			
			<tbody>
			<tr>
				<td width="30%">
					<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
				</td>
				<td width="10%" align="center">
					<font color="red">
						<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
					</font>
				</td>
				<td align="center">
					<xsl:choose>
						<xsl:when test="O_Bbio_Max != 'NaN' ">				
							<xsl:value-of select="format-number(O_Bbio_Max,'#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>	
				</td>
			</tr>
			<xsl:for-each select="Sortie_Zone_B_Collection/Sortie_Zone_B">
				<tr>
					<td width="30%">Zone (<xsl:value-of select="Index"/>) - <xsl:value-of select="Name"/>
					</td>
					<td width="10%" align="center">
						<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
					</td>
					<td align="center">
					<xsl:choose>
						<xsl:when test="O_Bbio_Max != 'NaN' ">				
							<xsl:value-of select="format-number(O_Bbio_Max,'#&#160;##0,##', 'fr')"/>
						</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>						
					</td>
				</tr>
			</xsl:for-each>
			</tbody>
		</xsl:for-each>
		</table>

	
</xsl:template>










<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_O_Cep_Max">
<xsl:variable name="id_bat" select="Index"/>
	
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th width="30%">&#160;</th>
					<th width="25%" align="center">S<sub>RT</sub></th>
					<th width="45%" align="center" >Coefficient Cep max</th>
				</tr>
			</thead>
		<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">			
			<tbody>
			<tr>
				<td width="30%">
					<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
				</td>
				<td width="10%" align="center">
					<font color="red">
						<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
					</font>
				</td>
				<td align="center">
						<xsl:value-of select="format-number(O_Cep_Max,'#&#160;##0,##', 'fr')"/>
				</td>
			</tr>
			<xsl:for-each select="Sortie_Zone_C_Collection/Sortie_Zone_C">
				<tr>
					<td width="30%"><xsl:value-of select="Name"/></td>
					<td width="10%" align="center">
						<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
					</td>
					<td align="center">
					<xsl:choose>
						<xsl:when test="O_Cep_Max != 'NaN' ">
							<xsl:value-of select="format-number(O_Cep_Max,'#&#160;##0,##', 'fr')"/>	
						</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>									
					</td>
				</tr>
			</xsl:for-each>
			</tbody>
		</xsl:for-each>
		</table>	
	
</xsl:template>


<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_postes_ecs_brut">
	<xsl:call-template name="detail_besoins">
		<xsl:with-param name="type">ECS brut</xsl:with-param>
		<xsl:with-param name="id_bat" select="Index"/>
		<xsl:with-param name="class">ecs</xsl:with-param>
	</xsl:call-template>
</xsl:template>


<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_postes_conso">
	
	<!-- passage parametres à call template, on appele le meme template que ci-dessus (meme forme de tableaux) -->
	
	<xsl:call-template name="detail_besoins">
		<xsl:with-param name="type">Chauffage</xsl:with-param>
		<xsl:with-param name="id_bat" select="Index"/>		
		<xsl:with-param name="class">chaud</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="detail_besoins">
		<xsl:with-param name="type">Refroidissement</xsl:with-param>
		<xsl:with-param name="id_bat" select="Index"/>		
		<xsl:with-param name="class">froid</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="detail_besoins">
		<xsl:with-param name="type">ECS</xsl:with-param>
		<xsl:with-param name="id_bat" select="Index"/>		
		<xsl:with-param name="class">ecs</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="detail_besoins">
		<xsl:with-param name="type">Eclairage</xsl:with-param>
		<xsl:with-param name="id_bat" select="Index"/>		
		<xsl:with-param name="class">eclairage</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="detail_besoins">
		<xsl:with-param name="type">Ventilation</xsl:with-param>
		<xsl:with-param name="id_bat" select="Index"/>		
		<xsl:with-param name="class">ventilation</xsl:with-param>
	</xsl:call-template>
	
	<xsl:call-template name="detail_besoins">
		<xsl:with-param name="type">Distribution</xsl:with-param>
		<xsl:with-param name="id_bat" select="Index"/>		
		<xsl:with-param name="class">distribution</xsl:with-param>
	</xsl:call-template>
	
</xsl:template>










<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_prod_elec">
	<xsl:variable name="id_bat" select="Index"/>
	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 photovoltaique" width="100%">
		<thead>
		<tr>
			<th width="30%">&#160;</th>
			<th width="10%" align="center">S<sub>RT</sub></th>
			<th colspan="12" align="center">Production photovoltaïque d'électricité en énergie primaire (en kWh ep/m<sup>2</sup>S<sub>RT</sub>)</th>
			<th width="8%">&#160;</th>
		</tr>
		<tr>
			<th colspan="2" width="20%"/>
			<th width="5%" >1</th>
			<th width="5%" >2</th>
			<th width="5%" >3</th>
			<th width="5%" >4</th>
			<th width="5%" >5</th>
			<th width="5%" >6</th>
			<th width="5%" >7</th>
			<th width="5%" >8</th>
			<th width="5%" >9</th>
			<th width="5%" >10</th>
			<th width="5%" >11</th>
			<th width="5%" >12</th>
			<th width="8%" align="right">Total annuel</th>
		</tr>
		</thead>
	<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">
		<tbody>
		<tr>
			<td width="30%">
				<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
			</td>
			<td width="10%" align="center">
				<font color="red">
					<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
				</font>
			</td>
		
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_ep_Pro_PV_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/>
			</td>				
			<td align="right">
				<xsl:value-of select="format-number(sum(O_ep_Pro_PV_mois/Sortie_Mensuelle/Valeur),'#0,#', 'fr')"/>
			</td>
		</tr>
		</tbody>
		</xsl:for-each>
	</table>
	
	
	<!-- cogénération par mois -->
	
<xsl:if test="sum(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_E_ep_prelec_mois/Sortie_Mensuelle/Valeur) &gt; 0">	
	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 photovoltaique" width="100%">
		<thead>
		<tr>
			<th width="30%">&#160;</th>
			<th width="10%" align="center">S<sub>RT</sub></th>
			<th colspan="12" align="center">Production d'électricité par cogénération en énergie primaire (en kWh ep/m<sup>2</sup>S<sub>RT</sub>)</th>
			<th width="8%">&#160;</th>
		</tr>
		<tr>
			<th colspan="2" width="20%"/>
			<th width="5%" >1</th>
			<th width="5%" >2</th>
			<th width="5%" >3</th>
			<th width="5%" >4</th>
			<th width="5%" >5</th>
			<th width="5%" >6</th>
			<th width="5%" >7</th>
			<th width="5%" >8</th>
			<th width="5%" >9</th>
			<th width="5%" >10</th>
			<th width="5%" >11</th>
			<th width="5%" >12</th>
			<th width="8%" align="right">Total annuel</th>
		</tr>
		</thead>
	<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">
		<tbody>
		<tr>
			<td width="30%">
				<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
			</td>
			<td width="10%" align="center">
				<font color="red">
					<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
				</font>
			</td>
		
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number(O_E_ep_prelec_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/>
			</td>				
			<td align="right">
				<xsl:value-of select="format-number(sum(O_E_ep_prelec_mois/Sortie_Mensuelle/Valeur),'#0,#', 'fr')"/>
			</td>
		</tr>
		</tbody>
		</xsl:for-each>
	</table>
	</xsl:if>
	
</xsl:template>



<!-- Résultats de la contribution des énergies renouvelables du bâtiment -->

<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_aepenr">
	<xsl:variable name="id_bat" select="Index"/>

	<table border="1" cellpadding="0" cellspacing="0" class="rt2012 photovoltaique" width="100%">
		<thead>
		<tr>
			<th width="30%">&#160;</th>
			<th width="10%" align="center">S<sub>RT</sub></th>
			<th width="60%" align="center">Contribution des énergies renouvelables du bâtiment A<sub>epener</sub><br/>(en kWh ep/m<sup>2</sup>S<sub>RT</sub>)</th>
		</tr>
		</thead>
		<tbody>
			<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">
							<tr>
					<td width="30%"><font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font></td>
					<td width="10%" align="center"><font color="red"><xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/></font></td>
					<td align="center">	<xsl:value-of select="format-number(O_Aepenr,'#0,##', 'fr')"/></td>
				</tr>
			</xsl:for-each>
		</tbody>
	</table>

</xsl:template>


<!-- Résultats détaillés des consommations annuelles par poste et par énergie pour le bâtiment -->
	<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_conso_annuelles_pos_en">
	<xsl:variable name="id_bat" select="Index"/>
		<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
			<tr>
				<th width="30%"><xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/Name"/></th>
				<th width="10%" align="center">S<sub>RT</sub> : <xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Shon_RT,'#0,##', 'fr')"/></th>
				<th colspan="6" align="center">
					<b>Consommations et productions annuelles du bâtiment par poste et par type d'énergie exprimée en énergie primaire<br/>(kWh ep/m<sup>2</sup> S<sub>RT</sub>)</b>
				</th>
			</tr>
			<tr>
				<th colspan="2" width="20%"/>
				<th width="5%" class="strong">Gaz</th>
				<th width="5%" class="strong">FOD</th>
				<th width="5%" class="strong">Charbon</th>
				<th width="5%" class="strong">Bois</th>
				<th width="5%" class="strong">Electricité</th>
				<th width="5%" class="strong">Réseau de chaleur</th>
			</tr>
			</thead>
		<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">
			<tr>
				<td width="30%" align="center" rowspan="6" >
					<b>Poste de consommation</b>
				</td>
				<td width="10%" align="center">Chauffage</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_gaz_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_fioul_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_charbon_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_bois_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_reseau_chaleur_annuel,'#0,##', 'fr')"/></td>
			</tr>
			<tr>
				<td width="10%" align="center">Refroidissement</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_gaz_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_fioul_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_charbon_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_bois_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_reseau_chaleur_annuel,'#0,##', 'fr')"/></td>					
			</tr>
			<tr>
				<td width="10%" align="center">ECS</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_gaz_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_fioul_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_charbon_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_bois_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_reseau_chaleur_annuel,'#0,##', 'fr')"/></td>					
			</tr>
			<tr>
				<td width="10%" align="center">Eclairage</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecl_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>					
			</tr>
			<tr>
				<td width="10%" align="center">Auxiliaires VMC</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_auxv_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>							
			</tr>	
			<tr>
					<td width="10%" align="center">Auxiliaires distribution</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_auxs_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>						
			</tr>
			<tr>
				<td width="10%" align="center" rowspan="2">
					<b>Postes de production</b>
				</td>
				<td width="10%" align="center">Prod. Photovoltaïque</td>	
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_ep_Pro_PV_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>	
			</tr>
			<tr>
				<td width="10%" align="center">Prod. Cogénération</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_E_ep_prelec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>					
			</tr>			
			
		</xsl:for-each>			
		</table>
	</xsl:template>


<!-- Résultats détaillés des consommations annuelles par poste et par énergie par ZONES -->
	<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_conso_zones_pos_en">
	<xsl:variable name="id_bat" select="Index"/>
	<!-- on tri par zone décroissante et on limite à 10 zones -->
	<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/Sortie_Zone_C_Collection/Sortie_Zone_C[position() &lt; 11]">	
		<xsl:sort select="O_Shon_RT" data-type="number" order="descending"/>
	
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
			<tr>
				<th width="30%"><xsl:value-of select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/Name"/> - <font color="red">Zone : <xsl:value-of select="Name"/></font></th>
				<th width="10%" align="center">S<sub>RT</sub>Z : <xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/></th>
				<th colspan="6" align="center">
					<b>Consommations et productions annuelles du bâtiment <font color="red">(par zones)</font> par poste et par type d'énergie exprimée en énergie primaire<br/>(kWh ep/m<sup>2</sup> S<sub>RT</sub>)</b>
				</th>
			</tr>
			<tr>
				<th colspan="2" width="20%"/>
				<th width="5%" class="strong">Gaz</th>
				<th width="5%" class="strong">FOD</th>
				<th width="5%" class="strong">Charbon</th>
				<th width="5%" class="strong">Bois</th>
				<th width="5%" class="strong">Electricité</th>
				<th width="5%" class="strong">Réseau de chaleur</th>
			</tr>
			</thead>
		
			<tr>
				<td width="30%" align="center" rowspan="6" >
					<b>Poste de consommation</b>
				</td>
				<td width="10%" align="center">Chauffage</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_gaz_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_fioul_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_charbon_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_bois_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ch_reseau_chaleur_annuel,'#0,##', 'fr')"/></td>
			</tr>
			<tr>
				<td width="10%" align="center">Refroidissement</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_gaz_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_fioul_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_charbon_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_bois_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_fr_reseau_chaleur_annuel,'#0,##', 'fr')"/></td>					
			</tr>
			<tr>
				<td width="10%" align="center">ECS</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_gaz_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_fioul_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_charbon_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_bois_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecs_reseau_chaleur_annuel,'#0,##', 'fr')"/></td>					
			</tr>
			<tr>
				<td width="10%" align="center">Eclairage</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_ecl_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>					
			</tr>
			<tr>
				<td width="10%" align="center">Auxiliaires VMC</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_auxv_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>							
			</tr>	
			<tr>
					<td width="10%" align="center">Auxiliaires distribution</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_Cep_auxs_elec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>						
			</tr>
			<tr>
				<td width="10%" align="center" rowspan="2">
					<b>Postes de production</b>
				</td>
				<td width="10%" align="center">Prod. Photovoltaïque</td>	
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_ep_Pro_PV_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>	
			</tr>
			<tr>
				<td width="10%" align="center">Prod. Cogénération</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>
				<td width="10%" align="center"><xsl:value-of select="format-number(O_E_ep_prelec_annuel,'#0,##', 'fr')"/></td>
				<td width="10%" align="center" bgcolor="lightgray">&#160;</td>					
			</tr>			
		
		</table>
		</xsl:for-each>	
	</xsl:template>	
	
	


<!-- Résultats détaillés des consommations annuelles par poste pour le bâtiment -->
	<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_conso_annuelles">
	<xsl:variable name="id_bat" select="Index"/>
		<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
			<tr>
				<th width="35%">&#160;</th>
				<th width="5%" align="center">S<sub>RT</sub></th>
				<th colspan="8" align="center">
					<strong>Consommations annuelles par poste en énergie primaire<br/>(kWh ep/m<sup>2</sup> S<sub>RT</sub>)</strong>
				</th>
				<th width="8%">&#160;</th>
			</tr>
			<tr>
				<th colspan="2" width="20%"/>
				<th width="5%" class="strong">Chauffage</th>
				<th width="5%" class="strong">Refroidissement</th>
				<th width="5%" class="strong">ECS</th>
				<th width="5%" class="strong">Eclairage</th>
				<th width="5%" class="strong">Auxiliaires VMC</th>
				<th width="5%" class="strong">Aux. distribution</th>
				<th width="5%" class="strong">Prod. photovoltaïque</th>
				<th width="5%" class="strong">Prod. cogénération</th>
				<th width="8%"  class="strong" align="right">Total annuel</th>
			</tr>
			</thead>
		<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">
			<tr>
				<td width="30%">
					<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
				</td>
				<td width="10%" align="center">
					<font color="red"><xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/></font>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_ch_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_fr_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_ecs_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_ecl_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_aux_ventilateur_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_aux_distribution_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_ep_Pro_PV_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_E_ep_prelec_annuel,'#0,##', 'fr')"/>
				</td>				
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_ch_annuel + O_Cep_fr_annuel + O_Cep_ecs_annuel + O_Cep_ecl_annuel + O_Cep_aux_ventilateur_annuel + O_Cep_aux_distribution_annuel - O_ep_Pro_PV_annuel - O_E_ep_prelec_annuel,'#0,0', 'fr')"/>
				</td>
			</tr>
			<xsl:for-each select="Sortie_Zone_C_Collection/Sortie_Zone_C">

				<tr>
					<td>
						<b><xsl:value-of select="Name"/></b>
					</td>
					<td align="center">
						<b>
							<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
						</b>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_ch_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_fr_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_ecs_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_ecl_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_aux_ventilateur_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_aux_distribution_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right" class="vide">
						&#160;
					</td>
					<td align="right" class="vide">
						&#160;
					</td>					
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_ch_annuel + O_Cep_fr_annuel + O_Cep_ecs_annuel + O_Cep_ecl_annuel + O_Cep_aux_ventilateur_annuel + O_Cep_aux_distribution_annuel,'#0,#', 'fr')"/>
					</td>
				</tr>
				<xsl:for-each select="Sortie_Groupe_C_Collection/Sortie_Groupe_C">
					<tr>
						<td align="right"><xsl:value-of select="Name"/></td>
						<td align="center">
							<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_ch_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_fr_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_ecs_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_ecl_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_aux_ventilateur_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_aux_distribution_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right" class="vide">
							&#160;
						</td>
						<td align="right" class="vide">
							&#160;
						</td>						
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_ch_annuel + O_Cep_fr_annuel + O_Cep_ecs_annuel + O_Cep_ecl_annuel + O_Cep_aux_ventilateur_annuel + O_Cep_aux_distribution_annuel,'#0,#', 'fr')"/>
						</td>
					</tr>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
		</table>
	</xsl:template>

	
	
	
	
	
	<!-- résultats détaillés des besoins annuels de chaud, de froid et d'éclairage du batiment -->
	
	<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_besoins_annuels">
	<xsl:variable name="id_bat" select="Index"/>
		<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
			<tr>
				<th width="30%">&#160;</th>
				<th width="10%" align="center">S<sub>RT</sub></th>
				<th colspan="3" align="center">
					<strong>Besoins annuels <br/>(en kWh/m<sup>2</sup> S<sub>RT</sub>)</strong>
				</th>
				<th width="8%">&#160;</th>
			</tr>
			<tr>
				<th colspan="2" width="20%"/>
				<th width="5%" class="strong">Chauffage</th>
				<th width="5%" class="strong">Refroidissement</th>
				<th width="5%" class="strong">Eclairage</th>
				<th width="8%" class="strong" align="right">Total annuel</th>
			</tr>
			</thead>
		<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]">
			<tr>
				<td width="30%">
					<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
				</td>
				<td width="10%" align="center">
					<font color="red"><xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/></font>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_B_Ch_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_B_Fr_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_B_Ecl_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_B_Ch_annuel + O_B_Fr_annuel + O_B_Ecl_annuel,'#0,#', 'fr')"/>
				</td>
			</tr>
			<xsl:for-each select="Sortie_Zone_B_Collection/Sortie_Zone_B">
				<tr>
					<td>
						<b><xsl:value-of select="Name"/></b>
					</td>
					<td align="center">
						<b>
							<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
						</b>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_B_Ch_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_B_Fr_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_B_Ecl_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">					
						<xsl:value-of select="format-number(O_B_Ch_annuel + O_B_Fr_annuel + O_B_Ecl_annuel ,'#0,##', 'fr')"/>
					</td>
				</tr>
				<xsl:for-each select="Sortie_Groupe_B_Collection/Sortie_Groupe_B">
					<tr>
						<td align="right"><xsl:value-of select="Name"/></td>
						<td align="center">
							<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_B_Ch_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_B_Fr_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_B_Ecl_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">						
							<xsl:value-of select="format-number(O_B_Ch_annuel + O_B_Fr_annuel + O_B_Ecl_annuel ,'#0,##', 'fr')"/>
						</td>
					</tr>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
		</table>
	</xsl:template>
	
	
	
	
	<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_conso_annuelles_energie">
	<xsl:variable name="id_bat" select="Index"/>
		<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
			<tr>
				<th width="30%">&#160;</th>
				<th width="10%" align="center">S<sub>RT</sub></th>
				<th colspan="8" align="center">
					<b>Consommations annuelles par poste en énergie primaire<br/>(kWh ep/m<sup>2</sup> S<sub>RT</sub>)</b>
				</th>
				<th width="8%">&#160;</th>
			</tr>
			<tr>
				<th colspan="2" width="20%"/>
				<th width="5%" class="strong">Gaz</th>
				<th width="5%" class="strong">FOD</th>
				<th width="5%" class="strong">Charbon</th>
				<th width="5%" class="strong">Bois</th>
				<th width="5%" class="strong">Electricité</th>
				<th width="5%" class="strong">Réseau chaleur</th>
				<th width="5%" class="strong">Prod. photovoltaïque</th>
				<th width="5%" class="strong">Prod. cogénération</th>
				<th width="8%" align="right" class="strong">Total annuel</th>
			</tr>
			</thead>
		<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">
			<tr>
				<td width="30%">
					<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
				</td>
				<td width="10%" align="center">
					<font color="red"><xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/></font>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_gaz_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_fioul_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_charbon_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_bois_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_elec_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_reseau_chaleur_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right" >
					<xsl:value-of select="format-number(O_ep_Pro_PV_annuel,'#0,##', 'fr')"/>
				</td>
				<td align="right">
					<xsl:value-of select="format-number(O_E_ep_prelec_annuel,'#0,##', 'fr')"/>
				</td>					
				<td align="right">
					<xsl:value-of select="format-number(O_Cep_gaz_annuel+O_Cep_fioul_annuel+O_Cep_charbon_annuel+O_Cep_bois_annuel+O_Cep_elec_annuel+O_Cep_reseau_chaleur_annuel-O_ep_Pro_PV_annuel-O_E_ep_prelec_annuel,'#0,#', 'fr')"/>
				</td>
			</tr>
			<xsl:for-each select="Sortie_Zone_C_Collection/Sortie_Zone_C">
				<tr>
					<td>
						<b><xsl:value-of select="Name"/>
						</b>
					</td>
					<td align="center">
						<b>
							<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
						</b>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_gaz_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_fioul_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_charbon_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_bois_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_elec_annuel,'#0,##', 'fr')"/>
					</td>
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_reseau_chaleur_annuel,'#0,##', 'fr')"/>
					</td>
					<td class="vide">
						&#160;
					</td>
					<td class="vide">
						&#160;
					</td>					
					<td align="right">
						<xsl:value-of select="format-number(O_Cep_gaz_annuel+O_Cep_fioul_annuel+O_Cep_charbon_annuel+O_Cep_bois_annuel+O_Cep_elec_annuel+O_Cep_reseau_chaleur_annuel,'#0,##', 'fr')"/>
					</td>
				</tr>
				<xsl:for-each select="Sortie_Groupe_C_Collection/Sortie_Groupe_C">
					<tr>
						<td align="right"><xsl:value-of select="Name"/>
						</td>
						<td align="center">
							<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_gaz_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_fioul_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_charbon_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_bois_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_elec_annuel,'#0,##', 'fr')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_reseau_chaleur_annuel,'#0,##', 'fr')"/>
						</td>
						<td class="vide">
							&#160;
						</td>
						<td class="vide">
							&#160;
						</td>						
						<td align="right">
							<xsl:value-of select="format-number(O_Cep_gaz_annuel+O_Cep_fioul_annuel+O_Cep_charbon_annuel+O_Cep_bois_annuel+O_Cep_elec_annuel+O_Cep_reseau_chaleur_annuel,'#0,##', 'fr')"/>
						</td>
					</tr>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>			
		</table>
	</xsl:template>

	
	
<!-- CHAPITRE 5 -->	
	<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="etudes_sensi_bbio_cep">
	<xsl:variable name="id_bat" select="Index"/>
		<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
				<tr>
					<th width="70%"><font color="red"><b><xsl:value-of select="Index"/> - <xsl:value-of select="Name"/></b></font></th>
					<th width="15%" align="center" class="titre_tab">Bbio</th>
					<th width="15%" align="center" class="titre_tab">Cep</th>
				</tr>
				<tr>
					<th class="strong" width="70%">&#160;</th>
					<th class="strong" width="15%" align="center">Points</th>
					<th class="strong" width="15%" align="center">kWh ep/m<sup>2</sup> S<sub>RT</sub></th>
				</tr>
			</thead>
			
			
					<tr>
						<td width="70%">Coefficient de besoin bioclimatique Bbio du bâtiment</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]/O_Bbio_pts_annuel,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center" class="vide">&#160;</td>
					</tr>			
										
					<tr>
						<td width="70%">Consommation conventionnelle d'énergie Cep du bâtiment</td>
						<td width="15%" align="center" class="vide">&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_annuel,'#&#160;##0,##', 'fr')"/></td>
					</tr>
					
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]">
					<tr>
						<td width="70%" align="center"><b>Modifications de caractéristiques techniques du bâtiment</b></td>
						<td width="15%" align="center"><b>Sensibilités du Bbio</b></td>
						<td width="15%" align="center"><b>Sensibilités du Cep</b></td>
					</tr>				
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Perméabilité à l'air :</b></td>
					</tr>
					
					<tr>
						<td width="70%" align="left">Coefficient de perméabilité à l'air de 0,20 m<sup>3</sup>/(h.m<sup>2</sup>) en maison individuelle</td>
						<td width="15%" align="center">
						<!-- deb.modif v2b13 -->
						<xsl:choose>
							<xsl:when test ="Permea_MI_Bbio or Permea_MI_Bbio != '' "><xsl:value-of select="format-number(Permea_MI_Bbio,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
						
						</td>
						<td width="15%" align="center">
						<xsl:choose>
							<xsl:when test ="Permea_MI_Cep or Permea_MI_Cep != '' "><xsl:value-of select="format-number(Permea_MI_Cep,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
						
						</td>
						
					</tr>				
					<tr>
						<td width="70%" align="left">Coefficient de perméabilité à l'air de 0,60 m<sup>3</sup>/(h.m<sup>2</sup>) en immeuble collectif</td>
						<td width="15%" align="center">
						<xsl:choose>
							<xsl:when test ="Permea_LC_Bbio or Permea_LC_Bbio != '' "><xsl:value-of select="format-number(Permea_LC_Bbio,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
						</td>
						
						<td width="15%" align="center">
						<xsl:choose>
							<xsl:when test ="Permea_LC_Cep or Permea_LC_Cep != '' "><xsl:value-of select="format-number(Permea_LC_Cep,'#&#160;##0,##', 'fr')"/></xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
						
						</td>
					</tr>				
					<tr>
						<td width="70%" align="left">Coefficient de perméabilité à l'air diminuée de 50% par rapport à la valeur du projet, pour le tertiaire</td>
						<td width="15%" align="center">
							<xsl:choose>
								<xsl:when test ="Permea_Tertiaire_Bbio or Permea_Tertiaire_Bbio != '' "><xsl:value-of select="format-number(Permea_Tertiaire_Bbio,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td>
						<td width="15%" align="center">
							<xsl:choose>
								<xsl:when test ="Permea_Tertiaire_Cep or Permea_Tertiaire_Cep != '' "><xsl:value-of select="format-number(Permea_Tertiaire_Cep,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td>
					</tr>				
					
					
					<!-- fin.modif v2b13 -->
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Apports solaires et lumineux des baies :</b></td>
					</tr>
					<tr>
						<td width="70%" align="left">Facteurs solaires moyen Sw hiver des baies sans protection mobile, augmentés de 20%</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Apport_Sw_Sp_Aug_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Apport_Sw_Sp_Aug_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Facteurs solaires moyen Sw hiver des baies sans protection mobile, diminués de 20%</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Apport_Sw_Sp_Dim_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Apport_Sw_Sp_Dim_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Facteurs solaires moyen Sw été des baies avec protection mobile, augmentés de 20%</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Apport_Sw_Ap_Aug_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Apport_Sw_Ap_Aug_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Facteurs solaires moyen Sw été des baies avec protection mobile, diminués de 20%</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Apport_Sw_Ap_Dim_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Apport_Sw_Ap_Dim_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Facteurs de transmission lumineuse global des baies améliorés de 20%</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Facteur_Tt_Lum_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Facteur_Tt_Lum_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Parois opaques verticales et horizontales :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Valeurs des U murs, U planchers bas, U plafonds hauts, diminuées de 10%</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Valeurs_U_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Valeurs_U_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>			
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Baies vitrées :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Valeurs de U<sub>sp</sub> et U<sub>ap</sub> des baies vitrées sans et avec protection mobile en place, diminuées de 20%</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Valeur_Usp_Uap_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Valeur_Usp_Uap_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Ponts thermiques :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Valeurs des ponts thermiques Psi du bâtiment diminués de 20%</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Valeurs_Ponts_Th_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Valeurs_Ponts_Th_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>					
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Inertie thermique quotidienne :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Prise en compte d'une inertie légère au niveau de tous les groupes</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Inertie_Tres_Legere_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Inertie_Tres_Legere_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Prise en compte d'une inertie lourde au niveau de tous les groupes</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Inertie_Tres_Lourde_Bbio,'#&#160;##0,##', 'fr')"/></td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Inertie_Tres_Lourde_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>			
					
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Ventilation :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Prise en compte d'une étanchéité des réseaux de ventilation de classe B </td>
						<td width="15%" align="center" style="background-color: #cccccc;">&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Ventilation_Classe_B_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">En ventilation double flux, amélioration de l'efficacité de l'échangeur de 15%</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Ventilation_Amelio_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">En ventilation double flux, pénalisation de l'efficacité de l'échangeur de 15%</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Ventilation_Pena_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Chauffage :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Classe de variation spatiale et temporelle des émetteurs de chaud : pénalisation de 0,2 K</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Classe_Varia_Spa_Chaud_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Réseaux de distribution de chauffage pris sans pertes par rapport aux réseaux avec pertes</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Reseau_Distrib_Chauff_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Refroidissement :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Classe de variation spatiale et temporelle des émetteurs de froid : pénalisation de 0,2 K</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Classe_Varia_Spa_Froid_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Réseaux de froid pris sans pertes par rapport aux réseaux avec pertes</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Reseau_Distrib_Froid_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Eclairage :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Puissance d'éclairage installée des locaux, diminuée de 20% </td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Eclairage_Locaux_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Eau chaude sanitaire :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Coefficient de pertes Qpr des ballons de stockage diminuée de 10%</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(ECS_Perte_UAs_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Réseaux de distribution d'eau chaude sanitaire pris sans pertes par rapport aux réseaux avec pertes</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Reseau_ECS_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>			
					<tr>
						<td width="70%" align="left" colspan="3" class="strong"><b>Solaire thermique :</b></td>
					</tr>			
					<tr>
						<td width="70%" align="left">Surface de capteurs solaires thermique, augmentée de 10%</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Surf_Capteur_Sol_Aug_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>				
					<tr>
						<td width="70%" align="left">Surface de capteurs solaires thermique, diminuée de 10%</td>
						<td width="15%" align="center" style="background-color:#cccccc;" >&#160;</td>
						<td width="15%" align="center"><xsl:value-of select="format-number(Surf_Capteur_Sol_Dim_Cep,'#&#160;##0,##', 'fr')"/></td>
					</tr>			
			
												
					</xsl:for-each>

			</table>
	
	</xsl:template>	


<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="etudes_sensi_tic">
	<xsl:variable name="id_bat" select="Index"/>	
	
			<p class="batiment">Bâtiment : <strong><xsl:value-of select="Name"/></strong></p>
			<xsl:variable name="c_cols" select="count(/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe)"/>

			
			<table border="1" cellpadding="0" cellspacing="0" class="rt2012 h4" width="100%">
			<thead>
			<tr>
				<th width="80%">&#160;</th>
				<th width="20%" align="center" class="titre_tab" colspan="{$c_cols}">Tic (°C)</th>
			</tr>
			<tr>
				<th width="80%" align="left" class="strong">Nom zone / groupe</th>
				<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe">
					<th width="20%" align="center" class="strong"><xsl:value-of select="../../Name"/> / <xsl:value-of select="Name"/></th>
				</xsl:for-each>
			</tr>		
			</thead>
			<tbody>
				<tr>
					<td width="80%" align="left">Température intérieure conventionnelle atteinte en été Tic des zones, ou parties de zones, groupe ou locaux</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_E_Collection/Sortie_Batiment_E[Index=$id_bat]/Sortie_Zone_E_Collection/Sortie_Zone_E/Sortie_Groupe_E_Collection/Sortie_Groupe_E"><td width="20%" align="center"><xsl:value-of select="format-number(O_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>
				<tr>
					<td width="80%" align="center"><b>Modification de caractéristiques techniques du bâtiment</b></td>
					<td width="20%" align="center" colspan="{$c_cols}"><b>Sensibilités de la Tic</b></td>
				</tr>

				<tr>
					<td align="left" colspan="{$c_cols +1}" class="strong"><b>Apports solaires et lumineux des baies :</b></td>
				</tr>
				<tr>
					<td width="80%" align="left">Facteurs solaires moyen Sw_ap été des baies avec protection mobile, augmentés de 20%</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe"><td width="20%" align="center"><xsl:value-of select="format-number(Sw_Baies_Aug_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>			
				<tr>
					<td width="80%" align="left">Facteurs solaires moyen Sw_ap été des baies avec protection mobile, diminués de 20%</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe"><td width="20%" align="center"><xsl:value-of select="format-number(Sw_Baies_Dim_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>			
				<tr>
					<td width="80%" align="left">Facteurs de transmission lumineuse globale des baies améliorés de 20%</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe"><td width="20%" align="center"><xsl:value-of select="format-number(Transm_Lum_Global_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>
				<tr>
					<td align="left"  colspan="{$c_cols+1}" class="strong"><b>Parois opaques verticales et horizontales :</b></td>
				</tr>			
				<tr>
					<td width="80%" align="left">Valeurs des U murs, U planchers bas, U plafonds hauts, diminuées de 10%</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe"><td width="20%" align="center"><xsl:value-of select="format-number(Valeurs_U_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>			
				<tr>
					<td align="left"  colspan="{$c_cols+1}" class="strong"><b>Baies vitrées :</b></td>
				</tr>			
				<tr>
					<td width="80%" align="left">Valeurs de U<sub>w</sub> et U<sub>jn</sub> des baies vitrées diminuées de 30%</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe"><td width="20%" align="center"><xsl:value-of select="format-number(Valeurs_Usp_Uap_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>				
				<tr>
					<td align="left"  colspan="{$c_cols+1}" class="strong"><b>Inertie thermique quotidienne :</b></td>
				</tr>			
				<tr>
					<td width="80%" align="left">Prise en compte d'une inertie légère au niveau de tous les groupes</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe"><td width="20%" align="center"><xsl:value-of select="format-number(Inertie_Tres_Legere_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>
				
				<tr>
					<td width="80%" align="left">Prise en compte d'une inertie lourde au niveau de tous les groupes</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe"><td width="20%" align="center"><xsl:value-of select="format-number(Inertie_Tres_Lourde_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>				
				<tr>
					<td align="left"  colspan="{$c_cols+1}" class="strong"><b>Eclairage :</b></td>
				</tr>			
				<tr>
					<td width="80%" align="left">Puissance d'éclairage installée des locaux, diminuée de 20%</td>
					<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]/Sortie_Sensibilite_Zone_Collection/Sortie_Sensibilite_Zone/Sortie_Sensibilite_Groupe_Collection/Sortie_Sensibilite_Groupe"><td width="20%" align="center"><xsl:value-of select="format-number(Puiss_Eclair_Locaux_Tic,'#&#160;##0,##', 'fr')"/></td></xsl:for-each>
				</tr>
			</tbody>
			</table>
	</xsl:template>	

<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="etudes_usagers">
	<xsl:variable name="id_bat" select="Index"/>
	<!-- pour les batiments dont les zones on un code usage de 3 à 38 -->
	<div class="note">
		<p>Les bâtiments basse consommation énergétique, sont très sensibles aux comportements des différents usagers. La RT 2012 est basée sur une méthode conventionnelle de calculs des consommations énergétiques, exprimée en valeur absolue. Les consommations réelles dépendent de l'implication des occupants dans la maîtrise de l'énergie et la maîtrise des coûts énergétiques. Les sensibilités des résultats de calculs à des comportements différents des conventions utilisées dans le calcul réglementaire RT 2012, ont pour objet de sensibiliser les maîtres d'ouvrages, les gestionnaires, et les occupants sur les enjeux énergétiques principaux du bâtiment.</p>
		<p>On distingue 2 scénarii appliqués dans leur globalité :</p>
		<ul>
			<li>Scénario optimiste : l'occupant est acteur de la maîtrise de l'énergie,</li>
			<li>Scénario pessimiste : l'occupant est indifférent à la maîtrise de l'énergie</li>
		</ul>	
	</div>
	
	<!-- tab en dur -->
	<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
		<thead>
		<tr>
			<th width="40%" class="head3">Paramètres pris en compte pour les sensibilités</th>
			<th width="15%" class="head3">Usage de la zone</th>
			<th width="15%" class="head3">Condition de gestion</th>
			<th width="15%" class="head3">Scénario pessimiste</th>
			<th width="15%" class="head3">Scénario optimiste</th>
		</tr>
		</thead>
		<tr>
			<td>Température de consigne de la fourniture de chauffage (tous locaux)</td><td align="center">Maisons individuelles ou résidentiel collectif</td><td align="center">Gestion domestique</td><td align="center">+ 2 °C</td><td align="center">- 2 °C</td>
		</tr>

		<tr>
			<td>Température de consigne de la fourniture de froid (si présence de locaux climatisés)</td><td align="center">Maisons individuelles ou résidentiel collectif</td><td align="center">Gestion domestique</td><td align="center">- 2 °C</td><td align="center">+ 2 °C</td>
		</tr>
		
		<tr>
			<td>Besoins volumique en Eau Chaude Sanitaire</td><td align="center">Maisons individuelles ou résidentiel collectif</td><td align="center">Gestion domestique</td><td align="center">+ 30 %</td><td align="center">- 30 %</td>
		</tr>
		
		<tr>
			<td>Gestion de l'éclairage dans les pièces</td><td align="center">Maisons individuelles ou résidentiel collectif</td><td align="center">Gestion domestique</td><td align="center">+ 0,4 W/m<sup>2</sup></td><td align="center">- 0,4 W/m<sup>2</sup></td>
		</tr>
	</table>
	
<p class="batiment">Bâtiment : <strong><xsl:value-of select="Name"/></strong></p>

	
	<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
	<thead>
	<tr>
		<th width="25%" class="head3">En kWh ep/m<sup>2</sup> S<sub>RT</sub></th>
		<th width="25%" class="head3">Scénario pessimiste</th>
		<th width="25%" class="head3">Projet bâtiment - Scénario conventionnel de la réglementation</th>
		<th width="25%" class="head3">Scénario optimiste</th>
	</tr>
	</thead>
	<xsl:for-each select="/projet/Sortie_Projet/Sortie_Sensibilite_Batiment_Collection/Sortie_Sensibilite_Batiment[Index=$id_bat]">	
		<tbody>
			<tr>
				<td align="left">Consommations de chauffage</td><td align="center"><xsl:value-of select="format-number(Scenario_Pessimiste_Cep_Ch,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ch_annuel,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(Scenario_Optimiste_Cep_Ch,'#&#160;##0,##', 'fr')"/></td>
			</tr>	
			<tr>
				<td align="left">Consommations de refroidissement</td><td align="center"><xsl:value-of select="format-number(Scenario_Pessimiste_Cep_Fr,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_fr_annuel,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(Scenario_Optimiste_Cep_Fr,'#&#160;##0,##', 'fr')"/></td>
			</tr>					
			<tr>
				<td align="left">Consommations d'éclairage</td><td align="center"><xsl:value-of select="format-number(Scenario_Pessimiste_Cep_Ecl,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ecl_annuel,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(Scenario_Optimiste_Cep_Ecl,'#&#160;##0,##', 'fr')"/></td>
			</tr>	
			<tr>
				<td align="left">Consommations d'ECS</td><td align="center"><xsl:value-of select="format-number(Scenario_Pessimiste_Cep_ECS,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_ecs_annuel,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(Scenario_Optimiste_Cep_ECS,'#&#160;##0,##', 'fr')"/></td>
			</tr>	
			<tr>
				<td align="left">Consommations des auxiliaires de ventilation</td><td align="center"><xsl:value-of select="format-number(Scenario_Pessimiste_Cep_AuxV,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_aux_ventilateur_annuel,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(Scenario_Optimiste_Cep_AuxV,'#&#160;##0,##', 'fr')"/></td>
			</tr>	
			<tr>
				<td align="left">Consommations des auxiliaires de distribution</td><td align="center"><xsl:value-of select="format-number(Scenario_Pessimiste_Cep_AuxS,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_aux_distribution_annuel,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(Scenario_Optimiste_Cep_AuxS,'#&#160;##0,##', 'fr')"/></td>
			</tr>	
			<tr>
				<td align="left" class="strong"><b>Coefficient Cep</b></td><td align="center" class="strong"><xsl:value-of select="format-number(Scenario_Pessimiste_Cep,'#&#160;##0,##', 'fr')"/></td>
				<td align="center" class="strong">
				<xsl:choose>
					<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_annuel != 'NaN' ">
						<xsl:value-of select="format-number(/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_annuel, '#&#160;##0,##', 'fr')"/>	
					</xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>				
				</td><td align="center" class="strong"><xsl:value-of select="format-number(Scenario_Optimiste_Cep,'#&#160;##0,##', 'fr')"/></td>
			</tr>	
			<tr>
				<td align="left"><b>Ecart avec le scénario conventionnel de la réglementation</b></td>
				<td align="center">		
				<xsl:choose>
					<xsl:when test="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_Max != 'NaN' ">
						<xsl:value-of select="format-number(Scenario_Pessimiste_Cep - /projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]/O_Cep_Max,'#&#160;##0,##', 'fr')"/>
					</xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>						
				</td>
				<td style="background-color:#ccc;"></td><td align="center"><xsl:value-of select="format-number(Scenario_Optimiste_Cep - Scenario_Pessimiste_Cep,'#&#160;##0,##', 'fr')"/></td>
			</tr>	
		</tbody>
</xsl:for-each>			
	</table>
	
</xsl:template>		
	
	
	
<!-- Réseaux de distribution intergroupe -->	
	
	<xsl:template match="/projet/Entree_Projet" mode="distribution_intergroupe">
			<xsl:if test="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud/Index">
				<a name="chapri1"></a><xsl:call-template name="distrib_intergrp_ch"/>			
			</xsl:if>
			
			<xsl:if test="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid/Index">
				<a name="chapri2"></a><xsl:call-template name="distrib_intergrp_fr"/>	
			</xsl:if>				
			
			<xsl:if test="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS/Index">				
				<a name="chapri3"></a><xsl:call-template name="distrib_intergrp_ecs"/>
			</xsl:if>		
	</xsl:template>	


<!-- 
**************************************************************************************************************************
********************************************************* LES TEMPLATES NAME ********************************** 
**************************************************************************************************************************
-->

<xsl:template name="type_emetteur_ch">
<xsl:choose>
								<xsl:when test=". = 0">--</xsl:when>
								<xsl:when test=". = 1">Sans émetteur de chauffage</xsl:when>
								<xsl:when test=". = 2">Convecteur électrique</xsl:when>
								<xsl:when test=". = 3">Ventilo convecteur</xsl:when>
								<xsl:when test=". = 4">Poutres climatiques</xsl:when>
								<xsl:when test=". = 5">Aérotherme</xsl:when>
								<xsl:when test=". = 6">Panneaux rayonnants électriques</xsl:when>
								<xsl:when test=". = 7">Radiateur à eau chaude</xsl:when>
								<xsl:when test=". = 8">Plancher rayonnant électrique</xsl:when>
								<xsl:when test=". = 9">Plancher chauffant eau chaude</xsl:when>
								<xsl:when test=". = 10">Plancher chauffant solaire</xsl:when>
								<xsl:when test=". = 11">Tube rayonnant gaz basse température</xsl:when>
								<xsl:when test=". = 12">Panneau radiant lumineux gaz</xsl:when>
								<xsl:when test=". = 13">Murs chauffants</xsl:when>
								<xsl:when test=". = 14">Panneaux rayonnants de plafonds</xsl:when>
								<xsl:when test=". = 15">Cassette rayonnante basse ou moyenne température</xsl:when>
								<xsl:when test=". = 16">Plafond chauffant électrique</xsl:when> 
								<xsl:when test=". = 17">Plafond chauffant eau chaude</xsl:when>
								<xsl:when test=". = 18">Radiant électrique infrarouge moyen ou cours</xsl:when>
								<xsl:when test=". = 19">Diffusion d'air chaud par réseau aéraulique</xsl:when> 
								<xsl:when test=". = 20">Emetteurs à forte induction (diffuseurs à jet vertical descendant, buses,<br/>diffuseurs tourbillonnaires, diffuseurs à géométrie variable)</xsl:when>
								<xsl:when test=". = 21">Autres cas</xsl:when>							
								<xsl:otherwise>-</xsl:otherwise>
			</xsl:choose>
</xsl:template>	

<xsl:template name="type_emetteur_fr">
	<xsl:choose>
					<xsl:when test=". = 1">Sans émetteur de froid</xsl:when>
					<xsl:when test=". = 2">Soufflage d'air froid (ventilo-convecteurs...)</xsl:when>
					<xsl:when test=". = 3">Poutres froides</xsl:when>
					<xsl:when test=". = 4">Plafonds rafraichissants, panneaux rafrichissants de plafond</xsl:when>
					<xsl:when test=". = 5">Murs rafraichissant</xsl:when>
					<xsl:when test=". = 6">Plancher rafraichissant</xsl:when>
					<xsl:when test=". = 7">Autres cas</xsl:when>							
					<xsl:otherwise>-</xsl:otherwise>
	</xsl:choose>
</xsl:template>
	
<!-- Réseaux de distribution intergroupe de chauffage -->
<xsl:template name="distrib_intergrp_ch">

	<xsl:variable name="n_intrg_ch" select="50 div count(Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6])"/>
	
			<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
						<thead>
						<tr>
							<th width="40%">Réseau de chauffage</th><th width="10%">Unité</th>
								<xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
									<th width="{$n_intrg_ch}%" class="strong"><xsl:value-of select="Name"/></th>
								</xsl:for-each>
							</tr>
						</thead>
						
						<tr>
							<td><strong>Génération liée au réseau</strong></td>
							<td align="center">-</td>
							<xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
								<td align="center" class="important">
									<xsl:choose>
										<xsl:when test="Id_Gen and Id_Gen &gt; 0 ">
											<xsl:variable name="gen_lie" select="Id_Gen"/><xsl:value-of select="/projet/Entree_Projet/Generation_Collection/Generation[Index=$gen_lie]/Name"/>
										</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>		
								</td>
							</xsl:for-each>
						</tr>
						
						<tr><td>Type de réseau de distribution intergroupe</td><td align="center">-</td><xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]"><td align="center">
							<xsl:choose>
								<xsl:when test="Type_Prim = 0">Réseau de distribution virtuel sans perte</xsl:when>
								<xsl:when test="Type_Prim = 1">Réseau de distribution physique</xsl:when>
								<xsl:when test="Type_Prim = 2">Réseau hydraulique individuel uniquement</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td></xsl:for-each></tr>
						
						<tr><td>Longueur de réseau de distribution intergroupe en volume chauffé</td><td align="center">ml</td><xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]"><td align="center">
							<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Lvc_Prim,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td></xsl:for-each></tr>
						<tr><td>Longueur de réseau de distribution intergroupe hors volume chauffé</td><td align="center">ml</td><xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Lhvc_Prim,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>									
						</td></xsl:for-each></tr>
						<tr><td>Coefficient de déperditions linéaire moyen du réseau pour le chauffage en volume chauffé</td><td align="center">W/mK</td><xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Umoyen_Vc_Prim_Ch,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>									
						</td></xsl:for-each></tr>
						
						<tr><td>Classe d'isolation déduite du réseau pour le chauffage en volume chauffé</td>
							<td align="center">-</td><xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
							<xsl:variable name="id_intch" select="Index"/>
							<td align="center">
								<xsl:choose>
									<xsl:when test="/projet/Datas_Comp/distribution_intergroupe_chaud[Index=$id_intch]/classe_vc">
										<xsl:value-of select="/projet/Datas_Comp/distribution_intergroupe_chaud[Index=$id_intch]/classe_vc"/>
									</xsl:when>
									<xsl:otherwise><i>non renseigné</i></xsl:otherwise>
								</xsl:choose>
							</td></xsl:for-each>
						</tr>
						
						<tr>
							<td>Coefficient de déperditions linéaire moyen du réseau pour le chauffage hors volume chauffé</td><td align="center">W/mK</td><xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
							<td align="center">
								<xsl:choose>
									<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Umoyen_Hvc_Prim_Ch,'#&#160;##0,##', 'fr')"/></xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>												
							</td>
						</xsl:for-each>
						</tr>
						<tr>
							<td>Classe d'isolation déduite du réseau pour le chauffage hors volume chauffé</td>
							<td align="center">-</td>
							<xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
							<xsl:variable name="id_intch" select="Index"/>
								<td align="center">
								<xsl:choose>
									<xsl:when test="/projet/Datas_Comp/distribution_intergroupe_chaud[Index=$id_intch]/classe_hvc">
										<xsl:value-of select="/projet/Datas_Comp/distribution_intergroupe_chaud[Index=$id_intch]/classe_hvc"/>
									</xsl:when>
									<xsl:otherwise><i>non renseigné</i></xsl:otherwise>
								</xsl:choose>	
								</td>
							</xsl:for-each></tr>
						<tr><td>Mode de régulation gestion du circulateur du réseau intergroupe en chauffage</td><td align="center">-</td>
						
						<xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
						<td align="center">
							<xsl:choose>
								<xsl:when test="Gest_Circ_Prim_Ch = 0">Pas de circulateur</xsl:when>
								<xsl:when test="Gest_Circ_Prim_Ch = 1">Vitesse constante</xsl:when>
								<xsl:when test="Gest_Circ_Prim_Ch = 2">Vitesse variable et maintien du réseau à pression différentielle constante</xsl:when>
								<xsl:when test="Gest_Circ_Prim_Ch = 3">Vitesse variable et variation de la pression différentielle du réseau </xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						
						</td></xsl:for-each></tr>
						<tr><td>Puissance du circulateur du réseau intergroupe en chauffage</td><td align="center">W</td><xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Pcirc_Prim_Ch,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
						</td></xsl:for-each></tr>
						<tr>
							<td>Espace tampon éventuel associé</td>
							<td align="center">-</td>
							<xsl:for-each select="Distribution_Intergroupe_Chaud_Collection/Distribution_Intergroupe_Chaud[position() &lt; 6]">
								<xsl:choose>
										<xsl:when test="Id_Et &gt; 0">
											<xsl:variable name="espETint" select="Id_Et"/>
											<td align="center"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon[Index=$espETint]/Name"/></td>
										</xsl:when>
										<xsl:otherwise><td align="center">--</td></xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</tr>
				</table>


</xsl:template>


<xsl:template name="distrib_intergrp_fr">

	<xsl:variable name="n_intrg_fr" select="50 div count(Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6])"/>
			<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
						<thead>
						<tr><th width="40%">Réseau de refroidissement</th><th width="10%">Unité</th><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]"><th width="{$n_intrg_fr}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each></tr>
						</thead>
						
						<tr><td><strong>Génération liée au réseau</strong></td><td align="center">-</td>
							<xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
								<td align="center" class="important">
									<xsl:choose>
										<xsl:when test="Id_Gen and Id_Gen &gt; 0">
											<xsl:variable name="gen_lie" select="Id_Gen"/><xsl:value-of select="/projet/Entree_Projet/Generation_Collection/Generation[Index=$gen_lie]/Name"/>
										</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>		
								</td>
							</xsl:for-each>
						</tr>
						
						<tr><td>Type de réseau de distribution intergroupe</td><td align="center">-</td><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]"><td align="center">
							<xsl:choose>
								<xsl:when test="Type_Prim = 0">Réseau de distribution virtuel sans perte</xsl:when>
								<xsl:when test="Type_Prim = 1">Réseau de distribution physique</xsl:when>
								<xsl:when test="Type_Prim = 2">Réseau hydraulique individuel uniquement</xsl:when>								
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td></xsl:for-each></tr>
						
						<tr><td>Longueur de réseau de distribution intergroupe en volume chauffé</td><td align="center">ml</td><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Lvc_Prim,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>
						</td></xsl:for-each></tr>
						<tr><td>Longueur de réseau de distribution intergroupe hors volume chauffé</td><td align="center">ml</td><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Lhvc_Prim,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>							
							</td></xsl:for-each></tr>
						<tr><td>Coefficient de déperditions linéaire moyen du réseau pour le refroidissement en volume chauffé</td><td align="center">W/mK</td><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Umoyen_Vc_Prim_Fr,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>								
						</td></xsl:for-each></tr>
						<tr><td>Classe d'isolation déduite du réseau pour le refroidissement en volume chauffé</td><td align="center">-</td>
						<xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
							<xsl:variable name="id_intfr" select="Index"/>
								<td align="center">
								<xsl:choose>
									<xsl:when test="/projet/Datas_Comp/distribution_intergroupe_froid[Index=$id_intfr]/classe_vc">
										<xsl:value-of select="/projet/Datas_Comp/distribution_intergroupe_froid[Index=$id_intfr]/classe_vc"/>
									</xsl:when>
									<xsl:otherwise><i>non renseigné</i></xsl:otherwise>
								</xsl:choose>	
								</td>
						</xsl:for-each></tr>
						<tr><td>Coefficient de déperditions linéaire moyen du réseau pour le refroidissement hors volume chauffé</td><td align="center">W/mK</td><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="Umoyen_Hvc_Prim_Fr"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>								
						</td></xsl:for-each></tr>
						<tr><td>Classe d'isolation déduite du réseau pour le refroidissement hors volume chauffé</td>
						<td align="center">-</td><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
						<xsl:variable name="id_intfr" select="Index"/>
						<td align="center">
								<xsl:choose>
									<xsl:when test="/projet/Datas_Comp/distribution_intergroupe_froid[Index=$id_intfr]/classe_hvc">
										<xsl:value-of select="/projet/Datas_Comp/distribution_intergroupe_froid[Index=$id_intfr]/classe_hvc"/>
									</xsl:when>
									<xsl:otherwise><i>non renseigné</i></xsl:otherwise>
								</xsl:choose>		
						</td></xsl:for-each></tr>
						<tr><td>Mode de régulation gestion du circulateur du réseau intergroupe en refroidissement</td><td align="center">-</td><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]"><td align="center">
						
							<xsl:choose>
								<xsl:when test="Gest_Circ_Prim_Fr = 0">Pas de circulateur</xsl:when>
								<xsl:when test="Gest_Circ_Prim_Fr = 1">Vitesse constante</xsl:when>
								<xsl:when test="Gest_Circ_Prim_Fr = 2">Vitesse variable et maintien du réseau à pression différentielle constante</xsl:when>
								<xsl:when test="Gest_Circ_Prim_Fr = 3">Vitesse variable et variation de la pression différentielle du réseau </xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						
						</td></xsl:for-each></tr>
						<tr>
							<td>Puissance du circulateur du réseau intergroupe de froid</td><td align="center">W</td><xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
							<td align="center">
							<xsl:choose>
								<xsl:when test="Type_Prim = 1"><xsl:value-of select="format-number(Pcirc_Prim_Fr,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>										
							</td></xsl:for-each>
						</tr>
						<tr>
							<td>Espace tampon éventuel associé</td>
							<td align="center">-</td>
							<xsl:for-each select="Distribution_Intergroupe_Froid_Collection/Distribution_Intergroupe_Froid[position() &lt; 6]">
								<xsl:choose>
										<xsl:when test="Id_Et &gt; 0">
											<xsl:variable name="espETint" select="Id_Et"/>
											<td align="center"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon[Index=$espETint]/Name"/></td>
										</xsl:when>
										<xsl:otherwise><td align="center">--</td></xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</tr>
				</table>

</xsl:template>


<xsl:template name="distrib_intergrp_ecs">

	<xsl:variable name="n_intrg_e" select="50 div count(Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6])"/>
			<table border="1"  cellpadding="0" cellspacing="0" class="rt2012 h3" width="100%">
						<thead>
						<tr><th>Réseau eau chaude sanitaire</th><th>Unité</th><xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]"><th width="{$n_intrg_e}%" class="strong"><xsl:value-of select="Name"/></th></xsl:for-each></tr></thead>
						
						<tr><td><strong>Génération liée au réseau</strong></td><td align="center">-</td>
							<xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]">
								<td align="center" class="important">
									<xsl:choose>
										<xsl:when test="Id_Generation and Id_Generation &gt; 0">
											<xsl:variable name="gen_lie" select="Id_Generation"/><xsl:value-of select="/projet/Entree_Projet/Generation_Collection/Generation[Index=$gen_lie]/Name"/>
										</xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
									</xsl:choose>		
								</td>
							</xsl:for-each>
						</tr>				
						
						
						<tr><td>Type de réseau de distribution intergroupe</td><td align="center">-</td><xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]"><td align="center">
							<xsl:choose>
								<xsl:when test="type_reseau_intergroupe_e = 0">Pas de réseau intergroupe</xsl:when>
								<xsl:when test="type_reseau_intergroupe_e = 1">Réseau bouclé</xsl:when>
								<xsl:when test="type_reseau_intergroupe_e = 2">Réseau tracé</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
						</td></xsl:for-each></tr>
						
						<tr><td>Longueur de réseau de distribution intergroupe bouclé ou tracé en volume chauffé</td><td align="center">ml</td>
						<xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="type_reseau_intergroupe_e = 1"><xsl:value-of select="format-number(l_vc_prim_bcl_e,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:when test="type_reseau_intergroupe_e = 2"><xsl:value-of select="format-number(l_vc_prim_trac_e,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>								
						</td></xsl:for-each></tr>
						<tr>
						<td>Longueur de réseau de distribution intergroupe bouclé ou tracé hors volume chauffé</td><td align="center">ml</td>
							<xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]">
								<td align="center">
								<xsl:choose>
										<xsl:when test="type_reseau_intergroupe_e = 1"><xsl:value-of select="format-number(l_hvc_prim_bcl_e,'#&#160;##0,##', 'fr')"/></xsl:when>
										<xsl:when test="type_reseau_intergroupe_e = 2"><xsl:value-of select="format-number(l_hvc_prim_trac_e,'#&#160;##0,##', 'fr')"/></xsl:when>
										<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>															
								</td>
							</xsl:for-each>
						</tr>
						<tr><td>Coefficient de transfert thermique linéique spécifique de la distribution intergroupe d'ECS</td><td align="center">W/mK</td><xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]">
						<td align="center">
						<xsl:choose>
								<xsl:when test="type_reseau_intergroupe_e != 0"><xsl:value-of select="format-number(u_prim_e,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>								
						</td></xsl:for-each></tr>
						<tr><td>Classe d'isolation déduite du réseau pour l'eau chaude sanitaire</td><td align="center">-</td>
						<xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]">
						<xsl:variable name="id_intecs" select="Index"/>
						<td align="center">
								<xsl:choose>
									<xsl:when test="/projet/Datas_Comp/distribution_intergroupe_ecs[Index=$id_intecs]/classe_vc">
										<xsl:value-of select="/projet/Datas_Comp/distribution_intergroupe_ecs[Index=$id_intecs]/classe_vc"/>
									</xsl:when>
									<xsl:otherwise><i>non renseigné</i></xsl:otherwise>
								</xsl:choose>				
						</td></xsl:for-each></tr>
						<tr><td>Présence de réchauffeur de boucle</td><td align="center">-</td>
						<xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]"><td align="center">
						
							<xsl:choose>
								<xsl:when test="Is_Rechauf_Bcl_e = 0">Non</xsl:when>
								<xsl:when test="Is_Rechauf_Bcl_e = 1">Oui</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
							
						</td></xsl:for-each></tr>
						<tr><td>Type de gestion des circulateurs du réseau de distribution intergroupe d'ECS</td><td align="center">-</td><xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]"><td align="center">
						
							<xsl:choose>
								<xsl:when test="type_gest_circ_e = 0">Pas de gestion</xsl:when>
								<xsl:when test="type_gest_circ_e = 1">Arrêt circulateur pendant la période des vacances</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>					
						
						</td></xsl:for-each></tr>
						<tr><td>Puissance des circulateurs du réseau intergroupe bouclé d'ECS</td><td align="center">W</td><xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]"><td align="center"><xsl:value-of select="format-number(p_circ_prim_e,'#&#160;##0,##', 'fr')"/></td></xsl:for-each></tr>
						
						<tr>
							<td>Identifiant du PCAD CESCAI éventuel associé</td>
							<td align="center">-</td>
							<xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]">
								<xsl:choose>
										<xsl:when test="Id_PCAD &gt; 0">
											<xsl:variable name="espPCAD" select="Id_PCAD"/>
											<td align="center"><xsl:value-of select="/projet/Entree_Projet/PCAD_Collection/PCAD[Index=$espPCAD]/Name"/></td>
										</xsl:when>
										<xsl:otherwise><td align="center">-</td></xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</tr>						
						
						<tr>
							<td>Espace tampon éventuel associé</td>
							<td align="center">-</td>
							<xsl:for-each select="Distribution_Intergroupe_ECS_Collection/Distribution_Intergroupe_ECS[position() &lt; 6]">
								<xsl:choose>
										<xsl:when test="Id_Et &gt; 0">
											<xsl:variable name="espETint" select="Id_Et"/>
											<td align="center"><xsl:value-of select="/projet/Entree_Projet/Batiment_Collection/Batiment/Espace_Tampon_Collection/Espace_Tampon[Index=$espETint]/Name"/></td>
										</xsl:when>
										<xsl:otherwise><td align="center">-</td></xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</tr>
				</table>
</xsl:template>


	<!-- pour afficher 0 - conforme - 1 - non conforme (en rouge), 2 sans objet -->
	<xsl:template name="conformite">
		<xsl:choose>
			<xsl:when test=".=0">
				<span class="ko">Non Conforme</span>
			</xsl:when>
			<xsl:when test=".=1"><span class="ok">Conforme</span></xsl:when>
			<xsl:when test=".=2"><i>Sans Objet</i></xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="identite">
		<xsl:param name="classtype"/>
		<xsl:param name="chemin"/>
		<xsl:param name="qui"/>
		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 administratif {$classtype}" width="100%">
			<thead>
				<tr>
					<th colspan="2" class="strong"><xsl:value-of select="$qui"/></th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<th width="250">Nom ou raison sociale :</th>
					<td><xsl:value-of select="$chemin/nom"/></td>
				</tr>
				<tr>
					<th>Adresse :</th>
					<td>
						<xsl:value-of select="$chemin/adresse/ligne[1]"/>
						<br/>
						<xsl:value-of select="$chemin/adresse/ligne[2]"/>
						<br/>
						<xsl:value-of select="$chemin/adresse/ligne[3]"/>
						<br/>
						<xsl:value-of select="$chemin/adresse/code_postal"/>&#160;<xsl:value-of select="$chemin/adresse/ville"/>
					</td>
				</tr>
				<tr>
					<th>Contact tél/mél :</th>
					<td>
						<xsl:value-of select="$chemin/tel"/> - <a href="mailto:{$chemin/courriel}"><xsl:value-of select="$chemin/courriel"/></a>
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>
	
	
	<!-- template complémentaire des parois opaques -->
	
	<xsl:template name="parois_opaques">
		<xsl:param name="c_type_paroi"/>
		<xsl:param name="c_bati"/>
		
			<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/parois_opaques[@type_paroi=$c_type_paroi]">
				<xsl:sort select="U_paroi * surface_totale" data-type="number" order="descending"/>
								
						<tr>
							<td width="20%"><b>
								<xsl:choose>
									<xsl:when test="$c_type_paroi=1">Parois verticales opaques</xsl:when>
									<xsl:when test="$c_type_paroi=2">Planchers bas</xsl:when>
									<xsl:when test="$c_type_paroi=3">Planchers hauts</xsl:when>
									<xsl:when test="$c_type_paroi=4">Parois sur locaux non chauffés</xsl:when>
								</xsl:choose></b>
							</td>
							<td align="center">
								<xsl:choose>
									<xsl:when test="$c_type_paroi=1"><!-- Parois Verticales -->
										<xsl:choose>
											<xsl:when test="nature=1">Mur extérieur</xsl:when>
											<xsl:when test="nature=2">Mur sur comble aménagé</xsl:when>
											<xsl:when test="nature=3">Mur façade rideau</xsl:when>
											<xsl:when test="nature=4">Cloison de redressements</xsl:when>
											<xsl:when test="nature=5">Coffre volets roulants</xsl:when>
											<xsl:when test="nature=6">Porte extérieure</xsl:when>
											<xsl:when test="nature=7">Autre</xsl:when>
										</xsl:choose>							
									</xsl:when>
									<xsl:when test="$c_type_paroi=2"><!-- plancher bas -->
										<xsl:choose>
											<xsl:when test="nature=1">Vide sanitaire</xsl:when>
											<xsl:when test="nature=2">Terre plein</xsl:when>
											<xsl:when test="nature=3">Sous-sol</xsl:when>
											<xsl:when test="nature=4">Extérieur</xsl:when>
											<xsl:when test="nature=5">Parking</xsl:when>
											<xsl:when test="nature=6">Autre</xsl:when>
										</xsl:choose>							
									</xsl:when>
									<xsl:when test="$c_type_paroi=3"><!-- plancher haut toitures -->
										<xsl:choose>
											<xsl:when test="nature=1">Terrasse</xsl:when>
											<xsl:when test="nature=2">Sous combles perdus</xsl:when>
											<xsl:when test="nature=3">Rampants</xsl:when>
											<xsl:when test="nature=4">Toiture parking</xsl:when>
											<xsl:when test="nature=5">Toitures métalliques</xsl:when>
											<xsl:when test="nature=7">Autre</xsl:when>
										</xsl:choose>							
									</xsl:when>	
									<xsl:when test="$c_type_paroi=4"><!-- parois sur locaux non chauffés -->
										<xsl:choose>
											<xsl:when test="nature=1">Plancher sur local NC</xsl:when>
											<xsl:when test="nature=2">Mur cage escalier / ascenseur</xsl:when>
											<xsl:when test="nature=3">Mur circulations NC</xsl:when>
											<xsl:when test="nature=4">Mur garage</xsl:when>
											<xsl:when test="nature=5">Portes sur local NC</xsl:when>
											<xsl:when test="nature=6">Autre</xsl:when>
										</xsl:choose>							
									</xsl:when>								
								</xsl:choose>
								
							</td>
							<td align="center"><xsl:value-of select="name"/></td>
							
							<!-- systeme constructif, que pour parois verticales opaques -->
							<xsl:choose>
								<xsl:when test="$c_type_paroi=1">
									<td align="center">
										<xsl:choose>
											<xsl:when test="systeme_constructif=1">Isolation thermique par l'intérieur</xsl:when>
											<xsl:when test="systeme_constructif=2">Isolation thermique par l'extérieure</xsl:when>
											<xsl:when test="systeme_constructif=3">Isolation thermique par l'extérieure et l'intérieur</xsl:when>
											<xsl:when test="systeme_constructif=4">Isolation thermique répartie (monomur terre cuite ou béton cellulaire)</xsl:when>
											<xsl:when test="systeme_constructif=5">Ossature bois</xsl:when>
											<xsl:when test="systeme_constructif=6">Ossature métal</xsl:when>
											<xsl:when test="systeme_constructif=7">Bloc de béton ou de parpaing avec isolation intégrée</xsl:when>
											<xsl:when test="systeme_constructif=8">Autre : <xsl:value-of select="systeme_constructif_autre"/></xsl:when>
										</xsl:choose>
									</td>
								</xsl:when>
								<xsl:otherwise><td class="vide">&#160;</td></xsl:otherwise>
							</xsl:choose>
							
							<td align="center"><xsl:value-of select="format-number(epaisseur_isolant,'#&#160;##0,##', 'fr')"/></td>
							<td align="center"><xsl:value-of select="format-number(resistance_thermique_isolant,'#&#160;##0,##', 'fr')"/></td>
							
							<td align="center">
								<xsl:choose>
									<xsl:when test="origine_donnee=0">Marquage CE système 1+</xsl:when>
									<xsl:when test="origine_donnee=1">Marquage CE autre système</xsl:when>
									<xsl:when test="origine_donnee=2">Document d'avis technique ou Document technique d'application</xsl:when>
									<xsl:when test="origine_donnee=3">Certification suivant article L115-27 et L115-28 du CCH ou certification équivalente</xsl:when>
									<xsl:when test="origine_donnee=4">Valeur par défaut des Th bât "Fascicule parois"</xsl:when>
									<xsl:otherwise>-</xsl:otherwise>
								</xsl:choose>
							</td>
							
							<td align="center"><xsl:value-of select="format-number(U_paroi,'#&#160;##0,##', 'fr')"/></td>
							<td align="center"><xsl:value-of select="format-number(surface_totale,'#&#160;##0,##', 'fr')"/></td>
							<td align="center">
							<xsl:choose>
								<xsl:when test="donnant=0">L'extérieur</xsl:when>
								<xsl:when test="donnant=1">Espace tampon solarisé</xsl:when>
								<xsl:when test="donnant=2">Espace tampon non solarisé LNC (<span class="important">b=<xsl:value-of select="donnant/@b"/></span>)</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
							</td>
						</tr>
				</xsl:for-each>
				
				<xsl:if test="sum(/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/parois_opaques[@type_paroi=$c_type_paroi]/surface_totale) != 0">

						<tr>
							<td style="background-color:#CDCDCD;" colspan="8" align="right">
								<strong>Total 
								<xsl:choose>
										<xsl:when test="$c_type_paroi='1'">parois verticales</xsl:when>
										<xsl:when test="$c_type_paroi='2'">planchers bas</xsl:when>
										<xsl:when test="$c_type_paroi='3'">planchers hauts</xsl:when>
										<xsl:when test="$c_type_paroi='4'">parois sur locaux non chauffés</xsl:when>
									</xsl:choose>
								</strong>
							</td>
							<td class="strong" align="center"><strong><xsl:value-of select="format-number(sum(/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/parois_opaques[@type_paroi=$c_type_paroi]/surface_totale),'#&#160;##0,##', 'fr')"/></strong></td>
							<td class="vide">&#160;</td>
						</tr>

				</xsl:if>			
	
	</xsl:template>
	
	
	
	<xsl:template name="parois_vitrees">
		<xsl:param name="c_orientation"/>
		<xsl:param name="c_bati"/>
		
			<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/parois_vitrees[@orientation=$c_orientation]">
			<xsl:sort select="Uw * surface_totale" data-type="number" order="descending"/>
					<tr>
						<td align="center"><xsl:value-of select="name"/></td>
						<!-- type paroi vitrée-->
						<td align="center">
							<xsl:call-template name="type_paroi_vitree"/>								
						</td>
						<!-- type protection -->
						<td align="center">
							<xsl:call-template name="type_protection_mobile"/>			
						</td>
						
						<!-- type menuiserie -->
						<td align="center">
						<xsl:choose>
							<xsl:when test="type_menuiserie=0">Bois</xsl:when>
							<xsl:when test="type_menuiserie=1">Mixte (Bois / Alu)</xsl:when>
							<xsl:when test="type_menuiserie=2">PVC</xsl:when>
							<xsl:when test="type_menuiserie=3">Alu à rupture de pont</xsl:when>
							<xsl:when test="type_menuiserie=4">Sans objet</xsl:when>
							<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>									
						</td>

						<!-- type vitrage (type, épaisseur, traitement glace, remplissage gaz), voir SPE V1.5 du CDC -->
						<td align="center"><xsl:value-of select="type_vitrage"/></td>
						
						<!-- Ug vitrage -->
						<td align="center">
						<xsl:choose>
								<xsl:when test="Ug_vitrage or Ug_vitrage != '' "><xsl:value-of select="format-number(Ug_vitrage,'#&#160;##0,##', 'fr')"/></xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
						</xsl:choose>	
						</td>
						

						<!-- origine de la donnée Ug -->
						<td align="center">
							<xsl:choose>
								<xsl:when test="origine_donnee_Ug=0">Produit marqué CE de valeur déclarée Ug,d</xsl:when>
								<xsl:when test="origine_donnee_Ug=1">Chapitre II fascicule 3 Th-Bât</xsl:when>
								<xsl:when test="origine_donnee_Ug=2">Chapitre III Th-Bât valeur par défaut</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>							
						</td>
						
						<!-- Uw_sp ou Uw_ap réel de la baie -->
						<td align="center"><xsl:value-of select="format-number(Uw,'#&#160;##0,##', 'fr')"/></td>
						
						<!-- origine de la donnée Uw_sp ou Uw_ap -->	
						<td align="center">
							<xsl:choose>
								<xsl:when test="origine_donnee_Uw=0">Calcul Th-Bât</xsl:when>
								<xsl:when test="origine_donnee_Uw=1">Valeurs tabulées Th-Bât</xsl:when>
								<xsl:when test="origine_donnee_Uw=2">Document d'Avis Technique ou équivalent européen</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>							
						</td>		
						
						<!-- facteur solaire, Sw_sp et Sw_ap -->
						<td align="center">
							<xsl:choose>
								<xsl:when test="type_protection &gt; 6">
									<i>Voir matrice de saisie</i>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="format-number(Sw,'#&#160;##0,##', 'fr')"/>
								</xsl:otherwise>
							</xsl:choose>						

						</td>
						
						<!-- transmission lumineuse -->
						<td align="center"><xsl:value-of select="format-number(Tlw,'#&#160;##0,##', 'fr')"/></td>
						
						<!-- surface totale -->					
						<td align="center"><xsl:value-of select="format-number(surface_totale,'#&#160;##0,##', 'fr')"/></td>

						<!-- donnant sur -->
						<td align="center">
						<xsl:choose>
							<xsl:when test="donnant=0">L'extérieur</xsl:when>
							<xsl:when test="donnant=1">Espace tampon solarisé</xsl:when>
						</xsl:choose>
						</td>
					</tr>
			</xsl:for-each>
			<xsl:if test="sum(/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/parois_vitrees[@orientation=$c_orientation]/surface_totale) != 0">

					<tr>
						<td style="background-color:#CDCDCD;" colspan="11" align="right"><strong>Total 
						<xsl:choose>
							<xsl:when test="$c_orientation='S' ">Verticales <font color="red">Sud</font></xsl:when>
							<xsl:when test="$c_orientation='O' ">Verticales <font color="red">Ouest</font></xsl:when>
							<xsl:when test="$c_orientation='N' ">Verticales <font color="red">Nord</font></xsl:when>
							<xsl:when test="$c_orientation='E' ">Verticales <font color="red">Est</font></xsl:when>
							<xsl:when test="$c_orientation='H' "> <font color="red">Horizontales</font></xsl:when>
						</xsl:choose>
						</strong></td><td class="strong" align="center"><strong><xsl:value-of select="format-number(sum(/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/parois_vitrees[@orientation=$c_orientation]/surface_totale),'#&#160;##0,##', 'fr')"/></strong></td><td class="vide">&#160;</td>
					</tr>

			</xsl:if>	
	</xsl:template>

<xsl:template name="type_paroi_vitree">
					<xsl:choose>
					<xsl:when test="type_paroi=1">Fenêtre</xsl:when>
					<xsl:when test="type_paroi=2">Porte fenêtre</xsl:when>
					<xsl:when test="type_paroi=3">Porte d'entrée vitrée</xsl:when>
					<xsl:when test="type_paroi=4">Façade rideau vitrée</xsl:when>
					<xsl:when test="type_paroi=5">Chassis fixe</xsl:when>
					<xsl:when test="type_paroi=6">Bloc baie</xsl:when>
					<xsl:when test="type_paroi=7">Fenêtre de toit</xsl:when>
					<xsl:when test="type_paroi=8">Brique de verre</xsl:when>
					<xsl:when test="type_paroi=9">Vitrine</xsl:when>
					<xsl:when test="type_paroi=10">Lanterneaux de toiture</xsl:when>
					<xsl:when test="type_paroi=11">Exutoire de fumée</xsl:when>
					<xsl:when test="type_paroi=12">Ouvrant de pompier</xsl:when>
					<xsl:otherwise>-</xsl:otherwise>
				</xsl:choose>	
</xsl:template>


<xsl:template name="type_protection_mobile">
					<xsl:choose>
						<xsl:when test="type_protection=0">Sans protection mobile</xsl:when>
						<xsl:when test="type_protection=1">Volet avec gestion automatique</xsl:when>
						<xsl:when test="type_protection=2">Volet avec gestion manuelle non motorisée</xsl:when>
						<xsl:when test="type_protection=3">Volet avec gestion manuelle motorisée</xsl:when>
						<xsl:when test="type_protection=4">Store enroulable avec gestion automatique</xsl:when>
						<xsl:when test="type_protection=5">Store enroulable avec gestion manuelle non motorisée</xsl:when>
						<xsl:when test="type_protection=6">Store enroulable avec gestion manuelle motorisée</xsl:when>
						<xsl:when test="type_protection=7">Store à lame orientable avec gestion Sun Tracking</xsl:when>
						<xsl:when test="type_protection=8">Store à lame orientable avec gestion manuelle lame fixe</xsl:when>
						<xsl:when test="type_protection=9">Store à lame orientable avec gestion automatique 45° fixe</xsl:when>
						<xsl:otherwise>-</xsl:otherwise>
					</xsl:choose>	
</xsl:template>
	
	
	
	
<xsl:template name="PT">
		<xsl:param name="c_type"/>
		<xsl:param name="c_bati"/>

				<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/liaisons[@type_liaison=$c_type]">
					<xsl:sort select="psi_liaison * lineaire" data-type="number" order="descending"/>
						<tr>
							<td align="center">
							<xsl:choose>
								<xsl:when test="@type_liaison='PB'">mur de façade ou de pignon avec plancher bas / façade</xsl:when>
								<xsl:when test="@type_liaison='PSI9'">mur de façade ou de pignon avec plancher intermédiaire</xsl:when>
								<xsl:when test="@type_liaison='PH'">mur de façade ou de pignon avec plancher haut</xsl:when>
								<xsl:when test="@type_liaison='REFV'">refend avec mur de façade ou de pignon</xsl:when>
								<xsl:when test="@type_liaison='ANG'">liaison angle de mur</xsl:when>
								<xsl:when test="@type_liaison='REFPB'">mur de refends avec plancher bas</xsl:when>
								<xsl:when test="@type_liaison='REFPH'">mur de refends avec plancher haut</xsl:when>
								<xsl:when test="@type_liaison='LIMENU'">liaisons menuiseries / parois opaques (appui, linteau, tableau)</xsl:when>
								<xsl:when test="@type_liaison='AUTRES'">autres ponts thermiques</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>									
							</td>
							<td align="center"><xsl:value-of select="name"/></td>
							<td align="center"><xsl:value-of select="format-number(psi_liaison,'#&#160;##0,##', 'fr')"/></td>
							<td align="center">
							<xsl:choose>
								<xsl:when test="origine=0">Th Bât fascicule valeurs tabulées</xsl:when>
								<xsl:when test="origine=1">Avis techniques</xsl:when>
								<xsl:when test="origine=2">Valeur calculée norme NF EN 10211</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
							</td>
							<td align="center"><xsl:value-of select="format-number(lineaire,'#&#160;##0,##', 'fr')"/></td>
							<td align="center">
							<xsl:choose>
								<xsl:when test="donnant=0">L'extérieur</xsl:when>
								<xsl:when test="donnant=1">Espace tampon solarisé</xsl:when>
								<xsl:when test="donnant=2">Espace tampon non solarisé LNC (<span class="important">b=<xsl:value-of select="donnant/@b"/></span>)</xsl:when>
								<xsl:otherwise>-</xsl:otherwise>
							</xsl:choose>
							</td>
						</tr>
				</xsl:for-each>

				<xsl:if test="sum(/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/liaisons[@type_liaison=$c_type]/lineaire) != 0">

						<tr>
						<td colspan="4" class="vide" align="right">Total linéaire catégorie type de liaison : </td><td class="strong" align="center"><b><xsl:value-of select="format-number(sum(/projet/Datas_Comp/batiment_collection/batiment[Index=$c_bati]/enveloppe/liaisons[@type_liaison=$c_type]/lineaire),'#&#160;##0,##', 'fr')"/></b></td><td style="background-color:#CDCDCD;">&#160;</td>
						</tr>

				</xsl:if>	
				
	</xsl:template>

			
	<xsl:template name="tableau_baies">
		<xsl:param name="c_orientation"/>
		<xsl:param name="c_id"/>
			<xsl:for-each select="/projet/Datas_Comp/batiment_collection/batiment[Index=$c_id]/enveloppe/baies[@orientation=$c_orientation]">
				<tr>
					<td align="right">
					<xsl:choose>
						<xsl:when test="$c_orientation='S' or $c_orientation='s'">Verticales Sud</xsl:when>
						<xsl:when test="$c_orientation='O' or $c_orientation='o'">Verticales Ouest</xsl:when>
						<xsl:when test="$c_orientation='N' or $c_orientation='n'">Verticales Nord</xsl:when>
						<xsl:when test="$c_orientation='E' or $c_orientation='e'">Verticales Est</xsl:when>
						<xsl:when test="$c_orientation='H' or $c_orientation='h'">Horizontales</xsl:when>
						<xsl:otherwise><span class="error">code orientation erroné</span></xsl:otherwise>
					</xsl:choose>
					</td><td align="center"><xsl:value-of select="format-number(surface_totale,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(dt_prot_mobile,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(dt_masques_proches,'#&#160;##0,##', 'fr')"/></td><td align="center"><xsl:value-of select="format-number(dt_masques_lointain,'#&#160;##0,##', 'fr')"/></td>
				</tr>
			</xsl:for-each>
			
	</xsl:template>

	
	<xsl:template name="detail_besoins">
		<xsl:param name="id_bat"/>
		<xsl:param name="type"/>
		<!-- classe de couleur du tableau -->
		<xsl:param name="class"/>

		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 resultat {$class}" width="100%">
			<thead>
				<tr>
					<th width="30%">&#160;</th>
					<th width="10%" align="center">S<sub>RT</sub></th>
					<th colspan="12" align="center">
					
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'">Consommation en énergie primaire de chauffage</xsl:when>
						<xsl:when test="$type = 'Refroidissement'">Consommation en énergie primaire de refroidissement</xsl:when>
						<xsl:when test="$type = 'ECS'">Consommation en énergie primaire pour l'ECS</xsl:when>
						<xsl:when test="$type = 'Eclairage'">Consommation en énergie primaire d'éclairage</xsl:when>
						<xsl:when test="$type = 'Ventilation'">Consommation en énergie primaire des auxiliaires de ventilation</xsl:when>
						<xsl:when test="$type = 'Distribution'">Consommation en énergie primaire des auxiliaires de distribution</xsl:when>
						<xsl:when test="$type = 'ECS brut'">Besoins d'ECS bruts sans émission</xsl:when>
					</xsl:choose>					
					<br/>(en kWh ep/m<sup>2</sup> S<sub>RT</sub>)
					</th>
					<th width="8%">&#160;</th>
				</tr>
				<tr>
					<th colspan="2" width="20%"/>
					<th width="5%" >1</th>
					<th width="5%" >2</th>
					<th width="5%" >3</th>
					<th width="5%" >4</th>
					<th width="5%" >5</th>
					<th width="5%" >6</th>
					<th width="5%" >7</th>
					<th width="5%" >8</th>
					<th width="5%" >9</th>
					<th width="5%" >10</th>
					<th width="5%" >11</th>
					<th width="5%" >12</th>
					<th width="8%" align="right">Total annuel</th>
				</tr>
			</thead>
			<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_C_Collection/Sortie_Batiment_C[Index=$id_bat]">
			<tr>
				<td width="30%">
					<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
				</td>
				<td width="10%" align="center">
					<font color="red">
						<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
					</font>
				</td>		
				

				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">	
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>				
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(sum(O_Cep_ch_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(sum(O_Cep_fr_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(sum(O_Cep_ecs_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(sum(O_Cep_ecl_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(sum(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(sum(O_Cep_aux_distribution_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(sum(O_B_Ecs_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
			</tr>
			<xsl:for-each select="Sortie_Zone_C_Collection/Sortie_Zone_C">
				<tr>
					<td>
						<b><xsl:value-of select="Name"/>
						</b>
					</td>
					<td align="center">
						<b>
							<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
						</b>
					</td>

				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">	
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>				
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(sum(O_Cep_ch_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(sum(O_Cep_fr_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(sum(O_Cep_ecs_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(sum(O_Cep_ecl_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(sum(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(sum(O_Cep_aux_distribution_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(sum(O_B_Ecs_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
				</tr>
				<xsl:for-each select="Sortie_Groupe_C_Collection/Sortie_Groupe_C">
					<tr>
						<td align="right"><xsl:value-of select="Name"/></td>
						<td align="center">
							<xsl:value-of select="format-number(O_Shon_RT,'#0,##', 'fr')"/>
						</td>

				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">	
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#0,##', 'fr')"/></xsl:when>						
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(O_Cep_ch_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(O_Cep_fr_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(O_Cep_ecs_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_Cep_ecl_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(O_Cep_aux_distribution_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(O_B_Ecs_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>				
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chauffage'"><xsl:value-of select="format-number(sum(O_Cep_ch_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Refroidissement'"><xsl:value-of select="format-number(sum(O_Cep_fr_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS'"><xsl:value-of select="format-number(sum(O_Cep_ecs_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(sum(O_Cep_ecl_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Ventilation'"><xsl:value-of select="format-number(sum(O_Cep_aux_ventilateur_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Distribution'"><xsl:value-of select="format-number(sum(O_Cep_aux_distribution_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'ECS brut'"><xsl:value-of select="format-number(sum(O_B_Ecs_mois/Sortie_Mensuelle/Valeur),'#0,##', 'fr')"/></xsl:when>
					</xsl:choose>
				</td>
					</tr>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
		</table>
	</xsl:template>


	
	
	
<!-- Résultats détaillés des besoins mensuels de chaud, de froid et d'éclairage pour le bâtiment -->

<xsl:template name="detail_besoins_b">
		<xsl:param name="id_bat"/>
		<xsl:param name="type"/>
		<!-- classe de couleur du tableau -->
		<xsl:param name="class"/>
		<xsl:param name="titre_detail"/>

		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 resultat {$class}" width="100%">
			<thead>
				<tr>
					<th width="30%">&#160;</th>
					<th width="10%" align="center">S<sub>RT</sub></th>
					<th colspan="12" align="center"><xsl:value-of select="$titre_detail"/> (en kWh/m<sup>2</sup> S<sub>RT</sub>)</th>
					<th width="8%">&#160;</th>
				</tr>
				<tr>
					<th colspan="2" width="20%"/>
					<th width="5%" >1</th>
					<th width="5%" >2</th>
					<th width="5%" >3</th>
					<th width="5%" >4</th>
					<th width="5%" >5</th>
					<th width="5%" >6</th>
					<th width="5%" >7</th>
					<th width="5%" >8</th>
					<th width="5%" >9</th>
					<th width="5%" >10</th>
					<th width="5%" >11</th>
					<th width="5%" >12</th>
					<th width="8%" align="right">Total annuel</th>
				</tr>
			</thead>
			<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]">
			<tr>
				<td width="30%">
					<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
				</td>
				<td width="10%" align="center">
					<font color="red">
						<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
					</font>
				</td>		
				

				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
					</xsl:choose>
				</td>
				<td align="right">	
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">				
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
					</xsl:choose>
				</td>				
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(sum(O_B_Ch_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(sum(O_B_Fr_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(sum(O_B_Ecl_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(sum(O_Bbio_pts_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
			</tr>
			<xsl:for-each select="Sortie_Zone_B_Collection/Sortie_Zone_B">
				<tr>
					<td><b><xsl:value-of select="Name"/></b></td>
					<td align="center"><b><xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/></b></td>

				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
					</xsl:choose>
				</td>
				<td align="right">	
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">				
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
					</xsl:choose>
				</td>				
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(sum(O_B_Ch_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(sum(O_B_Fr_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(sum(O_B_Ecl_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(sum(O_Bbio_pts_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				</tr>
				<xsl:for-each select="Sortie_Groupe_B_Collection/Sortie_Groupe_B">
					<tr>
						<td align="right"><xsl:value-of select="Name"/></td>
						<td align="center">
							<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
						</td>

				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
					</xsl:choose>
				</td>
				<td align="right">	
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">				
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">			
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
				<td align="right">		
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(O_B_Ch_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(O_B_Fr_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(O_B_Ecl_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/></xsl:when>		
					</xsl:choose>
				</td>				
				<td align="right">
					<xsl:choose>
						<xsl:when test="$type = 'Chaud'"><xsl:value-of select="format-number(sum(O_B_Ch_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Froid'"><xsl:value-of select="format-number(sum(O_B_Fr_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>
						<xsl:when test="$type = 'Eclairage'"><xsl:value-of select="format-number(sum(O_B_Ecl_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>	
						<xsl:when test="$type = 'bbio'"><xsl:value-of select="format-number(sum(O_Bbio_pts_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/></xsl:when>								
					</xsl:choose>
				</td>
					</tr>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
		</table>
	</xsl:template>
	
	<!-- Résultats détaillés du besoin blioclimatique Bbio en points du batiment -->
	<xsl:template match="/projet/Entree_Projet/Batiment_Collection/Batiment" mode="details_bbio">
	<xsl:variable name="id_bat" select="Index"/>

		<table border="1" cellpadding="0" cellspacing="0" class="rt2012 resultat bbio" width="100%">
			<thead>
				<tr>
					<th width="30%">&#160;</th>
					<th width="10%" align="center">S<sub>RT</sub></th>
					<th colspan="12" align="center">Besoin bioclimatique Bbio (en points)</th>
					<th width="8%">&#160;</th>
				</tr>
				<tr>
					<th colspan="2" width="20%"/>
					<th width="5%" >1</th>
					<th width="5%" >2</th>
					<th width="5%" >3</th>
					<th width="5%" >4</th>
					<th width="5%" >5</th>
					<th width="5%" >6</th>
					<th width="5%" >7</th>
					<th width="5%" >8</th>
					<th width="5%" >9</th>
					<th width="5%" >10</th>
					<th width="5%" >11</th>
					<th width="5%" >12</th>
					<th width="8%" align="right">Total annuel</th>
				</tr>
			</thead>
			<xsl:for-each select="/projet/Sortie_Projet/Sortie_Batiment_B_Collection/Sortie_Batiment_B[Index=$id_bat]">
			<tr>
				<td width="30%">
					<font color="red">Bâtiment (<xsl:value-of select="Name"/>)</font>
				</td>
				<td width="10%" align="center">
					<font color="red">
						<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
					</font>
				</td>		
				

				<td align="right">				
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/>	
				</td>
				<td align="right">	
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">				
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/>				
				</td>
				<td align="right">		
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/>
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">		
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/>	
				</td>				
				<td align="right">
						<xsl:value-of select="format-number(sum(O_Bbio_pts_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/>							
				</td>
			</tr>
			<xsl:for-each select="Sortie_Zone_B_Collection/Sortie_Zone_B">
				<tr>
					<td>
						<b><xsl:value-of select="Name"/>
						</b>
					</td>
					<td align="center">
						<b>
							<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
						</b>
					</td>

				<td align="right">				
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/>	
				</td>
				<td align="right">	
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">				
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/>				
				</td>
				<td align="right">		
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/>
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">		
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/>	
				</td>				
				<td align="right">
						<xsl:value-of select="format-number(sum(O_Bbio_pts_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/>							
				</td>
				</tr>
				<xsl:for-each select="Sortie_Groupe_B_Collection/Sortie_Groupe_B">
					<tr>
						<td align="right"><xsl:value-of select="Name"/></td>
						<td align="center">
							<xsl:value-of select="format-number(O_Shon_RT,'#&#160;##0,##', 'fr')"/>
						</td>

				<td align="right">				
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=1]/Valeur,'#&#160;##0,##', 'fr')"/>	
				</td>
				<td align="right">	
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=2]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">				
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=3]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=4]/Valeur,'#&#160;##0,##', 'fr')"/>				
				</td>
				<td align="right">		
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=5]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=6]/Valeur,'#&#160;##0,##', 'fr')"/>
				</td>
				<td align="right">			
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=7]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=8]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=9]/Valeur,'#&#160;##0,##', 'fr')"/>						
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=10]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=11]/Valeur,'#&#160;##0,##', 'fr')"/>							
				</td>
				<td align="right">		
						<xsl:value-of select="format-number(O_Bbio_pts_mois/Sortie_Mensuelle[Mois=12]/Valeur,'#&#160;##0,##', 'fr')"/>	
				</td>				
				<td align="right">
						<xsl:value-of select="format-number(sum(O_Bbio_pts_mois/Sortie_Mensuelle/Valeur),'#&#160;##0,##', 'fr')"/>							
				</td>
					</tr>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:for-each>
		</table>
	</xsl:template>
	
	
<!-- template valeur par défaut et mesurée -->
<xsl:template name="val_def_mes">
	<xsl:param name="v_bal"/>
		<xsl:choose>							
				<xsl:when test="$v_bal = 0">Valeur par défaut</xsl:when>
				<xsl:when test="$v_bal = 1">Valeur mesurée</xsl:when>
				<xsl:otherwise>-</xsl:otherwise>
			</xsl:choose>		
</xsl:template>
	
<!-- template 4 valeurs  -->
<xsl:template name="val_def_dec_jus_cer">
	<xsl:param name="v_bal"/>
		<xsl:choose>							
				<xsl:when test="$v_bal = 0">Valeur par défaut</xsl:when>
				<xsl:when test="$v_bal = 1">Valeur déclarée</xsl:when>
				<xsl:when test="$v_bal = 2">Valeur justifiée</xsl:when>
				<xsl:when test="$v_bal = 3">Valeur certifiée</xsl:when>
				<xsl:otherwise>-</xsl:otherwise>
			</xsl:choose>		
</xsl:template>	
	
	<!-- TEMPLATE DES ZONES USAGE -->
	<xsl:template name="tpl_zone_usage">
		<!-- usages au 22/02/2011 -->
		<xsl:choose>
			<xsl:when test="usage=1 or Usage=1">Bâtiment à usage d'habitation - maison individuelle et accolée</xsl:when>
			<xsl:when test="usage=2 or Usage=2">Bâtiment à usage d'habitation - logement collectif</xsl:when>
			<xsl:when test="usage=3 or Usage=3">Etablissement d'accueil de la petite enfance (crèche, halte-garderie)</xsl:when>
			<xsl:when test="usage=4 or Usage=4">Enseignement primaire</xsl:when>
			<xsl:when test="usage=5 or Usage=5 ">Enseignement secondaire (partie jour)</xsl:when>
			<xsl:when test="usage=6 or Usage=6 ">Enseignement secondaire (partie nuit)</xsl:when>
			<xsl:when test="usage=7 or Usage=7 ">Enseignement - université</xsl:when>
			<xsl:when test="usage=8 or Usage= 8">Bâtiment à usage d'habitation - Foyer de jeunes travailleurs</xsl:when>
			<xsl:when test="usage=10 or Usage=10">Hôtel 0* et 1* (partie nuit)</xsl:when>
			<xsl:when test="usage=11 or Usage=11 ">Hôtel 2* (partie nuit)</xsl:when>
			<xsl:when test="usage=12 or Usage=12 ">Hôtel 3* (partie nuit)</xsl:when>
			<xsl:when test="usage=13 or Usage= 13">Hôtel 4* et 5* (partie nuit)</xsl:when>
			<xsl:when test="usage=14 or Usage= 14">Hôtel 0*, 1* et 2* (partie jour)</xsl:when>
			<xsl:when test="usage=15 or Usage= 15">Hôtel 3*, 4* et 5* (partie jour)</xsl:when>
			<xsl:when test="usage=16 or Usage= 16">Bureaux</xsl:when>
			<xsl:when test="usage=17 or Usage= 17">Restauration commerciale en continue (18h/j 7j/7)</xsl:when>
			<xsl:when test="usage=18 or Usage= 18">Restauration - 1 repas/jour, 5j/7</xsl:when>
			<xsl:when test="usage=19 or Usage= 19">Restauration - 2 repas/jour, 7j/7</xsl:when>
			<xsl:when test="usage=20 or Usage= 20">Restauration - 2 repas/jour, 6j/7</xsl:when>
			<xsl:when test="usage=22 or Usage= 22">Commerces, magasins, zones commerciales</xsl:when>
			<xsl:when test="usage=24 or Usage= 24">Etablissement sportif scolaire</xsl:when>
			<xsl:when test="usage=26 or Usage= 26">Bâtiment à usage d'habitation - Etablissement sanitaire avec hébergement</xsl:when>
			<xsl:when test="usage=27 or Usage= 27">Hôpital (partie nuit)</xsl:when>
			<xsl:when test="usage=28 or Usage= 28">Hôpital (partie jour)</xsl:when>
			<xsl:when test="usage=29 or Usage= 29">Transport - aérogare</xsl:when>
			<xsl:when test="usage=30 or Usage= 30">Bâtiment à usage d'habitation - Cité universitaire</xsl:when>
			<xsl:when test="usage=32 or Usage= 32">Industrie - 3x8h</xsl:when>
			<xsl:when test="usage=33 or Usage= 33">Industrie - 8h à 18h</xsl:when>
			<xsl:when test="usage=34 or Usage= 34">Tribunal</xsl:when>
			<xsl:when test="usage=36 or Usage= 36">Etablissement sportif municipal ou privé</xsl:when>
			<xsl:when test="usage=37 or Usage= 37">Restauration scolaire - 1 repas/jour, 5j/7</xsl:when>
			<xsl:when test="usage=38 or Usage= 38">Restauration scolaire - 3 repas/jour, 5j/7</xsl:when>
		</xsl:choose>		
	</xsl:template>
	
	
	
	<xsl:template name="pb_graphiques">
		<p class="error">Graphique Impossible (données manquantes, valeurs à 0, etc.).</p>		
	</xsl:template>

	<xsl:template name="gen_ch_fr_ecs">
		<p class="error">Ne s'applique pas (ou données vides)</p>		
	</xsl:template>	
	
</xsl:stylesheet>
